/* Programm HUBODA zur Berechnung der Massengeometrie des Menschen 				*/
/* nach Winter 1990 und Jger 1991                                          	*/
/* entwicklet von Frank und Oskar Wallrapp, Gilchinger Weg 1, 82234 Wessling	*/
/* Version 2.0 - 10.05.2003	- mit Wahl der Vertikalachse y oder z	            */										
/* Version 1.0 - 27.12.1909 - created                                           */

#include <stdio.h>
#include <math.h>


/* die folgenden Definitione beziehen sich auf z = vertikalachse */
#define  Mfuss       1.45
#define  Lfussx     15.2
#define  Lsfussx    15.8

#define  Lfussy      5.5
#define  Lsfussy     0.0
#define  Isfussy    47.5 

#define  Lfussz      3.9
#define  Lsfussz    66.7
#define  Rfussz     1.9

#define  Muntersch   4.65
#define  Luntersch  24.6
#define  Lsuntersch 43.3
#define  Isuntersch 30.2
#define  Runtersch  3.3

#define  Mobersch   10.0
#define  Lobersch   24.5
#define  Lsobersch  43.3
#define  Isobersch  32.3
#define  Robersch   5.0

#define  Lsfuss_u   60.6 
#define  Isfuss_u   41.6 

#define  Lsbein     44.75 
#define  Isbein     32.65 

#define  Mhand       0.6
#define  Lhand      10.8  
#define  Lshand     50.6  
#define  Ishand     29.7
#define  Rhand      1.6

#define  Munterarm   1.6
#define  Lunterarm  14.5
#define  Lsunterarm 43.0
#define  Isunterarm 30.3
#define  Runterarm  2.3

#define  Moberarm    2.8
#define  Loberarm   18.8
#define  Lsoberarm  43.6
#define  Isoberarm  32.2
#define  Roberarm   2.9

#define  Lshand_u   68.2 
#define  Ishand_u   46.8 

#define  Lsarm      53.0 
#define  Isarm      36.8 

#define  Mk_hals     8.1
#define  Lk_hals    11.8
#define  Lk_hals_ges 18.2 
#define  Lsk_hals  100.0
#define  Isk_hals   49.5
#define  Rk_hals    4.4

#define  Lschulter  12.95
#define  Lsschulter 71.2

#define  Mbrustk   21.6
#define  Lbrustkz  16.3 
#define  Lsbrustkz 82.0

#define  Lbrustky  17.4 
#define  Lsbrustky  0.0

#define  Mbauch    13.9
#define  Lbauch     7.9
#define  Lsbauch   44.0

#define  Mbecken   14.2
#define  Lbeckenz   4.6
#define  Lsbeckenz 10.5

#define  Lbeckeny  19.1
#define  Lsbeckeny  0.0

#define  Lsbrust_b 63.0

#define  Lsuntert  27.0

#define  Lrumpf    28.8
#define  Lsrumpf   50.0
#define  Isrumpf   50.8
#define  Rrumpf     8.2 

#define  Lsstamm   66.0
#define  Isstamm   50.3
#define  Rstamm     8.3
  
#define  Lshat1    62.6
#define  Ishat1    49.6
#define  Rhat1      8.4

#define  Lhat2     15.8
#define  Lshat2   114.2
#define  Ishat2    90.3
#define  Rhat2      8.4

#define  Lsges      0.0


main()
{
	double masse, hohe;
	
	double sm, sl, sls, sis, sr, sip, isy, ipy, isxzyl, isyzyl, iszzyl, ip, slsx, slsz;
	double iszzyl1, iszzyl2, iszzyl3;
	
	double slfussx,    slfussy,   slfussz,  smfuss,    slsfussx, slsfussy,slsfussz, srz;
	double sluntersch, smuntersch,slsuntersch;
	double slobersch,  smobersch, slsobersch;
	double slf_u,      smf_u,     slsf_u,  lf_u,     mf_u;
	double slbein,     smbein,	 slsbein, lbein,	mbein;
	double slhand,     smhand,    slshand;
	double slunterarm, smunterarm,slsunterarm;
	double sloberarm,  smoberarm, slsoberarm;
	double slh_u,      smh_u,     slsh_u,  lh_u,     mh_u;
	double slarm,      smarm,	 slsarm,  larm,	    marm;
	double slk_hals,   smk_hals,  slsk_hals;
	double slschulter, smschulter,slsschulter;
	double slbrustky,  slbrustkz, smbrustk, slsbrustky, slsbrustkz;
	double slbauch,    smbauch,   slsbauch;
	double slbeckeny,  smbecken,  slbeckenz, slsbeckeny, slsbeckenz;
	double sluntert,   smuntert,  slsuntert,  luntert,  muntert;
	double slbrust_b,  smbrust_b, slsbrust_b, lbrust_b, mbrust_b;
	double slrumpf,    smrumpf,	 slsrumpf, lrumpf,	mrumpf;
	double slstamm,    smstamm,   slsstamm, lstamm,  mstamm;
	double slhat1,     smhat1,    slshat1,  lhat1,   mhat1;
	double slhat2,     smhat2,    slshat2,  lhat2;
	double slges,      smges,	 slsges,   lges,	mges;
	double null;

    char char_vertical='y', char_horizontal='z';
    
    
/*  Programmkopf drucken +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	*/
	
	printf("-------------------------------------------------------------------\n");
	printf("	          = = =   H U B O D A   = = =  \n\n");
	printf("Programm zu Berechnung der Massengeometrie des Menschen  \n");
	printf("		   Version 2.0 - 10.05,2003 \n ");
	printf("Entwickelt von Frank und Oskar Wallrapp, 82234 Wessling\n");
	printf("    im Rahmen der Vorlesung Biomechanik II an der FHM-FB06\n\n");
	printf("-------------------------------------------------------------------\n");
    printf("Skalierte Werte mi_, li_, lSi_, iSi_ in '%' nach Winter 1990,  rzyli_ nach Jger 1992   \n");
	printf("-------------------------------------------------------------------\n");
	printf(" \n");

/*  Voreinstellungen +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++		*/
	null = 0;
    masse = 69.0;
    hohe  = 1.733;
    
	printf("Gebe die Masse in [kg] und die Gre in [m] ein\n");
	scanf("%lf %lf", &masse, &hohe);
	printf(" Krpermasse BM = %7.3f kg, Krpergre BH = %7.3f m\n\n", masse, hohe);
	printf("Gebe die Koordinatenachse y oder z fuer Vertikalachse ein (y/z) (x zeigt stets in Laufrichtung)\n");
    getchar();
    scanf("%c",&char_vertical);
	if (char_vertical == 'z') char_horizontal = 'y';
	printf(" x = Sagitalachse, %c = Vertikalachse, %c = transversale oder horizontale Achse\n\n", char_vertical, char_horizontal);

	printf(" \n");
	printf("--------------------------------------------------------------------------------+\n");
	printf("Folgende Gleichungen werden ausgewertet:\n ");
    printf("Segmentmasse      mi = mi_ * BM / 100											\n ");
    printf("Segmentlaenge     li = li_ * BH / 100											\n ");
	printf("Radius fuer Zylinderdarstellung in Laengsrichtung rzyli = rzyli_ * BH / 100										\n ");
	printf("Schwerpkt bez. proximalem Gelenkpunkt  lSi     = lSi_ * li / 100			\n ");
	printf("Trgheitsradius bez. Schwerpkt.        iSi     = iSi_ * li / 100			\n ");
	printf("Massentrgheitsmoment bez. Si um x     ISxx=%c%c = iSi^2 * mi			\n ",char_horizontal,char_horizontal);
	printf("Massentrgheitsmoment bez. Si um %c     IS%c%c    = rzyli^2 * mi /2		\n ",char_vertical,char_vertical,char_vertical);
	printf("Massentrgheitsmoment bez. Si um %c     IS%c%c-zyl= (rzyli^2 + li^2/3) * mi /4	 \n ",char_horizontal,char_horizontal,char_horizontal);
	printf("Trgheitsradius bez. proximalem Gelenkpunkt            iPi   = sqrt(iSi^2 + lSi^2) = iPi_ * li / 100 	\n ");
	printf("Massentrgheitsmoment bez. proximalem Gelenkpunkt um %c IP%c%ci = iPi^2 * mi  \n",char_horizontal,char_horizontal,char_horizontal);
	printf("--------------------------------------------------------------------------------+\n");



/*  Erste Tabelle zur Masse, Lngen +++++++++++++++++++++++++++++++++++++++++++++		*/

	printf("       Tabelle 1 fr Massen und Lngen im globalen Koordinatensystem x-y-z \n");	
	printf("--------------------------------------------------------------------------------+\n");
	printf("              | Masse        | Segm.Laengen | prox. Schwerkt.| Zylinderradius   |\n");
	printf("Nr. Segment   | mi_    mi[kg]| li_     li[m]| lSi_     lSi[m]| rzyli_   rzyli[m]|\n");
	printf("--------------|--------------|--------------|----------------|------------------|\n");

	smfuss  = masse   * Mfuss  / 100.0;
	slfussx = hohe    * Lfussx / 100.0;
	slsfussx= slfussx * Lsfussx/ 100.0;
	printf("1x Fu        |%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n",Mfuss, smfuss, Lfussx, slfussx, Lsfussx, slsfussx, null, null); 

	slfussy = hohe    * Lfussy / 100.0;
	slsfussy= slfussy * Lsfussy/ 100.0;
	printf("1%c Fu        |%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n",char_horizontal, Mfuss, smfuss, Lfussy, slfussy, Lsfussy, slsfussy, null, null); 

	slfussz = hohe    * Lfussz / 100.0;
	slsfussz= slfussz * Lsfussz/ 100.0;
	srz    = hohe    * Rfussz / 100.0;
	printf("1%c Fu        |%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n",char_vertical, Mfuss, smfuss, Lfussz, slfussz, Lsfussz, slsfussz, Rfussz, srz); 

	sluntersch = hohe  * Luntersch / 100.0;
	smuntersch = masse * Muntersch / 100.0;
	slsuntersch= sluntersch * Lsuntersch/ 100.0;
	srz        = hohe  * Runtersch / 100.0;
	printf("2%c Untersch   |%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n",char_vertical, Muntersch, smuntersch, Luntersch, sluntersch, Lsuntersch, slsuntersch, Runtersch, srz); 

	slobersch = hohe  * Lobersch / 100.0;
	smobersch = masse * Mobersch / 100.0;
	slsobersch= slobersch * Lsobersch/ 100.0;
	srz       = hohe  * Robersch / 100.0;
	printf("3%c Obersch    |%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n",char_vertical, Mobersch, smobersch, Lobersch, slobersch, Lsobersch, slsobersch, Robersch, srz); 
		
	mf_u    = Mfuss+Muntersch;
	lf_u    = Lfussz+Luntersch;
	slf_u   = hohe  * (Lfussz+Luntersch) / 100.0;
	smf_u   = masse * (Mfuss+Muntersch)  / 100.0;
	slsf_u  = sluntersch * Lsfuss_u           / 100.0;
	printf("4%c Fu+U.Sch  |%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n",char_vertical, mf_u, smf_u, lf_u, slf_u, Lsfuss_u, slsf_u, null, null); 

	lbein  = Lfussz+Luntersch+Lobersch;
	mbein  = Mfuss+Muntersch+Mobersch;
	slbein = hohe  * (lbein) / 100.0;
	smbein = masse * (mbein) / 100.0;
	slsbein= (sluntersch+slobersch) * Lsbein / 100.0;
	printf("5%c Bein=1+2+3 |%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n",char_vertical, mbein, smbein, lbein, slbein, Lsbein, slsbein, null, null); 

	printf("--------------|--------------|--------------|----------------|------------------|\n");
    
	slhand  = hohe   * Lhand  / 100.0;
	smhand  = masse  * Mhand  / 100.0;
	slshand = slhand * Lshand / 100.0;
	srz     =  hohe  * Rhand  / 100.0;
	printf("6%c  Hand      |%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n",char_vertical, Mhand, smhand, Lhand, slhand, Lshand, slshand, Rhand, srz); 
	
	slunterarm  = hohe       * Lunterarm  / 100.0;
	smunterarm  = masse      * Munterarm  / 100.0;
	slsunterarm = slunterarm * Lsunterarm / 100.0;
	srz         =  hohe      * Runterarm  / 100.0;
	printf("7%c  Unterarm  |%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n",char_vertical, Munterarm, smunterarm, Lunterarm, slunterarm, Lsunterarm, slsunterarm, Runterarm, srz); 

	sloberarm   = hohe       * Loberarm  / 100.0;
	smoberarm   = masse      * Moberarm  / 100.0;
	slsoberarm  = sloberarm  * Lsoberarm / 100.0;
	srz         =  hohe      * Roberarm  / 100.0;
	printf("8%c  Oberarm   |%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n",char_vertical, Moberarm, smoberarm, Loberarm, sloberarm, Lsoberarm, slsoberarm, Roberarm, srz); 

	lh_u       = Lhand+Lunterarm;
	mh_u       = Mhand+Munterarm;
	slh_u       = hohe  * (Lhand+Lunterarm) / 100.0;
	smh_u       = masse * (Mhand+Munterarm) / 100.0;
	slsh_u      = slh_u * Lsunterarm        / 100.0;
	printf("9%c  Hand+U.Arm|%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n",char_vertical, mh_u, smh_u, lh_u, slh_u, Lshand_u, slsh_u, null, null); 

	larm    = Lhand+Lunterarm+Loberarm;
	marm    = Mhand+Munterarm+Moberarm;
	slarm   = hohe  * (larm)       / 100.0;
	smarm   = masse * (marm)       / 100.0;
	slsarm  = (slunterarm+sloberarm) * Lsarm / 100.0;
	printf("10%c Arm =6+7+8|%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n",char_vertical, marm, smarm, larm, slarm, Lsarm, slsarm, null, null); 

	printf("--------------|--------------|--------------|----------------|------------------|\n");
 		
	slk_hals   = hohe     * Lk_hals  / 100.0;
	smk_hals   = masse    * Mk_hals  / 100.0;
	slsk_hals  = slk_hals * Lsk_hals / 100.0;
	srz        =  hohe    * Rk_hals  / 100.0;
	printf("11%c Kopf+Hals |%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n",char_vertical,  Mk_hals, smk_hals, Lk_hals, slk_hals, Lsk_hals, slsk_hals, Rk_hals, srz); 
		
	slschulter  = hohe        * Lschulter  / 100.0;
	slsschulter = slschulter  * Lsschulter / 100.0;
	printf("12%c Schulter  |%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n",char_vertical,  null, null, Lschulter, slschulter, Lsschulter, slsschulter, null, null); 

	lrumpf  = Lbrustkz+Lbauch+Lbeckenz;
	slrumpf = hohe  * (lrumpf) / 100.0;

	smbrustk   = masse      * Mbrustk   / 100.0;
	slbrustky  = hohe       * Lbrustky  / 100.0;
	slsbrustky = slbrustky  * Lsbrustky / 100.0;
	printf("13%c Brustk.   |%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n",char_horizontal,  Mbrustk, smbrustk, Lbrustky, slbrustky, Lsbrustky, slsbrustky, null, null); 

	slbrustkz  = hohe       * Lbrustkz  / 100.0;
	slsbrustkz = slrumpf  * Lsbrustkz / 100.0;
	printf("13%c Brustk.   |%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n",char_vertical,  Mbrustk, smbrustk, Lbrustkz, slbrustkz, Lsbrustkz, slsbrustkz, null, null); 
    
	smbauch  = masse    * Mbauch  / 100.0;
	slbauch  = hohe     * Lbauch  / 100.0;
	slsbauch = slrumpf  * Lsbauch / 100.0;
	printf("14%c Bauch     |%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n",char_vertical,  Mbauch, smbauch, Lbauch, slbauch, Lsbauch, slsbauch, null, null); 
    
	smbecken  = masse        * Mbecken   / 100.0;
	slbeckeny = hohe         * Lbeckeny  / 100.0;
	slsbeckeny = slbeckeny   * Lsbeckeny / 100.0;
	printf("15%c Becken    |%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n",char_horizontal, Mbecken, smbecken, Lbeckeny, slbeckeny, Lsbeckeny, slsbeckeny, null, null); 

	slbeckenz = hohe         * Lbeckenz  / 100.0;
	slsbeckenz = slrumpf     * Lsbeckenz / 100.0;
	printf("15%c Becken    |%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n",char_vertical,  Mbecken, smbecken, Lbeckenz, slbeckenz, Lsbeckenz, slsbeckenz, null, null); 
	
	mbrust_b   = Mbrustk+Mbauch;
	smbrust_b  = masse * (Mbrustk+Mbauch)  / 100.0;
	lbrust_b   = Lbrustkz+Lbauch;
	slbrust_b  = hohe  * (Lbrustkz+Lbauch) / 100.0;
	slsbrust_b = slrumpf     * Lsbrust_b   / 100.0;
	printf("16%c Brust+Bch.|%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n",char_vertical,  mbrust_b, smbrust_b, lbrust_b, slbrust_b, Lsbrust_b, slsbrust_b, null, null); 

	muntert    = Mbauch+Mbecken;
	smuntert   = masse    * (Mbauch+Mbecken) / 100.0;
	luntert    = Lbauch+Lbeckenz;
	sluntert   = hohe     * (Lbauch+Lbeckenz) / 100.0;
	slsuntert  = slrumpf  * Lsuntert / 100.0;
	printf("17%c Bauch+Beck|%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n",char_vertical,  muntert, smuntert, luntert, sluntert, Lsuntert, slsuntert, null, null); 

	mrumpf    = Mbrustk+Mbauch+Mbecken;
	smrumpf   = masse    * (mrumpf)  / 100.0;
	slsrumpf  = slrumpf  * Lsrumpf   / 100.0;
	srz       =  hohe    * Rrumpf / 100.0;
	printf("18%c Rumpf =   |\n",char_vertical ); 
	printf("      13+14+15|%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n", mrumpf, smrumpf, lrumpf, slrumpf, Lsrumpf, slsrumpf, Rrumpf, srz); 

	mstamm   = mrumpf+Mk_hals;
	smstamm  = masse * (mrumpf+Mk_hals)  / 100.0;
	lstamm   = lrumpf+Lk_hals;
	slstamm  = hohe  * (lrumpf+Lk_hals)  / 100.0;
	slsstamm  = slrumpf  * Lsstamm       / 100.0;
	srz      =  hohe     * Rstamm / 100.0;
	printf("19%c Stamm =   |\n",char_vertical); 
	printf("         11+18|%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n", mstamm, smstamm, lstamm, slstamm, Lsstamm, slsstamm, Rstamm, srz); 

	printf("--------------|--------------|--------------|----------------|------------------|\n");
	
	mhat1   = 2*marm + mrumpf + Mk_hals;
	smhat1  = masse * (2*marm + mrumpf + Mk_hals) / 100.0;
	slhat1  = hohe  * lrumpf     / 100.0;
	slshat1 = slrumpf  * Lshat1  / 100.0;
	srz     =  hohe    * Rhat1 / 100.0;
	printf("20%c HAT 1 =   |\n",char_vertical); 
	printf("    19+(2*10) |%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n", mhat1, smhat1, lrumpf, slhat1, Lshat1, slshat1, Rhat1, srz); 
    
	slhat2  = hohe  * Lhat2 / 100.0;
	smhat2  = masse * (2*marm+mrumpf+Mk_hals) / 100.0;
	slshat2 = slhat2  * Lshat2  / 100.0;
	srz     =  hohe   * Rhat2 / 100.0;
	printf("21%c HAT 2 =   |\n",char_vertical); 
	printf("    19+(2*10) |%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n", mhat1, smhat1, Lhat2, slhat2, Lshat2, slshat2, Rhat2, srz); 

	printf("--------------|--------------|--------------|----------------|------------------|\n");
	
	lges    = lbein + lrumpf + Lk_hals_ges;
	mges    = 2*mbein + mrumpf + Mk_hals + 2*marm;
	slges  = hohe  * (lges) / 100.0;
	smges  = masse * (mges) / 100.0;
	slsges = 0.0;
	printf("22%c Gesamt    |%6.2f %7.3f|%6.2f  %5.3f |%6.2f   %6.4f |%5.2f     %6.4f  |\n",char_vertical, mges, smges, lges, slges, Lsges, slsges, null, null); 
	printf("--------------------------------------------------------------------------------+\n\n");

	getchar();

	printf("--------------------------------------------------------------------------------+\n");
	printf("   Tabelle 2 fr Massentrgheitsmomente in [kgm^2] im globlaen Koordinatensystem \n");	
	printf("--------------------------------------------------------------------------------+\n");
	printf("Nr. Segment   | iSi_   iSi[m]| ISxx=%c%c  IS%c%ci   | IS%c%c-zyl| iPi_  iPi[m]| IP%c%ci |\n",char_horizontal,char_horizontal,char_vertical,char_vertical,char_horizontal,char_horizontal,char_horizontal,char_horizontal);
	printf("--------------|--------------|------------------|---------|-------------|-------|\n");

	
	sis     =  slfussx * Isfussy / 100.0;
	isy     =  smfuss * sis * sis;
	srz     =  hohe * Rfussz/ 100.0;
	isxzyl  =  smfuss * srz * srz / 2.0;
	iszzyl  =  smfuss * (srz * srz + slfussx * slfussx /3.0) / 4.0;
	iszzyl1 =  iszzyl;
 	slsx    =  slfussx * Lsfussx / 100.0;
	slsz    =  slfussz * Lsfussz / 100.0;
	ipy     =  isy    + smfuss * (slsx * slsx + slsz * slsz);
	sip     =  sqrt (ipy / smfuss);
	ip      =  sip / slfussx * 100.0;
	printf("1  Fu-x      |%6.2f  %6.4f| %7.5f  %7.5f | %7.5f |%6.2f %6.4f|%7.5f|\n", Isfussy, sis, isy, iszzyl, iszzyl, ip, sip, ipy); 

	sls    =  sluntersch * Lsuntersch / 100.0;
	sis    =  sluntersch * Isuntersch / 100.0;
	sip    =  sqrt(sls * sls + sis * sis);
	srz    =  hohe * Runtersch / 100.0;
	isy    =  smuntersch * sis * sis;
	ip     = sqrt(Isuntersch*Isuntersch + Lsuntersch*Lsuntersch);
	ipy    =  smuntersch * sip * sip;
	isyzyl =  smuntersch * (srz * srz + sluntersch * sluntersch /3.0) / 4.0;
	iszzyl =  smuntersch * srz * srz / 2.0;
	iszzyl2 =  iszzyl;
	printf("2  Untersch   |%6.2f  %6.4f| %7.5f  %7.5f | %7.5f |%6.2f %6.4f|%7.5f|\n", Isuntersch, sis, isy, iszzyl, isyzyl, ip, sip, ipy); 

	sls    =  slobersch * Lsobersch / 100.0;
	sis    =  slobersch * Isobersch / 100.0;
	sip    =  sqrt(sls * sls + sis * sis);
	srz    =  hohe * Robersch / 100.0;
	isy    =  smobersch * sis * sis;
	ip = sqrt(Isobersch*Isobersch + Lsobersch*Lsobersch);
	ipy    =  smobersch * sip * sip;
	isyzyl =  smobersch * (srz * srz + slobersch * slobersch /3.0) / 4.0;
	iszzyl =  smobersch * srz * srz / 2.0;
	iszzyl3 =  iszzyl;
	printf("3  Obersch    |%6.2f  %6.4f| %7.5f  %7.5f | %7.5f |%6.2f %6.4f|%7.5f|\n", Isobersch, sis, isy, iszzyl, isyzyl, ip, sip, ipy); 
		
	sls    =  sluntersch * Lsfuss_u / 100.0;
	sis    =  sluntersch * Isfuss_u / 100.0;
	sip    =  sqrt(sls * sls + sis * sis);
	srz    =  0.0;
	isy    =  smf_u * sis * sis;
	ipy    =  smf_u * sip * sip;
	isyzyl =  smf_u * (srz * srz + slf_u * slf_u /3.0) / 4.0;
	iszzyl =  iszzyl1 +  iszzyl2;
	ip = sqrt(Isfuss_u*Isfuss_u + Lsfuss_u*Lsfuss_u);
	printf("4  Fu+U.Sch  |%6.2f  %6.4f| %7.5f  %7.5f | %7.5f |%6.2f %6.4f|%7.5f|\n", Isfuss_u, sis, isy, iszzyl, isyzyl, ip, sip, ipy); 

	sls    =  (sluntersch+slobersch) * Lsbein / 100.0;
	sis    =  (sluntersch+slobersch) * Isbein / 100.0;
	sip    =  sqrt(sls * sls + sis * sis);
	srz    =  0.0;
	isy    =  smbein * sis * sis;
	ipy    =  smbein * sip * sip;
	isyzyl =  smbein * (srz * srz + slbein * slbein /3.0) / 4.0;
	iszzyl =  iszzyl1 +  iszzyl2 + iszzyl3;
	ip = sqrt(Isbein*Isbein + Lsbein*Lsbein);
	printf("5  Bein=1+2+3 |%6.2f  %6.4f| %7.5f  %7.5f | %7.5f |%6.2f %6.4f|%7.5f|\n", Isbein, sis, isy, iszzyl, isyzyl, ip, sip, ipy); 

	printf("--------------|--------------|------------------|---------|-------------|-------|\n");

	sls    =  slhand * Lshand / 100.0;
	sis    =  slhand * Ishand / 100.0;
	sip    =  sqrt(sls * sls + sis * sis);
	srz    =  hohe * Rhand / 100.0;
	isy    =  smhand * sis * sis;
	ipy    =  smhand * sip * sip;
	isyzyl =  smhand * (srz * srz + slhand * slhand /3.0) / 4.0;
	iszzyl =  smhand * srz * srz / 2.0;
	iszzyl1 =  iszzyl;
	ip = sqrt(Ishand*Ishand + Lshand*Lshand);
	printf("6  Hand       |%6.2f  %6.4f| %7.5f  %7.5f | %7.5f |%6.2f %6.4f|%7.5f|\n", Ishand, sis, isy, iszzyl, isyzyl, ip, sip, ipy); 
	
	sls    =  slunterarm * Lsunterarm / 100.0;
	sis    =  slunterarm * Isunterarm / 100.0;
	sip    =  sqrt(sls * sls + sis * sis);
	srz    =  hohe * Runterarm / 100.0;
	isy    =  smunterarm * sis * sis;
	ipy    =  smunterarm * sip * sip;
	isyzyl =  smunterarm * (srz * srz + slunterarm * slunterarm /3.0) / 4.0;
	iszzyl =  smunterarm * srz * srz / 2.0;
	iszzyl2 =  iszzyl;
	ip = sqrt(Isunterarm*Isunterarm + Lsunterarm*Lsunterarm);
	printf("7  Unterarm   |%6.2f  %6.4f| %7.5f  %7.5f | %7.5f |%6.2f %6.4f|%7.5f|\n", Isunterarm, sis, isy, iszzyl, isyzyl, ip, sip, ipy); 
	
	sls    =  sloberarm * Lsoberarm / 100.0;
	sis    =  sloberarm * Isoberarm / 100.0;
	sip    =  sqrt(sls * sls + sis * sis);
	srz    =  hohe * Roberarm / 100.0;
	isy    =  smoberarm * sis * sis;
	ipy    =  smoberarm * sip * sip;
	isyzyl =  smoberarm * (srz * srz + sloberarm * sloberarm /3.0) / 4.0;
	iszzyl =  smoberarm * srz * srz / 2.0;
	iszzyl3 =  iszzyl;
	ip = sqrt(Isoberarm*Isoberarm + Lsoberarm*Lsoberarm);
	printf("8  Oberarm    |%6.2f  %6.4f| %7.5f  %7.5f | %7.5f |%6.2f %6.4f|%7.5f|\n", Isoberarm, sis, isy, iszzyl, isyzyl, ip, sip, ipy); 
	
	sls    =  slunterarm * Lshand_u / 100.0;
	sis    =  slunterarm * Ishand_u / 100.0;
	sip    =  sqrt(sls * sls + sis * sis);
	srz    =  0.0;
	isy    =  smh_u * sis * sis;
	ipy    =  smh_u * sip * sip;
	isyzyl =  smh_u * (srz * srz + slf_u * slf_u /3.0) / 4.0;
	iszzyl =  smh_u * srz * srz / 2.0;
	iszzyl =  iszzyl1 +  iszzyl2;
	ip = sqrt(Ishand_u*Ishand_u + Lshand_u*Lshand_u);
	printf("9  Hand+U.Arm |%6.2f  %6.4f| %7.5f  %7.5f | %7.5f |%6.2f %6.4f|%7.5f|\n", Ishand_u, sis, isy, iszzyl, isyzyl, ip, sip, ipy); 

	sls    =  (slunterarm+sloberarm) * Lsarm / 100.0;
	sis    =  (slunterarm+sloberarm) * Isarm / 100.0;
	sip    =  sqrt(sls * sls + sis * sis);
	srz    =  0.0;
	isy    =  smarm * sis * sis;
	ipy    =  smarm * sip * sip;
	isyzyl =  smarm * (srz * srz + slarm * slarm /3.0) / 4.0;
	iszzyl =  smarm * srz * srz / 2.0;
	iszzyl =  iszzyl1 +  iszzyl2 + iszzyl3;
	ip = sqrt(Isarm*Isarm + Lsarm*Lsarm);
	printf("10 Arm=6+7+8  |%6.2f  %6.4f| %7.5f  %7.5f | %7.5f |%6.2f %6.4f|%7.5f|\n", Isarm, sis, isy, iszzyl, isyzyl, ip, sip, ipy); 

	printf("--------------|--------------|------------------|---------|-------------|-------|\n");

	sls    =  slk_hals * Lsk_hals / 100.0;
	sis    =  slk_hals * Isk_hals / 100.0;
	sip    =  sqrt(sls * sls + sis * sis);
	srz    =  hohe * Rk_hals / 100.0;
	isy    =  smk_hals * sis * sis;
	ipy    =  smk_hals * sip * sip;
	isyzyl =  smk_hals * (srz * srz + slk_hals * slk_hals /3.0) / 2.0;
	iszzyl =  smk_hals * srz * srz / 2.0;
	iszzyl1 =  iszzyl;
	ip = sqrt(Isk_hals*Isk_hals + Lsk_hals*Lsk_hals);
	printf("11 Kopf+Hals  |%6.2f  %6.4f| %7.5f  %7.5f | %7.5f |%6.2f %6.4f|%7.5f|\n", Isk_hals, sis, isy, iszzyl, isyzyl, ip, sip, ipy); 
	
	sls    =  slrumpf * Lsrumpf / 100.0;
	sis    =  slrumpf * Isrumpf / 100.0;
	sip    =  sqrt(sls * sls + sis * sis);
	srz    =  hohe * Rrumpf / 100.0;
	isy    =  smrumpf * sis * sis;
	ipy    =  smrumpf * sip * sip;
	isyzyl =  smrumpf * (srz * srz + slrumpf * slrumpf /3.0) / 2.0;
	iszzyl =  smrumpf * srz * srz / 2.0;
	iszzyl2=  iszzyl;
	ip     =  sqrt(Isrumpf*Isrumpf + Lsrumpf*Lsrumpf);
	printf("18 Rumpf      |%6.2f  %6.4f| %7.5f  %7.5f | %7.5f |%6.2f %6.4f|%7.5f|\n", Isrumpf, sis, isy, iszzyl, isyzyl, ip, sip, ipy); 
	
	sls    =  slrumpf * Lsstamm / 100.0;
	sis    =  slrumpf * Isstamm / 100.0;
	sip    =  sqrt(sls * sls + sis * sis);
	srz    =  hohe * Rstamm / 100.0;
	isy    =  smstamm * sis * sis;
	ipy    =  smstamm * sip * sip;
	isyzyl =  smstamm * (srz * srz + slrumpf * slrumpf /3.0) / 2.0;
	iszzyl =  iszzyl1 +  iszzyl2;
	ip = sqrt(Isstamm*Isstamm + Lsstamm*Lsstamm);
	printf("19 Stamm      |%6.2f  %6.4f| %7.5f  %7.5f | %7.5f |%6.2f %6.4f|%7.5f|\n", Isstamm, sis, isy, iszzyl, isyzyl, ip, sip, ipy); 

	printf("--------------|--------------|------------------|---------|-------------|-------|\n");

	
	sls    =  slrumpf * Lshat1 / 100.0;
	sis    =  slrumpf * Ishat1 / 100.0;
	sip    =  sqrt(sls * sls + sis * sis);
	srz    =  hohe * Rhat1 / 100.0;
	isy    =  smhat1 * sis * sis;
	ipy    =  smhat1 * sip * sip;
	isyzyl =  smhat1 * (srz * srz + slrumpf * slrumpf /3.0) / 2.0;
	iszzyl =  iszzyl1 +  iszzyl2;
	ip = sqrt(Ishat1*Ishat1 + Lshat1*Lshat1);
	printf("20 HAT 1      |%6.2f  %6.4f| %7.5f  %7.5f | %7.5f |%6.2f %6.4f|%7.5f|\n", Ishat1, sis, isy, iszzyl, isyzyl, ip, sip, ipy); 
	
	sls    =  slhat2 * Lshat2 / 100.0;
	sis    =  slhat2 * Ishat2 / 100.0;
	sip    =  sqrt(sls * sls + sis * sis);
	srz    =  hohe * Rhat2 / 100.0;
	isy    =  smhat2 * sis * sis;
	ipy    =  smhat2 * sip * sip;
	isyzyl =  smhat2 * (srz * srz + slrumpf * slrumpf /3.0) / 2.0;
	iszzyl =  iszzyl1 +  iszzyl2;
	ip = sqrt(Ishat2*Ishat2 + Lshat2*Lshat2);
	printf("21 HAT 2      |%6.2f  %6.4f| %7.5f  %7.5f | %7.5f |%6.2f %6.4f|%7.5f|\n", Ishat2, sis, isy, iszzyl, isyzyl, ip, sip, ipy); 



}