(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 4.2'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     23426,        571]*)
(*NotebookOutlinePosition[     24494,        604]*)
(*  CellTagsIndexPosition[     24450,        600]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["\<\
Aufgabe 5.10: Bestimme den Gelenkwinkel gamma43 nach Bild 5.10, S. \
5-7\
\>", "Section"],

Cell[CellGroupData[{

Cell["1. Positionen der Pkte 3,4,5, L\[ADoubleDot]ngen lu und lo", \
"Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(r3\  = \ {0.47, \ 0.81}*30.86\)], "Input"],

Cell[BoxData[
    \({14.504199999999999`, 24.9966`}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(r4\  = \ {\(-0.39\), \ 1.85}*30.86\)], "Input"],

Cell[BoxData[
    \({\(-12.035400000000001`\), 57.091`}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(r5\  = \ {0.52\ , 3.19}*30.86\)], "Input"],

Cell[BoxData[
    \({16.0472`, 98.4434`}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(lu = 
      Sqrt[\((r4[\([1]\)] - r3[\([1]\)])\)^2 + \((r4[\([2]\)] - 
                r3[\([2]\)])\)^2]\)], "Input"],

Cell[BoxData[
    \(41.64613883086882`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(lo = 
      Sqrt[\((r5[\([1]\)] - r4[\([1]\)])\)^2 + \((r5[\([2]\)] - 
                r4[\([2]\)])\)^2]\)], "Input"],

Cell[BoxData[
    \(49.98653227140286`\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["2. Winkel gamma3", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[Gamma]3 = 
      ArcSin[\((r4[\([2]\)] - r3[\([2]\)])\)/lu]/Degree\)], "Input"],

Cell[BoxData[
    \(50.41186915231704`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[Gamma]3 = 
      ArcCos[\((r4[\([1]\)] - r3[\([1]\)])\)/lu]/Degree\)], "Input"],

Cell[BoxData[
    \(129.58813084768298`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[Gamma]3 = 
      ArcTan[\((r4[\([2]\)] - r3[\([2]\)])\)/\((r4[\([1]\)] - r3[\([1]\)])\)]/
        Degree\)], "Input"],

Cell[BoxData[
    \(\(-50.41186915231704`\)\)], "Output"]
}, Open  ]],

Cell["      ArcTan2: Loesung in allen Quadraten.", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[Gamma]3 = 
      ArcTan[\((r4[\([1]\)] - r3[\([1]\)])\), \((r4[\([2]\)] - 
              r3[\([2]\)])\)]/Degree\)], "Input"],

Cell[BoxData[
    \(129.58813084768298`\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["3. Winkel gamma4", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[Gamma]4 = 
      ArcSin[\((r5[\([2]\)] - r4[\([2]\)])\)/lo]/Degree\)], "Input"],

Cell[BoxData[
    \(55.81939840197876`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[Gamma]4 = 
      ArcCos[\((r5[\([1]\)] - r4[\([1]\)])\)/lo]/Degree\)], "Input"],

Cell[BoxData[
    \(55.819398401978766`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[Gamma]4 = 
      ArcTan[\((r5[\([2]\)] - r4[\([2]\)])\)/\((r5[\([1]\)] - r4[\([1]\)])\)]/
        Degree\)], "Input"],

Cell[BoxData[
    \(55.81939840197876`\)], "Output"]
}, Open  ]],

Cell["      ArcTan2: Loesung in allen Quadraten.", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[Gamma]4 = 
      ArcTan[\((r5[\([1]\)] - r4[\([1]\)])\), \((r5[\([2]\)] - 
              r4[\([2]\)])\)]/Degree\)], "Input"],

Cell[BoxData[
    \(55.819398401978766`\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["4. Kniewinkel", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[Gamma]43 = \[Gamma]4 - \[Gamma]3\)], "Input"],

Cell[BoxData[
    \(\(-73.76873244570422`\)\)], "Output"]
}, Open  ]],

Cell["Achte: positiver Winkel ist immer in +z-Richtung zu messen.", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Darstellung der Lage", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(a = 0.3;\)\), "\n", 
    \(\(Plo = 
        Graphics[{\[IndentingNewLine]Line[{{0, 0}, {30, 0}}], 
            Text[x, {30 + 10\ a, 
                0}], \[IndentingNewLine]Line[{{0, 0}, {0, 100}}], 
            Text[y, {0, 100 + 10\ a}], \[IndentingNewLine]RGBColor[0, 0, 
              1], \[IndentingNewLine]Circle[{r3[\([\)\(1\)\(]\)], 
                r3[\([\)\(2\)\(]\)]}, 
              a], \[IndentingNewLine]Circle[{r4[\([\)\(1\)\(]\)], 
                r4[\([\)\(2\)\(]\)]}, 
              a], \[IndentingNewLine]Circle[{r5[\([\)\(1\)\(]\)], 
                r5[\([\)\(2\)\(]\)]}, 
              a], \[IndentingNewLine]Line[{{r3[\([\)\(1\)\(]\)], 
                  r3[\([\)\(2\)\(]\)]}, {r4[\([\)\(1\)\(]\)], 
                  r4[\([\)\(2\)\(]\)]}, {r5[\([\)\(1\)\(]\)], 
                  r5[\([\)\(2\)\(]\)]}}], \[IndentingNewLine]Text[
              3, {r3[\([\)\(1\)\(]\)], 
                r3[\([\)\(2\)\(]\)] + 20\ a}], \[IndentingNewLine]Text[
              4, {r4[\([\)\(1\)\(]\)], 
                r4[\([\)\(2\)\(]\)] + 20\ a}], \[IndentingNewLine]Text[
              5, {r5[\([\)\(1\)\(]\)], 
                r5[\([\)\(2\)\(]\)] + 20\ a}]\[IndentingNewLine]}, 
          PlotRange \[Rule] {{\(-20\), 40}, {\(-10\), 110}}, 
          AspectRatio \[Rule] Automatic];\)\), "\n", 
    \(\(Show[Plo];\)\)}], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 2 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.333333 0.0166667 0.166667 0.0166667 [
[ 0 0 0 0 ]
[ 1 2 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 2 L
0 2 L
closepath
clip
newpath
0 g
.5 Mabswid
[ ] 0 setdash
.33333 .16667 m
.83333 .16667 L
s
gsave
.88333 .16667 -66 -10 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
1.000 setlinewidth
grestore
.33333 .16667 m
.33333 1.83333 L
s
gsave
.33333 1.88333 -66 -10 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(y) show
1.000 setlinewidth
grestore
0 0 1 r
newpath
.57507 .58328 .005 0 365.73 arc
s
newpath
.13274 1.11818 .005 0 365.73 arc
s
newpath
.60079 1.80739 .005 0 365.73 arc
s
.57507 .58328 m
.13274 1.11818 L
.60079 1.80739 L
s
[(3)] .57507 .68328 0 0 Mshowa
[(4)] .13274 1.21818 0 0 Mshowa
[(5)] .60079 1.90739 0 0 Mshowa
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{224, 448},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003P0001`1000`40O003h00Oh7oo003POol00>1o
o`00h7oo003POol00>1oo`00h7oo003POol00>1oo`00h7oo003POol00>1oo`00h7oo003POol00>1o
o`00h7oo003POol00>1oo`00h7oo003POol00>1oo`00h7oo003POol00>1oo`00h7oo003POol00>1o
o`00h7oo003POol00>1oo`00h7oo003POol00>1oo`00h7oo003POol00>1oo`00`Goo0P0000=oo`00
00006Woo0032Ool00`00Ool0000KOol004Yoog0000Uoo`03001oogoo01Yoo`00BWoo00<007ooOol0
MGoo00<007oo00006goo001:Ool00`00Oomoo`1dOol200000goo0000000JOol004Yoo`03001oogoo
09=oo`00BWoo00<007ooOol0Tgoo001:Ool00`00Oomoo`2COol004Yoo`03001oogoo09=oo`00BWoo
00<007ooOol0Tgoo001:Ool00`00Oomoo`2COol004Yoo`03001oogoo09=oo`00BWoo00<007ooOol0
Tgoo001:Ool00`00Oomoo`2COol004Yoo`03001oogoo09=oo`00BWoo00<007ooOol0Tgoo001:Ool0
0`00Oomoo`2COol004Yoo`03001oogoo09=oo`00BWoo00<007ooOol0Tgoo001:Ool00`00Oomoo`2C
Ool004Yoo`03001oogoo09=oo`00BWoo00<007ooOol0Tgoo001:Ool00`00Oomoo`2COol004Yoo`03
001oogoo09=oo`00BWoo00<007ooOol0Tgoo001:Ool00`00Oomoo`2COol004Yoo`03001oogoo09=o
o`00BWoo00<007ooOol0Tgoo001:Ool00`00Oomoo`2COol004Yoo`03001oogoo09=oo`00BWoo00<0
07ooOol0Tgoo001:Ool00`00Oomoo`2COol004Yoo`03001oogoo09=oo`00BWoo00<007ooOol0Tgoo
001:Ool00`00Oomoo`2COol004Yoo`03001oogoo09=oo`00BWoo00<007ooOol0Tgoo001:Ool00`00
Oomoo`2COol004Yoo`03001oogoo09=oo`00BWoo00<007ooOol0Tgoo001:Ool00`00Oomoo`2COol0
04Yoo`03001oogoo09=oo`00BWoo00<007ooOol0Tgoo001:Ool00`00Oomoo`2COol004Yoo`03001o
ogoo09=oo`00BWoo00<007ooOol0Tgoo001:Ool00`00Oomoo`2COol004Yoo`03001oogoo09=oo`00
BWoo00<007ooOol0Tgoo001:Ool00`00Oomoo`2COol004Yoo`03001oogoo09=oo`00BWoo00<007oo
Ool0Tgoo001:Ool00`00Oomoo`2COol004Yoo`03001oogoo09=oo`00BWoo00<007ooOol0Tgoo001:
Ool00`00Oomoo`2COol004Yoo`03001oogoo09=oo`00BWoo00<007ooOol0Tgoo001:Ool00`00Oomo
o`2COol004Yoo`03001oogoo09=oo`00BWoo00<007ooOol0Tgoo001:Ool00`00Oomoo`2COol004Yo
o`03001oogoo09=oo`00BWoo00<007ooOol0Tgoo001:Ool00`00Oomoo`2COol004Yoo`03001oogoo
09=oo`00BWoo00<007ooOol0Tgoo001:Ool00`00Oomoo`2COol004Yoo`03001oogoo09=oo`00BWoo
00<007ooOol0Tgoo001:Ool00`00Oomoo`2COol004Yoo`03001oogoo09=oo`00BWoo00<007ooOol0
Tgoo001:Ool00`00Oomoo`2COol004Yoo`03001oogoo09=oo`00BWoo00<007ooOol0Tgoo001:Ool0
0`00Oomoo`2COol004Yoo`03001oogoo09=oo`00BWoo00<007ooOol0Tgoo001:Ool00`00Oomoo`2C
Ool004Yoo`03001oogoo09=oo`00BWoo00<007ooOol0Tgoo001:Ool00`00Oomoo`2COol004Yoo`03
001oogoo09=oo`00BWoo00<007ooOol0Tgoo001:Ool00`00Oomoo`2COol004Yoo`03001oogoo09=o
o`00BWoo00<007ooOol0Tgoo001:Ool00`00Oomoo`2COol004Yoo`03001oogoo09=oo`00BWoo00<0
07ooOol0Tgoo001:Ool00`00Oomoo`2COol004Yoo`03001oogoo09=oo`00BWoo00<007ooOol0Tgoo
001:Ool00`00Oomoo`0bOol301mNOol004Yoo`03001oogoo039oo`<07eioo`00BWoo00<007ooOol0
<Woo0`0OGWoo001:Ool00`00Oomoo`0bOol00`0OOomoo`1NOol004Yoo`03001oogoo035oo`0301mo
ogoo05moo`00BWoo00<007ooOol0<7oo00<07gooOol0H7oo001:Ool00`00Oomoo`0_Ool00`0OOomo
o`1QOol004Yoo`03001oogoo02ioo`0301moogoo069oo`00BWoo00<007ooOol0;Woo00<07gooOol0
HWoo001:Ool00`00Oomoo`0]Ool00`0OOomoo`1SOol004Yoo`03001oogoo02aoo`0301moogoo06Ao
o`00BWoo00<007ooOol0:goo00<07gooOol0IGoo001:Ool00`00Oomoo`0ZOol00`0OOomoo`1VOol0
04Yoo`03001oogoo02Uoo`0301moogoo06Moo`00BWoo00<007ooOol0:Goo00<07gooOol0Igoo001:
Ool00`00Oomoo`0XOol00`0OOomoo`1XOol004Yoo`03001oogoo02Moo`0301moogoo06Uoo`00BWoo
00<007ooOol09Woo00<07gooOol0JWoo001:Ool00`00Oomoo`0UOol00`0OOomoo`1[Ool004Yoo`03
001oogoo02Aoo`0301moogoo06aoo`00BWoo00<007ooOol097oo00<07gooOol0K7oo001:Ool00`00
Oomoo`0SOol00`0OOomoo`0;Ool301mOOol004Yoo`03001oogoo029oo`0301moogoo00]oo`0501mo
ogooOol07`1NOol004Yoo`03001oogoo025oo`0301moogoo011oo`0301moogoo05aoo`00BWoo00<0
07ooOol087oo00<07gooOol03goo0P0OGgoo001:Ool00`00Oomoo`0OOol00`0OOomoo`0BOol00`0O
Oomoo`1LOol004Yoo`03001oogoo01moo`0301moogoo00ioo`0501moogooOol07`1NOol004Yoo`03
001oogoo01ioo`0301moogoo011oo`<07emoo`00BWoo00<007ooOol07Goo00<07gooOol0Lgoo001:
Ool00`00Oomoo`0LOol00`0OOomoo`1dOol004Yoo`03001oogoo01]oo`0301moogoo07Eoo`00BWoo
00<007ooOol06Woo00<07gooOol0MWoo001:Ool00`00Oomoo`0JOol00`0OOomoo`1fOol004Yoo`03
001oogoo01Uoo`0301moogoo07Moo`00BWoo00<007ooOol067oo00<07gooOol0N7oo001:Ool00`00
Oomoo`0GOol00`0OOomoo`1iOol004Yoo`03001oogoo01Ioo`0301moogoo07Yoo`00BWoo00<007oo
Ool05Goo00<07gooOol0Ngoo001:Ool00`00Oomoo`0EOol00`0OOomoo`1kOol004Yoo`03001oogoo
01Aoo`0301moogoo07aoo`00BWoo00<007ooOol04goo00<07gooOol0OGoo001:Ool00`00Oomoo`0B
Ool00`0OOomoo`1nOol004Yoo`03001oogoo015oo`0301moogoo07moo`00BWoo00<007ooOol047oo
00<07gooOol0P7oo001:Ool00`00Oomoo`0@Ool00`0OOomoo`20Ool004Yoo`03001oogoo00moo`03
01moogoo085oo`00BWoo00<007ooOol03Woo00<07gooOol0PWoo001:Ool00`00Oomoo`0=Ool00`0O
Oomoo`23Ool004Yoo`03001oogoo00aoo`0301moogoo08Aoo`00BWoo00<007ooOol02goo00<07goo
Ool0QGoo001:Ool00`00Oomoo`0;Ool00`0OOomoo`25Ool004Yoo`03001oogoo00Yoo`0301moogoo
08Ioo`00BWoo00<007ooOol02Goo00<07gooOol0Qgoo001:Ool00`00Oomoo`08Ool00`0OOomoo`28
Ool004Yoo`03001oogoo00Moo`0301moogoo08Uoo`00BWoo00<007ooOol01Woo00<07gooOol0RWoo
001:Ool00`00Oomoo`06Ool00`0OOomoo`2:Ool004Yoo`03001oogoo00Eoo`0301moogoo08]oo`00
BWoo00<007ooOol017oo00<07gooOol0S7oo001:Ool00`00Oomoo`03Ool00`0OOomoo`2=Ool004Yo
o`03001oogoo009oo`0301moogoo08ioo`00BWoo00D007ooOomoo`0O095oo`00BWoo00D007ooOomo
o`0O095oo`00BWoo00@007ooOol07i9oo`00BWoo00<007oo01l0Tgoo001:Ool00`0001moo`2COol0
04Yoo`0301moogoo09=oo`00BWoo00<07gooOol0Tgoo0019Ool00`0O001oo`2DOol004Qoo`0301mo
o`0009Eoo`00Agoo00@07gooOol009Eoo`00AWoo00D07gooOomoo`0009Eoo`00AGoo00<07gooOol0
0Woo00<007ooOol0Tgoo0015Ool00`0OOomoo`02Ool00`00Oomoo`2COol004Aoo`0301moogoo00=o
o`03001oogoo09=oo`00@goo00<07gooOol017oo00<007ooOol0Tgoo0012Ool00`0OOomoo`05Ool0
0`00Oomoo`2COol0045oo`0301moogoo00Ioo`03001oogoo09=oo`00@7oo00<07gooOol01goo00<0
07ooOol0Tgoo0010Ool00`0OOomoo`07Ool00`00Oomoo`2COol003moo`0301moogoo00Qoo`03001o
ogoo09=oo`00?Woo00<07gooOol02Goo00<007ooOol0Tgoo000mOol00`0OOomoo`0:Ool00`00Oomo
o`2COol003aoo`0301moogoo00]oo`03001oogoo09=oo`00>goo00<07gooOol037oo00<007ooOol0
Tgoo000kOol00`0OOomoo`0<Ool00`00Oomoo`2COol003Yoo`0301moogoo00eoo`03001oogoo09=o
o`00>Goo00<07gooOol03Woo00<007ooOol0Tgoo000hOol00`0OOomoo`0?Ool00`00Oomoo`2COol0
03Moo`0301moogoo011oo`03001oogoo09=oo`00=Woo00<07gooOol04Goo00<007ooOol0Tgoo000f
Ool00`0OOomoo`0AOol00`00Oomoo`2COol003Eoo`0301moogoo019oo`03001oogoo09=oo`00=7oo
00<07gooOol04goo00<007ooOol0Tgoo000cOol00`0OOomoo`0DOol00`00Oomoo`2COol0039oo`03
01moogoo01Eoo`03001oogoo09=oo`00<Goo00<07gooOol05Woo00<007ooOol0Tgoo000aOol00`0O
Oomoo`0FOol00`00Oomoo`2COol0031oo`0301moogoo01Moo`03001oogoo09=oo`00;goo00<07goo
Ool067oo00<007ooOol0Tgoo000^Ool00`0OOomoo`0IOol00`00Oomoo`2COol002eoo`0301moogoo
01Yoo`03001oogoo09=oo`00;7oo00<07gooOol06goo00<007ooOol0Tgoo000/Ool00`0OOomoo`0K
Ool00`00Oomoo`2COol002]oo`0301moogoo01aoo`03001oogoo09=oo`00:Woo00<07gooOol07Goo
00<007ooOol0Tgoo000YOol00`0OOomoo`0NOol00`00Oomoo`2COol002Qoo`0301moogoo01moo`03
001oogoo09=oo`009goo00<07gooOol087oo00<007ooOol0Tgoo000WOol00`0OOomoo`0POol00`00
Oomoo`2COol002Ioo`0301moogoo025oo`03001oogoo09=oo`009Goo00<07gooOol08Woo00<007oo
Ool0Tgoo000TOol00`0OOomoo`0SOol00`00Oomoo`2COol002=oo`0301moogoo02Aoo`03001oogoo
09=oo`008Woo00<07gooOol09Goo00<007ooOol0Tgoo000ROol00`0OOomoo`0UOol00`00Oomoo`2C
Ool0025oo`0301moogoo02Ioo`03001oogoo09=oo`0087oo00<07gooOol09goo00<007ooOol0Tgoo
000OOol00`0OOomoo`0XOol00`00Oomoo`2COol001eoo`807b]oo`03001oogoo09=oo`0077oo0`0O
:goo00<007ooOol0Tgoo000LOol301l[Ool00`00Oomoo`2COol001ioo`0301moogoo02Uoo`03001o
ogoo09=oo`007goo00<07gooOol0:7oo00<007ooOol0Tgoo000OOol00`0OOomoo`0XOol00`00Oomo
o`2COol0021oo`0301moogoo02Moo`03001oogoo09=oo`008Goo00<07gooOol09Woo00<007ooOol0
Tgoo000QOol00`0OOomoo`0VOol00`00Oomoo`2COol0029oo`0301moogoo02Eoo`03001oogoo09=o
o`008goo00<07gooOol097oo00<007ooOol0Tgoo000SOol00`0OOomoo`0TOol00`00Oomoo`2COol0
02Aoo`0301moogoo02=oo`03001oogoo09=oo`009Goo00<07gooOol08Woo00<007ooOol0Tgoo000U
Ool00`0OOomoo`0ROol00`00Oomoo`2COol002Ioo`0301moogoo025oo`03001oogoo09=oo`009goo
00<07gooOol087oo00<007ooOol0Tgoo000WOol00`0OOomoo`0POol00`00Oomoo`2COol002Qoo`03
01moogoo01moo`03001oogoo09=oo`00:Goo00<07gooOol07Woo00<007ooOol0Tgoo000YOol00`0O
Oomoo`0NOol00`00Oomoo`2COol001aoo`<07`]oo`0301moogoo01eoo`03001oogoo09=oo`007Goo
00<07gooOol02goo00<07gooOol077oo00<007ooOol0Tgoo000JOol501l=Ool00`0OOomoo`0KOol0
0`00Oomoo`2COol001Yoo`0401moogoo01l>Ool00`0OOomoo`0KOol00`00Oomoo`2COol001]oo`03
01moo`0O00moo`0301moogoo01Yoo`03001oogoo09=oo`0077oo0P0O47oo00<07gooOol06Goo00<0
07ooOol0Tgoo000MOol00`0OOomoo`0>Ool00`0OOomoo`0IOol00`00Oomoo`2COol002moo`0301mo
ogoo01Qoo`03001oogoo09=oo`00<7oo00<07gooOol05goo00<007ooOol0Tgoo000`Ool00`0OOomo
o`0GOol00`00Oomoo`2COol0035oo`0301moogoo01Ioo`03001oogoo09=oo`00<Woo00<07gooOol0
5Goo00<007ooOol0Tgoo000bOol00`0OOomoo`0EOol00`00Oomoo`2COol003=oo`0301moogoo01Ao
o`03001oogoo09=oo`00=7oo00<07gooOol04goo00<007ooOol0Tgoo000dOol00`0OOomoo`0COol0
0`00Oomoo`2COol003Eoo`0301moogoo019oo`03001oogoo09=oo`00=Woo00<07gooOol04Goo00<0
07ooOol0Tgoo000fOol00`0OOomoo`0AOol00`00Oomoo`2COol003Moo`0301moogoo011oo`03001o
ogoo09=oo`00>7oo00<07gooOol03goo00<007ooOol0Tgoo000hOol00`0OOomoo`0?Ool00`00Oomo
o`2COol003Uoo`0301moogoo00ioo`03001oogoo09=oo`00>Woo00<07gooOol03Goo00<007ooOol0
Tgoo000jOol00`0OOomoo`0=Ool00`00Oomoo`2COol003]oo`0301moogoo00aoo`03001oogoo09=o
o`00?7oo00<07gooOol02goo00<007ooOol0Tgoo000lOol00`0OOomoo`0;Ool00`00Oomoo`2COol0
03eoo`0301moogoo00Yoo`03001oogoo09=oo`00?Woo00<07gooOol02Goo00<007ooOol0Tgoo000n
Ool00`0OOomoo`09Ool00`00Oomoo`2COol003moo`0301moogoo00Qoo`03001oogoo09=oo`00@7oo
00<07gooOol01goo00<007ooOol0Tgoo0010Ool00`0OOomoo`07Ool00`00Oomoo`2COol0045oo`03
01moogoo00Ioo`03001oogoo09=oo`00@Woo00<07gooOol01Goo00<007ooOol0Tgoo0012Ool00`0O
Oomoo`05Ool00`00Oomoo`2COol004=oo`0301moogoo00Aoo`03001oogoo09=oo`00A7oo00<07goo
Ool00goo00<007ooOol0Tgoo0015Ool00`0OOomoo`02Ool00`00Oomoo`2COol004Eoo`0301moogoo
009oo`03001oogoo09=oo`00AWoo00D07gooOomoo`0009Eoo`00Agoo00@07gooOol009Eoo`00Agoo
00@07gooOol009Eoo`00B7oo00<07goo0000UGoo0019Ool00`0O001oo`2DOol004Uoo`0301l007oo
09Aoo`00BWoo00<07gooOol0Tgoo001:Ool00`0001moo`2COol004Yoo`0300007goo09=oo`00BWoo
00<007oo01l0Tgoo001:Ool01000Oomoo`0OTWoo001:Ool01000Oomoo`0OTWoo001:Ool01@00Oomo
ogoo01l0TGoo001:Ool00`00Oomoo`02Ool00`0OOomoo`2>Ool004Yoo`03001oogoo009oo`0301mo
ogoo08ioo`00BWoo00<007ooOol00goo00<07gooOol0SGoo001:Ool00`00Oomoo`04Ool00`0OOomo
o`2<Ool004Yoo`03001oogoo00Aoo`0301moogoo08aoo`00BWoo00<007ooOol01Goo00<07gooOol0
Rgoo001:Ool00`00Oomoo`06Ool00`0OOomoo`2:Ool004Yoo`03001oogoo00Ioo`0301moogoo08Yo
o`00BWoo00<007ooOol01goo00<07gooOol0RGoo001:Ool00`00Oomoo`08Ool00`0OOomoo`28Ool0
04Yoo`03001oogoo00Qoo`0301moogoo08Qoo`00BWoo00<007ooOol02Goo00<07gooOol0Qgoo001:
Ool00`00Oomoo`0:Ool00`0OOomoo`26Ool004Yoo`03001oogoo00Yoo`0301moogoo08Ioo`00BWoo
00<007ooOol02goo00<07gooOol0QGoo001:Ool00`00Oomoo`0<Ool00`0OOomoo`24Ool004Yoo`03
001oogoo00aoo`0301moogoo08Aoo`00BWoo00<007ooOol03Goo00<07gooOol0Pgoo001:Ool00`00
Oomoo`0>Ool00`0OOomoo`22Ool004Yoo`03001oogoo00ioo`0301moogoo089oo`00BWoo00<007oo
Ool03goo00<07gooOol0PGoo001:Ool00`00Oomoo`0@Ool00`0OOomoo`20Ool004Yoo`03001oogoo
011oo`0301moogoo081oo`00BWoo00<007ooOol04Goo00<07gooOol0Ogoo001:Ool00`00Oomoo`0B
Ool00`0OOomoo`1nOol004Yoo`03001oogoo01=oo`0301moogoo07eoo`00BWoo00<007ooOol04goo
00<07gooOol0OGoo001:Ool00`00Oomoo`0DOol00`0OOomoo`1lOol004Yoo`03001oogoo01Eoo`03
01moogoo07]oo`00BWoo00<007ooOol05Goo00<07gooOol0Ngoo001:Ool00`00Oomoo`0FOol00`0O
Oomoo`1jOol004Yoo`03001oogoo01Moo`0301moogoo07Uoo`00BWoo00<007ooOol05goo00<07goo
Ool0NGoo001:Ool00`00Oomoo`0HOol00`0OOomoo`1hOol004Yoo`03001oogoo01Uoo`0301moogoo
07Moo`00BWoo00<007ooOol06Goo00<07gooOol0Mgoo001:Ool00`00Oomoo`0JOol00`0OOomoo`1f
Ool004Yoo`03001oogoo01]oo`0301moogoo07Eoo`00BWoo00<007ooOol06goo00<07gooOol0MGoo
001:Ool00`00Oomoo`0LOol00`0OOomoo`1dOol004Yoo`03001oogoo01eoo`0301moogoo07=oo`00
BWoo00<007ooOol07Goo00<07gooOol0Lgoo001:Ool00`00Oomoo`0NOol00`0OOomoo`1bOol004Yo
o`03001oogoo01moo`0301moogoo075oo`00BWoo00<007ooOol07goo00<07gooOol0LGoo001:Ool0
0`00Oomoo`0POol00`0OOomoo`1`Ool004Yoo`03001oogoo025oo`0301moogoo06moo`00BWoo00<0
07ooOol08Goo00<07gooOol0Kgoo001:Ool00`00Oomoo`0ROol00`0OOomoo`1^Ool004Yoo`03001o
ogoo02=oo`0301moogoo06eoo`00BWoo00<007ooOol08goo00<07gooOol0KGoo001:Ool00`00Oomo
o`0TOol00`0OOomoo`1/Ool004Yoo`03001oogoo02Eoo`0301moogoo06]oo`00BWoo00<007ooOol0
9Goo00<07gooOol0Jgoo001:Ool00`00Oomoo`0VOol00`0OOomoo`1ZOol004Yoo`03001oogoo02Mo
o`0301moogoo06Uoo`00BWoo00<007ooOol09goo00<07gooOol0JGoo001:Ool00`00Oomoo`0XOol0
0`0OOomoo`1XOol004Yoo`03001oogoo02Uoo`0301moogoo06Moo`00BWoo00<007ooOol0:Goo00<0
7gooOol0Igoo001:Ool00`00Oomoo`0ZOol00`0OOomoo`1VOol004Yoo`03001oogoo02]oo`0301mo
ogoo06Eoo`00BWoo00<007ooOol0;7oo00<07gooOol0I7oo001:Ool00`00Oomoo`0/Ool00`0OOomo
o`1TOol004Yoo`03001oogoo02eoo`0301moogoo06=oo`00BWoo00<007ooOol0;Woo00<07gooOol0
HWoo001:Ool00`00Oomoo`0^Ool00`0OOomoo`1ROol004Yoo`03001oogoo02moo`0301moogoo065o
o`00BWoo00<007ooOol0<7oo00<07gooOol0H7oo001:Ool00`00Oomoo`0`Ool00`0OOomoo`1POol0
04Yoo`03001oogoo035oo`0301moogoo05moo`00BWoo00<007ooOol0<Woo00<07gooOol0GWoo001:
Ool00`00Oomoo`0bOol00`0OOomoo`1NOol004Yoo`03001oogoo03=oo`0301moogoo05eoo`00BWoo
00<007ooOol0=7oo00<07gooOol0G7oo001:Ool00`00Oomoo`0dOol00`0OOomoo`1LOol004Yoo`03
001oogoo03Eoo`0301moogoo05]oo`00BWoo00<007ooOol0=Woo00<07gooOol0FWoo001:Ool00`00
Oomoo`0fOol00`0OOomoo`1JOol004Yoo`03001oogoo03Moo`<07eUoo`00BWoo00<007ooOol0=goo
0P0O00=oo`0OOol0Egoo001:Ool00`00Oomoo`0hOol201mIOol004Yoo`03001oogoo09=oo`00BWoo
00<007ooOol0Tgoo001:Ool00`00Oomoo`2COol004Yoo`03001oogoo09=oo`00BWoo00<007ooOol0
Tgoo003POol00>1oo`00h7oo003POol00>1oo`00h7oo0017Ool3002FOol004Qoo`03001oogoo09Eo
o`00BGoo00<007ooOol0U7oo0019Ool00`00Oomoo`2DOol004Qoo`03001oo`0009Eoo`00B7oo00<0
07oo0000UGoo0017Ool200000goo0000002DOol008=oo`<07eYoo`00PWoo00D07gooOomoo`0O05Uo
o`00QWoo00<07gooOol0Egoo0026Ool00`0OOomoo`1GOol0089oo`@07eYoo`00PWoo00<07gooOol0
Fgoo0022Ool501mIOol00>1oo`00h7oo003POol00>1oo`00h7oo003POol00>1oo`00h7oo003POol0
0>1oo`00h7oo003POol00>1oo`00h7oo003POol00>1oo`00h7oo0000\
\>"],
  ImageRangeCache->{{{0, 223}, {447, 0}} -> {-20.0002, -10.1351, 0.26906, \
0.26906}}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.2 for Macintosh",
ScreenRectangle->{{0, 1152}, {0, 850}},
WindowSize->{718, 714},
WindowMargins->{{1, Automatic}, {Automatic, 1}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrintingOptions->{"PrintingMargins"->{{54, 36}, {36, 36}},
"PrintCellBrackets"->False,
"PrintRegistrationMarks"->True,
"PrintMultipleHorizontalPages"->False},
ShowCellLabel->False,
MacintoshSystemPageSetup->"\<\
00<0004/0B`0000043/;B?o2ok`@N0^;0fL5N`?P0080004/0B`000000]P2:001
0000DP0000400`<30?l00Gd000400@e2ZP0000000000060801T1T00000008000
00000000004000000000000000000000\>"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 99, 3, 56, "Section"],

Cell[CellGroupData[{
Cell[1900, 60, 85, 1, 42, "Subsubsection"],

Cell[CellGroupData[{
Cell[2010, 65, 62, 1, 27, "Input"],
Cell[2075, 68, 65, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2177, 74, 67, 1, 27, "Input"],
Cell[2247, 77, 69, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2353, 83, 62, 1, 27, "Input"],
Cell[2418, 86, 54, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2509, 92, 137, 3, 27, "Input"],
Cell[2649, 97, 52, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2738, 103, 137, 3, 27, "Input"],
Cell[2878, 108, 52, 1, 26, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[2979, 115, 41, 0, 42, "Subsubsection"],

Cell[CellGroupData[{
Cell[3045, 119, 101, 2, 27, "Input"],
Cell[3149, 123, 52, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3238, 129, 101, 2, 27, "Input"],
Cell[3342, 133, 53, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3432, 139, 139, 3, 27, "Input"],
Cell[3574, 144, 57, 1, 26, "Output"]
}, Open  ]],
Cell[3646, 148, 58, 0, 30, "Text"],

Cell[CellGroupData[{
Cell[3729, 152, 146, 3, 27, "Input"],
Cell[3878, 157, 53, 1, 26, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[3980, 164, 41, 0, 42, "Subsubsection"],

Cell[CellGroupData[{
Cell[4046, 168, 101, 2, 27, "Input"],
Cell[4150, 172, 52, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4239, 178, 101, 2, 27, "Input"],
Cell[4343, 182, 53, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4433, 188, 139, 3, 27, "Input"],
Cell[4575, 193, 52, 1, 26, "Output"]
}, Open  ]],
Cell[4642, 197, 58, 0, 30, "Text"],

Cell[CellGroupData[{
Cell[4725, 201, 146, 3, 27, "Input"],
Cell[4874, 206, 53, 1, 26, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[4976, 213, 38, 0, 42, "Subsubsection"],

Cell[CellGroupData[{
Cell[5039, 217, 67, 1, 27, "Input"],
Cell[5109, 220, 57, 1, 26, "Output"]
}, Open  ]],
Cell[5181, 224, 75, 0, 30, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5293, 229, 45, 0, 42, "Subsubsection"],

Cell[CellGroupData[{
Cell[5363, 233, 1356, 25, 235, "Input"],
Cell[6722, 260, 16664, 306, 456, 2770, 130, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

