(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 4.2'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    338867,       8280]*)
(*NotebookOutlinePosition[    339901,       8311]*)
(*  CellTagsIndexPosition[    339857,       8307]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["\<\
Aufgabe 4.15: Die numeriche Loesung der Bewegung von \
(Unterschenkel+Fuss) 
Version 05.01.2005/ow \
\>", "Section"],

Cell[BoxData[
    \(Clear[de1, \ MM, phisoll, Kp, Kv, m, Ip, lS, g, mL, liu]\)], "Input"],

Cell[CellGroupData[{

Cell["Formulierung der DGL und Abspeichern in de1", "Subsubsection"],

Cell["\<\
Die Paramter sind:
Ip = Massentraegheitsmoment bez.Kniegelenk-Drehpunkt=0.17086 kgm^2
m = Masse=4.819 kg
lS = prox.Schwerpunktsabstand=0.2743 m
li_unterschenkel = 0.453 m
Kp = Reglerparameter fuer Lagegroessen (100)
Kv = Reglerparameter fuer Geschwindigkeitsgroessen (150)
MM = resultierendesMuskelmoment
Die Parameter wurden f\[UDoubleDot]r BM=79 kg und BH=1.84 m ermittelt.\
\>", \
"Text"],

Cell[" DGL der Unterschenkeldrehung mit Winkel phi", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(de1 = 
      Ip*\(phi''\)[t] - MM + m*g*lS*Sin[phi[t]] + mL*g*liu*Sin[phi[t]] == 
        0\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(-MM\), "+", \(g\ lS\ m\ Sin[phi[t]]\), 
        "+", \(g\ liu\ mL\ Sin[phi[t]]\), "+", 
        RowBox[{"Ip", " ", 
          RowBox[{
            SuperscriptBox["phi", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], "==", 
      "0"}]], "Output"]
}, Open  ]],

Cell["resultierendes Muskelmoment", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(MM = Kv*\((Kp*\((phisoll - phi[t])\) - \(phi'\)[t])\)\)], "Input"],

Cell[BoxData[
    RowBox[{"Kv", " ", 
      RowBox[{"(", 
        RowBox[{\(Kp\ \((phisoll - phi[t])\)\), "-", 
          RowBox[{
            SuperscriptBox["phi", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}], ")"}]}]], "Output"]
}, Open  ]],

Cell["Sollfunktion", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(phisoll = 1.4*Sin[10*t]\)], "Input"],

Cell[BoxData[
    \(1.4`\ Sin[10\ t]\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Numeriches Loesen der DGL mit NDSolve", "Subsubsection"],

Cell["Belegen der Parameter mit Werten:", "Text"],

Cell[BoxData[{
    \(Ip = 0.17086; m = 4.819; g = 9.81; 
    lS = 0.274;\), "\[IndentingNewLine]", 
    \(Kp = 100; Kv = 150;\), "\[IndentingNewLine]", 
    \(liu\  = \ 0.453; \ mL = 0;\)}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(de = Simplify[de1]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(15000.`\ phi[t]\), "+", \(12.953182860000002`\ Sin[phi[t]]\), 
        "+", 
        RowBox[{"150.`", " ", 
          RowBox[{
            SuperscriptBox["phi", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}], "+", 
        RowBox[{"0.17086`", " ", 
          RowBox[{
            SuperscriptBox["phi", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], 
      "==", \(21000.000000000004`\ Sin[10\ t]\)}]], "Output"]
}, Open  ]],

Cell["\<\
erg1 = NDSolve[{de, phi[0]==0, phi'[0] == 0 }, phi, {t,0,1}];
phierg  = phi [t] /. erg1[[1]];
dphierg = phi'[t] /. erg1[[1]];\
\>", "Input",
  ImageRegion->{{0, 1}, {0, 1}}],

Cell[CellGroupData[{

Cell[BoxData[
    \(phierg /. t \[Rule] 1\)], "Input"],

Cell[BoxData[
    \(\(-0.6379434049923103`\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(dphierg /. t \[Rule] 1\)], "Input"],

Cell[BoxData[
    \(\(-12.389775693223882`\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Plot[{phisoll, Evaluate[phierg]}, {t, 0, 1}, 
        AxesLabel \[Rule] {"\<Zeit s\>", "\<phi + phisoll\>"}, 
        PlotLabel \[Rule] "\<Bewegung des Unterschenkels nach phisoll\>", 
        GridLines \[Rule] Automatic, 
        PlotRange \[Rule] {{0, 1}, Automatic}];\)\)], "Input",
  ImageRegion->{{0, 1}, {0, 1}}],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0 1 0.309015 0.210218 [
[.2 .29651 -9 -9 ]
[.2 .29651 9 0 ]
[.4 .29651 -9 -9 ]
[.4 .29651 9 0 ]
[.6 .29651 -9 -9 ]
[.6 .29651 9 0 ]
[.8 .29651 -9 -9 ]
[.8 .29651 9 0 ]
[1 .29651 -3 -9 ]
[1 .29651 3 0 ]
[1.025 .30901 0 -6 ]
[1.025 .30901 40 6 ]
[-0.0125 .0988 -12 -4.5 ]
[-0.0125 .0988 0 4.5 ]
[-0.0125 .20391 -24 -4.5 ]
[-0.0125 .20391 0 4.5 ]
[-0.0125 .41412 -18 -4.5 ]
[-0.0125 .41412 0 4.5 ]
[-0.0125 .51923 -6 -4.5 ]
[-0.0125 .51923 0 4.5 ]
[0 .64303 -41 0 ]
[0 .64303 41 12 ]
[.5 .63053 -122 0 ]
[.5 .63053 122 12 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 .5 r
.25 Mabswid
[ ] 0 setdash
0 0 m
0 .61803 L
s
.2 0 m
.2 .61803 L
s
.4 0 m
.4 .61803 L
s
.6 0 m
.6 .61803 L
s
.8 0 m
.8 .61803 L
s
1 0 m
1 .61803 L
s
0 .0988 m
1 .0988 L
s
0 .20391 m
1 .20391 L
s
0 .30901 m
1 .30901 L
s
0 .41412 m
1 .41412 L
s
0 .51923 m
1 .51923 L
s
0 g
.2 .30901 m
.2 .31526 L
s
[(0.2)] .2 .29651 0 1 Mshowa
.4 .30901 m
.4 .31526 L
s
[(0.4)] .4 .29651 0 1 Mshowa
.6 .30901 m
.6 .31526 L
s
[(0.6)] .6 .29651 0 1 Mshowa
.8 .30901 m
.8 .31526 L
s
[(0.8)] .8 .29651 0 1 Mshowa
1 .30901 m
1 .31526 L
s
[(1)] 1 .29651 0 1 Mshowa
.125 Mabswid
.05 .30901 m
.05 .31276 L
s
.1 .30901 m
.1 .31276 L
s
.15 .30901 m
.15 .31276 L
s
.25 .30901 m
.25 .31276 L
s
.3 .30901 m
.3 .31276 L
s
.35 .30901 m
.35 .31276 L
s
.45 .30901 m
.45 .31276 L
s
.5 .30901 m
.5 .31276 L
s
.55 .30901 m
.55 .31276 L
s
.65 .30901 m
.65 .31276 L
s
.7 .30901 m
.7 .31276 L
s
.75 .30901 m
.75 .31276 L
s
.85 .30901 m
.85 .31276 L
s
.9 .30901 m
.9 .31276 L
s
.95 .30901 m
.95 .31276 L
s
.25 Mabswid
0 .30901 m
1 .30901 L
s
gsave
1.025 .30901 -61 -10 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Zeit) show
93.000 13.000 moveto
(s) show
99.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .0988 m
.00625 .0988 L
s
[(-1)] -0.0125 .0988 1 0 Mshowa
0 .20391 m
.00625 .20391 L
s
[(-0.5)] -0.0125 .20391 1 0 Mshowa
0 .41412 m
.00625 .41412 L
s
[(0.5)] -0.0125 .41412 1 0 Mshowa
0 .51923 m
.00625 .51923 L
s
[(1)] -0.0125 .51923 1 0 Mshowa
.125 Mabswid
0 .11982 m
.00375 .11982 L
s
0 .14084 m
.00375 .14084 L
s
0 .16186 m
.00375 .16186 L
s
0 .18288 m
.00375 .18288 L
s
0 .22493 m
.00375 .22493 L
s
0 .24595 m
.00375 .24595 L
s
0 .26697 m
.00375 .26697 L
s
0 .28799 m
.00375 .28799 L
s
0 .33004 m
.00375 .33004 L
s
0 .35106 m
.00375 .35106 L
s
0 .37208 m
.00375 .37208 L
s
0 .3931 m
.00375 .3931 L
s
0 .43515 m
.00375 .43515 L
s
0 .45617 m
.00375 .45617 L
s
0 .47719 m
.00375 .47719 L
s
0 .49821 m
.00375 .49821 L
s
0 .07777 m
.00375 .07777 L
s
0 .05675 m
.00375 .05675 L
s
0 .03573 m
.00375 .03573 L
s
0 .01471 m
.00375 .01471 L
s
0 .54026 m
.00375 .54026 L
s
0 .56128 m
.00375 .56128 L
s
0 .5823 m
.00375 .5823 L
s
0 .60332 m
.00375 .60332 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
gsave
0 .64303 -102 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(phi) show
87.000 13.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(+) show
99.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(phisoll) show
141.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.5 .63053 -183 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Bewegung) show
117.000 13.000 moveto
(des) show
141.000 13.000 moveto
(Unterschenkels) show
231.000 13.000 moveto
(nach) show
261.000 13.000 moveto
(phisoll) show
303.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
0 .30902 m
.04057 .42516 L
.06168 .47925 L
.08481 .52975 L
.0952 .54875 L
.10632 .56621 L
.11674 .5797 L
.12636 .58954 L
.13146 .59372 L
.13709 .59746 L
.14274 .6003 L
.14583 .60146 L
.14873 .6023 L
.15003 .60259 L
.15146 .60286 L
.1528 .60305 L
.15405 .60319 L
.15529 .60327 L
.15641 .60331 L
.1577 .60332 L
.15892 .60327 L
.16025 .60317 L
.16092 .6031 L
.16166 .60301 L
.16418 .60258 L
.1656 .60225 L
.16713 .60184 L
.16988 .60091 L
.17543 .59838 L
.18056 .59525 L
.19218 .58538 L
.20242 .57358 L
.21331 .55801 L
.25294 .47813 L
.29516 .3646 L
.33578 .24588 L
.37898 .13133 L
.40053 .08527 L
.41104 .06645 L
.42058 .05167 L
.42986 .03954 L
.43993 .02902 L
.44546 .02443 L
.45056 .02098 L
.45543 .01838 L
.4606 .01637 L
.46325 .01565 L
.46456 .01537 L
.46577 .01515 L
.46696 .01498 L
Mistroke
.46804 .01486 L
.46923 .01477 L
.4705 .01472 L
.47188 .01472 L
.47314 .01476 L
.47453 .01487 L
.47522 .01494 L
.47599 .01504 L
.47728 .01525 L
.47866 .01552 L
.48115 .01615 L
.48363 .01696 L
.48632 .01805 L
.49121 .02056 L
.50038 .02711 L
.51027 .03685 L
.52118 .05066 L
.54325 .08778 L
.58552 .18687 L
.6262 .30277 L
.66945 .42668 L
.69104 .48175 L
.71111 .52578 L
.7305 .56007 L
.74126 .57512 L
.75118 .58626 L
.76196 .59527 L
.76764 .59869 L
.77053 .60007 L
.77363 .60129 L
.77636 .60212 L
.77885 .60269 L
.78005 .6029 L
.78135 .60308 L
.78258 .6032 L
.78372 .60328 L
.78504 .60332 L
.78628 .60331 L
.78763 .60325 L
.78839 .60319 L
.78909 .60312 L
.79042 .60295 L
.79188 .6027 L
.79481 .60202 L
.79746 .60118 L
.80034 .60004 L
.80558 .59735 L
.81537 .5902 L
.82681 .57845 L
.83736 .56447 L
Mistroke
.85704 .53097 L
.8787 .48425 L
.92102 .37167 L
.96175 .25263 L
1 .14891 L
Mfstroke
0 .30901 m
.04057 .39753 L
.06168 .45386 L
.08481 .50836 L
.10656 .55001 L
.12636 .57807 L
.13692 .58881 L
.14177 .59269 L
.14691 .59608 L
.14952 .59752 L
.15239 .59887 L
.15503 .5999 L
.15745 .60066 L
.1603 .60134 L
.16187 .60162 L
.16259 .60172 L
.16336 .60181 L
.16473 .60193 L
.16601 .602 L
.16679 .60201 L
.16752 .60201 L
.16889 .60196 L
.17011 .60188 L
.17142 .60173 L
.17266 .60155 L
.17378 .60135 L
.17654 .6007 L
.17915 .59987 L
.18433 .59765 L
.18998 .59435 L
.20005 .5862 L
.20937 .57616 L
.22897 .54761 L
.2506 .50554 L
.29281 .39926 L
.33344 .28179 L
.37663 .16218 L
.39819 .11136 L
.41824 .07224 L
.43758 .04347 L
.44841 .03164 L
.45825 .02371 L
.46334 .02069 L
.46613 .01935 L
.46873 .0183 L
.47114 .0175 L
.47334 .01693 L
.47578 .01645 L
.47712 .01626 L
.4784 .01613 L
Mistroke
.47977 .01605 L
.48102 .01602 L
.48171 .01602 L
.48246 .01604 L
.48382 .01612 L
.48509 .01624 L
.48644 .01642 L
.48884 .01687 L
.49166 .01761 L
.49428 .01851 L
.50023 .0213 L
.50551 .02462 L
.51124 .02913 L
.52165 .03965 L
.54114 .06709 L
.56195 .10645 L
.58402 .15772 L
.62371 .26647 L
.66598 .3891 L
.70666 .49406 L
.72774 .5375 L
.73847 .55582 L
.74991 .57224 L
.7608 .58466 L
.77068 .59312 L
.77545 .59621 L
.78061 .59882 L
.78298 .59976 L
.78549 .60058 L
.78763 .60113 L
.78998 .60159 L
.79134 .60177 L
.79261 .6019 L
.79399 .60198 L
.79469 .60201 L
.79547 .60201 L
.79676 .60198 L
.79749 .60195 L
.79815 .6019 L
.79938 .60178 L
.80067 .6016 L
.80309 .60114 L
.80533 .60056 L
.81044 .59869 L
.81329 .59732 L
.81599 .5958 L
.82105 .59241 L
.83239 .58216 L
.84258 .56996 L
.85338 .55407 L
Mistroke
.87274 .51858 L
.91249 .42298 L
.95481 .30208 L
.99555 .18664 L
1 .17491 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{397.375, 245.625},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006=0000mA000`40O003h00OogooSWoo003oOon>
Ool00?moohioo`00ogooSWoo003oOon>Ool00?moohioo`00ogooSWoo003oOon>Ool00?moohioo`00
ogooSWoo003oOon>Ool00?moohioo`00ogooSWoo003oOon>Ool00?moohioo`00ogooSWoo003oOon>
Ool002Uoo`03001oogoo03Yoo`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo03]oo`0300mo
ogoo03Yoo`0300moogoo02ioo`00:Goo00<007ooOol0>Woo00<03gooOol0>goo00<03gooOol0>Woo
00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0;Woo000YOol00`00Oomoo`0jOol00`0?Oomo
o`0kOol00`0?Oomoo`0jOol00`0?Oomoo`0kOol00`0?Oomoo`0jOol00`0?Oomoo`0^Ool002Uoo`03
001oogoo03Yoo`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo03]oo`0300moogoo03Yoo`03
00moogoo02ioo`00:Goo00<007ooOol0>Woo00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0
>goo00<03gooOol0>Woo00<03gooOol0;Woo000YOol2000kOol00`0?Oomoo`0kOol00`0?Oomoo`0?
Ool:000QOol00`0?Oomoo`0kOol00`0?Oomoo`0jOol00`0?Oomoo`0^Ool002Uoo`03001oogoo03Yo
o`0300moogoo03]oo`0300moogoo00eoo`80009oo`8000Aoo`@001moo`0300moogoo03]oo`0300mo
ogoo03Yoo`0300moogoo02ioo`00:Goo00<007ooOol0>Woo00<03gooOol0>goo00<03gooOol037oo
00<007ooOol00P0027oo00@007oo000001eoo`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo
02ioo`00:Goo00<007ooOol0>Woo00<03gooOol0>goo00<03gooOol02Woo0P0000=oo`0000002goo
00<007ooOol00P006goo00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0;Woo000YOol00`00
Oomoo`0jOol00`0?Oomoo`0kOol00`0?Oomoo`09Ool01000Oomoo`003Woo0P000Woo00<007ooOol0
67oo00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0;Woo000YOol00`00Oomoo`0jOol00`0?
Oomoo`0kOol00`0?Oomoo`08Ool01000Oomoo`004Goo00@007ooOol001Uoo`0300moogoo03]oo`03
00moogoo03Yoo`0300moogoo02ioo`00:Goo0P00>goo00<03gooOol0>goo00<03gooOol01goo00D0
07ooOomoo`00019oo`04001oogoo000HOol00`0?Oomoo`0kOol00`0?Oomoo`0jOol00`0?Oomoo`0^
Ool002Uoo`03001oogoo03Yoo`0300moogoo03]oo`0300moogoo00Ioo`05001oogooOol0000DOol0
1000Oomoo`005goo00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0;Woo000YOol00`00Oomo
o`0jOol00`0?Oomoo`0kOol00`0?Oomoo`06Ool01000Oomoo`005Goo00@007ooOol001Moo`0300mo
ogoo03]oo`0300moogoo03Yoo`0300moogoo02ioo`00:Goo00<007ooOol0>Woo00<03gooOol0>goo
00<03gooOol01Goo00@007ooOol001Moo`04001oogoo000FOol00`0?Oomoo`0kOol00`0?Oomoo`0j
Ool00`0?Oomoo`0^Ool002Uoo`03001oogoo03Yoo`0300moogoo03]oo`0300moogoo00Aoo`05001o
ogooOol0000HOol01000Oomoo`005Goo00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0;Woo
000YOol00`00Oomoo`0jOol00`0?Oomoo`0kOol00`0?Oomoo`03Ool01@00Oomoogoo00006Woo00<0
07oo00005Goo00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0;Woo000YOol00`00Oomoo`0j
Ool00`0?Oomoo`0kOol00`0?Oomoo`03Ool01000Oomoo`006goo00@007ooOol001Aoo`0300moogoo
03]oo`0300moogoo03Yoo`0300moogoo02ioo`00:Goo0P00>goo00<03gooOol0>goo00<03gooOol0
0Woo00@007ooOol001eoo`04001oogoo000COol00`0?Oomoo`0kOol00`0?Oomoo`0jOol00`0?Oomo
o`0^Ool002Uoo`03001oogoo03Yoo`0300moogoo03]oo`0500moogooOol00003Ool00`00Oomoo`0L
Ool00`00Ool0000COol00`0?Oomoo`0kOol00`0?Oomoo`0jOol00`0?Oomoo`0^Ool002Uoo`03001o
ogoo03Yoo`0300moogoo03]oo`0500moogooOol00002Ool00`00Oomoo`0MOol01000Oomoo`004Woo
00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0;Woo000YOol00`00Oomoo`0jOol00`0?Oomo
o`0kOol0100?Oomoo`000Woo00<007ooOol07goo00@007ooOol0015oo`0300moogoo03]oo`0300mo
ogoo03Yoo`0300moogoo02ioo`00:Goo00<007ooOol0>Woo00<03gooOol0>goo00H03gooOol007oo
000SOol00`00Ool0000AOol00`0?Oomoo`0kOol00`0?Oomoo`0jOol00`0?Oomoo`0^Ool002Uoo`03
001oogoo03Yoo`0300moogoo03]oo`0300moo`00009oo`03001oogoo025oo`04001oogoo000@Ool0
0`0?Oomoo`0kOol00`0?Oomoo`0jOol00`0?Oomoo`0^Ool002Uoo`8003]oo`0300moogoo03]oo`05
00l007ooOol0000UOol00`00Ool0000@Ool00`0?Oomoo`0kOol00`0?Oomoo`0jOol00`0?Oomoo`0^
Ool002Uoo`03001oogoo03Yoo`0300moogoo03]oo`0500l007ooOol0000UOol01000Oomoo`003goo
00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0;Woo000YOol00`00Oomoo`0jOol00`0?Oomo
o`0kOol01000Oomoo`009goo00<007oo00003goo00<03gooOol0>goo00<03gooOol0>Woo00<03goo
Ool0;Woo000YOol00`00Oomoo`0jOol00`0?Oomoo`0kOol01000Oomoo`00:7oo00<007oo00003Woo
00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0;Woo000POol30006Ool00`00Oomoo`0jOol0
0`0?Oomoo`0jOol0100000moo`00:Goo00<007oo00003Woo00<03gooOol0>goo00<03gooOol0>Woo
00<03gooOol0;Woo000QOol00`00Oomoo`05Ool00`00Oomoo`0jOol00`0?Oomoo`0jOol0100000mo
o`00:Woo00<007oo00003Goo00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0;Woo000IOol5
0003Ool00`00Oomoo`05Ool00`00Oomoo`0jOol00`0?Oomoo`0iOol01@00Ool03goo0000:Woo00<0
07oo00003Goo00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0;Woo000QOol00`00Oomoo`05
Ool2001g00l0100000l03`00:`0?00@0000?00l008P03c1oo`008Goo00<007ooOol01Goo00<007oo
Ool0>Woo00<03gooOol0>7oo00D007ooOol03`0002aoo`03001oo`0000aoo`0300moogoo03]oo`03
00moogoo03Yoo`0300moogoo02ioo`0087oo0P001goo00<007ooOol0>Woo00<03gooOol0>7oo00@0
07ooOol002eoo`04001oogoo000;Ool00`0?Oomoo`0kOol00`0?Oomoo`0jOol00`0?Oomoo`0^Ool0
025oo`03001oogoo00Eoo`03001oogoo03Yoo`0300moogoo03Moo`05001oogooOol0000^Ool00`00
Ool0000;Ool00`0?Oomoo`0kOol00`0?Oomoo`0jOol00`0?Oomoo`0^Ool002Uoo`03001oogoo03Yo
o`0300moogoo03Moo`05001oogoo00003`0^Ool01000Oomoo`002Woo00<03gooOol0>goo00<03goo
Ool0>Woo00<03gooOol0;Woo000YOol00`00Oomoo`0jOol00`0?Oomoo`0gOol01@00Oomoo`0000l0
;goo00<007oo00002Woo00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0;Woo000YOol2000k
Ool00`0?Oomoo`0fOol01P00Oomoo`00Ool03bmoo`04001oogoo0009Ool00`0?Oomoo`0kOol00`0?
Oomoo`0jOol00`0?Oomoo`0^Ool002Uoo`03001oogoo03Yoo`0300moogoo03Ioo`06001oogoo001o
o`0?;goo00@007ooOol000Uoo`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo02ioo`00:Goo
00<007ooOol0>Woo00<03gooOol0=Goo00@007ooOol0009oo`0300moogoo02ioo`03001oo`0000Uo
o`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo02ioo`00:Goo00<007ooOol0>Woo00<03goo
Ool0=Goo00@007ooOol0009oo`0300moogoo02ioo`04001oogoo0008Ool00`0?Oomoo`0kOol00`0?
Oomoo`0jOol00`0?Oomoo`0^Ool002Uoo`03001oogoo03Yoo`0300moogoo03Aoo`04001oogoo0003
Ool00`0?Oomoo`0_Ool00`00Ool00008Ool00`0?Oomoo`0kOol00`0?Oomoo`0jOol00`0?Oomoo`0^
Ool002Uoo`03001oogoo03Yoo`0300moogoo03Aoo`04001oogoo0003Ool00`0?Oomoo`0_Ool01000
Oomoo`001goo00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0;Woo000YOol00`00Oomoo`0j
Ool00`0?Oomoo`0cOol01000Oomoo`0017oo00<03gooOol0<7oo00<007oo00001goo00<03gooOol0
>goo00<03gooOol0>Woo00<03gooOol0;Woo000YOol2000kOol00`0?Oomoo`0cOol01000Oomoo`00
17oo00<03gooOol0<7oo00@007ooOol000Ioo`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo
02ioo`00:Goo00<007ooOol0>Woo00<03gooOol0<goo00@007ooOol000Aoo`0300moogoo031oo`04
001oogoo0006Ool00`0?Oomoo`0kOol00`0?Oomoo`0jOol00`0?Oomoo`0^Ool002Uoo`03001oogoo
03Yoo`0300moogoo039oo`04001oogoo0005Ool00`0?Oomoo`0aOol00`00Ool00006Ool00`0?Oomo
o`0kOol00`0?Oomoo`0jOol00`00Oomoo`0^Ool002Uoo`03001oogoo03Yoo`0300moogoo039oo`04
001oogoo0005Ool00`0?Oomoo`0aOol01000Oomoo`001Goo00<03gooOol0>goo00<03gooOol0>Woo
00<007ooOol0;Woo000YOol00`00Oomoo`0jOol00`0?Oomoo`0bOol00`00Ool00006Ool00`0?Oomo
o`0bOol00`00Ool00005Ool00`0?Oomoo`0kOol00`0?Oomoo`0iOol00`0000moo`0_Ool002Uoo`03
001oogoo03Yoo`0300moogoo035oo`04001oogoo0006Ool00`0?Oomoo`0bOol01000Oomoo`0017oo
00<03gooOol0>goo00<03gooOol0>Goo00<0000?Ool0;goo000YOol2000kOol00`0?Oomoo`0aOol0
0`00Ool00007Ool00`0?Oomoo`0bOol01000Oomoo`0017oo00<03gooOol0>goo00<03gooOol0>Goo
00<0000?Ool0;goo000YOol00`00Oomoo`0jOol00`0?Oomoo`0`Ool01000Oomoo`001goo00<03goo
Ool0<goo00@007ooOol000=oo`0300moogoo03]oo`0300moogoo03Qoo`03001oo`0?031oo`00:Goo
00<007ooOol0>Woo00<03gooOol0<7oo00<007oo000027oo00<03gooOol0<goo00@007ooOol000=o
o`0300moogoo03]oo`0300moogoo03Qoo`03001oo`0?031oo`00:Goo00<007ooOol0>Woo00<03goo
Ool0<7oo00<007oo000027oo00<03gooOol0=7oo00<007oo00000goo00<03gooOol0>goo00<03goo
Ool0>7oo00<007oo00l0<7oo000YOol00`00Oomoo`0jOol00`0?Oomoo`0_Ool01000Oomoo`0027oo
00<03gooOol0=7oo00@007ooOol0009oo`0300moogoo03]oo`0300moogoo03Moo`04001oogoo000`
Ool002Uoo`03001oogoo03Yoo`0300moogoo02moo`03001oo`0000Uoo`0300moogoo03Eoo`03001o
o`00009oo`0300moogoo03]oo`0300moogoo03Moo`04001oogoo000`Ool002Uoo`03001oogoo03Yo
o`0300moogoo02moo`03001oo`0000Uoo`0300moogoo03Eoo`03001oo`00009oo`0300moogoo03]o
o`0300moogoo03Ioo`05001oogooOol0000`Ool002Uoo`8003]oo`0300moogoo02ioo`04001oogoo
0009Ool00`0?Oomoo`0eOol01P00Oomoo`00Ool03ceoo`0300moogoo03Ioo`05001oogoo00003`0`
Ool002Uoo`03001oogoo03Yoo`0300moogoo02ioo`03001oo`0000Yoo`0300moogoo03Ioo`05001o
o`00Ool03`0mOol00`0?Oomoo`0fOol01@00Oomoo`0000l0<7oo000YOol00`00Oomoo`0jOol00`0?
Oomoo`0]Ool01000Oomoo`002Woo00<03gooOol0=Woo00D007oo001oo`0?03eoo`0300moogoo03Eo
o`06001oogooOol0000?<7oo000YOol00`00Oomoo`0jOol00`0?Oomoo`0]Ool01000Oomoo`002Woo
00<03gooOol0=goo00@007oo00003ceoo`0300moogoo03Eoo`06001oogoo001oo`0?<7oo000EOol2
0004Ool00`00Oomoo`02Ool30006Ool00`00Oomoo`0jOol00`0?Oomoo`0]Ool00`00Ool0000;Ool0
0`0?Oomoo`0gOol01000Ool0000??Goo00<03gooOol0=Goo00H007ooOol007oo00l`Ool001Aoo`04
001oogoo0007Ool01@00Oomoogoo00001Goo00<007ooOol0>Woo00<03gooOol0;7oo00@007ooOol0
00]oo`0300moogoo03Moo`04001oogoo000mOol00`0?Oomoo`0dOol01`00Oomoogoo001oo`0?031o
o`003Goo1@000Woo00@007ooOol000]oo`03001oogoo00=oo`8006X03`0400003`0?001600l00`00
00l0001d00l0100000l03`000`0?<7oo000DOol01000Oomoo`002goo00<007ooOol00goo00<007oo
Ool0>Woo00<03gooOol0;7oo00<007oo000037oo00<03gooOol0>7oo00<007oo0000?Goo00<03goo
Ool0<goo00D007ooOomoo`00009oo`0300moogoo02ioo`0057oo00@007ooOol000Moo`@000Ioo`03
001oogoo03Yoo`0300moogoo02]oo`04001oogoo000<Ool00`0?Oomoo`0hOol01000Ool03`00?7oo
00<03gooOol0<goo00D007ooOomoo`00009oo`0300moogoo02ioo`0057oo00@007ooOol000Moo`03
001oogoo00Moo`03001oogoo03Yoo`0300moogoo02]oo`04001oogoo000<Ool00`0?Oomoo`0iOol0
0`0000l0000lOol00`0?Oomoo`0cOol01000Oomoo`000goo00<03gooOol0;Woo000EOol20008Ool5
0005Ool00`00Oomoo`0jOol00`0?Oomoo`0[Ool00`00Ool0000=Ool00`0?Oomoo`0iOol00`0000l0
000lOol00`0?Oomoo`0bOol01@00Oomoogoo00000goo00<03gooOol0;Woo000YOol00`00Oomoo`0j
Ool00`0?Oomoo`0ZOol01000Oomoo`003Goo00<03gooOol0>Goo00@0000?Ool003]oo`0300moogoo
039oo`04001oogoo0004Ool00`0?Oomoo`0^Ool002Uoo`8003]oo`0300moogoo02Yoo`03001oo`00
00ioo`0300moogoo03Yoo`03001oo`0003]oo`0300moogoo039oo`04001oogoo0004Ool00`0?Oomo
o`0^Ool002Uoo`03001oogoo03Yoo`0300moogoo02Uoo`04001oogoo000>Ool00`0?Oomoo`0jOol0
0`00Ool0000kOol00`0?Oomoo`0aOol01@00Oomoogoo000017oo00<03gooOol0;Woo000YOol00`00
Oomoo`0jOol00`0?Oomoo`0YOol01000Oomoo`003Woo00<03gooOol0>Woo00@007ooOol003Yoo`03
00moogoo035oo`04001oogoo0005Ool00`0?Oomoo`0^Ool002Uoo`03001oogoo03Yoo`0300moogoo
02Uoo`03001oo`0000moo`0300moogoo03Yoo`0400l007oo000jOol00`0?Oomoo`0`Ool01@00Oomo
ogoo00001Goo00<03gooOol0;Woo000YOol00`00Oomoo`0jOol00`0?Oomoo`0XOol01000Oomoo`00
3goo00<03gooOol0>Woo00D03`00Oomoo`0003Uoo`0300moogoo031oo`05001oogooOol00005Ool0
0`0?Oomoo`0^Ool002Uoo`03001oogoo03Yoo`0300moogoo02Qoo`04001oogoo000?Ool00`0?Oomo
o`0jOol01@0?001oogoo0000>Goo00<03gooOol0<7oo00@007ooOol000Ioo`0300moogoo02ioo`00
:Goo00<007ooOol0>Woo00<03gooOol0:7oo00<007oo000047oo00<03gooOol0>Woo00D03goo001o
o`0003Uoo`0300moogoo02moo`05001oogooOol00006Ool00`0?Oomoo`0^Ool002Uoo`8003]oo`03
00moogoo02Moo`04001oogoo000@Ool00`0?Oomoo`0jOol00`0?Ool00002Ool00`00Oomoo`0fOol0
0`0?Oomoo`0_Ool01000Oomoo`001goo00<03gooOol0;Woo000YOol00`00Oomoo`0jOol00`0?Oomo
o`0WOol01000Oomoo`0047oo00<03gooOol0>Woo00<03goo00000Woo00<007ooOol0=Woo00<03goo
Ool0;goo00@007ooOol000Moo`0300moogoo02ioo`00:Goo00<007ooOol0>Woo00<03gooOol09Woo
00@007ooOol0015oo`0300moogoo03Yoo`0600moogoo001oo`00>7oo00<03gooOol0;Woo00D007oo
Oomoo`0000Moo`0300moogoo02ioo`00:Goo00<007ooOol0>Woo00<03gooOol09Woo00@007ooOol0
015oo`0300moogoo03Yoo`0400moogoo0002Ool00`00Oomoo`0eOol00`0?Oomoo`0^Ool01000Oomo
o`0027oo00<03gooOol0;Woo000YOol00`00Oomoo`0jOol00`0?Oomoo`0VOol01000Oomoo`004Goo
00<03gooOol0>Woo00@03gooOol0009oo`03001oogoo03Eoo`0300moogoo02ioo`04001oogoo0008
Ool00`0?Oomoo`0^Ool002Uoo`03001oogoo03Yoo`0300moogoo02Eoo`04001oogoo000BOol00`0?
Oomoo`0jOol01`0?Oomoogoo001oo`0003Moo`0300moogoo02eoo`05001oogooOol00008Ool00`0?
Oomoo`0^Ool002Uoo`8003]oo`0300moogoo02Eoo`04001oogoo000BOol00`0?Oomoo`0jOol01@0?
Oomoogoo00000Woo00<007ooOol0=7oo00<03gooOol0;Goo00@007ooOol000Uoo`0300moogoo02io
o`00:Goo00<007ooOol0<goo0P0017oo00@0000?Oomoo`D0021oo`04001oogoo000;Ool20004Ool0
0`0000moo`03Ool3000^Ool20004Ool00`0000moo`02Ool4000_Ool20004Ool00`0000moo`02Ool3
000YOol01000Oomoo`001goo0`00<7oo000YOol00`00Oomoo`0bOol01000Oomoo`0017oo00D03goo
Oomoo`00009oo`03001oogoo01eoo`04001oogoo000;Ool01000Oomoo`0017oo00<03gooOol00goo
00<007ooOol0;7oo00@007ooOol000Aoo`0700moogoo001oo`00Ool00P00;Goo00@007ooOol000Ao
o`0400moogoo0003Ool00`00Oomoo`0UOol01@00Oomoogoo000027oo00<0000?Ool0;goo000YOol0
0`00Oomoo`0bOol01000Oomoo`0017oo00<03gooOol00Woo00<007ooOol07goo00@007ooOol000]o
o`04001oogoo0004Ool00`0?Oomoo`05000]Ool01000Oomoo`0017oo00L03gooOol007oo001oo`02
000]Ool01000Oomoo`0017oo00@03gooOol000=oo`03001oogoo02Eoo`04001oogoo0009Ool00`00
00moo`0_Ool002Uoo`03001oogoo039oo`04001oogoo0004Ool00`0?Oomoo`03Ool00`00Oomoo`0N
Ool01000Oomoo`002goo00@007ooOol000Aoo`0400moogoo0002Ool00`00Oomoo`0/Ool01000Oomo
o`0017oo00<03gooOol0100000=oo`00Ool0;7oo00@007ooOol000Aoo`0400moogooOol3000XOol0
1000Oomoo`002Goo00<0000?Ool0;goo000YOol00`00Oomoo`0bOol01000Oomoo`0017oo00@03goo
Ool000=oo`03001oogoo01aoo`04001oogoo000<Ool01000Oomoo`0017oo00L03gooOomoo`00Ool0
000^Ool01000Oomoo`0017oo00@03gooOol0009oo`04001oogoo000/Ool01000Oomoo`0017oo00@0
3gooOol000=oo`03001oogoo02Aoo`04001oogoo000:Ool00`0000moo`0_Ool002Uoo`03001oogoo
039oo`04001oogoo0004Ool0100?Oomoo`000goo00<007ooOol077oo00@007ooOol000aoo`04001o
ogoo0004Ool00`0?Oomoo`02Ool2000^Ool01000Oomoo`0017oo00L03gooOomoo`00Ool00002Ool0
0`00Oomoo`0ZOol01000Oomoo`0017oo00@03gooOol000=oo`03001oogoo02Aoo`04001oogoo0009
Ool200000`0?Oomoo`0^Ool002Uoo`8003Aoo`8000Eoo`0400moogooOol3000NOol01000Oomoo`00
3Woo0P001Goo00<03gooOol00goo00<007ooOol0;Goo0P001Goo00<03gooOol00Woo0P000Woo00<0
07ooOol0:goo0P001Goo00@03gooOomoo`<002Moo`04001oogoo000:Ool00`0000moo`0_Ool002Uo
o`03001oogoo03Yoo`0300moogoo029oo`04001oogoo000EOol00`0?Oomoo`0jOol00`0?Oomoo`04
Ool01000Oomoo`00<goo00<03gooOol0:Woo00@007ooOol000aoo`0300moogoo02ioo`00:Goo00<0
07ooOol0>Woo00<03gooOol08Woo00@007ooOol001Eoo`0300moogoo03Yoo`0300moogoo00Aoo`04
001oogoo000cOol00`0?Oomoo`0ZOol01000Oomoo`0037oo00<03gooOol0;Woo000YOol00`00Oomo
o`0jOol00`0?Oomoo`0QOol01000Oomoo`005Woo00<03gooOol0>Woo00<03gooOol017oo00@007oo
Ool003=oo`0300moogoo02Yoo`04001oogoo000<Ool00`0?Oomoo`0^Ool002Uoo`03001oogoo03Yo
o`0300moogoo025oo`04001oogoo000FOol00`0?Oomoo`0jOol00`0?Oomoo`05Ool01000Oomoo`00
<Woo00<03gooOol0:Goo00@007ooOol000eoo`0300moogoo00Moo`D0009oo`<0009oo`D000=oo`80
00Qoo`@000Eoo`00:Goo00<007ooOol0>Woo00<03gooOol08Goo00@007ooOol001Ioo`0300moogoo
03Yoo`0300moogoo00Eoo`04001oogoo000bOol00`0?Oomoo`0YOol01000Oomoo`003Goo00<03goo
Ool01goo00L007ooOomoo`00Ool00007Ool00`00Oomoo`02Ool01000Oomoo`002goo00<007ooOol0
0Woo000YOooo000e000:Ool00`00Oomoo`02Ool50003Ool00`00Oomoo`02Ool00`00Oomoo`09Ool3
0005Ool002Uoo`03001oogoo00aoo`03001oogoo00aoo`03001oogoo00eoo`03001oogoo00aoo`03
001oogoo00aoo`03001oogoo00eoo`05001oogooOol00002Ool00`00Oomoo`05Ool00`00Oomoo`0=
Ool00`00Oomoo`0<Ool00`00Oomoo`0<Ool00`00Oomoo`0=Ool00`00Oomoo`0<Ool00`00Oomoo`06
Ool01000Oomoo`000Woo00<007ooOol03Goo00<007ooOol037oo00<007ooOol03Goo00<007ooOol0
37oo00<007ooOol037oo00<007ooOol02Woo00@007ooOol000ioo`03001oogoo00Uoo`05001oogoo
Ool00003Ool01@00Oomoogoo000017oo00<007ooOol027oo00<007ooOol01Woo000YOol2000kOol0
0`00Oomoo`0POol01000Oomoo`005goo00<007ooOol0>Woo00<007ooOol01Woo00@007ooOol0035o
o`03001oogoo02Qoo`04001oogoo000>Ool00`00Oomoo`0:Ool01000Oomoogoo0`000Woo0`000goo
10002Goo100017oo000YOol2000kOol00`0?Oomoo`0OOol01000Oomoo`0067oo00<03gooOol0>Woo
00<03gooOol01goo00<007oo0000<Goo00<03gooOol0:7oo00<007oo00003goo00<03gooOol01goo
00D007ooOomoo`0000ioo`03001oogoo015oo`00:Goo0`00>Woo00<03gooOol07goo00@007ooOol0
01Qoo`0300moogoo03Yoo`0300moogoo00Moo`04001oogoo000`Ool00`0?Oomoo`0WOol01000Oomo
o`003goo00<03gooOol01goo1@002Goo00<007ooOol00Woo00<007ooOol04Goo000YOol00`00Ool0
000jOol00`0?Oomoo`0OOol01000Oomoo`0067oo00<03gooOol0>Woo00<03gooOol01goo00@007oo
Ool0031oo`0300moogoo02Moo`04001oogoo000?Ool00`0?Oomoo`0^Ool002Uoo`03001oo`0003Yo
o`0300moogoo01ioo`04001oogoo000IOol00`0?Oomoo`0jOol00`0?Oomoo`08Ool00`00Ool0000`
Ool00`0?Oomoo`0WOol00`00Ool0000@Ool00`0?Oomoo`0^Ool002Uoo`@003Uoo`0300moogoo01io
o`04001oogoo000IOol00`0?Oomoo`0jOol00`0?Oomoo`08Ool01000Oomoo`00;goo00<03gooOol0
9Woo00@007ooOol0011oo`0300moogoo02ioo`00:Goo00@007ooOol003Uoo`0300moogoo01eoo`05
001oogooOol0000IOol00`0?Oomoo`0jOol00`0?Oomoo`08Ool01000Oomoo`00;goo00<03gooOol0
9Woo00@007ooOol0011oo`0300moogoo02ioo`00:Goo00<007ooOol00P00>7oo00<03gooOol07Goo
00@007ooOol001Yoo`0300moogoo03Yoo`0300moogoo00Uoo`03001oo`0002moo`0300moogoo02Io
o`03001oo`00015oo`0300moogoo02ioo`00:Goo00<007ooOol00P00>7oo00<03gooOol07Goo00@0
07ooOol001Yoo`0300moogoo03Yoo`0300moogoo00Uoo`04001oogoo000^Ool00`0?Oomoo`0UOol0
1000Oomoo`004Goo00<03gooOol0;Woo000YOol01000Oomoogoo0P00=goo00<03gooOol077oo00D0
07ooOomoo`0001Yoo`0300moogoo03Yoo`0300moogoo00Uoo`04001oogoo000^Ool00`0?Oomoo`0U
Ool01000Oomoo`004Goo00<03gooOol0;Woo000YOol01000Oomoogoo0P00=goo00<03gooOol077oo
00@007ooOol001]oo`0300moogoo03Yoo`0300moogoo00Yoo`03001oo`0002ioo`0300moogoo02Eo
o`03001oo`00019oo`0300moogoo02ioo`00:Goo0P000Woo0P00=goo00<03gooOol077oo00@007oo
Ool001]oo`0300moogoo03Yoo`0300moogoo00Yoo`04001oogoo000]Ool00`0?Oomoo`0TOol01000
Oomoo`004Woo00<03gooOol0;Woo000YOol00`00Oomoo`02Ool2000fOol00`0?Oomoo`0KOol01@00
Oomoogoo00006goo00<03gooOol0>Woo00<03gooOol02Woo00@007ooOol002eoo`0300moogoo02Ao
o`04001oogoo000BOol00`0?Oomoo`0^Ool002Uoo`03001oogoo009oo`8003Ioo`0300moogoo01]o
o`04001oogoo000LOol00`0?Oomoo`0jOol00`0?Oomoo`0;Ool00`00Ool0000]Ool00`0?Oomoo`0T
Ool00`00Ool0000COol00`0?Oomoo`0^Ool002Uoo`03001oogoo009oo`03001oo`0003Eoo`0300mo
ogoo01]oo`04001oogoo000LOol00`0?Oomoo`0jOol00`0?Oomoo`0;Ool01000Oomoo`00;7oo00<0
3gooOol08goo00@007ooOol001=oo`0300moogoo02ioo`00:Goo00<007ooOol00goo0P00=Goo00<0
3gooOol06Woo00D007ooOomoo`0001aoo`0300moogoo03Yoo`0300moogoo00]oo`04001oogoo000/
Ool00`0?Oomoo`0SOol00`00Ool0000DOol00`0?Oomoo`0^Ool002Uoo`03001oogoo00=oo`03001o
o`0003Aoo`0300moogoo01Yoo`04001oogoo000MOol00`0?Oomoo`0jOol00`0?Oomoo`0<Ool00`00
Ool0000/Ool00`0?Oomoo`0SOol00`00Ool0000DOol00`0?Oomoo`0^Ool002Uoo`03001oogoo00=o
o`03001oo`0003Aoo`0300moogoo01Uoo`05001oogooOol0000MOol00`0?Oomoo`0jOol00`0?Oomo
o`0<Ool01000Oomoo`00:goo00<03gooOol08Woo00@007ooOol001Aoo`0300moogoo02ioo`00:Goo
0P001Goo0P00=7oo00<03gooOol06Goo00D007ooOomoo`0001eoo`0300moogoo03Yoo`0300moogoo
00aoo`04001oogoo000[Ool00`0?Oomoo`0ROol00`00Ool0000EOol00`0?Oomoo`0^Ool002Uoo`03
001oogoo00Aoo`03001oo`0003=oo`0300moogoo01Uoo`04001oogoo000NOol00`0?Oomoo`0jOol0
0`0?Oomoo`0=Ool00`00Ool0000[Ool00`0?Oomoo`0ROol00`00Ool0000EOol00`0?Oomoo`0^Ool0
02Uoo`03001oogoo00Aoo`03001oo`0003=oo`0300moogoo01Qoo`05001oogooOol0000NOol00`0?
Oomoo`0jOol00`0?Oomoo`0=Ool01000Oomoo`00:Woo00<03gooOol08Goo00@007ooOol001Eoo`03
00moogoo02ioo`00:Goo00<007ooOol01Goo00<007oo0000<Woo00<03gooOol067oo00D007ooOomo
o`0001ioo`0300moogoo03Yoo`0300moogoo00eoo`04001oogoo000ZOol00`0?Oomoo`0QOol00`00
Ool0000FOol00`0?Oomoo`0^Ool002Uoo`03001oogoo00Eoo`03001oo`00039oo`0300moogoo01Qo
o`04001oogoo000OOol00`0?Oomoo`0jOol00`0?Oomoo`0>Ool00`00Ool0000ZOol00`0?Oomoo`0Q
Ool00`00Ool0000FOol00`0?Oomoo`0^Ool002Uoo`03001oogoo00Eoo`04001oogoo000aOol00`0?
Oomoo`0GOol01@00Oomoogoo00007goo00<03gooOol0>Woo00<03gooOol03Woo00@007ooOol002Uo
o`0300moogoo021oo`04001oogoo000FOol00`0?Oomoo`0^Ool002Uoo`8000Moo`03001oo`00035o
o`0300moogoo01Moo`05001oogooOol0000OOol00`0?Oomoo`0jOol00`0?Oomoo`0>Ool01000Oomo
o`00:Goo00<03gooOol087oo00<007oo00005goo00<03gooOol0;Woo000YOol00`00Oomoo`06Ool0
0`00Ool0000aOol00`0?Oomoo`0FOol01@00Oomoogoo000087oo00<03gooOol0>Woo00<03gooOol0
3goo00@007ooOol002Qoo`0300moogoo021oo`03001oo`0001Moo`0300moogoo02ioo`00:Goo00<0
07ooOol01Woo00@007ooOol0031oo`0300moogoo01Ioo`05001oogooOol0000POol00`0?Oomoo`0j
Ool00`0?Oomoo`0?Ool01000Oomoo`00:7oo00<03gooOol07goo00@007ooOol001Moo`0300moogoo
02ioo`00:Goo00<007ooOol01goo00<007oo0000<7oo00<03gooOol05Woo00D007ooOomoo`00021o
o`0300moogoo03Yoo`0300moogoo00moo`04001oogoo000XOol00`0?Oomoo`0OOol00`00Ool0000H
Ool00`0?Oomoo`0^Ool001Eoo`8000Aoo`03001oogoo009oo`<000Ioo`03001oogoo00Moo`04001o
ogoo000_Ool00`0?Oomoo`0EOol01@00Oomoogoo00008Goo00<03gooOol0>Woo00<03gooOol047oo
00@007ooOol002Moo`0300moogoo01ioo`04001oogoo000HOol00`0?Oomoo`0^Ool001Aoo`04001o
ogoo0007Ool01@00Oomoogoo00001Goo00<007ooOol01goo00@007ooOol002moo`0300moogoo01Eo
o`05001oogooOol0000QOol00`0?Oomoo`0jOol00`0?Oomoo`0@Ool01000Oomoo`009goo00<03goo
Ool07Woo00@007ooOol001Qoo`0300moogoo02ioo`0057oo00@007ooOol000]oo`03001oogoo00=o
o`03001oogoo00Qoo`03001oo`0002moo`0300moogoo01Eoo`05001oogooOol0000QOol00`0?Oomo
o`0jOol00`0?Oomoo`0@Ool01@00Oomoogoo00009Woo00<03gooOol07Woo00<007oo00006Goo00<0
3gooOol0;Woo000DOol01000Oomoo`002goo00<007ooOol00goo0P002@0?00@0000?00l004D03`05
00003`0?00l0001c00l0100000l03`00AP0?00@0000?00l001X03c1oo`0057oo00@007ooOol000Mo
o`@000Ioo`03001oogoo00Qoo`04001oogoo000^Ool00`0?Oomoo`0DOol01@00Oomoogoo00008Woo
00<03gooOol0>Woo00<03gooOol04Goo00@007ooOol002Ioo`0300moogoo01eoo`04001oogoo000I
Ool00`0?Oomoo`0^Ool001Aoo`04001oogoo0007Ool00`00Oomoo`07Ool00`00Oomoo`09Ool00`00
Ool0000^Ool00`0?Oomoo`0COol01@00Oomoogoo00008goo00<03gooOol0>Woo00<03gooOol04Goo
00D007ooOomoo`0002Eoo`0300moogoo01aoo`04001oogoo000JOol00`0?Oomoo`0^Ool001Eoo`80
00Qoo`D000Eoo`03001oogoo00Uoo`04001oogoo000]Ool00`0?Oomoo`0COol01@00Oomoogoo0000
8goo00<03gooOol0>Woo00<03gooOol04Woo00@007ooOol002Eoo`0300moogoo01aoo`04001oogoo
000JOol00`0?Oomoo`0^Ool002Uoo`03001oogoo00Uoo`04001oogoo000]Ool00`0?Oomoo`0COol0
1@00Oomoogoo00008goo00<03gooOol0>Woo00<03gooOol04Woo00D007ooOomoo`0002Aoo`0300mo
ogoo01aoo`03001oo`0001]oo`0300moogoo02ioo`00:Goo00<007ooOol02Woo00<007oo0000;Goo
00<03gooOol04Woo00D007ooOomoo`0002Aoo`0300moogoo03Yoo`0300moogoo019oo`05001oogoo
Ool0000TOol00`0?Oomoo`0KOol01000Oomoo`006goo00<03gooOol0;Woo000YOol2000;Ool01000
Oomoo`00;7oo00<03gooOol04Woo00D007ooOomoo`0002Aoo`0300moogoo03Yoo`0300moogoo01=o
o`04001oogoo000TOol00`0?Oomoo`0KOol01000Oomoo`006goo00<03gooOol0;Woo000YOol00`00
Oomoo`0:Ool01000Oomoo`00;7oo00<03gooOol04Woo00@007ooOol002Eoo`0300moogoo03Yoo`03
00moogoo01=oo`05001oogooOol0000SOol00`0?Oomoo`0KOol00`00Ool0000LOol00`0?Oomoo`0^
Ool002Uoo`03001oogoo00]oo`03001oo`0002aoo`0300moogoo015oo`05001oogooOol0000UOol0
0`0?Oomoo`0jOol00`0?Oomoo`0DOol01000Oomoo`008goo00<03gooOol06Woo00@007ooOol001ao
o`0300moogoo02ioo`00:Goo00<007ooOol02goo00@007ooOol002]oo`0300moogoo015oo`05001o
ogooOol0000UOol00`0?Oomoo`0jOol00`0?Oomoo`0DOol01@00Oomoogoo00008Woo00<03gooOol0
6Woo00<007oo00007Goo00<03gooOol0;Woo000YOol00`00Oomoo`0;Ool01000Oomoo`00:goo00<0
3gooOol04Goo00@007ooOol002Ioo`0300moogoo03Yoo`0300moogoo01Aoo`05001oogooOol0000R
Ool00`0?Oomoo`0IOol01000Oomoo`007Goo00<03gooOol0;Woo000YOol00`00Oomoo`0<Ool00`00
Ool0000[Ool00`0?Oomoo`0@Ool01@00Oomoogoo00009Woo00<03gooOol0>Woo00<03gooOol05Goo
00D007ooOomoo`00025oo`0300moogoo01Uoo`04001oogoo000MOol00`0?Oomoo`0^Ool002Uoo`03
001oogoo00aoo`04001oogoo000ZOol00`0?Oomoo`0@Ool01000Oomoo`009goo00<03gooOol0>Woo
00<03gooOol05Goo00D007ooOomoo`00025oo`0300moogoo01Uoo`03001oo`0001ioo`0300moogoo
02ioo`00:Goo0P003Goo00@007ooOol002Yoo`0300moogoo00moo`05001oogooOol0000WOol00`0?
Oomoo`0jOol00`0?Oomoo`0FOol01000Oomoo`008Goo00<03gooOol067oo00@007ooOol001ioo`03
00moogoo02ioo`00:Goo00<007ooOol03Goo00@007ooOol002Uoo`0300moogoo00moo`05001oogoo
Ool0000WOol00`0?Oomoo`0jOol00`0?Oomoo`0FOol01@00Oomoogoo000087oo00<03gooOol067oo
00<007oo00007goo00<03gooOol0;Woo000YOol00`00Oomoo`0=Ool01000Oomoo`00:Goo00<03goo
Ool03goo00@007ooOol002Qoo`0300moogoo03Yoo`0300moogoo01Moo`04001oogoo000POol00`0?
Oomoo`0GOol01000Oomoo`007goo00<03gooOol0;Woo000YOol00`00Oomoo`0=Ool01@00Oomoogoo
0000:7oo00<03gooOol03Woo00D007ooOomoo`0002Qoo`0300moogoo03Yoo`0300moogoo01Moo`05
001oogooOol0000OOol00`0?Oomoo`0GOol01000Oomoo`007goo00<03gooOol0;Woo000YOol00`00
Oomoo`0>Ool01000Oomoo`00:7oo00<03gooOol03Woo00D007ooOomoo`0002Qoo`0300moogoo03Yo
o`0300moogoo01Moo`05001oogooOol0000OOol00`0?Oomoo`0GOol00`00Ool0000POol00`0?Oomo
o`0^Ool002Uoo`03001oogoo00ioo`05001oogooOol0000WOol00`0?Oomoo`0>Ool01000Oomoo`00
:Goo00<03gooOol0>Woo00<03gooOol067oo00@007ooOol001moo`0300moogoo01Ioo`04001oogoo
000POol00`0?Oomoo`0^Ool002Uoo`8000moo`05001oogooOol0000WOol00`0?Oomoo`0=Ool01@00
Oomoogoo0000:Goo00<03gooOol0>Woo00<03gooOol067oo00D007ooOomoo`0001ioo`0300moogoo
01Ioo`03001oo`00025oo`0300moogoo02ioo`00:Goo00<007ooOol03goo00D007ooOomoo`0002Io
o`0300moogoo00eoo`04001oogoo000ZOol00`0?Oomoo`0jOol00`0?Oomoo`0IOol01000Oomoo`00
7Woo00<03gooOol05Woo00<007oo00008Goo00<03gooOol0;Woo000YOol00`00Oomoo`0?Ool01@00
Oomoogoo00009Woo00<03gooOol037oo00D007ooOomoo`0002Yoo`0300moogoo03Yoo`0300moogoo
01Uoo`05001oogooOol0000MOol00`0?Oomoo`0EOol01000Oomoo`008Goo00<03gooOol0;Woo000Y
Ool00`00Oomoo`0@Ool01000Oomoo`009Woo00<03gooOol037oo00D007ooOomoo`0002Yoo`0300mo
ogoo03Yoo`0300moogoo01Yoo`04001oogoo000MOol00`0?Oomoo`0EOol00`00Ool0000ROol00`0?
Oomoo`0^Ool002Uoo`03001oogoo011oo`05001oogooOol0000UOol00`0?Oomoo`0;Ool01@00Oomo
ogoo0000:goo00<03gooOol0>Woo00<03gooOol06Woo00@007ooOol001eoo`0300moogoo01Aoo`04
001oogoo000ROol00`0?Oomoo`0^Ool002Uoo`03001oogoo015oo`04001oogoo000UOol00`0?Oomo
o`0;Ool01@00Oomoogoo0000:goo00<03gooOol0>Woo00<03gooOol06goo00@007ooOol001aoo`03
00moogoo01Aoo`03001oo`0002=oo`0300moogoo02ioo`00:Goo00<007ooOol04Goo00D007ooOomo
o`0002Aoo`0300moogoo00Yoo`05001oogooOol0000/Ool00`0?Oomoo`0jOol00`0?Oomoo`0KOol0
1000Oomoo`0077oo00<03gooOol04goo00@007ooOol002=oo`0300moogoo02ioo`00:Goo0P004goo
00@007ooOol002Aoo`0300moogoo00Yoo`05001oogooOol0000/Ool00`0?Oomoo`0jOol00`0?Oomo
o`0KOol01@00Oomoogoo00006goo00<03gooOol04goo00@007ooOol002=oo`0300moogoo02ioo`00
:Goo00<007ooOol04Woo00D007ooOomoo`0002=oo`0300moogoo00Uoo`03001oogoo009oo`03001o
ogoo02Yoo`0300moogoo03Yoo`0300moogoo01aoo`04001oogoo000KOol00`0?Oomoo`0BOol01000
Oomoo`0097oo00<03gooOol0;Woo000YOol00`00Oomoo`0COol01000Oomoo`008goo00<03gooOol0
2Goo00D007ooOomoo`0002eoo`0300moogoo03Yoo`0300moogoo01aoo`05001oogooOol0000JOol0
0`0?Oomoo`0BOol01000Oomoo`0097oo00<03gooOol0;Woo000YOol00`00Oomoo`0DOol01000Oomo
o`008Woo00<03gooOol027oo00<007ooOol00Woo00<007ooOol0:goo00<03gooOol0>Woo00<03goo
Ool07Goo00@007ooOol001Yoo`0300moogoo015oo`04001oogoo000UOol00`0?Oomoo`0^Ool0021o
o`<000Ioo`03001oogoo01Aoo`04001oogoo000ROol00`0?Oomoo`08Ool01@00Oomoogoo0000;Woo
00<03gooOol0>Woo00<03gooOol07Goo00@007ooOol001Yoo`0300moogoo015oo`04001oogoo000U
Ool00`0?Oomoo`0^Ool0025oo`03001oogoo00Eoo`03001oogoo01Eoo`04001oogoo000QOol00`0?
Oomoo`07Ool00`00Oomoo`02Ool00`00Oomoo`0/Ool00`0?Oomoo`0jOol00`0?Oomoo`0NOol01000
Oomoo`006Goo00<03gooOol04Goo00@007ooOol002Eoo`0300moogoo02ioo`008Goo00<007ooOol0
1Goo0P005P0?00@0000?00l002/03`0500003`0?00l0002=00l0100000l03`00;00?00@0000?00l0
02L03c1oo`008Goo00<007ooOol01Goo00<007ooOol05Woo00@007ooOol0021oo`0300moogoo00Mo
o`05001oogooOol0000_Ool00`0?Oomoo`0jOol00`0?Oomoo`0NOol01@00Oomoogoo000067oo00<0
3gooOol047oo00@007ooOol002Ioo`0300moogoo02ioo`008Goo00<007ooOol01Goo00<007ooOol0
5Woo00@007ooOol0021oo`0300moogoo00Ioo`05001oogooOol0000`Ool00`0?Oomoo`0jOol00`0?
Oomoo`0OOol01000Oomoo`0067oo00<03gooOol03goo00@007ooOol002Moo`0300moogoo02ioo`00
87oo0P001goo00<007ooOol05goo00@007ooOol001moo`0300moogoo00Ioo`04001oogoo000aOol0
0`0?Oomoo`0jOol00`0?Oomoo`0OOol01@00Oomoogoo00005goo00<03gooOol03goo00@007ooOol0
02Moo`0300moogoo02ioo`008Goo00<007ooOol01Goo00<007ooOol05goo00@007ooOol001moo`03
00moogoo00Eoo`05001oogooOol0000aOol00`0?Oomoo`0jOol00`0?Oomoo`0POol01000Oomoo`00
5goo00<03gooOol03Woo00@007ooOol002Qoo`0300moogoo02ioo`00:Goo00<007ooOol067oo00@0
07ooOol001ioo`0300moogoo00Eoo`04001oogoo000bOol00`0?Oomoo`0jOol00`0?Oomoo`0POol0
1000Oomoo`005goo00<03gooOol03Woo00@007ooOol002Qoo`0300moogoo02ioo`00:Goo0P006Goo
00@007ooOol001ioo`0300moogoo00Aoo`05001oogooOol0000bOol00`0?Oomoo`0jOol00`0?Oomo
o`0QOol01000Oomoo`005Woo00<03gooOol03Goo00@007ooOol002Uoo`0300moogoo02ioo`00:Goo
00<007ooOol06Goo00@007ooOol001eoo`0300moogoo00Aoo`04001oogoo000cOol00`0?Oomoo`0j
Ool00`0?Oomoo`0QOol01000Oomoo`005Woo00<03gooOol037oo00@007ooOol002Yoo`0300moogoo
02ioo`00:Goo00<007ooOol06Goo00@007ooOol001eoo`0300moogoo00=oo`05001oogooOol0000c
Ool00`0?Oomoo`0jOol00`0?Oomoo`0ROol01000Oomoo`005Goo00<03gooOol037oo00@007ooOol0
02Yoo`0300moogoo02ioo`00:Goo00<007ooOol06Woo00@007ooOol001aoo`0300moogoo00=oo`04
001oogoo000dOol00`0?Oomoo`0jOol00`0?Oomoo`0SOol01000Oomoo`0057oo00<03gooOol02goo
00@007ooOol002]oo`0300moogoo02ioo`00:Goo00<007ooOol06Woo00@007ooOol001aoo`0300mo
ogoo009oo`05001oogooOol0000dOol00`0?Oomoo`0jOol00`0?Oomoo`0SOol01@00Oomoogoo0000
4goo00<03gooOol02goo00@007ooOol002]oo`0300moogoo02ioo`00:Goo00<007ooOol06goo00@0
07ooOol001]oo`0300moogoo009oo`04001oogoo000eOol00`0?Oomoo`0jOol00`0?Oomoo`0TOol0
1@00Oomoogoo00004Woo00<03gooOol02Woo00@007ooOol002aoo`0300moogoo02ioo`00:Goo00<0
07ooOol077oo00@007ooOol001Yoo`0500moogooOol00002Ool00`00Oomoo`0dOol00`0?Oomoo`0j
Ool00`0?Oomoo`0TOol01@00Oomoogoo00004Woo00<03gooOol02Goo00D007ooOomoo`0002aoo`03
00moogoo02ioo`00:Goo0P007Goo00@007ooOol001Yoo`0500moogooOol00002Ool00`00Oomoo`0d
Ool00`0?Oomoo`0jOol00`0?Oomoo`0UOol01@00Oomoogoo00004Goo00<03gooOol02Goo00@007oo
Ool002eoo`0300moogoo02ioo`00:Goo00<007ooOol07Goo00@007ooOol001Uoo`0400moogoo0002
Ool00`00Oomoo`0eOol00`0?Oomoo`0jOol00`0?Oomoo`0VOol01@00Oomoogoo000047oo00<03goo
Ool027oo00@007ooOol002ioo`0300moogoo02ioo`00:Goo00<007ooOol07Goo00D007ooOomoo`00
01Qoo`0300moo`00009oo`03001oogoo03Ioo`0300moogoo03Yoo`0300moogoo02Moo`04001oogoo
000@Ool00`0?Oomoo`08Ool01000Oomoo`00;Woo00<03gooOol0;Woo000YOol00`00Oomoo`0NOol0
1000Oomoo`0067oo00<03goo00000Woo00<007ooOol0=Woo00<03gooOol0>Woo00<03gooOol0:7oo
00@007ooOol000moo`0300moogoo00Moo`04001oogoo000_Ool00`0?Oomoo`0^Ool002Uoo`03001o
ogoo01moo`04001oogoo000GOol01@0?001oogoo0000>Goo00<03gooOol0>Woo00<03gooOol0:Goo
00@007ooOol000ioo`0300moogoo00Ioo`04001oogoo000`Ool00`0?Oomoo`0^Ool002Uoo`03001o
ogoo01moo`04001oogooOol2000EOol01000Oomoo`00>Woo00<03gooOol0>Woo00<03gooOol0:Goo
00D007ooOomoo`0000eoo`0300moogoo00Eoo`04001oogoo000aOol00`0?Oomoo`0^Ool002Uoo`80
025oo`03001oogoo009oo`03001oogoo015oo`0400003goo000kOol00`0?Oomoo`0jOol00`0?Oomo
o`0ZOol01@00Oomoogoo000037oo00<03gooOol017oo00@007ooOol0039oo`0300moogoo02ioo`00
:Goo00<007ooOol08Goo00<007ooOol00Woo00<007ooOol03Woo0P0000=oo`0?0000?7oo00<03goo
Ool0>Woo00<03gooOol0:goo00D007ooOomoo`0000]oo`0300moogoo00=oo`04001oogoo000cOol0
0`0?Oomoo`0^Ool002Uoo`03001oogoo029oo`03001oogoo009oo`03001oogoo00aoo`03001oogoo
008003eoo`0300moogoo03Yoo`0300moogoo02aoo`80009oo`03001oogoo00Qoo`0300moogoo009o
o`04001oogoo000dOol00`0?Oomoo`0^Ool002Uoo`03001oogoo02=oo`80009oo`03001oogoo00]o
o`06001oogoo001oo`0??Goo00<03gooOol0>Woo00<03gooOol0;Woo00@007ooOol000Uoo`0300mo
ogoo0080009oo`03001oogoo03=oo`0300moogoo02ioo`00:Goo00<007ooOol09Goo0P0000=oo`00
00002Goo0P0000=oo`0000000Woo00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0;goo0P00
00=oo`00Ool01goo00<03goo00000goo00<007ooOol0=7oo00<03gooOol0;Woo000YOol00`00Oomo
o`0WOol00`00Oomoo`020006Ool01000Oomoo`0017oo00<03gooOol0>goo00<03gooOol0>Woo00<0
3gooOol0<Goo00@007oo000000Ioo`0300l0000000<003Moo`0300moogoo02ioo`00:Goo00<007oo
Ool0:7oo0P0000=oo`00000020001Goo00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0<Woo
0P0000=oo`0000001P00>goo00<03gooOol0;Woo000YOol2000[Ool6000:Ool00`0?Oomoo`0kOol0
0`0?Oomoo`0jOol00`0?Oomoo`0cOol60002Ool00`0?Oomoo`0jOol00`0?Oomoo`0^Ool002Uoo`03
001oogoo03Yoo`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo03]oo`0300moogoo03Yoo`03
00moogoo02ioo`00:Goo00<007ooOol0>Woo00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0
>goo00<03gooOol0>Woo00<03gooOol0;Woo000YOol00`00Oomoo`0jOol00`0?Oomoo`0kOol00`0?
Oomoo`0jOol00`0?Oomoo`0kOol00`0?Oomoo`0jOol00`0?Oomoo`0^Ool002Uoo`03001oogoo03Yo
o`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo02io
o`00ogooSWoo003oOon>Ool00?moohioo`00ogooSWoo003oOon>Ool006=oo`<000moo`<009Qoo`<0
07Yoo`00IWoo00<007ooOol03goo00<007ooOol0UWoo00<007ooOol0NGoo001:Ool40003Ool30003
Ool00`00Ool00003Ool30003Ool40003Ool200000goo00000002000017oo000007oo100027oo1000
0Woo0`000Woo10002Woo0P000Woo0`0000=oo`0000000Woo0P000goo0`000Woo0`000goo10000goo
0`000Woo1P0000Aoo`000000009oo`<00003Ool0000000800003Ool00000009oo`<0009oo`D00003
Ool00000008000Qoo`<00004Ool00000Ool40002Ool30002Ool60007Ool30002Ool;00000goo0000
00020003Ool30002Ool500000goo00000003001DOol004]oo`06001oogoo001oo`001Woo00<007oo
00000Woo00<007ooOol00goo00D007ooOomoo`00009oo`04001oogoo0002Ool01P00Oomoo`00Ool0
00=oo`03001oogoo00Eoo`04001oogoo0002Ool00`00Oomoo`07Ool00`00Oomoo`06Ool01000Oomo
o`000Woo00@007ooOol0009oo`06001oogoo001oo`001Woo00<007ooOol01Woo00<007oo00000goo
00@007ooOol0009oo`03001oo`0000Ioo`04001oogoo0002Ool00`00Ool00002Ool00`00Oomoo`05
Ool00`00Oomoo`05Ool00`00Oomoo`06Ool01P00Oomoo`00Ool0009oo`04001oogoo0003Ool01000
Oomoo`000Woo00<007ooOol01Woo00@007ooOol0009oo`04001oogoo0003Ool00`00Oomoo`05Ool0
0`00Ool00003Ool01@00Oomoogoo00001Goo00<007ooOol0E7oo0002Ool3000QOol3000ROol01@00
Oomoo`00Ool01@0000Moo`00Ool007oo001oo`0500000goo001oo`02Ool01000Oomoo`000Woo00@0
07ooOol0009oo`03001oo`0000=oo`03001oogoo00Eoo`04001oogoo0002Ool50002Ool30009Ool0
1000Oomoo`000Woo00@007ooOol0009oo`03001oogoo009oo`D0009oo`03001oogoo00=oo`<0009o
o`03001oogoo00Aoo`05001oogoo001oo`050002Ool01000Oomoo`000Woo0P000goo1@000goo00<0
07ooOol00Woo0`002Goo00@007ooOol0009oo`<0009oo`03001oogoo00Aoo`04001oogoo0008Ool0
1000Oomoo`000Woo00@007ooOol000=oo`03001oogoo009oo`<0009oo`05001oogooOol00003Ool0
0`00Oomoo`03Ool00`00Oomoo`1DOol000=oo`03001oogoo025oo`03001oogoo025oo`<0009oo`0=
001oogooOol007oo001oo`00Ool007oo00000goo00<007oo00000goo00@007ooOol0009oo`04001o
ogoo0002Ool00`00Ool00003Ool00`00Oomoo`05Ool01000Oomoo`000Woo00L007ooOomoo`00Ool0
000<Ool01000Oomoo`000Woo00@007ooOol0009oo`03001oogoo009oo`05001oogooOol00002Ool2
0003Ool00`00Oomoo`03Ool01@00Oomoogoo00000Woo00H007ooOol007oo0003Ool01000Oomoo`00
0Woo00H007ooOol007oo0002Ool01@00Oomoogoo00000goo00D007ooOomoo`0000aoo`06001oogoo
001oo`000Woo00@007ooOol000=oo`04001oogoo0002Ool00`00Oomoo`06Ool01000Oomoo`000Woo
00@007ooOol000=oo`05001oogooOol00005Ool01@00Oomoogoo00000goo00<007ooOol00goo00<0
07ooOol0E7oo0003Ool30002Ool;000:Ool00`00Oomoo`07Ool30002Ool;00000goo000000020003
Ool30002Ool500000goo000000030002Ool30002Ool6000017oo000000000goo1`0000Aoo`00001o
o`@000=oo`D000Moo`<000=oo`<000=oo`@000Qoo`05001oogoo001oo`040002Ool40003Ool30002
Ool200000goo00000002Ool40002Ool30003Ool30003Ool30002Ool40003Ool01000Ool000000Woo
0`0017oo00<007ooOol00Woo10001goo10000goo0P0017oo0`000goo0`0027oo10000goo0`000Woo
0`0017oo10000Woo0`0017oo00<007ooOol00goo00<007ooOol0E7oo0003Ool01000Oomoo`000Woo
00@007ooOol000=oo`03001oogoo00Yoo`03001oogoo00Moo`04001oogoo0002Ool01000Oomoo`00
0goo00<007ooOol01Goo00<007oo00000goo00D007ooOomoo`0000Aoo`800003Ool007oo03=oo`03
001oogoo01=oo`04001oogoo0008Ool00`00Oomoo`0KOol00`00Oomoo`0?Ool00`00Oomoo`0:Ool0
0`00Oomoo`0POol00`00Oomoo`0?Ool00`00Oomoo`0FOol00`00Oomoo`03Ool00`00Oomoo`1DOol0
00=oo`04001oogoo0002Ool01000Oomoo`000goo00<007ooOol027oo1@001goo00@007ooOol0009o
o`04001oogoo0003Ool00`00Oomoo`02Ool30002Ool01@00Oomoogoo00000goo00@007ooOomoo`@0
03Aoo`8001Aoo`<00003Ool0000000Moo`03001oogoo01Yoo`80011oo`8000Yoo`<0025oo`80011o
o`8000Ioo`03001oogoo00eoo`<000=oo`<005Ioo`000goo00@007ooOol0009oo`04001oogoo0003
Ool00`00Oomoo`0:Ool00`00Oomoo`07Ool01000Oomoo`000Woo00@007ooOol000=oo`05001oogoo
Ool00005Ool01@00Oomoogoo00000goo00<007ooOol00goo00<007ooOol0ogoo?goo0002Ool40003
Ool30002Ool3000<Ool00`00Oomoo`06Ool40003Ool30002Ool30004Ool40002Ool30004Ool00`00
Oomoo`03Ool00`00Oomoo`3oOoloOol000Uoo`03001oogoo025oo`03001oogoo01Ioo`03001oogoo
00=oo`03001oogoo0?moocmoo`0027oo0P001Woo00<007ooOol06Goo0P001Woo00<007ooOol03Goo
0`000goo0`00ogoo@Goo003oOon>Ool00?moohioo`00ogooSWoo003oOon>Ool00?moohioo`00ogoo
SWoo003oOon>Ool00?moohioo`00ogooSWoo003oOon>Ool00?moohioo`00ogooSWoo003oOon>Ool0
0?moohioo`00ogooSWoo003oOon>Ool00?moohioo`00ogooSWoo003oOon>Ool00001\
\>"],
  ImageRangeCache->{{{0, 396.375}, {244.625, 0}} -> {-0.133261, -1.73882, \
0.00325013, 0.0154608}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Plot[{Evaluate[phisoll - phierg]}, {t, 0, 1}, 
        AxesLabel \[Rule] {"\<Zeit s\>", "\<Fehler\>"}, 
        PlotLabel \[Rule] "\<Bewegung des Unterschenkels nach phisoll\>", 
        GridLines \[Rule] Automatic, 
        PlotRange \[Rule] {{0, 1}, Automatic}];\)\)], "Input",
  ImageRegion->{{0, 1}, {0, 1}}],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0 1 0.30902 2.11205 [
[.2 .29652 -9 -9 ]
[.2 .29652 9 0 ]
[.4 .29652 -9 -9 ]
[.4 .29652 9 0 ]
[.6 .29652 -9 -9 ]
[.6 .29652 9 0 ]
[.8 .29652 -9 -9 ]
[.8 .29652 9 0 ]
[1 .29652 -3 -9 ]
[1 .29652 3 0 ]
[1.025 .30902 0 -6 ]
[1.025 .30902 40 6 ]
[-0.0125 .09781 -24 -4.5 ]
[-0.0125 .09781 0 4.5 ]
[-0.0125 .20342 -30 -4.5 ]
[-0.0125 .20342 0 4.5 ]
[-0.0125 .41462 -24 -4.5 ]
[-0.0125 .41462 0 4.5 ]
[-0.0125 .52023 -18 -4.5 ]
[-0.0125 .52023 0 4.5 ]
[0 .64303 -20 0 ]
[0 .64303 20 12 ]
[.5 .63053 -122 0 ]
[.5 .63053 122 12 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 .5 r
.25 Mabswid
[ ] 0 setdash
0 0 m
0 .61803 L
s
.2 0 m
.2 .61803 L
s
.4 0 m
.4 .61803 L
s
.6 0 m
.6 .61803 L
s
.8 0 m
.8 .61803 L
s
1 0 m
1 .61803 L
s
0 .09781 m
1 .09781 L
s
0 .20342 m
1 .20342 L
s
0 .30902 m
1 .30902 L
s
0 .41462 m
1 .41462 L
s
0 .52023 m
1 .52023 L
s
0 g
.2 .30902 m
.2 .31527 L
s
[(0.2)] .2 .29652 0 1 Mshowa
.4 .30902 m
.4 .31527 L
s
[(0.4)] .4 .29652 0 1 Mshowa
.6 .30902 m
.6 .31527 L
s
[(0.6)] .6 .29652 0 1 Mshowa
.8 .30902 m
.8 .31527 L
s
[(0.8)] .8 .29652 0 1 Mshowa
1 .30902 m
1 .31527 L
s
[(1)] 1 .29652 0 1 Mshowa
.125 Mabswid
.05 .30902 m
.05 .31277 L
s
.1 .30902 m
.1 .31277 L
s
.15 .30902 m
.15 .31277 L
s
.25 .30902 m
.25 .31277 L
s
.3 .30902 m
.3 .31277 L
s
.35 .30902 m
.35 .31277 L
s
.45 .30902 m
.45 .31277 L
s
.5 .30902 m
.5 .31277 L
s
.55 .30902 m
.55 .31277 L
s
.65 .30902 m
.65 .31277 L
s
.7 .30902 m
.7 .31277 L
s
.75 .30902 m
.75 .31277 L
s
.85 .30902 m
.85 .31277 L
s
.9 .30902 m
.9 .31277 L
s
.95 .30902 m
.95 .31277 L
s
.25 Mabswid
0 .30902 m
1 .30902 L
s
gsave
1.025 .30902 -61 -10 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Zeit) show
93.000 13.000 moveto
(s) show
99.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .09781 m
.00625 .09781 L
s
[(-0.1)] -0.0125 .09781 1 0 Mshowa
0 .20342 m
.00625 .20342 L
s
[(-0.05)] -0.0125 .20342 1 0 Mshowa
0 .41462 m
.00625 .41462 L
s
[(0.05)] -0.0125 .41462 1 0 Mshowa
0 .52023 m
.00625 .52023 L
s
[(0.1)] -0.0125 .52023 1 0 Mshowa
.125 Mabswid
0 .11893 m
.00375 .11893 L
s
0 .14006 m
.00375 .14006 L
s
0 .16118 m
.00375 .16118 L
s
0 .1823 m
.00375 .1823 L
s
0 .22454 m
.00375 .22454 L
s
0 .24566 m
.00375 .24566 L
s
0 .26678 m
.00375 .26678 L
s
0 .2879 m
.00375 .2879 L
s
0 .33014 m
.00375 .33014 L
s
0 .35126 m
.00375 .35126 L
s
0 .37238 m
.00375 .37238 L
s
0 .3935 m
.00375 .3935 L
s
0 .43574 m
.00375 .43574 L
s
0 .45686 m
.00375 .45686 L
s
0 .47798 m
.00375 .47798 L
s
0 .4991 m
.00375 .4991 L
s
0 .07669 m
.00375 .07669 L
s
0 .05557 m
.00375 .05557 L
s
0 .03445 m
.00375 .03445 L
s
0 .01333 m
.00375 .01333 L
s
0 .54135 m
.00375 .54135 L
s
0 .56247 m
.00375 .56247 L
s
0 .58359 m
.00375 .58359 L
s
0 .60471 m
.00375 .60471 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
gsave
0 .64303 -81 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Fehler) show
99.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.5 .63053 -183 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Bewegung) show
117.000 13.000 moveto
(des) show
141.000 13.000 moveto
(Unterschenkels) show
231.000 13.000 moveto
(nach) show
261.000 13.000 moveto
(phisoll) show
303.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
0 .30902 m
.00236 .37517 L
.00488 .43226 L
.00726 .47335 L
.00942 .5021 L
.01197 .52774 L
.01473 .54802 L
.01734 .56179 L
.01975 .57102 L
.02094 .57461 L
.02223 .57786 L
.02456 .58237 L
.02598 .58439 L
.02732 .58588 L
.02853 .58691 L
.02985 .58774 L
.03058 .58807 L
.03126 .58832 L
.03254 .58861 L
.03392 .5887 L
.0347 .58866 L
.03541 .58857 L
.0366 .5883 L
.03792 .58787 L
.03929 .58727 L
.04057 .5866 L
.0463 .58236 L
.05174 .57689 L
.06192 .56379 L
.08481 .52393 L
.12505 .42777 L
.16788 .30505 L
.20911 .18748 L
.24874 .09357 L
.26906 .05763 L
.28048 .04185 L
.29096 .03044 L
.29593 .02607 L
.30125 .02217 L
.30585 .01946 L
.31083 .0172 L
.31387 .01617 L
.31521 .01581 L
.31668 .01547 L
.31798 .01522 L
.31937 .01501 L
.32014 .01492 L
.32084 .01485 L
.32222 .01475 L
.32353 .01472 L
Mistroke
.32475 .01473 L
.3261 .01479 L
.32684 .01485 L
.32752 .01492 L
.32877 .01507 L
.33012 .0153 L
.33256 .01583 L
.33506 .01657 L
.33774 .01755 L
.34257 .01986 L
.34831 .02348 L
.35354 .0276 L
.36491 .03921 L
.37567 .05341 L
.39662 .08941 L
.41597 .13131 L
.45726 .24062 L
.49695 .35669 L
.53922 .47153 L
.55866 .51579 L
.57989 .5552 L
.59009 .57031 L
.60098 .58345 L
.607 .58934 L
.61247 .59381 L
.61766 .59727 L
.62315 .60009 L
.62556 .60106 L
.62815 .6019 L
.62964 .6023 L
.631 .6026 L
.63238 .60286 L
.63365 .60305 L
.63481 .60317 L
.63603 .60327 L
.63726 .60332 L
.63862 .60332 L
.63979 .60328 L
.64105 .60319 L
.64224 .60306 L
.64333 .60291 L
.64596 .60239 L
.64841 .60173 L
.6511 .60081 L
.65397 .59958 L
.65984 .59633 L
.66518 .59252 L
.67565 .58271 L
.6853 .57098 L
.70713 .53564 L
Mistroke
.74847 .44086 L
.78822 .32853 L
.83054 .20619 L
.87127 .10551 L
.89348 .06377 L
.90369 .04849 L
.91458 .03519 L
.9202 .02957 L
.92549 .02508 L
.93065 .02148 L
.93539 .01883 L
.9399 .01692 L
.94217 .01618 L
.94467 .01554 L
.94595 .01528 L
.94717 .01508 L
.94785 .01499 L
.94858 .0149 L
.94986 .01479 L
.95108 .01473 L
.95237 .01472 L
.95348 .01474 L
.9547 .01481 L
.95598 .01493 L
.95717 .01508 L
.95847 .0153 L
.95987 .01559 L
.96272 .01635 L
.96531 .01725 L
.97031 .01955 L
.97503 .02238 L
.98554 .03097 L
.99693 .04375 L
1 .04779 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{396, 244.75},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006<0000m1000`40O003h00OogooSGoo003oOon=
Ool00?mooheoo`00ogooSGoo003oOon=Ool00?mooheoo`00ogooSGoo003oOon=Ool00?mooheoo`00
ogooSGoo003oOon=Ool00?mooheoo`00ogooSGoo003oOon=Ool00?mooheoo`008Goo00<007ooOol0
?7oo00<03gooOol0?7oo00<03gooOol0>goo00<03gooOol0?7oo00<03gooOol0?7oo00<03gooOol0
;Woo000QOol00`00Oomoo`0lOol00`0?Oomoo`0lOol00`0?Oomoo`0kOol00`0?Oomoo`0lOol00`0?
Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`03001oogoo03aoo`0300moogoo03aoo`0300moogoo03]o
o`0300moogoo03aoo`0300moogoo03aoo`0300moogoo02ioo`008Goo00<007ooOol0?7oo00<03goo
Ool0?7oo00<03gooOol0>goo00<03gooOol0?7oo00<03gooOol0?7oo00<03gooOol0;Woo000QOol3
000lOol00`0?Oomoo`0lOol00`0?Oomoo`0kOol00`0?Oomoo`0lOol00`0?Oomoo`0lOol00`0?Oomo
o`0^Ool0025oo`03001oogoo03aoo`0300moogoo01moo`/0019oo`0300moogoo03]oo`0300moogoo
03aoo`0300moogoo02Qoo`X000Yoo`0300moogoo02ioo`008Goo00<007ooOol0?7oo00<03gooOol0
7Woo00<007ooOol02Goo0P0047oo00<03gooOol0>goo00<03gooOol0?7oo00<03gooOol09goo00<0
07ooOol027oo0P0027oo00<03gooOol0;Woo000QOol00`00Oomoo`0lOol00`0?Oomoo`0LOol2000>
Ool00`00Oomoo`0=Ool00`0?Oomoo`0kOol00`0?Oomoo`0lOol00`0?Oomoo`0UOol2000=Ool00`00
Oomoo`05Ool00`0?Oomoo`0^Ool0025oo`03001oogoo03aoo`0300moogoo01]oo`03001oogoo00io
o`03001oogoo00eoo`0300moogoo03]oo`0300moogoo03aoo`0300moogoo02Aoo`03001oogoo00io
o`03001oogoo00Aoo`0300moogoo02ioo`008Goo00<007ooOol0?7oo00<03gooOol06Woo00<007oo
Ool047oo0P003Goo00<03gooOol0>goo00<03gooOol0?7oo00<03gooOol08goo00<007ooOol047oo
00<007ooOol00goo00<03gooOol0;Woo000QOol00`00Oomoo`0lOol00`0?Oomoo`0IOol00`00Oomo
o`0COol00`00Oomoo`0:Ool00`0?Oomoo`0kOol00`0?Oomoo`0lOol00`0?Oomoo`0ROol00`00Oomo
o`0BOol00`00Oomoo`02Ool00`0?Oomoo`0^Ool0025oo`<003aoo`0300moogoo01Qoo`03001oogoo
01Eoo`03001oogoo00Uoo`0300moogoo03]oo`0300moogoo03aoo`0300moogoo025oo`03001oogoo
01Aoo`05001oogooOol03`0`Ool0025oo`03001oogoo03aoo`0300moogoo01Moo`03001oogoo01Mo
o`03001oogoo00Qoo`0300moogoo03]oo`0300moogoo03aoo`0300moogoo025oo`03001oogoo01Eo
o`04001oogoo00l`Ool0025oo`03001oogoo03aoo`0300moogoo01Ioo`03001oogoo01Qoo`03001o
ogoo00Qoo`0300moogoo03]oo`0300moogoo03aoo`0300moogoo021oo`03001oogoo01Moo`03001o
o`0?031oo`008Goo00<007ooOol0?7oo00<03gooOol05Woo00<007ooOol06Goo00<007ooOol01goo
00<03gooOol0>goo00<03gooOol0?7oo00<03gooOol07goo00<007ooOol06Goo00<0000?Ool0;goo
000QOol00`00Oomoo`0lOol00`0?Oomoo`0EOol00`00Oomoo`0KOol00`00Oomoo`06Ool00`0?Oomo
o`0kOol00`0?Oomoo`0lOol00`0?Oomoo`0NOol00`00Oomoo`0KOol00`00Oomoo`0^Ool0025oo`03
001oogoo03aoo`0300moogoo01Aoo`03001oogoo01aoo`03001oogoo00Ioo`0300moogoo03]oo`03
00moogoo03aoo`0300moogoo01ioo`03001oogoo01]oo`0300moogoo02ioo`008Goo0`00?7oo00<0
3gooOol057oo00<007ooOol07Goo00<007ooOol01Goo00<03gooOol0>goo00<03gooOol0?7oo00<0
3gooOol07Goo00<007ooOol077oo00<03gooOol0;Woo000QOol00`00Oomoo`0lOol00`0?Oomoo`0C
Ool00`00Oomoo`0NOol00`00Oomoo`05Ool00`0?Oomoo`0kOol00`0?Oomoo`0lOol00`0?Oomoo`0L
Ool00`00Oomoo`0MOol00`0?Oomoo`0^Ool0025oo`03001oogoo03aoo`0300moogoo01=oo`03001o
ogoo01moo`03001oogoo00Aoo`0300moogoo03]oo`0300moogoo03aoo`0300moogoo01]oo`03001o
ogoo01ioo`0300moogoo02ioo`008Goo00<007ooOol0?7oo00<03gooOol04Woo00<007ooOol08Goo
00<007ooOol00goo00<03gooOol0>goo00<03gooOol0?7oo00<03gooOol06Woo00<007ooOol07goo
00<03gooOol0;Woo000QOol00`00Oomoo`0lOol00`0?Oomoo`0AOol00`00Oomoo`0ROol00`00Oomo
o`03Ool00`0?Oomoo`0kOol00`0?Oomoo`0lOol00`0?Oomoo`0JOol00`00Oomoo`0OOol00`0?Oomo
o`0^Ool0025oo`03001oogoo03aoo`0300moogoo015oo`03001oogoo02=oo`03001oogoo009oo`03
00moogoo03]oo`0300moogoo03aoo`0300moogoo01Uoo`03001oogoo021oo`0300moogoo02ioo`00
8Goo00<007ooOol0?7oo00<03gooOol047oo00<007ooOol09Goo00D007ooOomoo`0?03eoo`0300mo
ogoo03aoo`0300moogoo01Uoo`03001oogoo021oo`0300moogoo02ioo`008Goo0`00?7oo00<03goo
Ool03goo00<007ooOol09Woo00D007ooOomoo`0?03eoo`0300moogoo03aoo`0300moogoo01Qoo`03
001oogoo025oo`0300moogoo02ioo`008Goo00<007ooOol0?7oo00<03gooOol03goo00<007ooOol0
9goo00@007ooOol03ceoo`0300moogoo03aoo`0300moogoo01Qoo`03001oogoo025oo`0300moogoo
02ioo`008Goo00<007ooOol0?7oo00<03gooOol03Woo00<007ooOol0:7oo00@007ooOol03ceoo`03
00moogoo03aoo`0300moogoo01Moo`03001oogoo029oo`0300moogoo02ioo`008Goo00<007ooOol0
?7oo00<03gooOol03Woo00<007ooOol0:Goo00<007oo00l0?Goo00<03gooOol0?7oo00<03gooOol0
5Woo00<007ooOol08goo00<03gooOol0;Woo000>Ool20004Ool00`00Oomoo`02Ool30005Ool00`00
Oomoo`0lOol00`0?Oomoo`0=Ool00`00Oomoo`0[Ool00`0000moo`0lOol00`0?Oomoo`0lOol00`0?
Oomoo`0FOol00`00Oomoo`0SOol00`0?Oomoo`0^Ool000eoo`04001oogoo0009Ool00`00Oomoo`04
Ool00`00Oomoo`0lOol00`0?Oomoo`0<Ool00`00Oomoo`0/Ool00`0000moo`0lOol00`0?Oomoo`0l
Ool00`0?Oomoo`0EOol00`00Oomoo`0TOol00`0?Oomoo`0^Ool000Ioo`D0009oo`04001oogoo0009
Ool00`00Oomoo`04Ool00`00Oomoo`0lOol00`0?Oomoo`0<Ool00`00Oomoo`0]Ool00`00Oomoo`0k
Ool00`0?Oomoo`0lOol00`0?Oomoo`0EOol00`00Oomoo`0TOol00`0?Oomoo`0^Ool000eoo`04001o
ogoo0009Ool00`00Oomoo`04Ool3001:00l00`0000l03`0^00l00`0000l03`2A00l00`0000l03`0V
00l`Ool000eoo`04001oogoo0009Ool00`00Oomoo`04Ool00`00Oomoo`0lOol00`0?Oomoo`0;Ool0
0`00Oomoo`0^Ool00`0?001oo`0kOol00`0?Oomoo`0lOol00`0?Oomoo`0DOol00`00Oomoo`0UOol0
0`0?Oomoo`0^Ool000eoo`04001oogoo0008Ool20006Ool00`00Oomoo`0lOol00`0?Oomoo`0;Ool0
0`00Oomoo`0^Ool00`0?001oo`0kOol00`0?Oomoo`0lOol00`0?Oomoo`0COol00`00Oomoo`0VOol0
0`0?Oomoo`0^Ool000ioo`8000Yoo`03001oogoo00Aoo`03001oogoo03aoo`0300moogoo00Yoo`03
001oogoo02moo`0300moo`0003]oo`0300moogoo03aoo`0300moogoo01=oo`03001oogoo02Ioo`03
00moogoo02ioo`008Goo00<007ooOol0?7oo00<03gooOol02Woo00<007ooOol0;goo00<03goo0000
>goo00<03gooOol0?7oo00<03gooOol04Woo00<007ooOol09goo00<03gooOol0;Woo000QOol00`00
Oomoo`0lOol00`0?Oomoo`09Ool00`00Oomoo`0`Ool00`0?Ool0000kOol00`0?Oomoo`0lOol00`0?
Oomoo`0BOol00`00Oomoo`0WOol00`0?Oomoo`0^Ool0025oo`<003aoo`0300moogoo00Uoo`03001o
ogoo031oo`0400moogoo000jOol00`0?Oomoo`0lOol00`0?Oomoo`0BOol00`00Oomoo`0WOol00`0?
Oomoo`0^Ool0025oo`03001oogoo03aoo`0300moogoo00Uoo`03001oogoo031oo`0400moogoo000j
Ool00`0?Oomoo`0lOol00`0?Oomoo`0AOol00`00Oomoo`0XOol00`0?Oomoo`0^Ool0025oo`03001o
ogoo03aoo`0300moogoo00Qoo`03001oogoo035oo`0500moogooOol0000iOol00`0?Oomoo`0lOol0
0`0?Oomoo`0AOol00`00Oomoo`0XOol00`0?Oomoo`0^Ool0025oo`03001oogoo03aoo`0300moogoo
00Qoo`03001oogoo035oo`0500moogooOol0000iOol00`0?Oomoo`0lOol00`0?Oomoo`0@Ool00`00
Oomoo`0YOol00`0?Oomoo`0^Ool0025oo`03001oogoo03aoo`0300moogoo00Moo`03001oogoo039o
o`0300moogoo009oo`03001oogoo03Ioo`0300moogoo03aoo`0300moogoo011oo`03001oogoo02Uo
o`0300moogoo02ioo`008Goo00<007ooOol0?7oo00<03gooOol01goo00<007ooOol0<Woo00<03goo
Ool00Woo00<007ooOol0=Woo00<03gooOol0?7oo00<03gooOol047oo00<007ooOol0:Goo00<03goo
Ool0;Woo000QOol00`00Oomoo`0lOol00`0?Oomoo`07Ool00`00Oomoo`0bOol00`0?Oomoo`03Ool0
0`00Oomoo`0eOol00`0?Oomoo`0lOol00`0?Oomoo`0?Ool00`00Oomoo`0ZOol00`0?Oomoo`0^Ool0
025oo`<003aoo`0300moogoo00Ioo`03001oogoo03=oo`0300moogoo00=oo`03001oogoo03Eoo`03
00moogoo03aoo`0300moogoo00moo`03001oogoo02Yoo`0300moogoo02ioo`008Goo00<007ooOol0
?7oo00<03gooOol01Woo00<007ooOol0<goo00<03gooOol00goo00<007ooOol0=Goo00<03gooOol0
?7oo00<03gooOol03goo00<007ooOol0:Woo00<03gooOol0;Woo000QOol00`00Oomoo`0lOol00`0?
Oomoo`05Ool00`00Oomoo`0dOol00`0?Oomoo`04Ool00`00Oomoo`0dOol00`0?Oomoo`0lOol00`0?
Oomoo`0>Ool00`00Oomoo`0[Ool00`0?Oomoo`0^Ool0025oo`03001oogoo03aoo`0300moogoo00Eo
o`03001oogoo03Aoo`0300moogoo00Aoo`03001oogoo03Aoo`0300moogoo03aoo`0300moogoo00io
o`03001oogoo02]oo`0300moogoo02ioo`008Goo00<007ooOol0?7oo00<03gooOol01Goo00<007oo
Ool0=7oo00<03gooOol017oo00<007ooOol0=7oo00<03gooOol0?7oo00<03gooOol03Goo00<007oo
Ool0;7oo00<03gooOol0;Woo000QOol00`00Oomoo`0lOol00`0?Oomoo`04Ool00`00Oomoo`0eOol0
0`0?Oomoo`05Ool00`00Oomoo`0cOol00`0?Oomoo`0lOol00`0?Oomoo`0=Ool00`00Oomoo`0/Ool0
0`0?Oomoo`0^Ool0025oo`<003aoo`0300moogoo00Aoo`03001oogoo03Eoo`0300moogoo00Eoo`03
001oogoo03=oo`0300moogoo03aoo`0300moogoo00eoo`03001oogoo02aoo`0300moogoo02ioo`00
8Goo00<007ooOol0?7oo00<03gooOol00goo00<007ooOol0=Woo00<03gooOol01Woo00<007ooOol0
<Woo00<03gooOol0?7oo00<03gooOol037oo00<007ooOol0;Goo00<03gooOol0;Woo000QOol00`00
Oomoo`0lOol00`0?Oomoo`03Ool00`00Oomoo`0fOol00`0?Oomoo`06Ool00`00Oomoo`0bOol00`0?
Oomoo`0lOol00`0?Oomoo`0<Ool00`00Oomoo`0]Ool00`0?Oomoo`0^Ool0025oo`03001oogoo03ao
o`0300moogoo00=oo`03001oogoo03Ioo`0300moogoo00Ioo`03001oogoo039oo`0300moogoo03ao
o`0300moogoo00]oo`03001oogoo02ioo`0300moogoo02ioo`008Goo00<007ooOol0?7oo00<03goo
Ool00Woo00<007ooOol0=goo00<03gooOol01goo00<007ooOol0<Goo00<03gooOol0?7oo00<03goo
Ool02goo00<007ooOol0;Woo00<03gooOol0;Woo000QOol00`00Oomoo`0lOol00`0?Oomoo`02Ool0
0`00Oomoo`0gOol00`0?Oomoo`07Ool00`00Oomoo`0aOol00`0?Oomoo`0lOol00`0?Oomoo`0;Ool0
0`00Oomoo`0^Ool00`0?Oomoo`0^Ool0025oo`03001oogoo03aoo`0500moogooOol0000jOol00`0?
Oomoo`08Ool00`00Oomoo`0`Ool00`0?Oomoo`0lOol00`0?Oomoo`0:Ool00`00Oomoo`0_Ool00`0?
Oomoo`0^Ool0025oo`<003aoo`0500moogooOol0000jOol00`0?Oomoo`08Ool00`00Oomoo`0`Ool0
0`0?Oomoo`0lOol00`0?Oomoo`0:Ool00`00Oomoo`0_Ool00`0?Oomoo`0^Ool0025oo`03001oogoo
03aoo`0500moogooOol0000jOol00`0?Oomoo`08Ool00`00Oomoo`0`Ool00`0?Oomoo`0lOol00`0?
Oomoo`0:Ool00`00Oomoo`0_Ool00`0?Oomoo`0^Ool0025oo`03001oogoo03aoo`0400moogoo000k
Ool00`0?Oomoo`09Ool00`00Oomoo`0_Ool00`0?Oomoo`0lOol00`0?Oomoo`09Ool00`00Oomoo`0`
Ool00`0?Oomoo`0^Ool0025oo`03001oogoo03aoo`0400moogoo000kOol00`0?Oomoo`09Ool00`00
Oomoo`0_Ool00`0?Oomoo`0lOol00`0?Oomoo`09Ool00`00Oomoo`0`Ool00`0?Oomoo`0^Ool000Qo
o`8000Aoo`03001oogoo00=oo`8000=oo`<000Eoo`03001oogoo03aoo`0300moo`0003aoo`0300mo
ogoo00Uoo`03001oogoo02moo`0300moogoo03aoo`0300moogoo00Qoo`03001oogoo035oo`0300mo
ogoo02ioo`001goo00@007ooOol000Qoo`06001oogoo001oo`000goo00<007ooOol00Woo00<007oo
Ool0?7oo00<03goo0000?7oo00<03gooOol02Woo00<007ooOol0;Woo00<03gooOol0?7oo00<03goo
Ool027oo00<007ooOol0<Goo00<03gooOol0;Woo00050002Ool01000Oomoo`0027oo00@007ooOol0
00Eoo`03001oogoo009oo`03001oogoo03aoo`0300moo`0003aoo`0300moogoo00Yoo`03001oogoo
02ioo`0300moogoo03aoo`0300moogoo00Qoo`03001oogoo035oo`0300moogoo02ioo`001goo00@0
07ooOol000Qoo`04001oogoo0005Ool00`00Oomoo`02Ool3000m00l00`0000l03`1900l00`0000l0
3`1f00l00`0000l03`0c00l`Ool000Moo`04001oogoo0008Ool01@00Oomoo`00Ool010001Goo00<0
07ooOol0?7oo00<03`00Ool0?7oo00<03gooOol02goo00<007ooOol0;Goo00<03gooOol0?7oo00<0
3gooOol01goo00<007ooOol0<Woo00<03gooOol0;Woo0007Ool01000Oomoo`0027oo00H007ooOol0
07oo0008Ool00`00Oomoo`0lOol00`0?001oo`0lOol00`0?Oomoo`0;Ool00`00Oomoo`0]Ool00`0?
Oomoo`0lOol00`0?Oomoo`06Ool00`00Oomoo`0cOol00`0?Oomoo`0^Ool000Qoo`8000Yoo`80009o
o`D000Aoo`03001oogoo03aoo`03001oogoo03aoo`0300moogoo00aoo`03001oogoo02aoo`0300mo
ogoo03aoo`0300moogoo00Ioo`03001oogoo03=oo`0300moogoo02ioo`008Goo00<007ooOol0?7oo
00<007ooOol0?7oo00<03gooOol037oo00<007ooOol0;7oo00<03gooOol0?7oo00<03gooOol01Woo
00<007ooOol0<goo00<03gooOol0;Woo000QOol00`00Oomoo`0lOol00`00Oomoo`0lOol00`0?Oomo
o`0=Ool00`00Oomoo`0[Ool00`0?Oomoo`0lOol00`0?Oomoo`05Ool00`00Oomoo`0dOol00`0?Oomo
o`0^Ool0025oo`<003]oo`0300003goo03eoo`0300moogoo00eoo`03001oogoo02]oo`0300moogoo
03aoo`0300moogoo00Eoo`03001oogoo03Aoo`0300moogoo02ioo`008Goo00<007ooOol0>goo00<0
000?Ool0?Goo00<03gooOol03Goo00<007ooOol0:goo00<03gooOol0?7oo00<03gooOol01Goo00<0
07ooOol0=7oo00<03gooOol0;Woo000QOol00`00Oomoo`0jOol00`00Ool03`0nOol00`0?Oomoo`0>
Ool00`00Oomoo`0ZOol00`0?Oomoo`0lOol00`0?Oomoo`04Ool00`00Oomoo`0eOol00`0?Oomoo`0^
Ool0025oo`03001oogoo03Yoo`03001oo`0?03ioo`0300moogoo00ioo`03001oogoo02Yoo`0300mo
ogoo03aoo`0300moogoo00Aoo`03001oogoo03Eoo`0300moogoo02ioo`008Goo00<007ooOol0>Woo
00<007oo00l0?Woo00<03gooOol03Woo00<007ooOol0:Woo00<03gooOol0?7oo00<03gooOol017oo
00<007ooOol0=Goo00<03gooOol0;Woo000QOol00`00Oomoo`0iOol01000Oomoo`0??Woo00<03goo
Ool03goo00<007ooOol0:Goo00<03gooOol0?7oo00<03gooOol00goo00<007ooOol0=Woo00<03goo
Ool0;Woo000QOol00`00Oomoo`0iOol01000Oomoo`0??Woo00<03gooOol03goo00<007ooOol0:Goo
00<03gooOol0?7oo00<03gooOol00goo00<007ooOol0=Woo00<03gooOol0;Woo000QOol3000iOol0
1000Oomoo`0??Woo00<03gooOol03goo00<007ooOol0:Goo00<03gooOol0?7oo00<03gooOol00goo
00<007ooOol0=Woo00<03gooOol0;Woo000QOol00`00Oomoo`0hOol01@00Oomoogoo00l0?Woo00<0
3gooOol047oo00<007ooOol0:7oo00<03gooOol0?7oo00<03gooOol00Woo00<007ooOol0=goo00<0
3gooOol0;Woo000QOol00`00Oomoo`0hOol01@00Oomoogoo00l0?Woo00<03gooOol047oo00<007oo
Ool0:7oo00<03gooOol0?7oo00<03gooOol00Woo00<007ooOol0=goo00<03gooOol0;Woo000QOol0
0`00Oomoo`0hOol01@00Oomoogoo00l0?Woo00<03gooOol047oo00<007ooOol0:7oo00<03gooOol0
?7oo00D03gooOomoo`0003Yoo`0300moogoo02ioo`008Goo00<007ooOol0=goo00<007ooOol00Woo
00<03gooOol0?7oo00<03gooOol04Goo00<007ooOol09goo00<03gooOol0?7oo00D03gooOomoo`00
03Yoo`0300moogoo02ioo`008Goo00<007ooOol0=goo00<007ooOol00Woo00<03gooOol0?7oo00<0
3gooOol04Goo00<007ooOol09goo00<03gooOol0?7oo00D03gooOomoo`0003Yoo`0300moogoo02io
o`008Goo0`00=goo00<007ooOol00Woo00<03gooOol0?7oo00<03gooOol04Goo00<007ooOol09goo
00<03gooOol0?7oo00@03gooOol003]oo`0300moogoo02ioo`008Goo00<007ooOol0=Woo00<007oo
Ool00goo00<03gooOol0?7oo00<03gooOol04Woo00<007ooOol09Woo00<03gooOol0?7oo00@03goo
Ool003]oo`0300moogoo02ioo`008Goo00<007ooOol0=Goo0P0017oo00@0000?Oomoo`D0031oo`80
00Aoo`0300003goo00=oo`<000eoo`03001oogoo01moo`8000Aoo`0300003goo009oo`<0035oo`80
00Aoo`0400003gooOol4000fOol3000`Ool0025oo`03001oogoo03Aoo`800003Ool007oo00=oo`05
00moogooOol00002Ool00`00Oomoo`0]Ool01000Oomoo`0017oo00<03gooOol00goo00<007ooOol0
37oo00<007ooOol07Woo00@007ooOol000Aoo`0400moogoo0003Ool00`00Oomoo`0]Ool01000Oomo
o`0017oo00@03goo000000=oo`03001oogoo03Aoo`0300003goo02moo`008Goo00<007ooOol0=7oo
0P0000=oo`00Ool00goo00<03gooOol00Woo00<007ooOol0;goo00@007ooOol000Aoo`0300moogoo
00D000ioo`03001oogoo01eoo`04001oogoo0004Ool0100?Oomoo`000goo00<007ooOol0;Goo00@0
07ooOol000Aoo`0400moo`000003Ool00`00Oomoo`0dOol00`0000moo`0_Ool0025oo`03001oogoo
03Aoo`800003Ool007oo00=oo`0300moogoo00=oo`03001oogoo02ioo`04001oogoo0004Ool0100?
Oomoo`000Woo00<007ooOol03Goo00<007ooOol07Goo00@007ooOol000Aoo`0300moogoo00@0031o
o`04001oogoo0004Ool0100?Ool007oo0`00=goo00<0000?Ool0;goo000QOol00`00Oomoo`0dOol0
1000Oomoo`0017oo00@03gooOol000=oo`03001oogoo02eoo`04001oogoo0004Ool01`0?Oomoogoo
001oo`0000moo`03001oogoo01eoo`04001oogoo0004Ool0100?Oomoo`00<goo00@007ooOol000Ao
o`0400l007oo0003Ool00`00Oomoo`0dOol00`0000moo`0_Ool0025oo`<003Aoo`04001oogoo0004
Ool0100?Oomoo`000goo00<007ooOol0;Goo00@007ooOol000Aoo`0300moogoo009oo`80011oo`03
001oogoo01aoo`04001oogoo0004Ool01@0?Oomoogoo0000<Woo00@007ooOol000Aoo`0400l007oo
0003Ool00`00Oomoo`0cOol200000`0?Oomoo`0^Ool0025oo`03001oogoo03Aoo`<000Eoo`0400mo
ogooOol3000aOol20005Ool00`0?Oomoo`03Ool00`00Oomoo`0>Ool00`00Oomoo`0MOol20005Ool0
0`0?Oomoo`02Ool2000aOol20005Ool01000Oomoogoo0`00=goo00<0000?Ool0;goo000QOol00`00
Oomoo`0cOol00`00Oomoo`06Ool00`0?Oomoo`0lOol00`0?Oomoo`0DOol00`00Oomoo`0TOol00`0?
Oomoo`0lOol00`00Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`03001oogoo03=oo`03001oogoo00Io
o`0300moogoo03aoo`0300moogoo01Eoo`03001oogoo02=oo`0300moogoo03aoo`03001oogoo03ao
o`0300moogoo02ioo`008Goo00<007ooOol0<goo00<007ooOol01Woo00<03gooOol0?7oo00<03goo
Ool05Goo00<007ooOol08goo00<03gooOol0>goo00<0000?Ool0?Goo00<03gooOol0;Woo000QOol0
0`00Oomoo`0bOol00`00Oomoo`07Ool00`0?Oomoo`0lOol00`0?Oomoo`0EOol00`00Oomoo`0SOol0
0`0?Oomoo`0kOol00`0000moo`0mOol00`0?Oomoo`07Ool50002Ool30002Ool50003Ool20008Ool4
0005Ool0025oo`03001oogoo039oo`03001oogoo00Moo`0300moogoo03aoo`0300moogoo01Ioo`03
001oogoo029oo`0300moogoo03]oo`0300003goo03eoo`0300moogoo00Moo`07001oogooOol007oo
00001goo00<007ooOol00Woo00@007ooOol000]oo`03001oogoo009oo`008Gooo`00?0002Woo00<0
07ooOol00Woo1@000goo00<007ooOol00Woo00<007ooOol02Goo0`001Goo000QOol00`00Oomoo`0=
Ool00`00Oomoo`0=Ool00`00Oomoo`0<Ool00`00Oomoo`02Ool00`00Oomoo`08Ool00`00Oomoo`0=
Ool00`00Oomoo`0<Ool00`00Oomoo`0=Ool00`00Oomoo`0=Ool00`00Oomoo`0<Ool00`00Oomoo`07
Ool00`00Oomoo`03Ool00`00Oomoo`0=Ool00`00Oomoo`0<Ool00`00Oomoo`0=Ool00`00Oomoo`0=
Ool00`00Oomoo`0<Ool00`00Oomoo`0;Ool00`00Ool0000?Ool00`00Oomoo`0<Ool00`00Oomoo`0=
Ool00`00Oomoo`0=Ool00`00Oomoo`09Ool01@00Oomoogoo00000goo00D007ooOomoo`0000Aoo`03
001oogoo00Qoo`03001oogoo00Ioo`008Goo00<007ooOol0<Goo00<007ooOol027oo00<007ooOol0
?7oo00<007ooOol05goo00<007ooOol08Goo00<007ooOol0>Woo00<007oo0000?Woo00<007ooOol0
2Woo00@007ooOomoo`<0009oo`<000=oo`@000Uoo`@000Aoo`008Goo00<007ooOol0<7oo00<007oo
Ool02Goo00<03gooOol0?7oo00<03gooOol05goo00<007ooOol08Goo00<03gooOol0>Goo00@007oo
Ool03cioo`0300moogoo00Moo`05001oogooOol0000>Ool00`00Oomoo`0AOol0025oo`03001oogoo
031oo`03001oogoo00Uoo`0300moogoo03aoo`0300moogoo01Moo`03001oogoo025oo`0300moogoo
03Uoo`04001oogoo00lnOol00`0?Oomoo`07Ool50009Ool00`00Oomoo`02Ool00`00Oomoo`0AOol0
025oo`03001oogoo031oo`03001oogoo00Uoo`0300moogoo03aoo`0300moogoo01Qoo`03001oogoo
021oo`0300moogoo03Uoo`04001oogoo00lnOol00`0?Oomoo`0^Ool0025oo`<002moo`03001oogoo
00Yoo`0300moogoo03aoo`0300moogoo01Qoo`03001oogoo021oo`0300moogoo03Qoo`05001oogoo
Ool03`0nOol00`0?Oomoo`0^Ool0025oo`03001oogoo02moo`03001oogoo00Yoo`0300moogoo03ao
o`0300moogoo01Qoo`03001oogoo021oo`0300moogoo03Qoo`05001oogooOol03`0nOol00`0?Oomo
o`0^Ool0025oo`03001oogoo02moo`03001oogoo00Yoo`0300moogoo03aoo`0300moogoo01Uoo`03
001oogoo01moo`0300moogoo03Moo`03001oogoo009oo`0300moogoo03aoo`0300moogoo02ioo`00
8Goo00<007ooOol0;Woo00<007ooOol02goo00<03gooOol0?7oo00<03gooOol06Goo00<007ooOol0
7goo00<03gooOol0=goo00<007ooOol00Woo00<03gooOol0?7oo00<03gooOol0;Woo000QOol00`00
Oomoo`0^Ool00`00Oomoo`0;Ool00`0?Oomoo`0lOol00`0?Oomoo`0IOol00`00Oomoo`0OOol00`0?
Oomoo`0gOol00`00Oomoo`02Ool00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`8002moo`03001o
ogoo00]oo`0300moogoo03aoo`0300moogoo01Yoo`03001oogoo01ioo`0300moogoo03Ioo`03001o
ogoo00=oo`0300moogoo03aoo`0300moogoo02ioo`008Goo0P00;Woo00<007ooOol037oo00<03goo
Ool0?7oo00<03gooOol06Woo00<007ooOol07Woo00<03gooOol0=Woo00<007ooOol00goo00<03goo
Ool0?7oo00<03gooOol0;Woo000QOol3000]Ool00`00Oomoo`0<Ool00`0?Oomoo`0lOol00`0?Oomo
o`0JOol00`00Oomoo`0NOol00`0?Oomoo`0fOol00`00Oomoo`03Ool00`0?Oomoo`0lOol00`0?Oomo
o`0^Ool0025oo`8002ioo`03001oogoo00aoo`0300moogoo03aoo`0300moogoo01]oo`03001oogoo
01eoo`0300moogoo03Eoo`03001oogoo00Aoo`0300moogoo03aoo`0300moogoo02ioo`008Goo0P00
;Goo00<007ooOol03Goo00<03gooOol0?7oo00<03gooOol06goo00<007ooOol07Goo00<03gooOol0
=Goo00<007ooOol017oo00<03gooOol0?7oo00<03gooOol0;Woo000QOol2000]Ool00`00Oomoo`0=
Ool00`0?Oomoo`0lOol00`0?Oomoo`0KOol00`00Oomoo`0MOol00`0?Oomoo`0eOol00`00Oomoo`04
Ool00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`8002eoo`03001oogoo00eoo`0300moogoo03ao
o`0300moogoo01aoo`03001oogoo01aoo`0300moogoo03Aoo`03001oogoo00Eoo`0300moogoo03ao
o`0300moogoo02ioo`008Goo0P00;7oo00<007ooOol03Woo00<03gooOol0?7oo00<03gooOol077oo
00<007ooOol077oo00<03gooOol0=7oo00<007ooOol01Goo00<03gooOol0?7oo00<03gooOol0;Woo
000QOol2000/Ool00`00Oomoo`0>Ool00`0?Oomoo`0lOol00`0?Oomoo`0LOol00`00Oomoo`0LOol0
0`0?Oomoo`0dOol00`00Oomoo`05Ool00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`<002]oo`03
001oogoo00ioo`0300moogoo03aoo`0300moogoo01eoo`03001oogoo01]oo`0300moogoo03=oo`03
001oogoo00Ioo`0300moogoo03aoo`0300moogoo02ioo`008Goo0P00:goo00<007ooOol03goo00<0
3gooOol0?7oo00<03gooOol07Goo00<007ooOol06goo00<03gooOol0<goo00<007ooOol01Woo00<0
3gooOol0?7oo00<03gooOol0;Woo000QOol2000[Ool00`00Oomoo`0?Ool00`0?Oomoo`0lOol00`0?
Oomoo`0MOol00`00Oomoo`0KOol00`0?Oomoo`0cOol00`00Oomoo`06Ool00`0?Oomoo`0lOol00`0?
Oomoo`0^Ool0025oo`8002]oo`03001oogoo00moo`0300moogoo03aoo`0300moogoo01ioo`03001o
ogoo01Yoo`0300moogoo039oo`03001oogoo00Moo`0300moogoo03aoo`0300moogoo02ioo`008Goo
0P00:Woo00<007ooOol047oo00<03gooOol0?7oo00<03gooOol07Woo00<007ooOol06Woo00<03goo
Ool0<Woo00<007ooOol01goo00<03gooOol0?7oo00<03gooOol0;Woo000QOol2000ZOol00`00Oomo
o`0@Ool00`0?Oomoo`0lOol00`0?Oomoo`0NOol00`00Oomoo`0JOol00`0?Oomoo`0bOol00`00Oomo
o`07Ool00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`<002Uoo`03001oogoo011oo`0300moogoo
03aoo`0300moogoo01moo`03001oogoo01Uoo`0300moogoo035oo`03001oogoo00Qoo`0300moogoo
03aoo`0300moogoo02ioo`008Goo0P00:Goo00<007ooOol04Goo00<03gooOol0?7oo00<03gooOol0
7goo00<007ooOol06Goo00<03gooOol0<Goo00<007ooOol027oo00<03gooOol0?7oo00<03gooOol0
;Woo000QOol2000YOol00`00Oomoo`0AOol00`0?Oomoo`0lOol00`0?Oomoo`0POol00`00Oomoo`0H
Ool00`0?Oomoo`0aOol00`00Oomoo`08Ool00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`8002Uo
o`03001oogoo015oo`0300moogoo03aoo`0300moogoo021oo`03001oogoo01Qoo`0300moogoo031o
o`03001oogoo00Uoo`0300moogoo03aoo`0300moogoo02ioo`0027oo0P0017oo00<007ooOol00goo
0P000goo0`001Goo00<007oo00009goo00<007ooOol04Woo00<03gooOol0?7oo00<03gooOol087oo
00<007ooOol067oo00<03gooOol0<7oo00<007ooOol02Goo00<03gooOol0?7oo00<03gooOol0;Woo
0007Ool01000Oomoo`0027oo00H007ooOol007oo0003Ool00`00Oomoo`02Ool00`00Ool0000WOol0
0`00Oomoo`0BOol00`0?Oomoo`0lOol00`0?Oomoo`0QOol00`00Oomoo`0GOol00`0?Oomoo`0`Ool0
0`00Oomoo`09Ool00`0?Oomoo`0lOol00`0?Oomoo`0^Ool000Moo`04001oogoo0008Ool01000Oomo
o`001Goo00<007ooOol00Woo00<007oo00009goo00<007ooOol04Woo00<03gooOol0?7oo00<03goo
Ool08Goo00<007ooOol05goo00<03gooOol0;goo00<007ooOol02Woo00<03gooOol0?7oo00<03goo
Ool0;Woo0007Ool01000Oomoo`0027oo00@007ooOol000Eoo`03001oogoo009oo`<002H03`030000
3`0?07H03`0300003`0?04T03`0300003`0?04X03c1oo`001goo00@007ooOol000Qoo`05001oogoo
001oo`040005Ool00`00Ool0000VOol00`00Oomoo`0COol00`0?Oomoo`0lOol00`0?Oomoo`0ROol0
0`00Oomoo`0FOol00`0?Oomoo`0_Ool00`00Oomoo`0:Ool00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0
00Moo`04001oogoo0008Ool01P00Oomoo`00Ool000Qoo`03001oo`0002Ioo`03001oogoo01=oo`03
00moogoo03aoo`0300moogoo029oo`03001oogoo01Ioo`0300moogoo02ioo`03001oogoo00]oo`03
00moogoo03aoo`0300moogoo02ioo`0027oo0P002Woo0P000Woo1@0017oo00<007oo00009Goo00<0
07ooOol057oo00<03gooOol0?7oo00<03gooOol08Woo00<007ooOol05Woo00<03gooOol0;Woo00<0
07ooOol02goo00<03gooOol0?7oo00<03gooOol0;Woo000QOol00`00Ool0000UOol00`00Oomoo`0D
Ool00`0?Oomoo`0lOol00`0?Oomoo`0SOol00`00Oomoo`0EOol00`0?Oomoo`0^Ool00`00Oomoo`0;
Ool00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`03001oo`0002Eoo`03001oogoo01Aoo`0300mo
ogoo03aoo`0300moogoo02=oo`03001oogoo01Eoo`0300moogoo02eoo`03001oogoo00aoo`0300mo
ogoo03aoo`0300moogoo02ioo`008Goo0`0097oo00<007ooOol05Goo00<03gooOol0?7oo00<03goo
Ool08goo00<007ooOol05Goo00<03gooOol0;Goo00<007ooOol037oo00<03gooOol0?7oo00<03goo
Ool0;Woo000QOol00`00Ool0000TOol00`00Oomoo`0EOol00`0?Oomoo`0lOol00`0?Oomoo`0TOol0
0`00Oomoo`0DOol00`0?Oomoo`0]Ool00`00Oomoo`0<Ool00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0
025oo`03001oo`0002=oo`03001oogoo01Ioo`0300moogoo03aoo`0300moogoo02Aoo`03001oogoo
01Aoo`0300moogoo02aoo`03001oogoo00eoo`0300moogoo03aoo`0300moogoo02ioo`008Goo00<0
07oo00008goo00<007ooOol05Woo00<03gooOol0?7oo00<03gooOol09Goo00<007ooOol04goo00<0
3gooOol0;7oo00<007ooOol03Goo00<03gooOol0?7oo00<03gooOol0;Woo000QOol00`00Ool0000S
Ool00`00Oomoo`0FOol00`0?Oomoo`0lOol00`0?Oomoo`0UOol00`00Oomoo`0COol00`0?Oomoo`0[
Ool00`00Oomoo`0>Ool00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`03001oo`00029oo`03001o
ogoo01Moo`0300moogoo03aoo`0300moogoo02Eoo`03001oogoo01=oo`0300moogoo02]oo`03001o
ogoo00ioo`0300moogoo03aoo`0300moogoo02ioo`008Goo00@007ooOol0025oo`03001oogoo01Mo
o`0300moogoo03aoo`0300moogoo02Ioo`03001oogoo019oo`0300moogoo02Yoo`03001oogoo00mo
o`0300moogoo03aoo`0300moogoo02ioo`008Goo100087oo00<007ooOol067oo00<03gooOol0?7oo
00<03gooOol09Woo00<007ooOol04Woo00<03gooOol0:Woo00<007ooOol03goo00<03gooOol0?7oo
00<03gooOol0;Woo000QOol01000Oomoo`0087oo00<007ooOol067oo00<03gooOol0?7oo00<03goo
Ool09Woo00<007ooOol04Woo00<03gooOol0:Woo00<007ooOol03goo00<03gooOol0?7oo00<03goo
Ool0;Woo000QOol01000Oomoo`007goo00<007ooOol06Goo00<03gooOol0?7oo00<03gooOol09goo
00<007ooOol04Goo00<03gooOol0:Goo00<007ooOol047oo00<03gooOol0?7oo00<03gooOol0;Woo
000QOol01000Oomoo`007goo00<007ooOol06Goo00<03gooOol0?7oo00<03gooOol09goo00<007oo
Ool04Goo00<03gooOol0:Goo00<007ooOol047oo00<03gooOol0?7oo00<03gooOol0;Woo000QOol0
1000Oomoo`007goo00<007ooOol06Goo00<03gooOol0?7oo00<03gooOol09goo00<007ooOol04Goo
00<03gooOol0:7oo00<007ooOol04Goo00<03gooOol0?7oo00<03gooOol0;Woo000QOol01000Oomo
o`007Woo00<007ooOol06Woo00<03gooOol0?7oo00<03gooOol0:7oo00<007ooOol047oo00<03goo
Ool0:7oo00<007ooOol04Goo00<03gooOol0?7oo00<03gooOol0;Woo000QOol01000Oomoo`007Woo
00<007ooOol06Woo00<03gooOol0?7oo00<03gooOol0:7oo00<007ooOol047oo00<03gooOol09goo
00<007ooOol04Woo00<03gooOol0?7oo00<03gooOol0;Woo000QOol4000MOol00`00Oomoo`0KOol0
0`0?Oomoo`0lOol00`0?Oomoo`0YOol00`00Oomoo`0?Ool00`0?Oomoo`0WOol00`00Oomoo`0BOol0
0`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`04001oogoo000MOol00`00Oomoo`0KOol00`0?Oomo
o`0lOol00`0?Oomoo`0YOol00`00Oomoo`0?Ool00`0?Oomoo`0WOol00`00Oomoo`0BOol00`0?Oomo
o`0lOol00`0?Oomoo`0^Ool0025oo`04001oogoo000LOol00`00Oomoo`0LOol00`0?Oomoo`0lOol0
0`0?Oomoo`0ZOol00`00Oomoo`0>Ool00`0?Oomoo`0VOol00`00Oomoo`0COol00`0?Oomoo`0lOol0
0`0?Oomoo`0^Ool0025oo`04001oogoo000LOol00`00Oomoo`0LOol00`0?Oomoo`0lOol00`0?Oomo
o`0ZOol00`00Oomoo`0>Ool00`0?Oomoo`0VOol00`00Oomoo`0COol00`0?Oomoo`0lOol00`0?Oomo
o`0^Ool0025oo`04001oogoo000LOol00`00Oomoo`0LOol00`0?Oomoo`0lOol00`0?Oomoo`0[Ool0
0`00Oomoo`0=Ool00`0?Oomoo`0UOol00`00Oomoo`0DOol00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0
025oo`04001oogoo000KOol00`00Oomoo`0MOol00`0?Oomoo`0lOol00`0?Oomoo`0[Ool00`00Oomo
o`0=Ool00`0?Oomoo`0UOol00`00Oomoo`0DOol00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`@0
01]oo`03001oogoo01eoo`0300moogoo03aoo`0300moogoo02]oo`03001oogoo00eoo`0300moogoo
02Aoo`03001oogoo01Eoo`0300moogoo03aoo`0300moogoo02ioo`008Goo00@007ooOol001Yoo`03
001oogoo01ioo`0300moogoo03aoo`0300moogoo02aoo`03001oogoo00aoo`0300moogoo02Aoo`03
001oogoo01Eoo`0300moogoo03aoo`0300moogoo02ioo`008Goo00@007ooOol001Yoo`03001oogoo
01ioo`0300moogoo03aoo`0300moogoo02aoo`03001oogoo00aoo`0300moogoo02Aoo`03001oogoo
01Eoo`0300moogoo03aoo`0300moogoo02ioo`008Goo00@007ooOol001Uoo`03001oogoo01moo`03
00moogoo03aoo`0300moogoo02eoo`03001oogoo00]oo`0300moogoo02=oo`03001oogoo01Ioo`03
00moogoo03aoo`0300moogoo02ioo`003Woo0P0017oo00<007ooOol00Woo0`001Goo00@007ooOol0
01Uoo`03001oogoo01moo`0300moogoo03aoo`0300moogoo02eoo`03001oogoo00]oo`0300moogoo
02=oo`03001oogoo01Ioo`0300moogoo03aoo`0300moogoo02ioo`003Goo00@007ooOol000Uoo`03
001oogoo00Aoo`04001oogoo000IOol00`00Oomoo`0OOol00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0
0`00Oomoo`0:Ool00`0?Oomoo`0ROol00`00Oomoo`0GOol00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0
00eoo`04001oogoo0009Ool00`00Oomoo`04Ool01@00Oomoogoo00005goo00<007ooOol087oo00<0
3gooOol0?7oo00<03gooOol0;Woo00<007ooOol02Woo00<03gooOol08Woo00<007ooOol05goo00<0
3gooOol0?7oo00<03gooOol0;Woo000=Ool01000Oomoo`002Goo00<007ooOol017oo0`0000<03`00
00l05P0?00<0000?00l0T@0?00<0000?00l0;@0?00<0000?00l0F00?<7oo000=Ool01000Oomoo`00
2Goo00<007ooOol017oo00D007ooOomoo`0001Ioo`03001oogoo025oo`0300moogoo03aoo`0300mo
ogoo02moo`03001oogoo00Uoo`0300moogoo025oo`03001oogoo01Qoo`0300moogoo03aoo`0300mo
ogoo02ioo`003Goo00@007ooOol000Qoo`8000Ioo`05001oogooOol0000FOol00`00Oomoo`0QOol0
0`0?Oomoo`0lOol00`0?Oomoo`0`Ool00`00Oomoo`08Ool00`0?Oomoo`0QOol00`00Oomoo`0HOol0
0`0?Oomoo`0lOol00`0?Oomoo`0^Ool000ioo`8000Yoo`03001oogoo00Aoo`05001oogooOol0000E
Ool00`00Oomoo`0ROol00`0?Oomoo`0lOol00`0?Oomoo`0`Ool00`00Oomoo`08Ool00`0?Oomoo`0P
Ool00`00Oomoo`0IOol00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`05001oogooOol0000EOol0
0`00Oomoo`0ROol00`0?Oomoo`0lOol00`0?Oomoo`0aOol00`00Oomoo`07Ool00`0?Oomoo`0POol0
0`00Oomoo`0IOol00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`05001oogooOol0000DOol00`00
Oomoo`0SOol00`0?Oomoo`0lOol00`0?Oomoo`0bOol00`00Oomoo`06Ool00`0?Oomoo`0OOol00`00
Oomoo`0JOol00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`<0009oo`03001oogoo015oo`03001o
ogoo02=oo`0300moogoo03aoo`0300moogoo039oo`03001oogoo00Ioo`0300moogoo01moo`03001o
ogoo01Yoo`0300moogoo03aoo`0300moogoo02ioo`008Goo00<007ooOol00Woo00<007ooOol047oo
00<007ooOol097oo00<03gooOol0?7oo00<03gooOol0<goo00<007ooOol01Goo00<03gooOol07Woo
00<007ooOol06goo00<03gooOol0?7oo00<03gooOol0;Woo000QOol00`00Oomoo`02Ool00`00Oomo
o`0?Ool00`00Oomoo`0UOol00`0?Oomoo`0lOol00`0?Oomoo`0cOol00`00Oomoo`05Ool00`0?Oomo
o`0MOol00`00Oomoo`0LOol00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`03001oogoo009oo`03
001oogoo00moo`03001oogoo02Eoo`0300moogoo03aoo`0300moogoo03Aoo`03001oogoo00Aoo`03
00moogoo01eoo`03001oogoo01aoo`0300moogoo03aoo`0300moogoo02ioo`008Goo00<007ooOol0
0Woo00<007ooOol03Woo00<007ooOol09Woo00<03gooOol0?7oo00<03gooOol0=7oo00<007ooOol0
17oo00<03gooOol077oo00<007ooOol07Goo00<03gooOol0?7oo00<03gooOol0;Woo000QOol00`00
Oomoo`02Ool00`00Oomoo`0>Ool00`00Oomoo`0VOol00`0?Oomoo`0lOol00`0?Oomoo`0eOol00`00
Oomoo`03Ool00`0?Oomoo`0KOol00`00Oomoo`0NOol00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025o
o`03001oogoo00=oo`03001oogoo00aoo`03001oogoo02Moo`0300moogoo03aoo`0300moogoo03Eo
o`03001oogoo00=oo`0300moogoo01]oo`03001oogoo01ioo`0300moogoo03aoo`0300moogoo02io
o`008Goo0`000goo00<007ooOol037oo00<007ooOol09goo00<03gooOol0?7oo00<03gooOol0=Woo
00<007ooOol00Woo00<03gooOol06Woo00<007ooOol07goo00<03gooOol0?7oo00<03gooOol0;Woo
000QOol00`00Oomoo`03Ool00`00Oomoo`0;Ool00`00Oomoo`0XOol00`0?Oomoo`0lOol00`0?Oomo
o`0gOol01@00Oomoogoo00l077oo00<007ooOol07goo00<03gooOol0?7oo00<03gooOol0;Woo000Q
Ool00`00Oomoo`04Ool00`00Oomoo`0:Ool00`00Oomoo`0XOol00`0?Oomoo`0lOol00`0?Oomoo`0g
Ool01@00Oomoogoo00l06goo00<007ooOol087oo00<03gooOol0?7oo00<03gooOol0;Woo000QOol0
0`00Oomoo`04Ool00`00Oomoo`09Ool00`00Oomoo`0YOol00`0?Oomoo`0lOol00`0?Oomoo`0hOol0
1000Oomoo`0?6Woo00<007ooOol08Goo00<03gooOol0?7oo00<03gooOol0;Woo000QOol00`00Oomo
o`04Ool00`00Oomoo`08Ool00`00Oomoo`0ZOol00`0?Oomoo`0lOol00`0?Oomoo`0iOol00`00Ool0
3`0IOol00`00Oomoo`0ROol00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`03001oogoo00Aoo`03
001oogoo00Ioo`8002eoo`0300moogoo03aoo`0300moogoo03Yoo`0300003goo01Moo`03001oogoo
02=oo`0300moogoo03aoo`0300moogoo02ioo`008Goo00<007ooOol01Goo00<007ooOol017oo00<0
07ooOol0;Goo00<03gooOol0?7oo00<03gooOol0>goo00<007ooOol05Goo00<007ooOol097oo00<0
3gooOol0?7oo00<03gooOol0;Woo000QOol30006Ool00`00Oomoo`02Ool00`00Oomoo`0^Ool00`0?
Oomoo`0lOol00`0?Oomoo`0kOol00`0?001oo`0EOol00`00Oomoo`0TOol00`0?Oomoo`0lOol00`0?
Oomoo`0^Ool0025oo`03001oogoo00Ioo`D0035oo`0300moogoo03aoo`0300moogoo03]oo`0300mo
o`0001Aoo`03001oogoo02Eoo`0300moogoo03aoo`0300moogoo02ioo`008Goo00<007ooOol0?7oo
00<03gooOol0?7oo00<03gooOol0>goo00@03gooOol0019oo`03001oogoo02Ioo`0300moogoo03ao
o`0300moogoo02ioo`008Goo00<007ooOol0?7oo00<03gooOol0?7oo00<03gooOol0>goo00@03goo
Oomoo`8000ioo`8002Uoo`0300moogoo03aoo`0300moogoo02ioo`008Goo00<007ooOol0?7oo00<0
3gooOol0?7oo00<03gooOol0>goo00<03gooOol00goo0P002Woo0P00:goo00<03gooOol0?7oo00<0
3gooOol0;Woo000QOol00`00Oomoo`0lOol00`0?Oomoo`0lOol00`0?Oomoo`0kOol00`0?Oomoo`05
Ool20006Ool2000]Ool00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`<003aoo`0300moogoo03ao
o`0300moogoo03]oo`0300moogoo00Moo`H002moo`0300moogoo03aoo`0300moogoo02ioo`008Goo
00<007ooOol0?7oo00<03gooOol0?7oo00<03gooOol0>goo00<03gooOol0?7oo00<03gooOol0?7oo
00<03gooOol0;Woo000QOol00`00Oomoo`0lOol00`0?Oomoo`0lOol00`0?Oomoo`0kOol00`0?Oomo
o`0lOol00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`03001oogoo03aoo`0300moogoo03aoo`03
00moogoo03]oo`0300moogoo03aoo`0300moogoo03aoo`0300moogoo02ioo`008Goo00<007ooOol0
?7oo00<03gooOol0?7oo00<03gooOol0>goo00<03gooOol0?7oo00<03gooOol0?7oo00<03gooOol0
;Woo000QOol00`00Oomoo`0lOol00`0?Oomoo`0lOol00`0?Oomoo`0kOol00`0?Oomoo`0lOol00`0?
Oomoo`0lOol00`0?Oomoo`0^Ool00?mooheoo`00ogooSGoo003oOon=Ool00?mooheoo`00Ggoo0`00
3goo0`00V7oo0`00OGoo001ROol00`00Oomoo`0?Ool00`00Oomoo`2FOol00`00Oomoo`1lOol004Io
o`@000=oo`<000=oo`03001oo`0000=oo`<000=oo`@000=oo`800003Ool0000000800004Ool00000
Ool40008Ool40002Ool30002Ool4000:Ool20002Ool300000goo00000002Ool20003Ool30002Ool3
0003Ool40003Ool30002Ool6000017oo000000000Woo0`0000=oo`0000000P0000=oo`0000000Woo
0`000Woo1@0000=oo`0000000P0027oo0`0000Aoo`00001oo`@0009oo`<0009oo`H000Moo`<0009o
o`/00003Ool00000008000=oo`<0009oo`D00003Ool0000000<005Moo`00Agoo00H007ooOol007oo
0006Ool00`00Ool00002Ool00`00Oomoo`03Ool01@00Oomoogoo00000Woo00@007ooOol0009oo`06
001oogoo001oo`000goo00<007ooOol01Goo00@007ooOol0009oo`03001oogoo00Moo`03001oogoo
00Ioo`04001oogoo0002Ool01000Oomoo`000Woo00H007ooOol007oo0006Ool00`00Oomoo`06Ool0
0`00Ool00003Ool01000Oomoo`000Woo00<007oo00001Woo00@007ooOol0009oo`03001oo`00009o
o`03001oogoo00Eoo`03001oogoo00Eoo`03001oogoo00Ioo`06001oogoo001oo`000Woo00@007oo
Ool000=oo`04001oogoo0002Ool00`00Oomoo`06Ool01000Oomoo`000Woo00@007ooOol000=oo`03
001oogoo00Eoo`03001oo`0000=oo`05001oogooOol00005Ool00`00Oomoo`1GOol004Moo`05001o
ogoo001oo`0500001goo001oo`00Ool007oo00D00003Ool007oo009oo`04001oogoo0002Ool01000
Oomoo`000Woo00<007oo00000goo00<007ooOol01Goo00@007ooOol0009oo`D0009oo`<000Uoo`04
001oogoo0002Ool01000Oomoo`000Woo00<007ooOol00Woo1@000Woo00<007ooOol00goo0`000Woo
00<007ooOol017oo00D007ooOol007oo00D0009oo`04001oogoo0002Ool20003Ool50003Ool00`00
Oomoo`02Ool30009Ool01000Oomoo`000Woo0`000Woo00<007ooOol017oo00@007ooOol000Qoo`04
001oogoo0002Ool01000Oomoo`000goo00<007ooOol00Woo0`000Woo00D007ooOomoo`0000=oo`03
001oogoo00=oo`03001oogoo05Moo`00Agoo0`000Woo00d007ooOomoo`00Ool007oo001oo`00Ool0
0003Ool00`00Ool00003Ool01000Oomoo`000Woo00@007ooOol0009oo`03001oo`0000=oo`03001o
ogoo00Eoo`04001oogoo0002Ool01`00Oomoogoo001oo`0000aoo`04001oogoo0002Ool01000Oomo
o`000Woo00<007ooOol00Woo00D007ooOomoo`00009oo`8000=oo`03001oogoo00=oo`05001oogoo
Ool00002Ool01P00Oomoo`00Ool000=oo`04001oogoo0002Ool01P00Oomoo`00Ool0009oo`05001o
ogooOol00003Ool01@00Oomoogoo000037oo00H007ooOol007oo0002Ool01000Oomoo`000goo00@0
07ooOol0009oo`03001oogoo00Ioo`04001oogoo0002Ool01000Oomoo`000goo00D007ooOomoo`00
00Eoo`05001oogooOol00003Ool00`00Oomoo`03Ool00`00Oomoo`1GOol000moo`<000Aoo`<0009o
o`/0009oo`<0009oo`<001Moo`04001oogoo0002Ool30002Ool6000017oo000000000goo1`0000Ao
o`00001oo`@000=oo`D000Moo`<000=oo`<000=oo`@000Qoo`05001oogoo001oo`040002Ool40003
Ool30002Ool200000goo00000002Ool40002Ool30003Ool30003Ool30002Ool40003Ool01000Ool0
00000Woo0`0017oo00<007ooOol00Woo10001goo10000goo0P0017oo0`000goo0`0027oo10000goo
0`000Woo0`0017oo10000Woo0`0017oo00<007ooOol00goo00<007ooOol0Egoo000@Ool00`00Oomo
o`02Ool00`00Oomoo`04Ool01000Oomoo`000goo00D007ooOomoo`0000Ioo`03001oogoo01Ioo`04
001oogoo000dOol00`00Oomoo`0COol01000Oomoo`0027oo00<007ooOol06goo00<007ooOol03goo
00<007ooOol02Woo00<007ooOol087oo00<007ooOol03goo00<007ooOol05Woo00<007ooOol00goo
00<007ooOol0Egoo000@Ool00`00Oomoo`02Ool50002Ool01000Oomoo`000goo00@007ooOomoo`D0
009oo`03001oogoo01Eoo`@003Aoo`8001Aoo`<00003Ool0000000Moo`03001oogoo01Yoo`80011o
o`8000Yoo`<0025oo`80011oo`8000Ioo`03001oogoo00eoo`<000=oo`<005Uoo`0047oo0`000Woo
00D007ooOomoo`00009oo`04001oogoo0003Ool01@00Oomoogoo00000goo00<007ooOol00P00ogoo
GGoo000@Ool00`00Oomoo`03Ool30003Ool30004Ool00`00Oomoo`02Ool30002Ool200000goo0000
003oOomKOol0011oo`04001oogoo0008Ool00`00Oomoo`04Ool00`00Oomoo`3oOomWOol000moo`D0
00Moo`8000Aoo`<00?moofUoo`00ogooSGoo003oOon=Ool00?mooheoo`00ogooSGoo003oOon=Ool0
0?mooheoo`00ogooSGoo003oOon=Ool00?mooheoo`00ogooSGoo003oOon=Ool00?mooheoo`00ogoo
SGoo003oOon=Ool00?mooheoo`00ogooSGoo003oOon=Ool00001\
\>"],
  ImageRangeCache->{{{0, 395}, {243.75, 0}} -> {-0.108275, -0.169228, \
0.00319234, 0.00151149}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(MMerg = MM /. erg1[\([1]\)];\)\), "\n", 
    \(MMerg /. t \[Rule] 1\), "\n", 
    \(MMerg /. t \[Rule] 0.001\)}], "Input"],

Cell[BoxData[
    \(3.1741001914716627`\)], "Output"],

Cell[BoxData[
    \(137.76571727647342`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(MMplo1\  = \ 
        Plot[{phisoll, Evaluate[MMerg]}, {t, 0, 1}, 
          AxesLabel \[Rule] {"\<Zeit s\>", "\<MM + phisoll\>"}, 
          PlotLabel \[Rule] "\<Bewegung des Unterschenkels nach phisoll\>", 
          GridLines \[Rule] Automatic, 
          PlotRange \[Rule] {{0, 1}, Automatic}];\)\)], "Input",
  ImageRegion->{{0, 1}, {0, 1}}],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0 1 0.147715 0.011999 [
[.2 .13521 -9 -9 ]
[.2 .13521 9 0 ]
[.4 .13521 -9 -9 ]
[.4 .13521 9 0 ]
[.6 .13521 -9 -9 ]
[.6 .13521 9 0 ]
[.8 .13521 -9 -9 ]
[.8 .13521 9 0 ]
[1 .13521 -3 -9 ]
[1 .13521 3 0 ]
[1.025 .14771 0 -6 ]
[1.025 .14771 40 6 ]
[-0.0125 .02773 -18 -4.5 ]
[-0.0125 .02773 0 4.5 ]
[-0.0125 .2677 -12 -4.5 ]
[-0.0125 .2677 0 4.5 ]
[-0.0125 .38769 -12 -4.5 ]
[-0.0125 .38769 0 4.5 ]
[-0.0125 .50768 -12 -4.5 ]
[-0.0125 .50768 0 4.5 ]
[0 .64303 -38 0 ]
[0 .64303 38 12 ]
[.5 .63053 -122 0 ]
[.5 .63053 122 12 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 .5 r
.25 Mabswid
[ ] 0 setdash
0 0 m
0 .61803 L
s
.2 0 m
.2 .61803 L
s
.4 0 m
.4 .61803 L
s
.6 0 m
.6 .61803 L
s
.8 0 m
.8 .61803 L
s
1 0 m
1 .61803 L
s
0 .02773 m
1 .02773 L
s
0 .14771 m
1 .14771 L
s
0 .2677 m
1 .2677 L
s
0 .38769 m
1 .38769 L
s
0 .50768 m
1 .50768 L
s
0 g
.2 .14771 m
.2 .15396 L
s
[(0.2)] .2 .13521 0 1 Mshowa
.4 .14771 m
.4 .15396 L
s
[(0.4)] .4 .13521 0 1 Mshowa
.6 .14771 m
.6 .15396 L
s
[(0.6)] .6 .13521 0 1 Mshowa
.8 .14771 m
.8 .15396 L
s
[(0.8)] .8 .13521 0 1 Mshowa
1 .14771 m
1 .15396 L
s
[(1)] 1 .13521 0 1 Mshowa
.125 Mabswid
.05 .14771 m
.05 .15146 L
s
.1 .14771 m
.1 .15146 L
s
.15 .14771 m
.15 .15146 L
s
.25 .14771 m
.25 .15146 L
s
.3 .14771 m
.3 .15146 L
s
.35 .14771 m
.35 .15146 L
s
.45 .14771 m
.45 .15146 L
s
.5 .14771 m
.5 .15146 L
s
.55 .14771 m
.55 .15146 L
s
.65 .14771 m
.65 .15146 L
s
.7 .14771 m
.7 .15146 L
s
.75 .14771 m
.75 .15146 L
s
.85 .14771 m
.85 .15146 L
s
.9 .14771 m
.9 .15146 L
s
.95 .14771 m
.95 .15146 L
s
.25 Mabswid
0 .14771 m
1 .14771 L
s
gsave
1.025 .14771 -61 -10 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Zeit) show
93.000 13.000 moveto
(s) show
99.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .02773 m
.00625 .02773 L
s
[(-10)] -0.0125 .02773 1 0 Mshowa
0 .2677 m
.00625 .2677 L
s
[(10)] -0.0125 .2677 1 0 Mshowa
0 .38769 m
.00625 .38769 L
s
[(20)] -0.0125 .38769 1 0 Mshowa
0 .50768 m
.00625 .50768 L
s
[(30)] -0.0125 .50768 1 0 Mshowa
.125 Mabswid
0 .05172 m
.00375 .05172 L
s
0 .07572 m
.00375 .07572 L
s
0 .09972 m
.00375 .09972 L
s
0 .12372 m
.00375 .12372 L
s
0 .17171 m
.00375 .17171 L
s
0 .19571 m
.00375 .19571 L
s
0 .21971 m
.00375 .21971 L
s
0 .24371 m
.00375 .24371 L
s
0 .2917 m
.00375 .2917 L
s
0 .3157 m
.00375 .3157 L
s
0 .3397 m
.00375 .3397 L
s
0 .3637 m
.00375 .3637 L
s
0 .41169 m
.00375 .41169 L
s
0 .43569 m
.00375 .43569 L
s
0 .45969 m
.00375 .45969 L
s
0 .48369 m
.00375 .48369 L
s
0 .00373 m
.00375 .00373 L
s
0 .53168 m
.00375 .53168 L
s
0 .55568 m
.00375 .55568 L
s
0 .57968 m
.00375 .57968 L
s
0 .60368 m
.00375 .60368 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
gsave
0 .64303 -99 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(MM) show
81.000 13.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(+) show
93.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(phisoll) show
135.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.5 .63053 -183 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Bewegung) show
117.000 13.000 moveto
(des) show
141.000 13.000 moveto
(Unterschenkels) show
231.000 13.000 moveto
(nach) show
261.000 13.000 moveto
(phisoll) show
303.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
0 .14771 m
.04057 .15434 L
.06168 .15743 L
.08481 .16031 L
.0952 .1614 L
.10632 .1624 L
.11674 .16316 L
.12636 .16373 L
.13146 .16397 L
.13709 .16418 L
.14274 .16434 L
.14583 .16441 L
.14873 .16445 L
.15003 .16447 L
.15146 .16449 L
.1528 .1645 L
.15405 .16451 L
.15529 .16451 L
.15641 .16451 L
.1577 .16451 L
.15892 .16451 L
.16025 .1645 L
.16092 .1645 L
.16166 .1645 L
.16418 .16447 L
.1656 .16445 L
.16713 .16443 L
.16988 .16438 L
.17543 .16423 L
.18056 .16405 L
.19218 .16349 L
.20242 .16282 L
.21331 .16193 L
.25294 .15737 L
.29516 .15089 L
.33578 .14411 L
.37898 .13757 L
.40053 .13494 L
.41104 .13387 L
.42058 .13303 L
.42986 .13233 L
.43993 .13173 L
.44546 .13147 L
.45056 .13127 L
.45543 .13113 L
.4606 .13101 L
.46325 .13097 L
.46456 .13095 L
.46577 .13094 L
.46696 .13093 L
Mistroke
.46804 .13092 L
.46923 .13092 L
.4705 .13092 L
.47188 .13092 L
.47314 .13092 L
.47453 .13093 L
.47522 .13093 L
.47599 .13094 L
.47728 .13095 L
.47866 .13096 L
.48115 .131 L
.48363 .13104 L
.48632 .13111 L
.49121 .13125 L
.50038 .13162 L
.51027 .13218 L
.52118 .13297 L
.54325 .13509 L
.58552 .14074 L
.6262 .14736 L
.66945 .15443 L
.69104 .15757 L
.71111 .16009 L
.7305 .16204 L
.74126 .1629 L
.75118 .16354 L
.76196 .16405 L
.76764 .16425 L
.77053 .16433 L
.77363 .1644 L
.77636 .16444 L
.77885 .16448 L
.78005 .16449 L
.78135 .1645 L
.78258 .16451 L
.78372 .16451 L
.78504 .16451 L
.78628 .16451 L
.78763 .16451 L
.78839 .16451 L
.78909 .1645 L
.79042 .16449 L
.79188 .16448 L
.79481 .16444 L
.79746 .16439 L
.80034 .16433 L
.80558 .16417 L
.81537 .16376 L
.82681 .16309 L
.83736 .1623 L
Mistroke
.85704 .16038 L
.8787 .15772 L
.92102 .15129 L
.96175 .1445 L
1 .13858 L
Mfstroke
0 .14782 m
0 0 rlineto s
0 .14782 m
.00031 .61803 L
s
.01833 .61803 m
.01975 .54024 L
.02221 .4399 L
.02486 .35872 L
.02737 .30142 L
.02966 .26118 L
.03233 .22542 L
.03525 .19635 L
.03801 .17591 L
.04057 .16136 L
.04334 .14905 L
.04635 .13873 L
.0518 .12503 L
.0571 .11544 L
.06198 .10819 L
.08481 .07992 L
.10625 .05476 L
.11672 .04345 L
.12627 .03428 L
.13549 .0268 L
.14551 .02055 L
.14818 .01923 L
.15102 .01803 L
.15611 .01648 L
.15722 .0161 L
.1584 .01577 L
.15969 .0155 L
.16088 .01531 L
.16217 .01513 L
.16286 .01503 L
.16359 .01498 L
.16491 .01489 L
.16614 .01484 L
.16682 .0148 L
.16755 .01484 L
.16886 .01472 L
.17023 .01495 L
.17102 .01487 L
.17174 .0149 L
.173 .01526 L
.17438 .01527 L
.17569 .01574 L
.1769 .01576 L
.17763 .01619 L
.17842 .0164 L
.17912 .01637 L
.17986 .01673 L
.18126 .01722 L
.18254 .0177 L
.18855 .02047 L
Mistroke
.19865 .02639 L
.20971 .03519 L
.25221 .08304 L
.29312 .12517 L
.31547 .14221 L
.33661 .1565 L
.37691 .19108 L
.41978 .24007 L
.43004 .25137 L
.44109 .2616 L
.45064 .26936 L
.45325 .27131 L
.45394 .27161 L
.45469 .27207 L
.45604 .27339 L
.45742 .27371 L
.45868 .27431 L
.46107 .27561 L
.46598 .27773 L
.46866 .27864 L
.47117 .27935 L
.47361 .27988 L
.47498 .28031 L
.47623 .28028 L
.4776 .28066 L
.47837 .28053 L
.47908 .28053 L
.48039 .28076 L
.48106 .28059 L
.48179 .28061 L
.48298 .28069 L
.48424 .28051 L
.48649 .28025 L
.48892 .27986 L
.49157 .27927 L
.49387 .27866 L
.49633 .27789 L
.50076 .27599 L
.5115 .2696 L
.52315 .26029 L
.5443 .23816 L
.58723 .18934 L
.62857 .1544 L
.66832 .12548 L
.71064 .08258 L
.73012 .05979 L
.75137 .03718 L
.76289 .02721 L
.7685 .02317 L
.77358 .02054 L
Mistroke
.77481 .01999 L
.77597 .01884 L
.77717 .01885 L
.77849 .01823 L
.77982 .01759 L
.78057 .01758 L
.78125 .01743 L
.78256 .01693 L
.78379 .01653 L
.78648 .01584 L
.7879 .01554 L
.7894 .01526 L
.7907 .01506 L
.79145 .01503 L
.79214 .01497 L
.79347 .01489 L
.79468 .01478 L
.79592 .0148 L
.79724 .01488 L
.79847 .01482 L
.79961 .01506 L
.80095 .0151 L
.80165 .01532 L
.80239 .01537 L
.80364 .01568 L
.80501 .01578 L
.80574 .01607 L
.80643 .01634 L
.80772 .01646 L
.80844 .01688 L
.80911 .01716 L
.80985 .01726 L
.81063 .01749 L
.81589 .0197 L
.82114 .02252 L
.82609 .02611 L
.83532 .03324 L
.87588 .0773 L
.89646 .10088 L
.919 .12272 L
.96054 .15347 L
1 .1858 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{424.5, 262.375},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006X00011Q000`40O003h00OogooZGoo003oOonY
Ool00?moojUoo`00ogooZGoo003oOonYOol00?moojUoo`00ogooZGoo003oOonYOol00?moojUoo`00
ogooZGoo003oOonYOol00?moojUoo`00ogooZGoo003oOonYOol00?moojUoo`00ogooZGoo000VOol0
0`00Oomoo`10Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool0
0`0?Oomoo`0^Ool002Ioo`03001oogoo041oo`0300moogoo041oo`0300moogoo045oo`0300moogoo
041oo`0300moogoo045oo`0300moogoo02ioo`009Woo0P00@Goo00<03gooOol0@7oo00<03gooOol0
@Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomoo`10Ool00`0?
Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Io
o`03001oogoo041oo`0300moogoo041oo`0300moogoo045oo`0300moogoo041oo`0300moogoo045o
o`0300moogoo02ioo`009Woo00<007ooOol0=7oo0`002Goo00<03gooOol0@7oo00<03gooOol0@Goo
00<03gooOol0?Woo0`00@goo00<03gooOol0;Woo000VOol00`00Oomoo`0`Ool40003Ool50004Ool0
0`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0iOol50002Ool6000nOol00`0?Oomoo`0^Ool0
01Ioo`<000Aoo`8000Moo`03001oogoo02eoo`<000aoo`80009oo`0300moogoo041oo`0300moogoo
045oo`0300moogoo03Moo`<000Ioo`0300moogoo00=oo`03001oogoo03]oo`0300moogoo02ioo`00
5goo00<007ooOol00Woo00@007ooOol000Ioo`03001oogoo02]oo`80015oo`03001oo`0?049oo`03
00moogoo045oo`0300moogoo03Ioo`03001oogoo00Moo`0300moogoo00Aoo`8003]oo`0300moogoo
02ioo`003goo1@000goo00<007ooOol00Woo00@007ooOol000Ioo`03001oogoo02Yoo`03001oogoo
019oo`80049oo`0300moogoo045oo`0300moogoo03Eoo`03001oogoo00Qoo`0300moogoo00Ioo`03
001oogoo03Qoo`0300moogoo02ioo`005goo00<007ooOol00Woo00@007ooOol000Ioo`<002T03`03
00003`0?01D03`0300003`0?0;T03`8001D03`0300003`0?03P03c1oo`005goo00<007ooOol00Woo
00@007ooOol000Ioo`03001oogoo02Qoo`03001oogoo01Eoo`0300moo`00041oo`0300moogoo045o
o`0300moogoo039oo`03001oogoo00]oo`0300moogoo00Qoo`03001oogoo03Ioo`0300moogoo02io
o`005Woo0P0017oo00@007ooOol000Ioo`03001oogoo02Moo`03001oogoo01Ioo`0400moogoo000o
Ool00`0?Oomoo`11Ool00`0?Oomoo`0aOol00`00Oomoo`0<Ool00`0?Oomoo`09Ool00`00Oomoo`0e
Ool00`0?Oomoo`0^Ool001Moo`03001oogoo00=oo`8000Moo`03001oogoo02Ioo`03001oogoo01Mo
o`0400moogoo000oOol00`0?Oomoo`11Ool00`0?Oomoo`0`Ool00`00Oomoo`0=Ool00`0?Oomoo`0:
Ool00`00Oomoo`0dOol00`0?Oomoo`0^Ool002Ioo`03001oogoo02Eoo`03001oogoo01Qoo`0500mo
ogooOol0000nOol00`0?Oomoo`11Ool00`0?Oomoo`0`Ool00`00Oomoo`0=Ool00`0?Oomoo`0;Ool0
0`00Oomoo`0cOol00`0?Oomoo`0^Ool002Ioo`03001oogoo02Aoo`03001oogoo01Uoo`0300moogoo
009oo`03001oogoo03]oo`0300moogoo045oo`0300moogoo02moo`03001oogoo00ioo`0300moogoo
00aoo`03001oogoo039oo`0300moogoo02ioo`009Woo00<007ooOol08goo00<007ooOol06Woo00<0
3gooOol00goo00<007ooOol0>Woo00<03gooOol0@Goo00<03gooOol0;Woo00<007ooOol03goo00<0
3gooOol03Goo00<007ooOol0<Goo00<03gooOol0;Woo000VOol00`00Oomoo`0ROol00`00Oomoo`0K
Ool00`0?Oomoo`04Ool00`00Oomoo`0iOol00`0?Oomoo`11Ool00`0?Oomoo`0]Ool00`00Oomoo`0@
Ool00`0?Oomoo`0>Ool00`00Oomoo`0`Ool00`0?Oomoo`0^Ool002Ioo`80029oo`03001oogoo01ao
o`0300moogoo00Eoo`03001oogoo03Qoo`0300moogoo045oo`0300moogoo02aoo`03001oogoo015o
o`0300moogoo00moo`03001oogoo02moo`0300moogoo02ioo`009Woo00<007ooOol087oo00<007oo
Ool07Goo00<03gooOol01Woo00<007ooOol0=goo00<03gooOol0@Goo00<03gooOol0:goo00<007oo
Ool04Woo00<03gooOol047oo00<007ooOol0;Woo00<03gooOol0;Woo000VOol00`00Oomoo`0POol0
0`00Oomoo`0MOol00`0?Oomoo`07Ool00`00Oomoo`0fOol00`0?Oomoo`11Ool00`0?Oomoo`0ZOol0
0`00Oomoo`0COol00`0?Oomoo`0AOol00`00Oomoo`0]Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo
01moo`03001oogoo01ioo`0300moogoo00Qoo`03001oogoo03Eoo`0300moogoo045oo`0300moogoo
02Uoo`03001oogoo01Aoo`0300moogoo019oo`03001oogoo02aoo`0300moogoo02ioo`009Woo00<0
07ooOol07Woo00<007ooOol07goo00<03gooOol02Goo00<007ooOol0=7oo00<03gooOol0@Goo00<0
3gooOol0:7oo00<007ooOol05Goo00<03gooOol04goo00<007ooOol0:goo00<03gooOol0;Woo000V
Ool00`00Oomoo`0MOol00`00Oomoo`0POol00`0?Oomoo`0:Ool00`00Oomoo`0cOol00`0?Oomoo`11
Ool00`0?Oomoo`0WOol00`00Oomoo`0FOol00`0?Oomoo`0DOol00`00Oomoo`0ZOol00`0?Oomoo`0^
Ool002Ioo`03001oogoo01aoo`03001oogoo025oo`0300moogoo00]oo`03001oogoo039oo`0300mo
ogoo045oo`0300moogoo02Ioo`03001oogoo01Moo`0300moogoo01Eoo`03001oogoo02Uoo`0300mo
ogoo02ioo`009Woo00<007ooOol06goo00<007ooOol08Woo00<03gooOol037oo00<007ooOol0<Goo
00<03gooOol0@Goo00<03gooOol09Goo00<007ooOol067oo00<03gooOol05Woo00<007ooOol0:7oo
00<03gooOol0;Woo000VOol2000KOol00`00Oomoo`0SOol00`0?Oomoo`0=Ool00`00Oomoo`0`Ool0
0`0?Oomoo`11Ool00`0?Oomoo`0TOol00`00Oomoo`0IOol00`0?Oomoo`0GOol00`00Oomoo`0WOol0
0`0?Oomoo`0^Ool002Ioo`03001oogoo01Uoo`03001oogoo02Aoo`0300moogoo00ioo`03001oogoo
02moo`0300moogoo045oo`0300moogoo02=oo`03001oogoo01Yoo`0300moogoo01Moo`03001oogoo
02Moo`0300moogoo02ioo`009Woo00<007ooOol06Goo00<007ooOol097oo00<03gooOol03goo00<0
07ooOol0;Woo00<03gooOol0@Goo00<03gooOol08Woo00<007ooOol06goo00<03gooOol067oo00<0
07ooOol09Woo00<03gooOol0;Woo000VOol00`00Oomoo`0HOol00`00Oomoo`0UOol00`0?Oomoo`0?
Ool00`00Oomoo`0^Ool00`0?Oomoo`11Ool00`0?Oomoo`0ROol00`00Oomoo`0KOol00`0?Oomoo`0I
Ool00`00Oomoo`0UOol00`0?Oomoo`0^Ool002Ioo`03001oogoo01Moo`03001oogoo02Ioo`0300mo
ogoo011oo`03001oogoo02eoo`0300moogoo045oo`0300moogoo025oo`03001oogoo01aoo`0300mo
ogoo01Yoo`03001oogoo02Aoo`0300moogoo02ioo`009Woo00<007ooOol05Woo00<007ooOol09goo
00<03gooOol04Goo00<007ooOol0;7oo00<03gooOol0@Goo00<03gooOol087oo00<007ooOol07Goo
00<03gooOol06goo00<007ooOol08goo00<03gooOol0;Woo000VOol00`00Oomoo`0EOol00`00Oomo
o`0XOol00`0?Oomoo`0BOol00`00Oomoo`0[Ool00`0?Oomoo`11Ool00`0?Oomoo`0OOol00`00Oomo
o`0NOol00`0?Oomoo`0LOol00`00Oomoo`0ROol00`0?Oomoo`0^Ool002Ioo`03001oogoo01Eoo`03
001oogoo02Qoo`0300moogoo01=oo`03001oogoo02Yoo`0300moogoo045oo`0300moogoo01ioo`03
001oogoo01moo`0300moogoo01eoo`03001oogoo025oo`0300moogoo02ioo`009Woo0P005Goo00<0
07ooOol0:Goo00<03gooOol057oo00<007ooOol0:Goo00<03gooOol0@Goo00<03gooOol07Goo00<0
07ooOol087oo00<03gooOol07Woo00<007ooOol087oo00<03gooOol0;Woo000VOol00`00Oomoo`0C
Ool00`00Oomoo`0ZOol00`0?Oomoo`0EOol00`00Oomoo`0XOol00`0?Oomoo`11Ool00`0?Oomoo`0L
Ool00`00Oomoo`0QOol00`0?Oomoo`0NOol00`00Oomoo`0POol00`0?Oomoo`0^Ool002Ioo`03001o
ogoo019oo`03001oogoo02]oo`0300moogoo01Ioo`03001oogoo02Moo`0300moogoo045oo`0300mo
ogoo01]oo`03001oogoo029oo`0300moogoo01moo`03001oogoo01moo`0300moogoo02ioo`009Woo
00<007ooOol04Goo00<007ooOol0;7oo00<03gooOol05Woo00<007ooOol09goo00<03gooOol0@Goo
00<03gooOol06Woo00<007ooOol08goo00<03gooOol087oo00<007ooOol07Woo00<03gooOol0;Woo
000VOol00`00Oomoo`0AOol00`00Oomoo`0UOol20004Ool0100000moogoo1@004Woo00<007ooOol0
7goo0P0017oo00<0000?Ool00goo0`00=Goo0P0017oo00<0000?Ool00Woo0`005Goo00<007ooOol0
7Goo0P0017oo00<0000?Ool00Woo0`007Goo00<007ooOol06goo0`00<7oo000VOol00`00Oomoo`0@
Ool00`00Oomoo`0UOol01000Oomoo`0017oo00D03gooOomoo`00009oo`03001oogoo015oo`03001o
ogoo01eoo`04001oogoo0004Ool00`0?Oomoo`03Ool00`00Oomoo`0cOol01000Oomoo`0017oo00@0
3gooOol000=oo`03001oogoo015oo`03001oogoo01eoo`04001oogoo0004Ool0100?Oomoo`000goo
00<007ooOol06goo00<007ooOol06goo00<0000?Ool0;goo000VOol00`00Oomoo`0@Ool00`00Oomo
o`0UOol01000Oomoo`0017oo00<03gooOol00Woo00<007ooOol057oo00<007ooOol077oo00@007oo
Ool000Aoo`0300moogoo00D003Aoo`04001oogoo0004Ool0100?Oomoo`000goo00<007ooOol047oo
00<007ooOol07Woo00@007ooOol000Aoo`0400moogoo0003Ool00`00Oomoo`0LOol00`00Oomoo`0J
Ool00`0000moo`0_Ool002Ioo`03001oogoo00moo`03001oogoo02Ioo`04001oogoo0004Ool00`0?
Oomoo`03Ool00`00Oomoo`0DOol00`00Oomoo`0KOol01000Oomoo`0017oo00@03gooOol0009oo`03
001oogoo03=oo`04001oogoo0004Ool00`0?Oomoo`04000BOol00`00Oomoo`0OOol01000Oomoo`00
17oo00@03gooOomoo`<0021oo`03001oogoo01Uoo`0300003goo02moo`009Woo0P0047oo00<007oo
Ool09Woo00@007ooOol000Aoo`0400moogoo0003Ool00`00Oomoo`0DOol00`00Oomoo`0JOol01000
Oomoo`0017oo00L03gooOomoo`00Ool0000eOol01000Oomoo`0017oo00@03gooOol001Aoo`03001o
ogoo021oo`04001oogoo0004Ool0100?Oomoo`000goo00<007ooOol07Woo0P006Goo00<0000?Ool0
;goo000VOol00`00Oomoo`0>Ool00`00Oomoo`0WOol01000Oomoo`0017oo00@03gooOol000=oo`03
001oogoo01Eoo`8001Yoo`04001oogoo0004Ool00`0?Oomoo`02Ool2000eOol01000Oomoo`0017oo
00D03gooOomoo`00015oo`8002=oo`04001oogoo0004Ool0100?Oomoo`000goo00<007ooOol087oo
00<007ooOol05Goo0P0000<03gooOol0;Woo000VOol00`00Oomoo`0>Ool00`00Oomoo`0XOol20005
Ool0100?Oomoogoo0`006Woo00<007ooOol067oo0P001Goo00<03gooOol00goo00<007ooOol0=7oo
0P001Goo00<03gooOol00Woo0P003Woo00<007ooOol097oo0P001Goo00@03gooOomoo`<002Aoo`80
01Ioo`0300003goo02moo`009Woo00<007ooOol03Goo00<007ooOol0<7oo00<03gooOol07goo0P00
7goo00<03gooOol00goo:0005Woo00<03gooOol047oo0P00;Woo00<03gooOol0:Woo00<007ooOol0
57oo00<03gooOol0;Woo000VOol00`00Oomoo`0=Ool00`00Oomoo`0`Ool00`0?Oomoo`0QOol2000J
Ool9000XOol8000>Ool00`0?Oomoo`0?Ool00`00Oomoo`0^Ool00`0?Oomoo`0[Ool00`00Oomoo`0C
Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo00aoo`03001oogoo035oo`0300moogoo02=oo`03001o
ogoo011oo`L000=oo`0300moogoo03=oo`L000Moo`0300moogoo00eoo`80035oo`0300moogoo02ao
o`80011oo`@0031oo`009Woo00<007ooOol037oo00<007ooOol0<Goo00<03gooOol097oo0P002Goo
1`002Woo00<03gooOol0>Woo1`0000<03gooOol02goo0P00<goo00<03gooOol0;Woo00<007ooOol0
1Woo1`000goo00<03gooOol01goo1@000Woo0`000Woo1@000goo0P0027oo10001Goo000VOol00`00
Oomoo`0<Ool00`00Oomoo`0aOol00`0?Oomoo`0VOol00`00Ool00006000AOol00`0?Oomoo`11Ool7
0006Ool00`00Oomoo`0cOol00`0?Oomoo`0_Ool8000:Ool00`0?Oomoo`07Ool01`00Oomoogoo001o
o`0000Moo`03001oogoo009oo`04001oogoo000;Ool00`00Oomoo`02Ool002Ioool005<000Yoo`03
001oogoo009oo`D000=oo`03001oogoo009oo`03001oogoo00Uoo`<000Eoo`009Woo00@007ooOomo
o`L000=oo`03001oo`00011oo`03001oogoo00ioo`03001oogoo00ioo`03001oogoo00ioo`03001o
ogoo00Uoo`L000Qoo`03001oogoo00=oo`03001oogoo00ioo`03001oogoo00ioo`03001oogoo00io
o`03001oogoo00ioo`03001oogoo00ioo`03001oogoo00Moo`04001oogooOol7000<Ool00`00Oomo
o`0>Ool00`00Oomoo`0>Ool00`00Oomoo`0>Ool00`00Oomoo`0>Ool00`00Oomoo`02Ool60006Ool0
0`00Ool0000>Ool00`00Oomoo`09Ool01@00Oomoogoo00000goo00D007ooOomoo`0000Aoo`03001o
ogoo00Qoo`03001oogoo00Ioo`009Woo00<007ooOol027oo1@00<goo00<007ooOol04goo1`0047oo
00<007ooOol04goo00<007ooOol0@Goo00<007ooOol01Goo0P002goo1@00:Goo00<007ooOol07goo
1@003goo0P0037oo00<007ooOol02Woo00@007ooOomoo`<0009oo`<000=oo`@000Uoo`@000Aoo`00
9Woo00<007ooOol02goo00<007oo00000P00<7oo00<03gooOol037oo1`0067oo0P004goo00<03goo
Ool0@Goo00<03gooOol017oo00<007ooOol047oo0`009Woo00<03gooOol06Woo1@005Woo00<007oo
Ool02Goo00<03gooOol01goo00D007ooOomoo`0000ioo`03001oogoo015oo`009Woo00<007ooOol0
2Woo00<007ooOol00goo300097oo00<03gooOol01Goo1`008Goo00<007ooOol047oo00<03gooOol0
@Goo00<03gooOol00goo00<007ooOol057oo3@006Goo00<03gooOol03Goo3@0077oo00<007ooOol0
27oo00<03gooOol01goo1@002Goo00<007ooOol00Woo00<007ooOol04Goo000VOol00`00Oomoo`0:
Ool00`00Oomoo`0?Ool;000HOol9000YOol00`00Oomoo`0?Ool00`0?Oomoo`11Ool00`0?Oomoo`02
Ool00`00Oomoo`0ROol8000AOol00`0?Oomoo`04Ool9000ZOol00`00Oomoo`07Ool00`0?Oomoo`0^
Ool002Ioo`03001oogoo00Yoo`03001oogoo01YooaP00003Ool03goo031oo`03001oogoo00ioo`03
00moogoo045oo`0500moogooOol0000]OolH000dOol20007Ool00`0?Oomoo`0^Ool002Ioo`03001o
ogoo00Yoo`03001oogoo03=oo`0300moogoo031oo`03001oogoo00eoo`0300moogoo045oo`0400mo
ogoo000oOol00`0?Oomoo`0jOol00`00Oomoo`04Ool00`0?Oomoo`0^Ool002Ioo`8000Yoo`03001o
ogoo03Aoo`0300moogoo035oo`03001oogoo00aoo`0300moogoo045oo`0300l00000041oo`0300mo
ogoo03]oo`03001oogoo00=oo`0300moogoo02ioo`009Woo00<007ooOol02Goo00<007ooOol0=7oo
00<03gooOol0<Woo0P0037oo00<03gooOol0@Goo00<007ooOol0@7oo00<03gooOol0?7oo0P000goo
00<03gooOol0;Woo000VOol00`00Oomoo`09Ool00`00Oomoo`0dOol00`0?Oomoo`0dOol00`00Oomo
o`09Ool00`0?Oomoo`10Ool00`0000moo`11Ool00`0?Oomoo`0nOol01000Oomoo`0?<7oo000VOol0
0`00Oomoo`09Ool00`00Oomoo`0dOol00`0?Oomoo`0eOol00`00Oomoo`08Ool00`0?Oomoo`0oOol0
0`00Ool03`12Ool00`0?Oomoo`0oOol00`00Ool03`0`Ool002Ioo`03001oogoo00Uoo`03001oogoo
03Aoo`0300moogoo03Ioo`03001oogoo00Moo`0300moogoo03ioo`04001oogoo00m2Ool00`0?Oomo
o`10Ool00`0000moo`0_Ool002Ioo`03001oogoo00Uoo`03001oogoo03Aoo`0300moogoo03Moo`03
001oogoo00Ioo`0300moogoo03eoo`05001oogooOol03`12Ool00`0?Oomoo`11Ool00`00Oomoo`0^
Ool002Ioo`03001oogoo00Qoo`03001oogoo03Eoo`0300moogoo03Qoo`03001oogoo00Eoo`0300mo
ogoo03aoo`03001oogoo009oo`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`009Woo
00<007ooOol027oo00<007ooOol0=Goo00<03gooOol0>Goo00<007ooOol017oo00<03gooOol0?7oo
00<007ooOol00Woo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol20009Ool0
0`00Oomoo`0eOol00`0?Oomoo`0iOol00`00Oomoo`04Ool00`0?Oomoo`0kOol00`00Oomoo`03Ool0
0`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo00Qoo`03001oogoo
03Eoo`0300moogoo03Yoo`03001oogoo00=oo`0300moogoo03Yoo`03001oogoo00Aoo`0300moogoo
041oo`0300moogoo045oo`0300moogoo02ioo`009Woo00<007ooOol027oo00<007ooOol0=Goo00<0
3gooOol0>goo00<007ooOol00Woo00<03gooOol0>Goo00<007ooOol01Goo00<03gooOol0@7oo00<0
3gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomoo`08Ool00`00Oomoo`0eOol00`0?Oomoo`0l
Ool01@00Oomoogoo00l0>Woo00<007ooOol01Woo00<03gooOol0@7oo00<03gooOol0@Goo00<03goo
Ool0;Woo000VOol00`00Oomoo`08Ool00`00Oomoo`0eOol00`0?Oomoo`0mOol01000Oomoo`0?>Goo
00<007ooOol01goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomo
o`08Ool00`00Oomoo`0eOol00`0?Oomoo`0nOol00`00Ool03`0iOol00`00Oomoo`07Ool00`0?Oomo
o`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo00Moo`03001oogoo03Ioo`03
00moogoo03moo`0300003goo03Moo`03001oogoo00Qoo`0300moogoo041oo`0300moogoo045oo`03
00moogoo02ioo`009Woo00<007ooOol01goo00<007ooOol0=Woo00<03gooOol0@7oo00<007ooOol0
=Goo00<007ooOol02Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol20008
Ool00`00Oomoo`0fOol00`0?Oomoo`10Ool00`00Oomoo`0dOol00`00Oomoo`0:Ool00`0?Oomoo`10
Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo00Moo`03001oogoo03Ioo`0300mo
ogoo041oo`0300l007oo03=oo`03001oogoo00]oo`0300moogoo041oo`0300moogoo045oo`0300mo
ogoo02ioo`009Woo00<007ooOol01goo00<007ooOol0=Woo00<03gooOol0@7oo00<03goo0000<goo
00<007ooOol02goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomo
o`07Ool00`00Oomoo`0fOol00`0?Oomoo`10Ool0100?Oomoo`00<Goo00<007ooOol037oo00<03goo
Ool0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomoo`07Ool00`00Oomoo`0fOol0
0`0?Oomoo`10Ool01@0?Oomoogoo0000;goo00<007ooOol03Goo00<03gooOol0@7oo00<03gooOol0
@Goo00<03gooOol0;Woo000VOol00`00Oomoo`07Ool00`00Oomoo`0fOol00`0?Oomoo`10Ool00`0?
Oomoo`02Ool00`00Oomoo`0[Ool00`00Oomoo`0>Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?
Oomoo`0^Ool002Ioo`03001oogoo00Moo`03001oogoo03Ioo`0300moogoo041oo`0300moogoo00=o
o`03001oogoo02Uoo`03001oogoo00moo`0300moogoo041oo`0300moogoo045oo`0300moogoo02io
o`009Woo00<007ooOol01goo00<007ooOol0=Woo00<03gooOol0@7oo00<03gooOol017oo00<007oo
Ool09goo00<007ooOol047oo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol0
0`00Oomoo`07Ool00`00Oomoo`0fOol00`0?Oomoo`10Ool00`0?Oomoo`04Ool00`00Oomoo`0VOol0
0`00Oomoo`0AOol00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`8000Qoo`03
001oogoo03Ioo`0300moogoo041oo`0300moogoo00Eoo`03001oogoo02Aoo`03001oogoo019oo`03
00moogoo041oo`0300moogoo045oo`0300moogoo02ioo`009Woo00<007ooOol01goo00<007ooOol0
=Woo00<03gooOol0@7oo00<03gooOol01Woo00<007ooOol08Woo00<007ooOol04goo00<03gooOol0
@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomoo`07Ool00`00Oomoo`0fOol00`0?
Oomoo`10Ool00`0?Oomoo`07Ool00`00Oomoo`0POol00`00Oomoo`0DOol00`0?Oomoo`10Ool00`0?
Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo00Moo`03001oogoo03Ioo`0300moogoo041o
o`0300moogoo00Qoo`03001oogoo01ioo`03001oogoo01Eoo`0300moogoo041oo`0300moogoo045o
o`0300moogoo02ioo`009Woo00<007ooOol01goo00<007ooOol0=Woo00<03gooOol0@7oo00<03goo
Ool02Goo00<007ooOol077oo00<007ooOol05Woo00<03gooOol0@7oo00<03gooOol0@Goo00<03goo
Ool0;Woo000FOol30004Ool20007Ool00`00Oomoo`07Ool00`00Oomoo`0fOol00`0?Oomoo`10Ool0
0`0?Oomoo`0:Ool00`00Oomoo`0IOol2000IOol00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomo
o`0^Ool001Moo`03001oogoo009oo`04001oogoo0006Ool00`00Oomoo`07Ool00`00Oomoo`0fOol0
0`0?Oomoo`10Ool00`0?Oomoo`0;Ool2000HOol00`00Oomoo`0IOol00`0?Oomoo`10Ool00`0?Oomo
o`11Ool00`0?Oomoo`0^Ool001Moo`03001oogoo009oo`04001oogoo0006Ool00`00Oomoo`07Ool0
0`00Oomoo`0fOol00`0?Oomoo`10Ool00`0?Oomoo`0=Ool00`00Oomoo`0DOol00`00Oomoo`0JOol0
0`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool001Moo`03001oogoo009oo`04001oogoo
0006Ool3000700l00`0000l03`2:00l00`0000l03`0A00l2002U00l`Ool001Moo`03001oogoo009o
o`04001oogoo0006Ool00`00Oomoo`07Ool00`00Oomoo`0fOol00`0?Oomoo`10Ool00`0?Oomoo`0?
Ool2000?Ool2000OOol00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool001Ioo`8000Ao
o`04001oogoo0006Ool00`00Oomoo`07Ool00`00Oomoo`0fOol00`0?Oomoo`10Ool00`0?Oomoo`0@
Ool4000;Ool00`00Oomoo`0OOol00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool001Mo
o`03001oogoo00=oo`8000Moo`03001oogoo00Moo`03001oogoo03Ioo`0300moogoo041oo`0300mo
ogoo01Aoo`03001oogoo00Ioo`80029oo`0300moogoo041oo`0300moogoo045oo`0300moogoo02io
o`009Woo00<007ooOol01goo00<007ooOol0=Woo00<03gooOol0@7oo00<03gooOol05Goo200097oo
00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomoo`06Ool00`00Oomo
o`0gOol00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomo
o`0^Ool002Ioo`03001oogoo00Ioo`03001oogoo03Moo`0300moogoo041oo`0300moogoo045oo`03
00moogoo041oo`0300moogoo045oo`0300moogoo02ioo`009Woo00<007ooOol01Woo00<007ooOol0
=goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0
;Woo000VOol20007Ool00`00Oomoo`0gOol00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10
Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo00Ioo`03001oogoo03Moo`0300mo
ogoo041oo`0300moogoo045oo`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`009Woo
00<007ooOol01Woo00<007ooOol0=goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0@7oo
00<03gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomoo`06Ool00`00Oomoo`0gOol00`0?Oomo
o`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03
001oogoo00Ioo`03001oogoo03Moo`0300moogoo041oo`0300moogoo045oo`0300moogoo041oo`03
00moogoo045oo`0300moogoo02ioo`009Woo00<007ooOol01Woo00<007ooOol0=goo00<03gooOol0
@7oo00<03gooOol0@Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol00`00
Oomoo`06Ool00`00Oomoo`0gOol00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?
Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo00Ioo`03001oogoo03Moo`0300moogoo041o
o`0300moogoo045oo`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`009Woo0P001goo
00<007ooOol0=goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0@7oo00<03gooOol0@Goo
00<03gooOol0;Woo000VOol00`00Oomoo`06Ool00`00Oomoo`0gOol00`0?Oomoo`10Ool00`0?Oomo
o`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo00Ioo`03
001oogoo03Moo`0300moogoo041oo`0300moogoo045oo`0300moogoo041oo`0300moogoo045oo`03
00moogoo02ioo`009Woo00<007ooOol01Woo00<007ooOol0=goo00<03gooOol0@7oo00<03gooOol0
@Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomoo`06Ool00`00
Oomoo`0gOol00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?
Oomoo`0^Ool002Ioo`03001oogoo00Eoo`03001oogoo03Qoo`0300moogoo041oo`0300moogoo045o
o`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`009Woo00<007ooOol01Goo00<007oo
Ool0>7oo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03goo
Ool0;Woo000VOol00`00Oomoo`05Ool00`00Oomoo`0hOol00`0?Oomoo`10Ool00`0?Oomoo`11Ool0
0`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`8000Ioo`03001oogoo03Qoo`03
00moogoo041oo`0300moogoo045oo`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`00
9Woo00<007ooOol01Goo00<007ooOol0>7oo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0
@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomoo`05Ool00`00Oomoo`0hOol00`0?
Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Io
o`03001oogoo00Eoo`03001oogoo03Qoo`0300moogoo041oo`0300moogoo045oo`0300moogoo041o
o`0300moogoo045oo`0300moogoo02ioo`009Woo00<007ooOol01Goo00<007ooOol0>7oo00<03goo
Ool0@7oo00<03gooOol0@Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol0
0`00Oomoo`05Ool00`00Oomoo`0hOol00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool0
0`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo00Eoo`03001oogoo03Qoo`0300moogoo
041oo`0300moogoo045oo`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`009Woo00<0
07ooOol01Goo00<007ooOol0>7oo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0@7oo00<0
3gooOol0@Goo00<03gooOol0;Woo000VOol20006Ool00`00Oomoo`0hOol00`0?Oomoo`10Ool00`0?
Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo00Eo
o`03001oogoo03Qoo`0300moogoo041oo`0300moogoo045oo`0300moogoo041oo`0300moogoo045o
o`0300moogoo02ioo`009Woo00<007ooOol01Goo00<007ooOol0>7oo00<03gooOol0@7oo00<03goo
Ool0@Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomoo`05Ool0
0`00Oomoo`0hOol00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool0
0`0?Oomoo`0^Ool002Ioo`03001oogoo00Eoo`03001oogoo03Qoo`0300moogoo041oo`0300moogoo
045oo`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`009Woo00<007ooOol01Goo00<0
07ooOol0>7oo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0@7oo00<03gooOol0@Goo00<0
3gooOol0;Woo000EOol50003Ool20007Ool00`00Oomoo`05Ool00`00Oomoo`0hOol00`0?Oomoo`10
Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool001Ioo`04001o
ogoo0002Ool01000Oomoo`001Woo00<007ooOol01Goo00<007ooOol0>7oo00<03gooOol0@7oo00<0
3gooOol0@Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000GOol00`00Oomoo`02
Ool01000Oomoo`001Woo0`001@0?00<0000?00l0o`0?B00?<7oo000HOol01@00Oomoogoo00000Woo
00<007ooOol017oo00<007ooOol01Goo00<007ooOol0>7oo00<03gooOol0@7oo00<03gooOol0@Goo
00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000EOol01@00Oomoogoo00000Woo00@0
07ooOol000Ioo`03001oogoo00Eoo`03001oogoo03Qoo`0300moogoo041oo`0300moogoo045oo`03
00moogoo041oo`0300moogoo045oo`0300moogoo02ioo`005Goo00D007ooOomoo`00009oo`04001o
ogoo0006Ool00`00Oomoo`05Ool00`00Oomoo`0hOol00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?
Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool001Ioo`<000Aoo`8000Moo`03001oogoo00Eo
o`03001oogoo03Qoo`0300moogoo041oo`0300moogoo045oo`0300moogoo041oo`0300moogoo045o
o`0300moogoo02ioo`009Woo00<007ooOol017oo00<007ooOol0>Goo00<03gooOol0@7oo00<03goo
Ool0@Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomoo`04Ool0
0`00Oomoo`0iOol00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool0
0`0?Oomoo`0^Ool002Ioo`03001oogoo00Aoo`03001oogoo03Uoo`0300moogoo041oo`0300moogoo
045oo`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`009Woo0P001Goo00<007ooOol0
>Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0
;Woo000VOol00`00Oomoo`04Ool00`00Oomoo`0iOol00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?
Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo00Aoo`03001oogoo03Uo
o`0300moogoo041oo`0300moogoo045oo`0300moogoo041oo`0300moogoo045oo`0300moogoo02io
o`009Woo00<007ooOol017oo00<007ooOol0>Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03goo
Ool0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomoo`04Ool00`00Oomoo`0iOol0
0`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool0
02Ioo`03001oogoo00Aoo`03001oogoo03Uoo`0300moogoo041oo`0300moogoo045oo`0300moogoo
041oo`0300moogoo045oo`0300moogoo02ioo`009Woo00<007ooOol017oo00<007ooOol0>Goo00<0
3gooOol0@7oo00<03gooOol0@Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000V
Ool00`00Oomoo`04Ool00`00Oomoo`0iOol00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10
Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`8000Eoo`03001oogoo03Uoo`0300moogoo041o
o`0300moogoo045oo`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`009Woo00<007oo
Ool017oo00<007ooOol0>Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0@7oo00<03goo
Ool0@Goo00<03gooOol0;Woo000VOol00`00Oomoo`04Ool00`00Oomoo`0iOol00`0?Oomoo`10Ool0
0`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo
00Aoo`03001oogoo03Uoo`0300moogoo041oo`0300moogoo045oo`0300moogoo041oo`0300moogoo
045oo`0300moogoo02ioo`009Woo00<007ooOol017oo00<007ooOol0>Goo00<03gooOol0@7oo00<0
3gooOol0@Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomoo`04
Ool00`00Oomoo`0iOol00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11
Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo00Aoo`03001oogoo03Uoo`0300moogoo041oo`0300mo
ogoo045oo`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`009Woo00<007ooOol017oo
00<007ooOol0>Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0@7oo00<03gooOol0@Goo
00<03gooOol0;Woo000VOol20005Ool00`00Oomoo`0iOol00`0?Oomoo`10Ool00`0?Oomoo`11Ool0
0`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo00Aoo`03001oogoo
03Uoo`0300moogoo041oo`0300moogoo045oo`0300moogoo041oo`0300moogoo045oo`0300moogoo
02ioo`009Woo00<007ooOol017oo00<007ooOol0>Goo00<03gooOol0@7oo00<03gooOol0@Goo00<0
3gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomoo`04Ool00`00Oomoo`0i
Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^
Ool002Ioo`03001oogoo00Aoo`03001oogoo03Uoo`0300moogoo041oo`0300moogoo045oo`0300mo
ogoo041oo`0300moogoo045oo`0300moogoo02ioo`009Woo00<007ooOol017oo00<007ooOol0>Goo
00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo
000VOol00`00Oomoo`04Ool00`00Oomoo`0iOol00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomo
o`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo00Aoo`03001oogoo03Uoo`03
00moogoo041oo`0300moogoo045oo`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`00
9Woo0P001Goo00<007ooOol0>Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0@7oo00<0
3gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomoo`04Ool00`00Oomoo`0iOol00`0?Oomoo`10
Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001o
ogoo00Aoo`03001oogoo03Uoo`0300moogoo041oo`0300moogoo045oo`0300moogoo041oo`0300mo
ogoo045oo`0300moogoo02ioo`009Woo00<007ooOol017oo00<007ooOol0>Goo00<03gooOol0@7oo
00<03gooOol0@Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomo
o`03Ool00`00Oomoo`0jOol00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomo
o`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo00=oo`03001oogoo03Yoo`0300moogoo041oo`03
00moogoo045oo`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`005Woo0`0017oo0P00
1goo00<007ooOol00goo00<007ooOol0>Woo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0
@7oo00<03gooOol0@Goo00<03gooOol0;Woo000EOol01@00Oomoogoo00000Woo00@007ooOol000Io
o`03001oogoo00=oo`03001oogoo03Yoo`0300moogoo041oo`0300moogoo045oo`0300moogoo041o
o`0300moogoo045oo`0300moogoo02ioo`006Goo00@007ooOol0009oo`03001oogoo00Aoo`03001o
ogoo00=oo`03001oogoo03Yoo`0300moogoo041oo`0300moogoo045oo`0300moogoo041oo`0300mo
ogoo045oo`0300moogoo02ioo`005goo0P000goo00@007ooOol000Ioo`<000<03`0300003`0?0?l0
3dX03c1oo`006Goo00@007ooOol0009oo`03001oogoo00Aoo`03001oogoo00=oo`03001oogoo03Yo
o`0300moogoo041oo`0300moogoo045oo`0300moogoo041oo`0300moogoo045oo`0300moogoo02io
o`005Goo00D007ooOomoo`00009oo`04001oogoo0006Ool00`00Oomoo`03Ool00`00Oomoo`0jOol0
0`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool0
01Ioo`<000Aoo`8000Moo`03001oogoo00=oo`03001oogoo03Yoo`0300moogoo041oo`0300moogoo
045oo`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`009Woo00<007ooOol00goo00<0
07ooOol0>Woo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0@7oo00<03gooOol0@Goo00<0
3gooOol0;Woo000VOol00`00Oomoo`03Ool00`00Oomoo`0jOol00`0?Oomoo`10Ool00`0?Oomoo`11
Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo00=oo`03001o
ogoo03Yoo`0300moogoo041oo`0300moogoo045oo`0300moogoo041oo`0300moogoo045oo`0300mo
ogoo02ioo`009Woo00<007ooOol00goo00<007ooOol0>Woo00<03gooOol0@7oo00<03gooOol0@Goo
00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol20004Ool00`00Oomoo`0jOol0
0`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool0
02Ioo`03001oogoo00=oo`03001oogoo03Yoo`0300moogoo041oo`0300moogoo045oo`0300moogoo
041oo`0300moogoo045oo`0300moogoo02ioo`009Woo00<007ooOol00goo00<007ooOol0>Woo00<0
3gooOol0@7oo00<03gooOol0@Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000V
Ool00`00Oomoo`03Ool00`00Oomoo`0jOol00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10
Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo00=oo`03001oogoo03Yoo`0300mo
ogoo041oo`0300moogoo045oo`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`009Woo
00<007ooOol00goo00<007ooOol0>Woo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0@7oo
00<03gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomoo`03Ool00`00Oomoo`0jOol00`0?Oomo
o`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03
001oogoo00=oo`03001oogoo03Yoo`0300moogoo041oo`0300moogoo045oo`0300moogoo041oo`03
00moogoo045oo`0300moogoo02ioo`009Woo0P0017oo00<007ooOol0>Woo00<03gooOol0@7oo00<0
3gooOol0@Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomoo`03
Ool00`00Oomoo`0jOol00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11
Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo00=oo`03001oogoo03Yoo`0300moogoo041oo`0300mo
ogoo045oo`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`009Woo00<007ooOol00goo
00<007ooOol0>Woo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0@7oo00<03gooOol0@Goo
00<03gooOol0;Woo000VOol00`00Oomoo`03Ool00`00Oomoo`0jOol00`0?Oomoo`10Ool00`0?Oomo
o`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo00=oo`03
001oogoo03Yoo`0300moogoo041oo`0300moogoo045oo`0300moogoo041oo`0300moogoo045oo`03
00moogoo02ioo`009Woo00<007ooOol00goo00<007ooOol0>Woo00<03gooOol0@7oo00<03gooOol0
@Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomoo`03Ool00`00
Oomoo`0jOol00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?
Oomoo`0^Ool002Ioo`8000Aoo`03001oogoo03Yoo`0300moogoo041oo`0300moogoo045oo`0300mo
ogoo041oo`0300moogoo045oo`0300moogoo02ioo`009Woo00<007ooOol00goo00<007ooOol0>Woo
00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo
000VOol00`00Oomoo`03Ool00`00Oomoo`0jOol00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomo
o`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo00=oo`03001oogoo03Yoo`03
00moogoo041oo`0300moogoo045oo`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`00
9Woo00<007ooOol00goo00<007ooOol0>Woo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0
@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomoo`03Ool00`00Oomoo`0jOol00`0?
Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Io
o`03001oogoo00=oo`03001oogoo03Yoo`0300moogoo041oo`0300moogoo045oo`0300moogoo041o
o`0300moogoo045oo`0300moogoo02ioo`009Woo00<007ooOol00goo00<007ooOol0>Woo00<03goo
Ool0@7oo00<03gooOol0@Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol2
0004Ool00`00Oomoo`0jOol00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomo
o`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo00=oo`03001oogoo03Yoo`0300moogoo041oo`03
00moogoo045oo`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`009Woo00<007ooOol0
0goo00<007ooOol0>Woo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0@7oo00<03gooOol0
@Goo00<03gooOol0;Woo000VOol00`00Oomoo`03Ool00`00Oomoo`0jOol00`0?Oomoo`10Ool00`0?
Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo00=o
o`03001oogoo03Yoo`0300moogoo041oo`0300moogoo045oo`0300moogoo041oo`0300moogoo045o
o`0300moogoo02ioo`009Woo00<007ooOol00goo00<007ooOol0>Woo00<03gooOol0@7oo00<03goo
Ool0@Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo003oOonYOol00?moojUoo`00
ogooZGoo003oOonYOol00?moojUoo`00Kgoo0`003goo0`00V7oo0`00RGoo001bOol00`00Oomoo`0?
Ool00`00Oomoo`2FOol00`00Oomoo`28Ool005Ioo`@000=oo`<000=oo`03001oo`0000=oo`<000=o
o`@000=oo`800003Ool0000000800004Ool00000Ool40008Ool40002Ool30002Ool4000:Ool20002
Ool300000goo00000002Ool20003Ool30002Ool30003Ool40003Ool30002Ool6000017oo00000000
0Woo0`0000=oo`0000000P0000=oo`0000000Woo0`000Woo1@0000=oo`0000000P0027oo0`0000Ao
o`00001oo`@0009oo`<0009oo`H000Moo`<0009oo`/00003Ool00000008000=oo`<0009oo`D00003
Ool0000000<006=oo`00Egoo00H007ooOol007oo0006Ool00`00Ool00002Ool00`00Oomoo`03Ool0
1@00Oomoogoo00000Woo00@007ooOol0009oo`06001oogoo001oo`000goo00<007ooOol01Goo00@0
07ooOol0009oo`03001oogoo00Moo`03001oogoo00Ioo`04001oogoo0002Ool01000Oomoo`000Woo
00H007ooOol007oo0006Ool00`00Oomoo`06Ool00`00Ool00003Ool01000Oomoo`000Woo00<007oo
00001Woo00@007ooOol0009oo`03001oo`00009oo`03001oogoo00Eoo`03001oogoo00Eoo`03001o
ogoo00Ioo`06001oogoo001oo`000Woo00@007ooOol000=oo`04001oogoo0002Ool00`00Oomoo`06
Ool01000Oomoo`000Woo00@007ooOol000=oo`03001oogoo00Eoo`03001oo`0000=oo`05001oogoo
Ool00005Ool00`00Oomoo`1SOol0021oo`<003Aoo`05001oogoo001oo`0500001goo001oo`00Ool0
07oo00D00003Ool007oo009oo`04001oogoo0002Ool01000Oomoo`000Woo00<007oo00000goo00<0
07ooOol01Goo00@007ooOol0009oo`D0009oo`<000Uoo`04001oogoo0002Ool01000Oomoo`000Woo
00<007ooOol00Woo1@000Woo00<007ooOol00goo0`000Woo00<007ooOol017oo00D007ooOol007oo
00D0009oo`04001oogoo0002Ool20003Ool50003Ool00`00Oomoo`02Ool30009Ool01000Oomoo`00
0Woo0`000Woo00<007ooOol017oo00@007ooOol000Qoo`04001oogoo0002Ool01000Oomoo`000goo
00<007ooOol00Woo0`000Woo00D007ooOomoo`0000=oo`03001oogoo00=oo`03001oogoo06=oo`00
8Goo00<007ooOol0<goo0`000Woo00d007ooOomoo`00Ool007oo001oo`00Ool00003Ool00`00Ool0
0003Ool01000Oomoo`000Woo00@007ooOol0009oo`03001oo`0000=oo`03001oogoo00Eoo`04001o
ogoo0002Ool01`00Oomoogoo001oo`0000aoo`04001oogoo0002Ool01000Oomoo`000Woo00<007oo
Ool00Woo00D007ooOomoo`00009oo`8000=oo`03001oogoo00=oo`05001oogooOol00002Ool01P00
Oomoo`00Ool000=oo`04001oogoo0002Ool01P00Oomoo`00Ool0009oo`05001oogooOol00003Ool0
1@00Oomoogoo000037oo00H007ooOol007oo0002Ool01000Oomoo`000goo00@007ooOol0009oo`03
001oogoo00Ioo`04001oogoo0002Ool01000Oomoo`000goo00D007ooOomoo`0000Eoo`05001oogoo
Ool00003Ool00`00Oomoo`03Ool00`00Oomoo`1SOol0009oo`800003Ool0000000<00004Ool00000
0009Ool00`00Oomoo`07Ool30002Ool;00000goo000000020003Ool30002Ool500000goo00000003
000>Ool01000Oomoo`000Woo0`000Woo1P0000Aoo`00000000=oo`L00004Ool00000Ool40003Ool5
0007Ool30003Ool30003Ool40008Ool01@00Oomoo`00Ool010000Woo10000goo0`000Woo0P0000=o
o`0000000Woo10000Woo0`000goo0`000goo0`000Woo10000goo00@007oo0000009oo`<000Aoo`03
001oogoo009oo`@000Moo`@000=oo`8000Aoo`<000=oo`<000Qoo`@000=oo`<0009oo`<000Aoo`@0
009oo`<000Aoo`03001oogoo00=oo`03001oogoo06=oo`000Woo00L007ooOomoo`00Ool00003Ool0
0`00Oomoo`08Ool00`00Oomoo`07Ool01000Oomoo`000Woo00@007ooOol000=oo`03001oogoo00Eo
o`03001oo`0000=oo`05001oogooOol00005Ool00`00Oomoo`0>Ool01000Oomoo`00=7oo00<007oo
Ool04goo00@007ooOol000Qoo`03001oogoo01]oo`03001oogoo00moo`03001oogoo00Yoo`03001o
ogoo021oo`03001oogoo00moo`03001oogoo01Ioo`03001oogoo00=oo`03001oogoo06=oo`000Woo
00L007ooOomoo`00Ool00003Ool00`00Oomoo`06Ool50007Ool01000Oomoo`000Woo00@007ooOol0
00=oo`03001oogoo009oo`<0009oo`05001oogooOol00003Ool00`00Oomoo`03Ool00`00Oomoo`0=
Ool4000dOol2000DOol300000goo00000007Ool00`00Oomoo`0JOol2000@Ool2000:Ool3000QOol2
000@Ool20006Ool00`00Oomoo`0=Ool30003Ool3001UOol0009oo`07001oogooOol007oo00000goo
00<007ooOol027oo00<007ooOol01goo00@007ooOol0009oo`04001oogoo0003Ool01@00Oomoogoo
00001Goo00D007ooOomoo`0000=oo`03001oogoo00=oo`03001oogoo0?moof1oo`000Woo00/007oo
001oo`00Ool007oo001oo`0000Yoo`03001oogoo00Ioo`@000=oo`<0009oo`<000Aoo`@0009oo`<0
00Aoo`03001oogoo00=oo`03001oogoo0?moof1oo`000Woo0P0000Aoo`00001oo`800003Ool00000
01Yoo`03001oogoo01Ioo`03001oogoo00=oo`03001oogoo0?moof1oo`000Woo00@007ooOomoo`<0
00=oo`8001Qoo`8000Ioo`03001oogoo00eoo`<000=oo`<00?moof9oo`00ogooZGoo003oOonYOol0
0?moojUoo`00ogooZGoo003oOonYOol00?moojUoo`00ogooZGoo003oOonYOol00?moojUoo`00ogoo
ZGoo003oOonYOol00?moojUoo`00ogooZGoo003oOonYOol00?moojUoo`00ogooZGoo003oOonYOol0
0?moojUoo`00\
\>"],
  ImageRangeCache->{{{0, 423.5}, {261.375, 0}} -> {-0.112741, -16.3444, \
0.00296674, 0.247249}}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Bewegung von (Unterschenkel+Fuss) mit Zusatzlast mL = 30 kg am \
Knoechel\
\>", "Section"],

Cell[CellGroupData[{

Cell["Numeriches Loesen der DGL mit NDSolve", "Subsubsection"],

Cell["Belegen der Parameter mit Werten:", "Text"],

Cell[BoxData[{
    \(Ip = 0.17086; m = 4.819; g = 9.81; 
    lS = 0.274;\), "\[IndentingNewLine]", 
    \(Kp = 100; Kv = 150;\), "\[IndentingNewLine]", 
    \(liu\  = \ 0.453; \ mL = 30;\)}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(de = Simplify[de1]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(15000.`\ phi[t]\), "+", \(146.27108286`\ Sin[phi[t]]\), "+", 
        RowBox[{"150.`", " ", 
          RowBox[{
            SuperscriptBox["phi", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}], "+", 
        RowBox[{"0.17086`", " ", 
          RowBox[{
            SuperscriptBox["phi", "\[Prime]\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], 
      "==", \(21000.000000000004`\ Sin[10\ t]\)}]], "Output"]
}, Open  ]],

Cell["\<\
erg1 = NDSolve[{de, phi[0]==0, phi'[0] == 0 }, phi, {t,0,1}];
phierg  = phi [t] /. erg1[[1]];
dphierg = phi'[t] /. erg1[[1]];\
\>", "Input",
  ImageRegion->{{0, 1}, {0, 1}}],

Cell[CellGroupData[{

Cell[BoxData[
    \(phierg /. t \[Rule] 1\)], "Input"],

Cell[BoxData[
    \(\(-0.6336611122234587`\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(dphierg /. t \[Rule] 1\)], "Input"],

Cell[BoxData[
    \(\(-12.290828417564416`\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Plot[{phisoll, Evaluate[phierg]}, {t, 0, 1}, 
        AxesLabel \[Rule] {"\<Zeit s\>", "\<phi + phisoll\>"}, 
        PlotLabel \[Rule] "\<Bewegung des Unterschenkels nach phisoll\>", 
        GridLines \[Rule] Automatic, 
        PlotRange \[Rule] {{0, 1}, Automatic}];\)\)], "Input",
  ImageRegion->{{0, 1}, {0, 1}}],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0 1 0.309015 0.210218 [
[.2 .29651 -9 -9 ]
[.2 .29651 9 0 ]
[.4 .29651 -9 -9 ]
[.4 .29651 9 0 ]
[.6 .29651 -9 -9 ]
[.6 .29651 9 0 ]
[.8 .29651 -9 -9 ]
[.8 .29651 9 0 ]
[1 .29651 -3 -9 ]
[1 .29651 3 0 ]
[1.025 .30901 0 -6 ]
[1.025 .30901 40 6 ]
[-0.0125 .0988 -12 -4.5 ]
[-0.0125 .0988 0 4.5 ]
[-0.0125 .20391 -24 -4.5 ]
[-0.0125 .20391 0 4.5 ]
[-0.0125 .41412 -18 -4.5 ]
[-0.0125 .41412 0 4.5 ]
[-0.0125 .51923 -6 -4.5 ]
[-0.0125 .51923 0 4.5 ]
[0 .64303 -41 0 ]
[0 .64303 41 12 ]
[.5 .63053 -122 0 ]
[.5 .63053 122 12 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 .5 r
.25 Mabswid
[ ] 0 setdash
0 0 m
0 .61803 L
s
.2 0 m
.2 .61803 L
s
.4 0 m
.4 .61803 L
s
.6 0 m
.6 .61803 L
s
.8 0 m
.8 .61803 L
s
1 0 m
1 .61803 L
s
0 .0988 m
1 .0988 L
s
0 .20391 m
1 .20391 L
s
0 .30901 m
1 .30901 L
s
0 .41412 m
1 .41412 L
s
0 .51923 m
1 .51923 L
s
0 g
.2 .30901 m
.2 .31526 L
s
[(0.2)] .2 .29651 0 1 Mshowa
.4 .30901 m
.4 .31526 L
s
[(0.4)] .4 .29651 0 1 Mshowa
.6 .30901 m
.6 .31526 L
s
[(0.6)] .6 .29651 0 1 Mshowa
.8 .30901 m
.8 .31526 L
s
[(0.8)] .8 .29651 0 1 Mshowa
1 .30901 m
1 .31526 L
s
[(1)] 1 .29651 0 1 Mshowa
.125 Mabswid
.05 .30901 m
.05 .31276 L
s
.1 .30901 m
.1 .31276 L
s
.15 .30901 m
.15 .31276 L
s
.25 .30901 m
.25 .31276 L
s
.3 .30901 m
.3 .31276 L
s
.35 .30901 m
.35 .31276 L
s
.45 .30901 m
.45 .31276 L
s
.5 .30901 m
.5 .31276 L
s
.55 .30901 m
.55 .31276 L
s
.65 .30901 m
.65 .31276 L
s
.7 .30901 m
.7 .31276 L
s
.75 .30901 m
.75 .31276 L
s
.85 .30901 m
.85 .31276 L
s
.9 .30901 m
.9 .31276 L
s
.95 .30901 m
.95 .31276 L
s
.25 Mabswid
0 .30901 m
1 .30901 L
s
gsave
1.025 .30901 -61 -10 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Zeit) show
93.000 13.000 moveto
(s) show
99.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .0988 m
.00625 .0988 L
s
[(-1)] -0.0125 .0988 1 0 Mshowa
0 .20391 m
.00625 .20391 L
s
[(-0.5)] -0.0125 .20391 1 0 Mshowa
0 .41412 m
.00625 .41412 L
s
[(0.5)] -0.0125 .41412 1 0 Mshowa
0 .51923 m
.00625 .51923 L
s
[(1)] -0.0125 .51923 1 0 Mshowa
.125 Mabswid
0 .11982 m
.00375 .11982 L
s
0 .14084 m
.00375 .14084 L
s
0 .16186 m
.00375 .16186 L
s
0 .18288 m
.00375 .18288 L
s
0 .22493 m
.00375 .22493 L
s
0 .24595 m
.00375 .24595 L
s
0 .26697 m
.00375 .26697 L
s
0 .28799 m
.00375 .28799 L
s
0 .33004 m
.00375 .33004 L
s
0 .35106 m
.00375 .35106 L
s
0 .37208 m
.00375 .37208 L
s
0 .3931 m
.00375 .3931 L
s
0 .43515 m
.00375 .43515 L
s
0 .45617 m
.00375 .45617 L
s
0 .47719 m
.00375 .47719 L
s
0 .49821 m
.00375 .49821 L
s
0 .07777 m
.00375 .07777 L
s
0 .05675 m
.00375 .05675 L
s
0 .03573 m
.00375 .03573 L
s
0 .01471 m
.00375 .01471 L
s
0 .54026 m
.00375 .54026 L
s
0 .56128 m
.00375 .56128 L
s
0 .5823 m
.00375 .5823 L
s
0 .60332 m
.00375 .60332 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
gsave
0 .64303 -102 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(phi) show
87.000 13.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(+) show
99.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(phisoll) show
141.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.5 .63053 -183 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Bewegung) show
117.000 13.000 moveto
(des) show
141.000 13.000 moveto
(Unterschenkels) show
231.000 13.000 moveto
(nach) show
261.000 13.000 moveto
(phisoll) show
303.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
0 .30902 m
.04057 .42516 L
.06168 .47925 L
.08481 .52975 L
.0952 .54875 L
.10632 .56621 L
.11674 .5797 L
.12636 .58954 L
.13146 .59372 L
.13709 .59746 L
.14274 .6003 L
.14583 .60146 L
.14873 .6023 L
.15003 .60259 L
.15146 .60286 L
.1528 .60305 L
.15405 .60319 L
.15529 .60327 L
.15641 .60331 L
.1577 .60332 L
.15892 .60327 L
.16025 .60317 L
.16092 .6031 L
.16166 .60301 L
.16418 .60258 L
.1656 .60225 L
.16713 .60184 L
.16988 .60091 L
.17543 .59838 L
.18056 .59525 L
.19218 .58538 L
.20242 .57358 L
.21331 .55801 L
.25294 .47813 L
.29516 .3646 L
.33578 .24588 L
.37898 .13133 L
.40053 .08527 L
.41104 .06645 L
.42058 .05167 L
.42986 .03954 L
.43993 .02902 L
.44546 .02443 L
.45056 .02098 L
.45543 .01838 L
.4606 .01637 L
.46325 .01565 L
.46456 .01537 L
.46577 .01515 L
.46696 .01498 L
Mistroke
.46804 .01486 L
.46923 .01477 L
.4705 .01472 L
.47188 .01472 L
.47314 .01476 L
.47453 .01487 L
.47522 .01494 L
.47599 .01504 L
.47728 .01525 L
.47866 .01552 L
.48115 .01615 L
.48363 .01696 L
.48632 .01805 L
.49121 .02056 L
.50038 .02711 L
.51027 .03685 L
.52118 .05066 L
.54325 .08778 L
.58552 .18687 L
.6262 .30277 L
.66945 .42668 L
.69104 .48175 L
.71111 .52578 L
.7305 .56007 L
.74126 .57512 L
.75118 .58626 L
.76196 .59527 L
.76764 .59869 L
.77053 .60007 L
.77363 .60129 L
.77636 .60212 L
.77885 .60269 L
.78005 .6029 L
.78135 .60308 L
.78258 .6032 L
.78372 .60328 L
.78504 .60332 L
.78628 .60331 L
.78763 .60325 L
.78839 .60319 L
.78909 .60312 L
.79042 .60295 L
.79188 .6027 L
.79481 .60202 L
.79746 .60118 L
.80034 .60004 L
.80558 .59735 L
.81537 .5902 L
.82681 .57845 L
.83736 .56447 L
Mistroke
.85704 .53097 L
.8787 .48425 L
.92102 .37167 L
.96175 .25263 L
1 .14891 L
Mfstroke
0 .30901 m
.04057 .39699 L
.06168 .45287 L
.08481 .50698 L
.10656 .54839 L
.12636 .57633 L
.13692 .58703 L
.14177 .5909 L
.14691 .59428 L
.14952 .59571 L
.15239 .59705 L
.15503 .59808 L
.15745 .59884 L
.1603 .59952 L
.16187 .59979 L
.16259 .59989 L
.16336 .59998 L
.16473 .6001 L
.16601 .60017 L
.16679 .60018 L
.16752 .60018 L
.16889 .60013 L
.17011 .60004 L
.17142 .5999 L
.17266 .59972 L
.17378 .59952 L
.17654 .59886 L
.17915 .59804 L
.18433 .59582 L
.18998 .59252 L
.20005 .58438 L
.20937 .57436 L
.22897 .54587 L
.2506 .50395 L
.29281 .39828 L
.33344 .28178 L
.37663 .16318 L
.39819 .11272 L
.41824 .07383 L
.43758 .0452 L
.44841 .03342 L
.45825 .02551 L
.46334 .0225 L
.46613 .02116 L
.46873 .02012 L
.47114 .01933 L
.47334 .01875 L
.47578 .01828 L
.47712 .01809 L
.4784 .01796 L
Mistroke
.47977 .01788 L
.48102 .01785 L
.48171 .01785 L
.48246 .01787 L
.48382 .01795 L
.48509 .01807 L
.48644 .01825 L
.48884 .0187 L
.49166 .01945 L
.49428 .02035 L
.50023 .02313 L
.50551 .02645 L
.51124 .03095 L
.52165 .04146 L
.54114 .06884 L
.56195 .10807 L
.58402 .15908 L
.62371 .26707 L
.66598 .38865 L
.70666 .49278 L
.72774 .53595 L
.73847 .55418 L
.74991 .57052 L
.7608 .5829 L
.77068 .59132 L
.77545 .59441 L
.78061 .59701 L
.78298 .59794 L
.78549 .59876 L
.78763 .59931 L
.78998 .59976 L
.79134 .59995 L
.79261 .60007 L
.79399 .60015 L
.79469 .60018 L
.79547 .60018 L
.79676 .60015 L
.79749 .60012 L
.79815 .60007 L
.79938 .59994 L
.80067 .59977 L
.80309 .59931 L
.80533 .59873 L
.81044 .59686 L
.81329 .59549 L
.81599 .59397 L
.82105 .59058 L
.83239 .58035 L
.84258 .56817 L
.85338 .55232 L
Mistroke
.87274 .51694 L
.91249 .42184 L
.95481 .30189 L
.99555 .18744 L
1 .17581 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{397.375, 245.625},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006=0000mA000`40O003h00OogooSWoo003oOon>
Ool00?moohioo`00ogooSWoo003oOon>Ool00?moohioo`00ogooSWoo003oOon>Ool00?moohioo`00
ogooSWoo003oOon>Ool00?moohioo`00ogooSWoo003oOon>Ool00?moohioo`00ogooSWoo003oOon>
Ool002Uoo`03001oogoo03Yoo`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo03]oo`0300mo
ogoo03Yoo`0300moogoo02ioo`00:Goo00<007ooOol0>Woo00<03gooOol0>goo00<03gooOol0>Woo
00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0;Woo000YOol00`00Oomoo`0jOol00`0?Oomo
o`0kOol00`0?Oomoo`0jOol00`0?Oomoo`0kOol00`0?Oomoo`0jOol00`0?Oomoo`0^Ool002Uoo`03
001oogoo03Yoo`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo03]oo`0300moogoo03Yoo`03
00moogoo02ioo`00:Goo00<007ooOol0>Woo00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0
>goo00<03gooOol0>Woo00<03gooOol0;Woo000YOol2000kOol00`0?Oomoo`0kOol00`0?Oomoo`0?
Ool8000SOol00`0?Oomoo`0kOol00`0?Oomoo`0jOol00`0?Oomoo`0^Ool002Uoo`03001oogoo03Yo
o`0300moogoo03]oo`0300moogoo00eoo`8000=oo`P0021oo`0300moogoo03]oo`0300moogoo03Yo
o`0300moogoo02ioo`00:Goo00<007ooOol0>Woo00<03gooOol0>goo00<03gooOol037oo00<007oo
Ool00`001goo10007Goo00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0;Woo000YOol00`00
Oomoo`0jOol00`0?Oomoo`0kOol00`0?Oomoo`0:Ool20002Ool00`00Oomoo`09Ool01000Oomoo`00
77oo00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0;Woo000YOol00`00Oomoo`0jOol00`0?
Oomoo`0kOol00`0?Oomoo`09Ool01@00Oomoogoo00003Goo0P0000=oo`00Ool06Woo00<03gooOol0
>goo00<03gooOol0>Woo00<03gooOol0;Woo000YOol00`00Oomoo`0jOol00`0?Oomoo`0kOol00`0?
Oomoo`08Ool01@00Oomoogoo000047oo00<007oo00006Woo00<03gooOol0>goo00<03gooOol0>Woo
00<03gooOol0;Woo000YOol2000kOol00`0?Oomoo`0kOol00`0?Oomoo`07Ool01@00Oomoogoo0000
4Woo00<007oo00006Goo00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0;Woo000YOol00`00
Oomoo`0jOol00`0?Oomoo`0kOol00`0?Oomoo`06Ool01@00Oomoogoo000057oo00<007oo000067oo
00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0;Woo000YOol00`00Oomoo`0jOol00`0?Oomo
o`0kOol00`0?Oomoo`06Ool01000Oomoo`005Goo00@007ooOol001Moo`0300moogoo03]oo`0300mo
ogoo03Yoo`0300moogoo02ioo`00:Goo00<007ooOol0>Woo00<03gooOol0>goo00<03gooOol01Goo
00@007ooOol001Moo`03001oo`0001Moo`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo02io
o`00:Goo00<007ooOol0>Woo00<03gooOol0>goo00<03gooOol017oo00D007ooOomoo`0001Qoo`03
001oo`0001Ioo`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo02ioo`00:Goo00<007ooOol0
>Woo00<03gooOol0>goo00<03gooOol00goo00D007ooOomoo`0001Yoo`03001oo`0001Eoo`0300mo
ogoo03]oo`0300moogoo03Yoo`0300moogoo02ioo`00:Goo00<007ooOol0>Woo00<03gooOol0>goo
00<03gooOol00goo00@007ooOol001]oo`04001oogoo000DOol00`0?Oomoo`0kOol00`0?Oomoo`0j
Ool00`0?Oomoo`0^Ool002Uoo`8003]oo`0300moogoo03]oo`0300moogoo009oo`05001oogooOol0
000LOol00`00Ool0000DOol00`0?Oomoo`0kOol00`0?Oomoo`0jOol00`0?Oomoo`0^Ool002Uoo`03
001oogoo03Yoo`0300moogoo03]oo`0500moogooOol00003Ool00`00Oomoo`0LOol00`00Ool0000C
Ool00`0?Oomoo`0kOol00`0?Oomoo`0jOol00`0?Oomoo`0^Ool002Uoo`03001oogoo03Yoo`0300mo
ogoo03]oo`0500moogooOol00002Ool00`00Oomoo`0MOol01000Oomoo`004Woo00<03gooOol0>goo
00<03gooOol0>Woo00<03gooOol0;Woo000YOol00`00Oomoo`0jOol00`0?Oomoo`0kOol0100?Oomo
o`000goo00<007ooOol07Woo00@007ooOol0015oo`0300moogoo03]oo`0300moogoo03Yoo`0300mo
ogoo02ioo`00:Goo00<007ooOol0>Woo00<03gooOol0>goo00@03gooOol0009oo`03001oogoo021o
o`03001oo`00015oo`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo02ioo`00:Goo00<007oo
Ool0>Woo00<03gooOol0>goo00<03goo00000Woo00<007ooOol08Goo00@007ooOol0011oo`0300mo
ogoo03]oo`0300moogoo03Yoo`0300moogoo02ioo`00:Goo0P00>goo00<03gooOol0>goo00<03`00
Ool00Woo00<007ooOol08Woo00<007oo000047oo00<03gooOol0>goo00<03gooOol0>Woo00<03goo
Ool0;Woo000YOol00`00Oomoo`0jOol00`0?Oomoo`0kOol01@0?001oogoo00009Goo00@007ooOol0
00moo`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo02ioo`00:Goo00<007ooOol0>Woo00<0
3gooOol0>goo00D007ooOomoo`0002Ioo`03001oo`0000moo`0300moogoo03]oo`0300moogoo03Yo
o`0300moogoo02ioo`00:Goo00<007ooOol0>Woo00<03gooOol0>goo00@007ooOol002Qoo`03001o
o`0000ioo`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo02ioo`0087oo0`001Woo00<007oo
Ool0>Woo00<03gooOol0>Woo00D0000?Oomoo`0002Qoo`03001oo`0000ioo`0300moogoo03]oo`03
00moogoo03Yoo`0300moogoo02ioo`008Goo00<007ooOol01Goo00<007ooOol0>Woo00<03gooOol0
>Woo00@0000?Ool002Yoo`8000ioo`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo02ioo`00
6Goo1@000goo00<007ooOol01Goo00<007ooOol0>Woo00<03gooOol0>Goo00D007oo00moo`0002Yo
o`03001oo`0000eoo`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo02ioo`008Goo00<007oo
Ool01Goo0P00M`0?00@0000?00l002/03`0300003`0008T03c1oo`008Goo00<007ooOol01Goo00<0
07ooOol0>Woo00<03gooOol0>7oo00D007ooOol03`0002aoo`03001oo`0000aoo`0300moogoo03]o
o`0300moogoo03Yoo`0300moogoo02ioo`0087oo0P001goo00<007ooOol0>Woo00<03gooOol0>7oo
00@007ooOol002eoo`03001oo`0000aoo`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo02io
o`008Goo00<007ooOol01Goo00<007ooOol0>Woo00<03gooOol0=goo00D007ooOomoo`0002ioo`03
001oo`0000]oo`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo02ioo`00:Goo00<007ooOol0
>Woo00<03gooOol0=goo00D007ooOol0000?02ioo`03001oo`0000]oo`0300moogoo03]oo`0300mo
ogoo03Yoo`0300moogoo02ioo`00:Goo00<007ooOol0>Woo00<03gooOol0=goo00D007ooOol0000?
02moo`03001oo`0000Yoo`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo02ioo`00:Goo0P00
>goo00<03gooOol0=Woo00H007ooOol007oo00l_Ool00`00Ool0000:Ool00`0?Oomoo`0kOol00`0?
Oomoo`0jOol00`0?Oomoo`0^Ool002Uoo`03001oogoo03Yoo`0300moogoo03Ioo`06001oogoo001o
o`0?;goo00@007ooOol000Uoo`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo02ioo`00:Goo
00<007ooOol0>Woo00<03gooOol0=Goo00@007ooOol0009oo`0300moogoo02ioo`03001oo`0000Uo
o`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo02ioo`00:Goo00<007ooOol0>Woo00<03goo
Ool0=Goo00@007ooOol0009oo`0300moogoo02ioo`04001oogoo0008Ool00`0?Oomoo`0kOol00`0?
Oomoo`0jOol00`0?Oomoo`0^Ool002Uoo`03001oogoo03Yoo`0300moogoo03Aoo`04001oogoo0003
Ool00`0?Oomoo`0_Ool00`00Ool00008Ool00`0?Oomoo`0kOol00`0?Oomoo`0jOol00`0?Oomoo`0^
Ool002Uoo`03001oogoo03Yoo`0300moogoo03Aoo`04001oogoo0003Ool00`0?Oomoo`0_Ool01000
Oomoo`001goo00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0;Woo000YOol00`00Oomoo`0j
Ool00`0?Oomoo`0cOol01000Oomoo`0017oo00<03gooOol0<7oo00<007oo00001goo00<03gooOol0
>goo00<03gooOol0>Woo00<03gooOol0;Woo000YOol2000kOol00`0?Oomoo`0cOol01000Oomoo`00
17oo00<03gooOol0<7oo00<007oo00001goo00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0
;Woo000YOol00`00Oomoo`0jOol00`0?Oomoo`0cOol01000Oomoo`0017oo00<03gooOol0<7oo00@0
07ooOol000Ioo`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo02ioo`00:Goo00<007ooOol0
>Woo00<03gooOol0<Woo00@007ooOol000Eoo`0300moogoo035oo`03001oo`0000Ioo`0300moogoo
03]oo`0300moogoo03Yoo`03001oogoo02ioo`00:Goo00<007ooOol0>Woo00<03gooOol0<Woo00@0
07ooOol000Eoo`0300moogoo035oo`04001oogoo0005Ool00`0?Oomoo`0kOol00`0?Oomoo`0jOol0
0`00Oomoo`0^Ool002Uoo`03001oogoo03Yoo`0300moogoo039oo`03001oo`0000Ioo`0300moogoo
039oo`03001oo`0000Eoo`0300moogoo03]oo`0300moogoo03Uoo`0300003goo02moo`00:Goo00<0
07ooOol0>Woo00<03gooOol0<Goo00@007ooOol000Ioo`0300moogoo039oo`04001oogoo0004Ool0
0`0?Oomoo`0kOol00`0?Oomoo`0iOol00`0000moo`0_Ool002Uoo`8003]oo`0300moogoo035oo`03
001oo`0000Moo`0300moogoo039oo`04001oogoo0004Ool00`0?Oomoo`0kOol00`0?Oomoo`0iOol0
0`0000moo`0_Ool002Uoo`03001oogoo03Yoo`0300moogoo031oo`04001oogoo0007Ool00`0?Oomo
o`0cOol01000Oomoo`000goo00<03gooOol0>goo00<03gooOol0>7oo00<007oo00l0<7oo000YOol0
0`00Oomoo`0jOol00`0?Oomoo`0`Ool00`00Ool00008Ool00`0?Oomoo`0cOol01000Oomoo`000goo
00<03gooOol0>goo00<03gooOol0>7oo00<007oo00l0<7oo000YOol00`00Oomoo`0jOol00`0?Oomo
o`0`Ool00`00Ool00008Ool00`0?Oomoo`0dOol00`00Ool00003Ool00`0?Oomoo`0kOol00`0?Oomo
o`0hOol00`00Ool03`0`Ool002Uoo`03001oogoo03Yoo`0300moogoo02moo`04001oogoo0008Ool0
0`0?Oomoo`0dOol01000Oomoo`000Woo00<03gooOol0>goo00<03gooOol0=goo00@007ooOol0031o
o`00:Goo00<007ooOol0>Woo00<03gooOol0;goo00<007oo00002Goo00<03gooOol0=Goo00<007oo
00000Woo00<03gooOol0>goo00<03gooOol0=goo00@007ooOol0031oo`00:Goo00<007ooOol0>Woo
00<03gooOol0;goo00<007oo00002Goo00<03gooOol0=Goo00<007oo00000Woo00<03gooOol0>goo
00<03gooOol0=Woo00D007ooOomoo`00031oo`00:Goo0P00>goo00<03gooOol0;Woo00@007ooOol0
00Uoo`0300moogoo03Eoo`06001oogoo001oo`0??Goo00<03gooOol0=Woo00D007ooOol0000?031o
o`00:Goo00<007ooOol0>Woo00<03gooOol0;Woo00<007oo00002Woo00<03gooOol0=Woo00D007oo
001oo`0?03eoo`0300moogoo03Ioo`05001oogoo00003`0`Ool002Uoo`03001oogoo03Yoo`0300mo
ogoo02eoo`04001oogoo000:Ool00`0?Oomoo`0fOol01@00Ool007oo00l0?Goo00<03gooOol0=Goo
00H007ooOomoo`0000l`Ool002Uoo`03001oogoo03Yoo`0300moogoo02eoo`04001oogoo000:Ool0
0`0?Oomoo`0gOol01000Ool0000??Goo00<03gooOol0=Goo00H007ooOol007oo00l`Ool001Eoo`80
00Aoo`03001oogoo009oo`<000Ioo`03001oogoo03Yoo`0300moogoo02eoo`03001oo`0000]oo`03
00moogoo03Moo`04001oo`0000lmOol00`0?Oomoo`0eOol01P00Oomoo`00Ool03c1oo`0057oo00@0
07ooOol000Moo`05001oogooOol00005Ool00`00Oomoo`0jOol00`0?Oomoo`0/Ool01000Oomoo`00
2goo00<03gooOol0=goo00@007ooOol003eoo`0300moogoo03Aoo`07001oogooOol007oo00l0<7oo
000=Ool50002Ool01000Oomoo`002goo00<007ooOol00goo0P00JP0?00@0000?00l004H03`030000
3`0007@03`0400003`0?000300l`Ool001Aoo`04001oogoo000;Ool00`00Oomoo`03Ool00`00Oomo
o`0jOol00`0?Oomoo`0/Ool00`00Ool0000<Ool00`0?Oomoo`0hOol00`00Ool0000mOol00`0?Oomo
o`0cOol01@00Oomoogoo00000Woo00<03gooOol0;Woo000DOol01000Oomoo`001goo10001Woo00<0
07ooOol0>Woo00<03gooOol0:goo00@007ooOol000aoo`0300moogoo03Qoo`04001oo`0?000lOol0
0`0?Oomoo`0cOol01@00Oomoogoo00000Woo00<03gooOol0;Woo000DOol01000Oomoo`001goo00<0
07ooOol01goo00<007ooOol0>Woo00<03gooOol0:goo00@007ooOol000aoo`0300moogoo03Uoo`03
00003`0003aoo`0300moogoo03=oo`04001oogoo0003Ool00`0?Oomoo`0^Ool001Eoo`8000Qoo`D0
00Eoo`03001oogoo03Yoo`0300moogoo02]oo`03001oo`0000eoo`0300moogoo03Uoo`0300003`00
03aoo`0300moogoo039oo`05001oogooOol00003Ool00`0?Oomoo`0^Ool002Uoo`03001oogoo03Yo
o`0300moogoo02Yoo`04001oogoo000=Ool00`0?Oomoo`0iOol0100000moo`00>goo00<03gooOol0
<Woo00@007ooOol000Aoo`0300moogoo02ioo`00:Goo0P00>goo00<03gooOol0:Woo00<007oo0000
3Woo00<03gooOol0>Woo00<007oo0000>goo00<03gooOol0<Woo00@007ooOol000Aoo`0300moogoo
02ioo`00:Goo00<007ooOol0>Woo00<03gooOol0:Goo00@007ooOol000ioo`0300moogoo03Yoo`03
001oo`0003]oo`0300moogoo035oo`05001oogooOol00004Ool00`0?Oomoo`0^Ool002Uoo`03001o
ogoo03Yoo`0300moogoo02Uoo`04001oogoo000>Ool00`0?Oomoo`0jOol01000Oomoo`00>Woo00<0
3gooOol0<Goo00@007ooOol000Eoo`0300moogoo02ioo`00:Goo00<007ooOol0>Woo00<03gooOol0
:Goo00<007oo00003goo00<03gooOol0>Woo00@03`00Ool003Yoo`0300moogoo031oo`05001oogoo
Ool00005Ool00`0?Oomoo`0^Ool002Uoo`03001oogoo03Yoo`0300moogoo02Qoo`04001oogoo000?
Ool00`0?Oomoo`0jOol01@0?001oogoo0000>Goo00<03gooOol0<7oo00D007ooOomoo`0000Eoo`03
00moogoo02ioo`00:Goo00<007ooOol0>Woo00<03gooOol0:7oo00@007ooOol000moo`0300moogoo
03Yoo`0500l007ooOol0000iOol00`0?Oomoo`0`Ool01000Oomoo`001Woo00<03gooOol0;Woo000Y
Ool00`00Oomoo`0jOol00`0?Oomoo`0XOol00`00Ool0000@Ool00`0?Oomoo`0jOol01@0?Ool007oo
0000>Goo00<03gooOol0;goo00D007ooOomoo`0000Ioo`0300moogoo02ioo`00:Goo0P00>goo00<0
3gooOol09goo00@007ooOol0011oo`0300moogoo03Yoo`0300moo`00009oo`03001oogoo03Ioo`03
00moogoo02moo`04001oogoo0007Ool00`0?Oomoo`0^Ool002Uoo`03001oogoo03Yoo`0300moogoo
02Moo`04001oogoo000@Ool00`0?Oomoo`0jOol00`0?Ool00002Ool00`00Oomoo`0fOol00`0?Oomo
o`0_Ool01000Oomoo`001goo00<03gooOol0;Woo000YOol00`00Oomoo`0jOol00`0?Oomoo`0VOol0
1000Oomoo`004Goo00<03gooOol0>Woo00H03gooOol007oo000hOol00`0?Oomoo`0^Ool01@00Oomo
ogoo00001goo00<03gooOol0;Woo000YOol00`00Oomoo`0jOol00`0?Oomoo`0VOol01000Oomoo`00
4Goo00<03gooOol0>Woo00@03gooOol0009oo`03001oogoo03Eoo`0300moogoo02ioo`04001oogoo
0008Ool00`0?Oomoo`0^Ool002Uoo`03001oogoo03Yoo`0300moogoo02Ioo`04001oogoo000AOol0
0`0?Oomoo`0jOol0100?Oomoo`000Woo00<007ooOol0=Goo00<03gooOol0;Woo00@007ooOol000Qo
o`0300moogoo02ioo`00:Goo00<007ooOol0>Woo00<03gooOol09Goo00@007ooOol0019oo`0300mo
ogoo03Yoo`0700moogooOol007oo0000=goo00<03gooOol0;Goo00D007ooOomoo`0000Qoo`0300mo
ogoo02ioo`00:Goo0P00>goo00<03gooOol09Goo00@007ooOol0019oo`0300moogoo03Yoo`0500mo
ogooOol00002Ool00`00Oomoo`0dOol00`0?Oomoo`0]Ool01000Oomoo`002Goo00<03gooOol0;Woo
000YOol00`00Oomoo`0cOol20004Ool0100000moogoo1@0087oo00@007ooOol000]oo`8000Aoo`03
00003goo00=oo`<002ioo`8000Aoo`0300003goo009oo`@002moo`8000Aoo`0300003goo009oo`<0
02Uoo`04001oogoo0007Ool3000`Ool002Uoo`03001oogoo039oo`04001oogoo0004Ool01@0?Oomo
ogoo00000Woo00<007ooOol07Goo00@007ooOol000]oo`04001oogoo0004Ool00`0?Oomoo`03Ool0
0`00Oomoo`0/Ool01000Oomoo`0017oo00L03gooOol007oo001oo`02000]Ool01000Oomoo`0017oo
00@03gooOol000=oo`03001oogoo02Eoo`05001oogooOol00008Ool00`0000moo`0_Ool002Uoo`03
001oogoo039oo`04001oogoo0004Ool00`0?Oomoo`02Ool00`00Oomoo`0OOol01000Oomoo`002goo
00@007ooOol000Aoo`0300moogoo00D002eoo`04001oogoo0004Ool01`0?Oomoo`00Ool007oo0080
02eoo`04001oogoo0004Ool0100?Oomoo`000goo00<007ooOol09Goo00@007ooOol000Uoo`030000
3goo02moo`00:Goo00<007ooOol0<Woo00@007ooOol000Aoo`0300moogoo00=oo`03001oogoo01io
o`04001oogoo000;Ool01000Oomoo`0017oo00@03gooOol0009oo`03001oogoo02aoo`04001oogoo
0004Ool00`0?Oomoo`0400000goo001oo`0/Ool01000Oomoo`0017oo00@03gooOomoo`<002Qoo`04
001oogoo0009Ool00`0000moo`0_Ool002Uoo`03001oogoo039oo`04001oogoo0004Ool0100?Oomo
o`000goo00<007ooOol077oo00@007ooOol000aoo`04001oogoo0004Ool01`0?Oomoogoo001oo`00
02ioo`04001oogoo0004Ool0100?Oomoo`000Woo00@007ooOol002aoo`04001oogoo0004Ool0100?
Oomoo`000goo00<007ooOol097oo00@007ooOol000Yoo`0300003goo02moo`00:Goo00<007ooOol0
<Woo00@007ooOol000Aoo`0400moogoo0003Ool00`00Oomoo`0LOol01000Oomoo`0037oo00@007oo
Ool000Aoo`0300moogoo009oo`8002ioo`04001oogoo0004Ool01`0?Oomoogoo001oo`00009oo`03
001oogoo02Yoo`04001oogoo0004Ool0100?Oomoo`000goo00<007ooOol097oo00@007ooOol000Uo
o`80000300moogoo02ioo`00:Goo0P00=7oo0P001Goo00@03gooOomoo`<001ioo`04001oogoo000>
Ool20005Ool00`0?Oomoo`03Ool00`00Oomoo`0]Ool20005Ool00`0?Oomoo`02Ool20002Ool00`00
Oomoo`0[Ool20005Ool0100?Oomoogoo0`009goo00@007ooOol000Yoo`0300003goo02moo`00:Goo
00<007ooOol0>Woo00<03gooOol08Woo00@007ooOol001Eoo`0300moogoo03Yoo`0300moogoo00Ao
o`04001oogoo000cOol00`0?Oomoo`0ZOol01000Oomoo`0037oo00<03gooOol0;Woo000YOol00`00
Oomoo`0jOol00`0?Oomoo`0ROol01000Oomoo`005Goo00<03gooOol0>Woo00<03gooOol017oo00@0
07ooOol003=oo`0300moogoo02Yoo`04001oogoo000<Ool00`0?Oomoo`0^Ool002Uoo`03001oogoo
03Yoo`0300moogoo025oo`04001oogoo000FOol00`0?Oomoo`0jOol00`0?Oomoo`04Ool01000Oomo
o`00<goo00<03gooOol0:Woo00@007ooOol000aoo`0300moogoo02ioo`00:Goo00<007ooOol0>Woo
00<03gooOol08Goo00@007ooOol001Ioo`0300moogoo03Yoo`0300moogoo00Eoo`04001oogoo000b
Ool00`0?Oomoo`0YOol01000Oomoo`003Goo00<03gooOol01goo1@000Woo0`000Woo1@000goo0P00
27oo10001Goo000YOol00`00Oomoo`0jOol00`0?Oomoo`0QOol01000Oomoo`005Woo00<03gooOol0
>Woo00<03gooOol01Goo00@007ooOol0039oo`0300moogoo02Uoo`04001oogoo000=Ool00`0?Oomo
o`07Ool01`00Oomoogoo001oo`0000Moo`03001oogoo009oo`04001oogoo000;Ool00`00Oomoo`02
Ool002Uoool003D000Yoo`03001oogoo009oo`D000=oo`03001oogoo009oo`03001oogoo00Uoo`<0
00Eoo`00:Goo00<007ooOol037oo00<007ooOol037oo00<007ooOol03Goo00<007ooOol037oo00<0
07ooOol037oo00<007ooOol03Goo00D007ooOomoo`00009oo`03001oogoo00Eoo`03001oogoo00eo
o`03001oogoo00aoo`03001oogoo00aoo`03001oogoo00eoo`03001oogoo00aoo`03001oogoo00Io
o`04001oogoo0002Ool00`00Oomoo`0=Ool00`00Oomoo`0<Ool00`00Oomoo`0=Ool00`00Oomoo`0<
Ool00`00Oomoo`0<Ool00`00Oomoo`0:Ool01000Oomoo`003Woo00<007ooOol02Goo00D007ooOomo
o`0000=oo`05001oogooOol00004Ool00`00Oomoo`08Ool00`00Oomoo`06Ool002Uoo`8003]oo`03
001oogoo021oo`04001oogoo000GOol00`00Oomoo`0jOol00`00Oomoo`06Ool01000Oomoo`00<Goo
00<007ooOol0:7oo00@007ooOol000ioo`03001oogoo00Yoo`04001oogooOol30002Ool30003Ool4
0009Ool40004Ool002Uoo`8003]oo`0300moogoo01moo`04001oogoo000HOol00`0?Oomoo`0jOol0
0`0?Oomoo`07Ool00`00Ool0000aOol00`0?Oomoo`0XOol00`00Ool0000?Ool00`0?Oomoo`07Ool0
1@00Oomoogoo00003Woo00<007ooOol04Goo000YOol3000jOol00`0?Oomoo`0OOol01000Oomoo`00
67oo00<03gooOol0>Woo00<03gooOol01goo00@007ooOol0031oo`0300moogoo02Moo`04001oogoo
000?Ool00`0?Oomoo`07Ool50009Ool00`00Oomoo`02Ool00`00Oomoo`0AOol002Uoo`03001oo`00
03Yoo`0300moogoo01moo`04001oogoo000HOol00`0?Oomoo`0jOol00`0?Oomoo`07Ool01000Oomo
o`00<7oo00<03gooOol09goo00@007ooOol000moo`0300moogoo02ioo`00:Goo00<007oo0000>Woo
00<03gooOol07Woo00@007ooOol001Uoo`0300moogoo03Yoo`0300moogoo00Qoo`03001oo`00031o
o`0300moogoo02Moo`03001oo`00011oo`0300moogoo02ioo`00:Goo1000>Goo00<03gooOol07Woo
00@007ooOol001Uoo`0300moogoo03Yoo`0300moogoo00Qoo`04001oogoo000_Ool00`0?Oomoo`0V
Ool01000Oomoo`0047oo00<03gooOol0;Woo000YOol01000Oomoo`00>Goo00<03gooOol07Goo00D0
07ooOomoo`0001Uoo`0300moogoo03Yoo`0300moogoo00Qoo`04001oogoo000_Ool00`0?Oomoo`0V
Ool01000Oomoo`0047oo00<03gooOol0;Woo000YOol00`00Oomoo`02000hOol00`0?Oomoo`0MOol0
1000Oomoo`006Woo00<03gooOol0>Woo00<03gooOol02Goo00<007oo0000;goo00<03gooOol09Woo
00<007oo00004Goo00<03gooOol0;Woo000YOol00`00Oomoo`02000hOol00`0?Oomoo`0MOol01000
Oomoo`006Woo00<03gooOol0>Woo00<03gooOol02Goo00@007ooOol002ioo`0300moogoo02Eoo`04
001oogoo000AOol00`0?Oomoo`0^Ool002Uoo`04001oogooOol2000gOol00`0?Oomoo`0LOol01@00
Oomoogoo00006Woo00<03gooOol0>Woo00<03gooOol02Goo00@007ooOol002ioo`0300moogoo02Eo
o`04001oogoo000AOol00`0?Oomoo`0^Ool002Uoo`04001oogooOol2000gOol00`0?Oomoo`0LOol0
1000Oomoo`006goo00<03gooOol0>Woo00<03gooOol02Woo00<007oo0000;Woo00<03gooOol09Goo
00<007oo00004Woo00<03gooOol0;Woo000YOol20002Ool00`00Ool0000fOol00`0?Oomoo`0LOol0
1000Oomoo`006goo00<03gooOol0>Woo00<03gooOol02Woo00@007ooOol002eoo`0300moogoo02Ao
o`04001oogoo000BOol00`0?Oomoo`0^Ool002Uoo`03001oogoo009oo`8003Ioo`0300moogoo01]o
o`05001oogooOol0000KOol00`0?Oomoo`0jOol00`0?Oomoo`0:Ool01000Oomoo`00;Goo00<03goo
Ool097oo00@007ooOol0019oo`0300moogoo02ioo`00:Goo00<007ooOol00Woo0P00=Woo00<03goo
Ool06goo00@007ooOol001aoo`0300moogoo03Yoo`0300moogoo00]oo`03001oo`0002eoo`0300mo
ogoo02Aoo`03001oo`0001=oo`0300moogoo02ioo`00:Goo00<007ooOol00Woo00<007oo0000=Goo
00<03gooOol06goo00@007ooOol001aoo`0300moogoo03Yoo`0300moogoo00]oo`04001oogoo000/
Ool00`0?Oomoo`0SOol01000Oomoo`004goo00<03gooOol0;Woo000YOol00`00Oomoo`03Ool2000e
Ool00`0?Oomoo`0JOol01@00Oomoogoo000077oo00<03gooOol0>Woo00<03gooOol02goo00@007oo
Ool002aoo`0300moogoo02=oo`03001oo`0001Aoo`0300moogoo02ioo`00:Goo00<007ooOol00goo
00<007oo0000=7oo00<03gooOol06Woo00@007ooOol001eoo`0300moogoo03Yoo`0300moogoo00ao
o`03001oo`0002aoo`0300moogoo02=oo`03001oo`0001Aoo`0300moogoo02ioo`00:Goo00<007oo
Ool00goo00<007oo0000=7oo00<03gooOol06Goo00D007ooOomoo`0001eoo`0300moogoo03Yoo`03
00moogoo00aoo`04001oogoo000[Ool00`0?Oomoo`0ROol01000Oomoo`0057oo00<03gooOol0;Woo
000YOol20005Ool00`00Ool0000cOol00`0?Oomoo`0IOol01@00Oomoogoo00007Goo00<03gooOol0
>Woo00<03gooOol037oo00@007ooOol002]oo`0300moogoo029oo`03001oo`0001Eoo`0300moogoo
02ioo`00:Goo00<007ooOol017oo00<007oo0000<goo00<03gooOol06Goo00@007ooOol001ioo`03
00moogoo03Yoo`0300moogoo00eoo`03001oo`0002]oo`0300moogoo029oo`03001oo`0001Eoo`03
00moogoo02ioo`00:Goo00<007ooOol017oo00@007ooOol0039oo`0300moogoo01Qoo`05001oogoo
Ool0000NOol00`0?Oomoo`0jOol00`0?Oomoo`0=Ool01000Oomoo`00:Woo00<03gooOol08Goo00@0
07ooOol001Eoo`0300moogoo02ioo`00:Goo00<007ooOol01Goo00<007oo0000<Woo00<03gooOol0
67oo00D007ooOomoo`0001ioo`0300moogoo03Yoo`0300moogoo00eoo`04001oogoo000ZOol00`0?
Oomoo`0QOol00`00Ool0000FOol00`0?Oomoo`0^Ool002Uoo`03001oogoo00Eoo`03001oo`00039o
o`0300moogoo01Qoo`04001oogoo000OOol00`0?Oomoo`0jOol00`0?Oomoo`0>Ool00`00Ool0000Z
Ool00`0?Oomoo`0QOol00`00Ool0000FOol00`0?Oomoo`0^Ool002Uoo`03001oogoo00Eoo`04001o
ogoo000aOol00`0?Oomoo`0GOol01@00Oomoogoo00007goo00<03gooOol0>Woo00<03gooOol03Woo
00@007ooOol002Uoo`0300moogoo021oo`04001oogoo000FOol00`0?Oomoo`0^Ool002Uoo`8000Mo
o`03001oo`00035oo`0300moogoo01Moo`05001oogooOol0000OOol00`0?Oomoo`0jOol00`0?Oomo
o`0>Ool01000Oomoo`00:Goo00<03gooOol087oo00<007oo00005goo00<03gooOol0;Woo000YOol0
0`00Oomoo`06Ool01000Oomoo`00<7oo00<03gooOol05Woo00D007ooOomoo`00021oo`0300moogoo
03Yoo`0300moogoo00moo`04001oogoo000XOol00`0?Oomoo`0POol00`00Ool0000GOol00`0?Oomo
o`0^Ool002Uoo`03001oogoo00Ioo`04001oogoo000`Ool00`0?Oomoo`0FOol01@00Oomoogoo0000
87oo00<03gooOol0>Woo00<03gooOol03goo00@007ooOol002Qoo`0300moogoo01moo`04001oogoo
000GOol00`0?Oomoo`0^Ool002Uoo`03001oogoo00Moo`04001oogoo000_Ool00`0?Oomoo`0FOol0
1@00Oomoogoo000087oo00<03gooOol0>Woo00<03gooOol03goo00@007ooOol002Qoo`0300moogoo
01moo`03001oo`0001Qoo`0300moogoo02ioo`005Goo0P0017oo00<007ooOol00Woo0`001Woo00<0
07ooOol01goo00@007ooOol002moo`0300moogoo01Eoo`05001oogooOol0000QOol00`0?Oomoo`0j
Ool00`0?Oomoo`0@Ool01000Oomoo`009goo00<03gooOol07Woo00@007ooOol001Qoo`0300moogoo
02ioo`0057oo00@007ooOol000Moo`05001oogooOol00005Ool00`00Oomoo`07Ool01000Oomoo`00
;goo00<03gooOol05Goo00D007ooOomoo`00025oo`0300moogoo03Yoo`0300moogoo011oo`04001o
ogoo000WOol00`0?Oomoo`0NOol01000Oomoo`0067oo00<03gooOol0;Woo000DOol01000Oomoo`00
2goo00<007ooOol00goo00<007ooOol027oo00@007ooOol002ioo`0300moogoo01Eoo`05001oogoo
Ool0000QOol00`0?Oomoo`0jOol00`0?Oomoo`0@Ool01@00Oomoogoo00009Woo00<03gooOol07Woo
00<007oo00006Goo00<03gooOol0;Woo000DOol01000Oomoo`002goo00<007ooOol00goo0P002@0?
00@0000?00l004D03`0500003`0?00l0001c00l0100000l03`00AP0?00@0000?00l001X03c1oo`00
57oo00@007ooOol000Moo`@000Ioo`03001oogoo00Qoo`04001oogoo000^Ool00`0?Oomoo`0DOol0
1@00Oomoogoo00008Woo00<03gooOol0>Woo00<03gooOol04Goo00@007ooOol002Ioo`0300moogoo
01eoo`04001oogoo000IOol00`0?Oomoo`0^Ool001Aoo`04001oogoo0007Ool00`00Oomoo`07Ool0
0`00Oomoo`09Ool01000Oomoo`00;Goo00<03gooOol04goo00D007ooOomoo`0002=oo`0300moogoo
03Yoo`0300moogoo015oo`05001oogooOol0000UOol00`0?Oomoo`0LOol01000Oomoo`006Woo00<0
3gooOol0;Woo000EOol20008Ool50005Ool00`00Oomoo`09Ool01000Oomoo`00;Goo00<03gooOol0
4goo00D007ooOomoo`0002=oo`0300moogoo03Yoo`0300moogoo019oo`04001oogoo000UOol00`0?
Oomoo`0LOol01000Oomoo`006Woo00<03gooOol0;Woo000YOol00`00Oomoo`09Ool01000Oomoo`00
;Goo00<03gooOol04goo00D007ooOomoo`0002=oo`0300moogoo03Yoo`0300moogoo019oo`05001o
ogooOol0000TOol00`0?Oomoo`0LOol00`00Ool0000KOol00`0?Oomoo`0^Ool002Uoo`03001oogoo
00Yoo`04001oogoo000/Ool00`0?Oomoo`0BOol01@00Oomoogoo000097oo00<03gooOol0>Woo00<0
3gooOol04Woo00D007ooOomoo`0002Aoo`0300moogoo01]oo`04001oogoo000KOol00`0?Oomoo`0^
Ool002Uoo`8000]oo`04001oogoo000/Ool00`0?Oomoo`0BOol01@00Oomoogoo000097oo00<03goo
Ool0>Woo00<03gooOol04goo00@007ooOol002Aoo`0300moogoo01]oo`04001oogoo000KOol00`0?
Oomoo`0^Ool002Uoo`03001oogoo00Yoo`04001oogoo000/Ool00`0?Oomoo`0BOol01000Oomoo`00
9Goo00<03gooOol0>Woo00<03gooOol04goo00D007ooOomoo`0002=oo`0300moogoo01]oo`03001o
o`0001aoo`0300moogoo02ioo`00:Goo00<007ooOol02goo00@007ooOol002]oo`0300moogoo015o
o`05001oogooOol0000UOol00`0?Oomoo`0jOol00`0?Oomoo`0DOol01000Oomoo`008goo00<03goo
Ool06Woo00@007ooOol001aoo`0300moogoo02ioo`00:Goo00<007ooOol02goo00@007ooOol002]o
o`0300moogoo015oo`05001oogooOol0000UOol00`0?Oomoo`0jOol00`0?Oomoo`0DOol01@00Oomo
ogoo00008Woo00<03gooOol06Woo00<007oo00007Goo00<03gooOol0;Woo000YOol00`00Oomoo`0;
Ool01000Oomoo`00:goo00<03gooOol04Goo00@007ooOol002Ioo`0300moogoo03Yoo`0300moogoo
01Aoo`05001oogooOol0000ROol00`0?Oomoo`0IOol01000Oomoo`007Goo00<03gooOol0;Woo000Y
Ool00`00Oomoo`0<Ool01000Oomoo`00:Woo00<03gooOol047oo00D007ooOomoo`0002Ioo`0300mo
ogoo03Yoo`0300moogoo01Eoo`05001oogooOol0000QOol00`0?Oomoo`0IOol00`00Ool0000NOol0
0`0?Oomoo`0^Ool002Uoo`03001oogoo00aoo`04001oogoo000ZOol00`0?Oomoo`0@Ool01000Oomo
o`009goo00<03gooOol0>Woo00<03gooOol05Goo00D007ooOomoo`00025oo`0300moogoo01Uoo`03
001oo`0001ioo`0300moogoo02ioo`00:Goo0P003Goo00@007ooOol002Yoo`0300moogoo00moo`05
001oogooOol0000WOol00`0?Oomoo`0jOol00`0?Oomoo`0FOol01000Oomoo`008Goo00<03gooOol0
67oo00@007ooOol001ioo`0300moogoo02ioo`00:Goo00<007ooOol03Goo00@007ooOol002Uoo`03
00moogoo00moo`04001oogoo000XOol00`0?Oomoo`0jOol00`0?Oomoo`0FOol01@00Oomoogoo0000
87oo00<03gooOol067oo00<007oo00007goo00<03gooOol0;Woo000YOol00`00Oomoo`0=Ool01000
Oomoo`00:Goo00<03gooOol03goo00@007ooOol002Qoo`0300moogoo03Yoo`0300moogoo01Moo`04
001oogoo000POol00`0?Oomoo`0GOol01000Oomoo`007goo00<03gooOol0;Woo000YOol00`00Oomo
o`0=Ool01@00Oomoogoo0000:7oo00<03gooOol03Woo00D007ooOomoo`0002Qoo`0300moogoo03Yo
o`0300moogoo01Moo`05001oogooOol0000OOol00`0?Oomoo`0GOol00`00Ool0000POol00`0?Oomo
o`0^Ool002Uoo`03001oogoo00ioo`04001oogoo000XOol00`0?Oomoo`0>Ool01000Oomoo`00:Goo
00<03gooOol0>Woo00<03gooOol05goo00D007ooOomoo`0001moo`0300moogoo01Moo`03001oo`00
021oo`0300moogoo02ioo`00:Goo00<007ooOol03Woo00D007ooOomoo`0002Moo`0300moogoo00io
o`04001oogoo000YOol00`0?Oomoo`0jOol00`0?Oomoo`0HOol01000Oomoo`007goo00<03gooOol0
5Woo00@007ooOol0021oo`0300moogoo02ioo`00:Goo0P003goo00D007ooOomoo`0002Moo`0300mo
ogoo00eoo`04001oogoo000ZOol00`0?Oomoo`0jOol00`0?Oomoo`0HOol01@00Oomoogoo00007Woo
00<03gooOol05Woo00<007oo00008Goo00<03gooOol0;Woo000YOol00`00Oomoo`0?Ool01@00Oomo
ogoo00009Woo00<03gooOol03Goo00@007ooOol002Yoo`0300moogoo03Yoo`0300moogoo01Uoo`04
001oogoo000NOol00`0?Oomoo`0FOol00`00Ool0000QOol00`0?Oomoo`0^Ool002Uoo`03001oogoo
00moo`05001oogooOol0000VOol00`0?Oomoo`0<Ool01@00Oomoogoo0000:Woo00<03gooOol0>Woo
00<03gooOol06Goo00D007ooOomoo`0001eoo`0300moogoo01Eoo`03001oo`00029oo`0300moogoo
02ioo`00:Goo00<007ooOol047oo00D007ooOomoo`0002Eoo`0300moogoo00aoo`04001oogoo000[
Ool00`0?Oomoo`0jOol00`0?Oomoo`0JOol01000Oomoo`007Goo00<03gooOol05Goo00<007oo0000
8Woo00<03gooOol0;Woo000YOol00`00Oomoo`0@Ool01@00Oomoogoo00009Goo00<03gooOol02goo
00D007ooOomoo`0002]oo`0300moogoo03Yoo`0300moogoo01Yoo`04001oogoo000MOol00`0?Oomo
o`0DOol01000Oomoo`008Woo00<03gooOol0;Woo000YOol00`00Oomoo`0AOol01@00Oomoogoo0000
97oo00<03gooOol02goo00@007ooOol002aoo`0300moogoo03Yoo`0300moogoo01]oo`04001oogoo
000LOol00`0?Oomoo`0DOol00`00Ool0000SOol00`0?Oomoo`0^Ool002Uoo`03001oogoo015oo`05
001oogooOol0000TOol00`0?Oomoo`0:Ool01@00Oomoogoo0000;7oo00<03gooOol0>Woo00<03goo
Ool06goo00@007ooOol001aoo`0300moogoo01=oo`04001oogoo000SOol00`0?Oomoo`0^Ool002Uo
o`8001=oo`05001oogooOol0000SOol00`0?Oomoo`0:Ool01@00Oomoogoo0000;7oo00<03gooOol0
>Woo00<03gooOol06goo00D007ooOomoo`0001]oo`0300moogoo01=oo`03001oo`0002Aoo`0300mo
ogoo02ioo`00:Goo00<007ooOol04Woo00D007ooOomoo`0002=oo`0300moogoo00Uoo`05001oogoo
Ool0000]Ool00`0?Oomoo`0jOol00`0?Oomoo`0LOol01000Oomoo`006goo00<03gooOol04Woo00@0
07ooOol002Aoo`0300moogoo02ioo`00:Goo00<007ooOol04goo00D007ooOomoo`00029oo`0300mo
ogoo00Uoo`05001oogooOol0000]Ool00`0?Oomoo`0jOol00`0?Oomoo`0LOol01@00Oomoogoo0000
6Woo00<03gooOol04Woo00<007oo00009Goo00<03gooOol0;Woo000YOol00`00Oomoo`0DOol01000
Oomoo`008Woo00<03gooOol027oo00D007ooOomoo`0002ioo`0300moogoo03Yoo`0300moogoo01eo
o`04001oogoo000JOol00`0?Oomoo`0AOol01000Oomoo`009Goo00<03gooOol0;Woo000POol30006
Ool00`00Oomoo`0DOol01@00Oomoogoo00008Goo00<03gooOol027oo00D007ooOomoo`0002ioo`03
00moogoo03Yoo`0300moogoo01eoo`05001oogooOol0000IOol00`0?Oomoo`0AOol01000Oomoo`00
9Goo00<03gooOol0;Woo000QOol00`00Oomoo`05Ool00`00Oomoo`0EOol01000Oomoo`008Goo00<0
3gooOol01goo00D007ooOomoo`0002moo`0300moogoo03Yoo`0300moogoo01ioo`04001oogoo000I
Ool00`0?Oomoo`0AOol00`00Ool0000VOol00`0?Oomoo`0^Ool0025oo`03001oogoo00Eoo`8001H0
3`0500003`0?00l0000Z00l01@0000l03`0?0000S@0?00@0000?00l002`03`0400003`0?000W00l`
Ool0025oo`03001oogoo00Eoo`03001oogoo01Ioo`04001oogoo000POol00`0?Oomoo`07Ool01000
Oomoo`00<7oo00<03gooOol0>Woo00<03gooOol07Woo00D007ooOomoo`0001Qoo`0300moogoo011o
o`03001oo`0002Moo`0300moogoo02ioo`008Goo00<007ooOol01Goo00<007ooOol05Woo00D007oo
Oomoo`0001moo`0300moogoo00Ioo`04001oogoo000aOol00`0?Oomoo`0jOol00`0?Oomoo`0OOol0
1000Oomoo`0067oo00<03gooOol03goo00@007ooOol002Moo`0300moogoo02ioo`0087oo0P001goo
00<007ooOol05goo00@007ooOol001moo`0300moogoo00Ioo`04001oogoo000aOol00`0?Oomoo`0j
Ool00`0?Oomoo`0OOol01@00Oomoogoo00005goo00<03gooOol03goo00<007oo0000:7oo00<03goo
Ool0;Woo000QOol00`00Oomoo`05Ool00`00Oomoo`0GOol01000Oomoo`007goo00<03gooOol01Goo
00@007ooOol0039oo`0300moogoo03Yoo`0300moogoo021oo`04001oogoo000GOol00`0?Oomoo`0>
Ool01000Oomoo`00:7oo00<03gooOol0;Woo000YOol00`00Oomoo`0HOol01000Oomoo`007Woo00<0
3gooOol01Goo00@007ooOol0039oo`0300moogoo03Yoo`0300moogoo021oo`05001oogooOol0000F
Ool00`0?Oomoo`0>Ool00`00Ool0000YOol00`0?Oomoo`0^Ool002Uoo`8001Uoo`04001oogoo000N
Ool00`0?Oomoo`04Ool01000Oomoo`00<goo00<03gooOol0>Woo00<03gooOol08Goo00@007ooOol0
01Ioo`0300moogoo00eoo`03001oo`0002Yoo`0300moogoo02ioo`00:Goo00<007ooOol06Goo00@0
07ooOol001eoo`0300moogoo00Aoo`04001oogoo000cOol00`0?Oomoo`0jOol00`0?Oomoo`0QOol0
1@00Oomoogoo00005Goo00<03gooOol037oo00@007ooOol002Yoo`0300moogoo02ioo`00:Goo00<0
07ooOol06Goo00@007ooOol001eoo`0300moogoo00=oo`04001oogoo000dOol00`0?Oomoo`0jOol0
0`0?Oomoo`0ROol01@00Oomoogoo000057oo00<03gooOol037oo00<007oo0000:goo00<03gooOol0
;Woo000YOol00`00Oomoo`0JOol01000Oomoo`0077oo00<03gooOol00goo00@007ooOol003Aoo`03
00moogoo03Yoo`0300moogoo02=oo`04001oogoo000DOol00`0?Oomoo`0;Ool01000Oomoo`00:goo
00<03gooOol0;Woo000YOol00`00Oomoo`0JOol01000Oomoo`0077oo00<03gooOol00Woo00@007oo
Ool003Eoo`0300moogoo03Yoo`0300moogoo02=oo`05001oogooOol0000COol00`0?Oomoo`0;Ool0
0`00Ool0000/Ool00`0?Oomoo`0^Ool002Uoo`03001oogoo01]oo`04001oogoo000KOol00`0?Oomo
o`02Ool00`00Ool0000fOol00`0?Oomoo`0jOol00`0?Oomoo`0TOol01@00Oomoogoo00004Woo00<0
3gooOol02Woo00@007ooOol002aoo`0300moogoo02ioo`00:Goo00<007ooOol077oo00@007ooOol0
01Yoo`0500moogooOol00002Ool00`00Oomoo`0dOol00`0?Oomoo`0jOol00`0?Oomoo`0TOol01@00
Oomoogoo00004Woo00<03gooOol02Goo00@007ooOol002eoo`0300moogoo02ioo`00:Goo0P007Goo
00@007ooOol001Yoo`0700moogooOol007oo0000=goo00<03gooOol0>Woo00<03gooOol09Goo00D0
07ooOomoo`00015oo`0300moogoo00Uoo`03001oo`0002ioo`0300moogoo02ioo`00:Goo00<007oo
Ool07Goo00@007ooOol001Uoo`0600moogoo001oo`00>7oo00<03gooOol0>Woo00<03gooOol09Woo
00D007ooOomoo`00011oo`0300moogoo00Qoo`04001oogoo000^Ool00`0?Oomoo`0^Ool002Uoo`03
001oogoo01eoo`05001oogooOol0000HOol00`0?Ool00002Ool00`00Oomoo`0fOol00`0?Oomoo`0j
Ool00`0?Oomoo`0WOol01000Oomoo`0047oo00<03gooOol027oo00<007oo0000;goo00<03gooOol0
;Woo000YOol00`00Oomoo`0NOol01000Oomoo`0067oo00D03goo001oo`0003Uoo`0300moogoo03Yo
o`0300moogoo02Qoo`04001oogoo000?Ool00`0?Oomoo`07Ool01000Oomoo`00;goo00<03gooOol0
;Woo000YOol00`00Oomoo`0OOol01000Oomoo`005goo00@03`00Ool003Yoo`0300moogoo03Yoo`03
00moogoo02Uoo`04001oogoo000>Ool00`0?Oomoo`06Ool01000Oomoo`00<7oo00<03gooOol0;Woo
000YOol00`00Oomoo`0OOol01000Oomoogoo0P005Goo00<007oo0000>goo00<03gooOol0>Woo00<0
3gooOol0:Goo00D007ooOomoo`0000eoo`0300moogoo00Eoo`04001oogoo000aOol00`0?Oomoo`0^
Ool002Uoo`80025oo`03001oogoo009oo`03001oogoo015oo`0300003`0003aoo`0300moogoo03Yo
o`0300moogoo02Yoo`05001oogooOol0000<Ool00`0?Oomoo`04Ool01000Ool00000<Woo00<03goo
Ool0;Woo000YOol00`00Oomoo`0QOol00`00Oomoo`02Ool00`00Oomoo`0>Ool200000goo001oo`0l
Ool00`0?Oomoo`0jOol00`0?Oomoo`0[Ool01000Oomoogoo0P002Woo00<03gooOol00goo00<007oo
0000=7oo00<03gooOol0;Woo000YOol00`00Oomoo`0ROol00`00Oomoo`02Ool00`00Oomoo`0<Ool0
1@00Oomoo`0000l0?Goo00<03gooOol0>Woo00<03gooOol0;7oo0P000goo00<007ooOol01goo00<0
3gooOol00Woo00<007oo0000=Goo00<03gooOol0;Woo000YOol00`00Oomoo`0SOol20003Ool2000;
Ool01P00Oomoo`00Ool03ceoo`0300moogoo03Yoo`0300moogoo02ioo`05001oogooOol00008Ool0
0`0?Oomoo`0200000goo001oo`0eOol00`0?Oomoo`0^Ool002Uoo`03001oogoo02Eoo`8000=oo`03
001oogoo00Ioo`800003Ool00000009oo`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo02mo
o`80009oo`8000Ioo`0400moo`00Ool2000gOol00`0?Oomoo`0^Ool002Uoo`03001oogoo02Moo`04
001oogooOol20005Ool01000Ool0000017oo00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0
<Goo00@007ooOomoo`8000Aoo`0400l00000000iOol00`0?Oomoo`0^Ool002Uoo`03001oogoo02Qo
o`8000=oo`L000Ioo`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo039oo`8000=oo`H003]o
o`0300moogoo02ioo`00:Goo0P00:goo1P002Woo00<03gooOol0>goo00<03gooOol0>Woo00<03goo
Ool0<goo1P000Woo00<03gooOol0>Woo00<03gooOol0;Woo000YOol00`00Oomoo`0jOol00`0?Oomo
o`0kOol00`0?Oomoo`0jOol00`0?Oomoo`0kOol00`0?Oomoo`0jOol00`0?Oomoo`0^Ool002Uoo`03
001oogoo03Yoo`0300moogoo03]oo`0300moogoo03Yoo`0300moogoo03]oo`0300moogoo03Yoo`03
00moogoo02ioo`00:Goo00<007ooOol0>Woo00<03gooOol0>goo00<03gooOol0>Woo00<03gooOol0
>goo00<03gooOol0>Woo00<03gooOol0;Woo000YOol00`00Oomoo`0jOol00`0?Oomoo`0kOol00`0?
Oomoo`0jOol00`0?Oomoo`0kOol00`0?Oomoo`0jOol00`0?Oomoo`0^Ool00?moohioo`00ogooSWoo
003oOon>Ool00?moohioo`00ogooSWoo001SOol3000?Ool3002HOol3001jOol006Ioo`03001oogoo
00moo`03001oogoo09Ioo`03001oogoo07Uoo`00BWoo10000goo0`000goo00<007oo00000goo0`00
0goo10000goo0P0000=oo`0000000P0000Aoo`00001oo`@000Qoo`@0009oo`<0009oo`@000Yoo`80
009oo`<00003Ool00000009oo`8000=oo`<0009oo`<000=oo`@000=oo`<0009oo`H00004Ool00000
0002Ool300000goo0000000200000goo00000002Ool30002Ool500000goo000000020008Ool30000
17oo000007oo10000Woo0`000Woo1P001goo0`000Woo2`0000=oo`0000000P000goo0`000Woo1@00
00=oo`0000000`00E7oo001;Ool01P00Oomoo`00Ool000Ioo`03001oo`00009oo`03001oogoo00=o
o`05001oogooOol00002Ool01000Oomoo`000Woo00H007ooOol007oo0003Ool00`00Oomoo`05Ool0
1000Oomoo`000Woo00<007ooOol01goo00<007ooOol01Woo00@007ooOol0009oo`04001oogoo0002
Ool01P00Oomoo`00Ool000Ioo`03001oogoo00Ioo`03001oo`0000=oo`04001oogoo0002Ool00`00
Ool00006Ool01000Oomoo`000Woo00<007oo00000Woo00<007ooOol01Goo00<007ooOol01Goo00<0
07ooOol01Woo00H007ooOol007oo0002Ool01000Oomoo`000goo00@007ooOol0009oo`03001oogoo
00Ioo`04001oogoo0002Ool01000Oomoo`000goo00<007ooOol01Goo00<007oo00000goo00D007oo
Oomoo`0000Eoo`03001oogoo05Aoo`000Woo0`008Goo0`008Woo00D007ooOol007oo00D00007Ool0
07oo001oo`00Ool01@0000=oo`00Ool00Woo00@007ooOol0009oo`04001oogoo0002Ool00`00Ool0
0003Ool00`00Oomoo`05Ool01000Oomoo`000Woo1@000Woo0`002Goo00@007ooOol0009oo`04001o
ogoo0002Ool00`00Oomoo`02Ool50002Ool00`00Oomoo`03Ool30002Ool00`00Oomoo`04Ool01@00
Oomoo`00Ool01@000Woo00@007ooOol0009oo`8000=oo`D000=oo`03001oogoo009oo`<000Uoo`04
001oogoo0002Ool30002Ool00`00Oomoo`04Ool01000Oomoo`0027oo00@007ooOol0009oo`04001o
ogoo0003Ool00`00Oomoo`02Ool30002Ool01@00Oomoogoo00000goo00<007ooOol00goo00<007oo
Ool0E7oo0003Ool00`00Oomoo`0QOol00`00Oomoo`0QOol30002Ool03@00Oomoogoo001oo`00Ool0
07oo001oo`0000=oo`03001oo`0000=oo`04001oogoo0002Ool01000Oomoo`000Woo00<007oo0000
0goo00<007ooOol01Goo00@007ooOol0009oo`07001oogooOol007oo000037oo00@007ooOol0009o
o`04001oogoo0002Ool00`00Oomoo`02Ool01@00Oomoogoo00000Woo0P000goo00<007ooOol00goo
00D007ooOomoo`00009oo`06001oogoo001oo`000goo00@007ooOol0009oo`06001oogoo001oo`00
0Woo00D007ooOomoo`0000=oo`05001oogooOol0000<Ool01P00Oomoo`00Ool0009oo`04001oogoo
0003Ool01000Oomoo`000Woo00<007ooOol01Woo00@007ooOol0009oo`04001oogoo0003Ool01@00
Oomoogoo00001Goo00D007ooOomoo`0000=oo`03001oogoo00=oo`03001oogoo05Aoo`000goo0`00
0Woo2`002Woo00<007ooOol01goo0`000Woo2`0000=oo`0000000P000goo0`000Woo1@0000=oo`00
00000`000Woo0`000Woo1P0000Aoo`00000000=oo`L00004Ool00000Ool40003Ool50007Ool30003
Ool30003Ool40008Ool01@00Oomoo`00Ool010000Woo10000goo0`000Woo0P0000=oo`0000000Woo
10000Woo0`000goo0`000goo0`000Woo10000goo00@007oo0000009oo`<000Aoo`03001oogoo009o
o`@000Moo`@000=oo`8000Aoo`<000=oo`<000Qoo`@000=oo`<0009oo`<000Aoo`@0009oo`<000Ao
o`03001oogoo00=oo`03001oogoo05Aoo`000goo00@007ooOol0009oo`04001oogoo0003Ool00`00
Oomoo`0:Ool00`00Oomoo`07Ool01000Oomoo`000Woo00@007ooOol000=oo`03001oogoo00Eoo`03
001oo`0000=oo`05001oogooOol00004Ool200000goo001oo`0cOol00`00Oomoo`0COol01000Oomo
o`0027oo00<007ooOol06goo00<007ooOol03goo00<007ooOol02Woo00<007ooOol087oo00<007oo
Ool03goo00<007ooOol05Woo00<007ooOol00goo00<007ooOol0E7oo0003Ool01000Oomoo`000Woo
00@007ooOol000=oo`03001oogoo00Qoo`D000Moo`04001oogoo0002Ool01000Oomoo`000goo00<0
07ooOol00Woo0`000Woo00D007ooOomoo`0000=oo`04001oogooOol4000dOol2000DOol300000goo
00000007Ool00`00Oomoo`0JOol2000@Ool2000:Ool3000QOol2000@Ool20006Ool00`00Oomoo`0=
Ool30003Ool3001FOol000=oo`04001oogoo0002Ool01000Oomoo`000goo00<007ooOol02Woo00<0
07ooOol01goo00@007ooOol0009oo`04001oogoo0003Ool01@00Oomoogoo00001Goo00D007ooOomo
o`0000=oo`03001oogoo00=oo`03001oogoo0?moocmoo`000Woo10000goo0`000Woo0`0037oo00<0
07ooOol01Woo10000goo0`000Woo0`0017oo10000Woo0`0017oo00<007ooOol00goo00<007ooOol0
ogoo?goo0009Ool00`00Oomoo`0QOol00`00Oomoo`0FOol00`00Oomoo`03Ool00`00Oomoo`3oOolo
Ool000Qoo`8000Ioo`03001oogoo01Uoo`8000Ioo`03001oogoo00eoo`<000=oo`<00?mood5oo`00
ogooSWoo003oOon>Ool00?moohioo`00ogooSWoo003oOon>Ool00?moohioo`00ogooSWoo003oOon>
Ool00?moohioo`00ogooSWoo003oOon>Ool00?moohioo`00ogooSWoo003oOon>Ool00?moohioo`00
ogooSWoo003oOon>Ool00?moohioo`00ogooSWoo0000\
\>"],
  ImageRangeCache->{{{0, 396.375}, {244.625, 0}} -> {-0.133261, -1.73882, \
0.00325013, 0.0154608}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Plot[{Evaluate[phisoll - phierg]}, {t, 0, 1}, 
        AxesLabel \[Rule] {"\<Zeit s\>", "\<Fehler\>"}, 
        PlotLabel \[Rule] "\<Bewegung des Unterschenkels nach phisoll\>", 
        GridLines \[Rule] Automatic, 
        PlotRange \[Rule] {{0, 1}, Automatic}];\)\)], "Input",
  ImageRegion->{{0, 1}, {0, 1}}],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0 1 0.309017 2.12271 [
[.2 .29652 -9 -9 ]
[.2 .29652 9 0 ]
[.4 .29652 -9 -9 ]
[.4 .29652 9 0 ]
[.6 .29652 -9 -9 ]
[.6 .29652 9 0 ]
[.8 .29652 -9 -9 ]
[.8 .29652 9 0 ]
[1 .29652 -3 -9 ]
[1 .29652 3 0 ]
[1.025 .30902 0 -6 ]
[1.025 .30902 40 6 ]
[-0.0125 .09675 -24 -4.5 ]
[-0.0125 .09675 0 4.5 ]
[-0.0125 .20288 -30 -4.5 ]
[-0.0125 .20288 0 4.5 ]
[-0.0125 .41515 -24 -4.5 ]
[-0.0125 .41515 0 4.5 ]
[-0.0125 .52129 -18 -4.5 ]
[-0.0125 .52129 0 4.5 ]
[0 .64303 -20 0 ]
[0 .64303 20 12 ]
[.5 .63053 -122 0 ]
[.5 .63053 122 12 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 .5 r
.25 Mabswid
[ ] 0 setdash
0 0 m
0 .61803 L
s
.2 0 m
.2 .61803 L
s
.4 0 m
.4 .61803 L
s
.6 0 m
.6 .61803 L
s
.8 0 m
.8 .61803 L
s
1 0 m
1 .61803 L
s
0 .09675 m
1 .09675 L
s
0 .20288 m
1 .20288 L
s
0 .30902 m
1 .30902 L
s
0 .41515 m
1 .41515 L
s
0 .52129 m
1 .52129 L
s
0 g
.2 .30902 m
.2 .31527 L
s
[(0.2)] .2 .29652 0 1 Mshowa
.4 .30902 m
.4 .31527 L
s
[(0.4)] .4 .29652 0 1 Mshowa
.6 .30902 m
.6 .31527 L
s
[(0.6)] .6 .29652 0 1 Mshowa
.8 .30902 m
.8 .31527 L
s
[(0.8)] .8 .29652 0 1 Mshowa
1 .30902 m
1 .31527 L
s
[(1)] 1 .29652 0 1 Mshowa
.125 Mabswid
.05 .30902 m
.05 .31277 L
s
.1 .30902 m
.1 .31277 L
s
.15 .30902 m
.15 .31277 L
s
.25 .30902 m
.25 .31277 L
s
.3 .30902 m
.3 .31277 L
s
.35 .30902 m
.35 .31277 L
s
.45 .30902 m
.45 .31277 L
s
.5 .30902 m
.5 .31277 L
s
.55 .30902 m
.55 .31277 L
s
.65 .30902 m
.65 .31277 L
s
.7 .30902 m
.7 .31277 L
s
.75 .30902 m
.75 .31277 L
s
.85 .30902 m
.85 .31277 L
s
.9 .30902 m
.9 .31277 L
s
.95 .30902 m
.95 .31277 L
s
.25 Mabswid
0 .30902 m
1 .30902 L
s
gsave
1.025 .30902 -61 -10 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Zeit) show
93.000 13.000 moveto
(s) show
99.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .09675 m
.00625 .09675 L
s
[(-0.1)] -0.0125 .09675 1 0 Mshowa
0 .20288 m
.00625 .20288 L
s
[(-0.05)] -0.0125 .20288 1 0 Mshowa
0 .41515 m
.00625 .41515 L
s
[(0.05)] -0.0125 .41515 1 0 Mshowa
0 .52129 m
.00625 .52129 L
s
[(0.1)] -0.0125 .52129 1 0 Mshowa
.125 Mabswid
0 .11797 m
.00375 .11797 L
s
0 .1392 m
.00375 .1392 L
s
0 .16043 m
.00375 .16043 L
s
0 .18165 m
.00375 .18165 L
s
0 .22411 m
.00375 .22411 L
s
0 .24534 m
.00375 .24534 L
s
0 .26656 m
.00375 .26656 L
s
0 .28779 m
.00375 .28779 L
s
0 .33024 m
.00375 .33024 L
s
0 .35147 m
.00375 .35147 L
s
0 .3727 m
.00375 .3727 L
s
0 .39393 m
.00375 .39393 L
s
0 .43638 m
.00375 .43638 L
s
0 .45761 m
.00375 .45761 L
s
0 .47883 m
.00375 .47883 L
s
0 .50006 m
.00375 .50006 L
s
0 .07552 m
.00375 .07552 L
s
0 .05429 m
.00375 .05429 L
s
0 .03307 m
.00375 .03307 L
s
0 .01184 m
.00375 .01184 L
s
0 .54252 m
.00375 .54252 L
s
0 .56374 m
.00375 .56374 L
s
0 .58497 m
.00375 .58497 L
s
0 .6062 m
.00375 .6062 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
gsave
0 .64303 -81 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Fehler) show
99.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.5 .63053 -183 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Bewegung) show
117.000 13.000 moveto
(des) show
141.000 13.000 moveto
(Unterschenkels) show
231.000 13.000 moveto
(nach) show
261.000 13.000 moveto
(phisoll) show
303.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
0 .30902 m
.00236 .3755 L
.00488 .43289 L
.00726 .47424 L
.00942 .50321 L
.01197 .52915 L
.01473 .54978 L
.01734 .56393 L
.01975 .57355 L
.02223 .58082 L
.02456 .58577 L
.02589 .58794 L
.02711 .58957 L
.02853 .59111 L
.02985 .59221 L
.03112 .59302 L
.03248 .59363 L
.03325 .59388 L
.03398 .59406 L
.03535 .59423 L
.03665 .59423 L
.03785 .5941 L
.03917 .59383 L
.03984 .59365 L
.04057 .59341 L
.04353 .5921 L
.04634 .5904 L
.05161 .58625 L
.06345 .57313 L
.07368 .55829 L
.08481 .5389 L
.12763 .43898 L
.16886 .32061 L
.2085 .20673 L
.23052 .14995 L
.25071 .10459 L
.27175 .06582 L
.29133 .03879 L
.30094 .02902 L
.3112 .02131 L
.31401 .0197 L
.31706 .01821 L
.31975 .01711 L
.32259 .01617 L
.32515 .01552 L
.32661 .01523 L
.32797 .01502 L
.32922 .01488 L
.33037 .01479 L
.33169 .01473 L
Mistroke
.33294 .01472 L
.33425 .01476 L
.33499 .0148 L
.33567 .01486 L
.33692 .01499 L
.33823 .01519 L
.34052 .01565 L
.34303 .01633 L
.34572 .01727 L
.34859 .01851 L
.35378 .02138 L
.36389 .02925 L
.3731 .03904 L
.39317 .06861 L
.41499 .11232 L
.45786 .22385 L
.49915 .34483 L
.53884 .4537 L
.56091 .50512 L
.58111 .5442 L
.60094 .57379 L
.6109 .58504 L
.6165 .59023 L
.62179 .59436 L
.62698 .59768 L
.62971 .59912 L
.6326 .60042 L
.63504 .60133 L
.63771 .60213 L
.63889 .60242 L
.64015 .60269 L
.64125 .60288 L
.64242 .60305 L
.64312 .60313 L
.64389 .6032 L
.64525 .60329 L
.64601 .60331 L
.64683 .60332 L
.64761 .60331 L
.64833 .60328 L
.64963 .6032 L
.65037 .60312 L
.65105 .60304 L
.65244 .60284 L
.65393 .60255 L
.65676 .60183 L
.65943 .60094 L
.66443 .59868 L
.66928 .59578 L
.67462 .59179 L
Mistroke
.68542 .58114 L
.69542 .5683 L
.70479 .55378 L
.74552 .46637 L
.78882 .34527 L
.83054 .22402 L
.87066 .1225 L
.89133 .08077 L
.91336 .04645 L
.92417 .03389 L
.92986 .02849 L
.93586 .02373 L
.94112 .02037 L
.94391 .01889 L
.94689 .01756 L
.94964 .01656 L
.95214 .01583 L
.95335 .01554 L
.95466 .01528 L
.95582 .01509 L
.95704 .01493 L
.95832 .01481 L
.9595 .01474 L
.96076 .01472 L
.96214 .01474 L
.96334 .0148 L
.96462 .01492 L
.96583 .01507 L
.96692 .01525 L
.96961 .01584 L
.97253 .01672 L
.97782 .01896 L
.9834 .02222 L
.9893 .02669 L
.99989 .03725 L
1 .03738 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{396, 244.75},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006<0000m1000`40O003h00OogooSGoo003oOon=
Ool00?mooheoo`00ogooSGoo003oOon=Ool00?mooheoo`00ogooSGoo003oOon=Ool00?mooheoo`00
ogooSGoo003oOon=Ool00?mooheoo`00ogooSGoo003oOon=Ool00?mooheoo`008Goo00<007ooOol0
?7oo00<03gooOol0?7oo00<03gooOol0>goo00<03gooOol0?7oo00<03gooOol0?7oo00<03gooOol0
;Woo000QOol00`00Oomoo`0lOol00`0?Oomoo`0lOol00`0?Oomoo`0kOol00`0?Oomoo`0lOol00`0?
Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`03001oogoo03aoo`0300moogoo03aoo`0300moogoo03]o
o`0300moogoo03aoo`0300moogoo03aoo`0300moogoo02ioo`008Goo00<007ooOol0?7oo00<03goo
Ool0?7oo00<03gooOol0>goo00<03gooOol0?7oo00<03gooOol0?7oo00<03gooOol0;Woo000QOol3
000lOol00`0?Oomoo`0lOol00`0?Oomoo`0kOol00`0?Oomoo`0lOol00`0?Oomoo`0lOol00`0?Oomo
o`0^Ool0025oo`03001oogoo03aoo`0300moogoo02=oo`T0011oo`0300moogoo03]oo`0300moogoo
03aoo`0300moogoo02]oo`X000Moo`0300moogoo02ioo`008Goo00<007ooOol0?7oo00<03gooOol0
8Goo0P002Goo00<007ooOol03Goo00<03gooOol0>goo00<03gooOol0?7oo00<03gooOol0:Goo0P00
2Woo00<007ooOol017oo00<03gooOol0;Woo000QOol00`00Oomoo`0lOol00`0?Oomoo`0OOol2000<
Ool2000=Ool00`0?Oomoo`0kOol00`0?Oomoo`0lOol00`0?Oomoo`0XOol00`00Oomoo`0;Ool20004
Ool00`0?Oomoo`0^Ool0025oo`03001oogoo03aoo`0300moogoo01ioo`03001oogoo00ioo`03001o
ogoo00Yoo`0300moogoo03]oo`0300moogoo03aoo`0300moogoo02Moo`03001oogoo00ioo`05001o
ogooOol03`0`Ool0025oo`03001oogoo03aoo`0300moogoo01eoo`03001oogoo011oo`03001oogoo
00Uoo`0300moogoo03]oo`0300moogoo03aoo`0300moogoo02Ioo`03001oogoo011oo`04001oogoo
00l`Ool0025oo`<003aoo`0300moogoo01aoo`03001oogoo019oo`03001oogoo00Qoo`0300moogoo
03]oo`0300moogoo03aoo`0300moogoo02Eoo`03001oogoo019oo`03001oo`0?031oo`008Goo00<0
07ooOol0?7oo00<03gooOol06goo00<007ooOol057oo00<007ooOol01goo00<03gooOol0>goo00<0
3gooOol0?7oo00<03gooOol097oo00<007ooOol057oo0P00<7oo000QOol00`00Oomoo`0lOol00`0?
Oomoo`0JOol00`00Oomoo`0FOol00`00Oomoo`06Ool00`0?Oomoo`0kOol00`0?Oomoo`0lOol00`0?
Oomoo`0SOol00`00Oomoo`0FOol00`00Oomoo`0^Ool0025oo`03001oogoo03aoo`0300moogoo01Yo
o`03001oogoo01Ioo`03001oogoo00Ioo`0300moogoo03]oo`0300moogoo03aoo`0300moogoo029o
o`03001oogoo01Moo`0300moogoo02ioo`008Goo00<007ooOol0?7oo00<03gooOol06Goo00<007oo
Ool067oo00<007ooOol01Goo00<03gooOol0>goo00<03gooOol0?7oo00<03gooOol08Goo00<007oo
Ool067oo00<03gooOol0;Woo000QOol00`00Oomoo`0lOol00`0?Oomoo`0HOol00`00Oomoo`0JOol0
0`00Oomoo`04Ool00`0?Oomoo`0kOol00`0?Oomoo`0lOol00`0?Oomoo`0QOol00`00Oomoo`0HOol0
0`0?Oomoo`0^Ool0025oo`03001oogoo03aoo`0300moogoo01Qoo`03001oogoo01]oo`03001oogoo
00=oo`0300moogoo03]oo`0300moogoo03aoo`0300moogoo021oo`03001oogoo01Uoo`0300moogoo
02ioo`008Goo0`00?7oo00<03gooOol05goo00<007ooOol07Goo00<007ooOol00Woo00<03gooOol0
>goo00<03gooOol0?7oo00<03gooOol07goo00<007ooOol06Woo00<03gooOol0;Woo000QOol00`00
Oomoo`0lOol00`0?Oomoo`0FOol00`00Oomoo`0NOol00`00Oomoo`02Ool00`0?Oomoo`0kOol00`0?
Oomoo`0lOol00`0?Oomoo`0OOol00`00Oomoo`0JOol00`0?Oomoo`0^Ool0025oo`03001oogoo03ao
o`0300moogoo01Ioo`03001oogoo01moo`05001oogooOol03`0mOol00`0?Oomoo`0lOol00`0?Oomo
o`0NOol00`00Oomoo`0KOol00`0?Oomoo`0^Ool0025oo`03001oogoo03aoo`0300moogoo01Eoo`03
001oogoo025oo`04001oogoo00lmOol00`0?Oomoo`0lOol00`0?Oomoo`0MOol00`00Oomoo`0LOol0
0`0?Oomoo`0^Ool0025oo`03001oogoo03aoo`0300moogoo01Aoo`03001oogoo02=oo`03001oo`0?
03eoo`0300moogoo03aoo`0300moogoo01eoo`03001oogoo01aoo`0300moogoo02ioo`008Goo00<0
07ooOol0?7oo00<03gooOol057oo00<007ooOol08goo00<007oo00l0?Goo00<03gooOol0?7oo00<0
3gooOol077oo00<007ooOol07Goo00<03gooOol0;Woo000QOol00`00Oomoo`0lOol00`0?Oomoo`0C
Ool00`00Oomoo`0UOol00`0000moo`0lOol00`0?Oomoo`0lOol00`0?Oomoo`0LOol00`00Oomoo`0M
Ool00`0?Oomoo`0^Ool0025oo`<003aoo`0300moogoo01=oo`03001oogoo02Eoo`0300003goo03ao
o`0300moogoo03aoo`0300moogoo01]oo`03001oogoo01ioo`0300moogoo02ioo`008Goo00<007oo
Ool0?7oo00<03gooOol04Woo00<007ooOol09goo00<007ooOol0>goo00<03gooOol0?7oo00<03goo
Ool06Woo00<007ooOol07goo00<03gooOol0;Woo000QOol00`00Oomoo`0lOol00`0?Oomoo`0AOol0
0`00Oomoo`0XOol00`00Oomoo`0kOol00`0?Oomoo`0lOol00`0?Oomoo`0JOol00`00Oomoo`0OOol0
0`0?Oomoo`0^Ool0025oo`03001oogoo03aoo`0300moogoo015oo`03001oogoo02Qoo`03001oogoo
03]oo`0300moogoo03aoo`0300moogoo01Uoo`03001oogoo021oo`0300moogoo02ioo`003Woo0P00
17oo00<007ooOol00Woo0`001Goo00<007ooOol0?7oo00<03gooOol047oo00<007ooOol0:Goo00<0
3`00Ool0>goo00<03gooOol0?7oo00<03gooOol06Goo00<007ooOol087oo00<03gooOol0;Woo000=
Ool01000Oomoo`002Goo00<007ooOol017oo00<007ooOol0?7oo00<03gooOol047oo00<007ooOol0
:Goo00<03`00Ool0>goo00<03gooOol0?7oo00<03gooOol067oo00<007ooOol08Goo00<03gooOol0
;Woo0006Ool50002Ool01000Oomoo`002Goo00<007ooOol017oo0`00CP0?00<0000?00l0;00?00<0
000?00l0T`0?00<0000?00l08P0?<7oo000=Ool01000Oomoo`002Goo00<007ooOol017oo00<007oo
Ool0?7oo00<03gooOol03Woo00<007ooOol0:goo00<03goo0000>goo00<03gooOol0?7oo00<03goo
Ool05goo00<007ooOol08Woo00<03gooOol0;Woo000=Ool01000Oomoo`002Goo00<007ooOol017oo
00<007ooOol0?7oo00<03gooOol03Woo00<007ooOol0:goo00@03gooOol003Yoo`0300moogoo03ao
o`0300moogoo01Ioo`03001oogoo02=oo`0300moogoo02ioo`003Goo00@007ooOol000Qoo`8000Io
o`03001oogoo03aoo`0300moogoo00eoo`03001oogoo02aoo`0400moogoo000jOol00`0?Oomoo`0l
Ool00`0?Oomoo`0FOol00`00Oomoo`0SOol00`0?Oomoo`0^Ool000ioo`8000Yoo`03001oogoo00Ao
o`03001oogoo03aoo`0300moogoo00eoo`03001oogoo02aoo`0400moogoo000jOol00`0?Oomoo`0l
Ool00`0?Oomoo`0EOol00`00Oomoo`0TOol00`0?Oomoo`0^Ool0025oo`03001oogoo03aoo`0300mo
ogoo00aoo`03001oogoo02eoo`0500moogooOol0000iOol00`0?Oomoo`0lOol00`0?Oomoo`0EOol0
0`00Oomoo`0TOol00`0?Oomoo`0^Ool0025oo`03001oogoo03aoo`0300moogoo00aoo`03001oogoo
02eoo`0500moogooOol0000iOol00`0?Oomoo`0lOol00`0?Oomoo`0DOol00`00Oomoo`0UOol00`0?
Oomoo`0^Ool0025oo`<003aoo`0300moogoo00]oo`03001oogoo02ioo`0300moogoo009oo`03001o
ogoo03Ioo`0300moogoo03aoo`0300moogoo01Aoo`03001oogoo02Eoo`0300moogoo02ioo`008Goo
00<007ooOol0?7oo00<03gooOol02goo00<007ooOol0;Woo00<03gooOol00Woo00<007ooOol0=Woo
00<03gooOol0?7oo00<03gooOol04goo00<007ooOol09Woo00<03gooOol0;Woo000QOol00`00Oomo
o`0lOol00`0?Oomoo`0;Ool00`00Oomoo`0^Ool00`0?Oomoo`02Ool00`00Oomoo`0fOol00`0?Oomo
o`0lOol00`0?Oomoo`0COol00`00Oomoo`0VOol00`0?Oomoo`0^Ool0025oo`03001oogoo03aoo`03
00moogoo00Yoo`03001oogoo02moo`0300moogoo00=oo`03001oogoo03Eoo`0300moogoo03aoo`03
00moogoo019oo`03001oogoo02Moo`0300moogoo02ioo`008Goo00<007ooOol0?7oo00<03gooOol0
2Woo00<007ooOol0;goo00<03gooOol00goo00<007ooOol0=Goo00<03gooOol0?7oo00<03gooOol0
4Woo00<007ooOol09goo00<03gooOol0;Woo000QOol00`00Oomoo`0lOol00`0?Oomoo`09Ool00`00
Oomoo`0`Ool00`0?Oomoo`04Ool00`00Oomoo`0dOol00`0?Oomoo`0lOol00`0?Oomoo`0BOol00`00
Oomoo`0WOol00`0?Oomoo`0^Ool0025oo`03001oogoo03aoo`0300moogoo00Uoo`03001oogoo031o
o`0300moogoo00Aoo`03001oogoo03Aoo`0300moogoo03aoo`0300moogoo015oo`03001oogoo02Qo
o`0300moogoo02ioo`008Goo0`00?7oo00<03gooOol027oo00<007ooOol0<Goo00<03gooOol017oo
00<007ooOol0=7oo00<03gooOol0?7oo00<03gooOol04Goo00<007ooOol0:7oo00<03gooOol0;Woo
000QOol00`00Oomoo`0lOol00`0?Oomoo`08Ool00`00Oomoo`0aOol00`0?Oomoo`05Ool00`00Oomo
o`0cOol00`0?Oomoo`0lOol00`0?Oomoo`0AOol00`00Oomoo`0XOol00`0?Oomoo`0^Ool0025oo`03
001oogoo03aoo`0300moogoo00Qoo`03001oogoo035oo`0300moogoo00Eoo`03001oogoo03=oo`03
00moogoo03aoo`0300moogoo011oo`03001oogoo02Uoo`0300moogoo02ioo`008Goo00<007ooOol0
?7oo00<03gooOol01goo00<007ooOol0<Woo00<03gooOol01Woo00<007ooOol0<Woo00<03gooOol0
?7oo00<03gooOol047oo00<007ooOol0:Goo00<03gooOol0;Woo000QOol00`00Oomoo`0lOol00`0?
Oomoo`07Ool00`00Oomoo`0bOol00`0?Oomoo`06Ool00`00Oomoo`0bOol00`0?Oomoo`0lOol00`0?
Oomoo`0?Ool00`00Oomoo`0ZOol00`0?Oomoo`0^Ool0025oo`03001oogoo03aoo`0300moogoo00Io
o`03001oogoo03=oo`0300moogoo00Ioo`03001oogoo039oo`0300moogoo03aoo`0300moogoo00mo
o`03001oogoo02Yoo`0300moogoo02ioo`008Goo0`00?7oo00<03gooOol01Woo00<007ooOol0<goo
00<03gooOol01goo00<007ooOol0<Goo00<03gooOol0?7oo00<03gooOol03goo00<007ooOol0:Woo
00<03gooOol0;Woo000QOol00`00Oomoo`0lOol00`0?Oomoo`06Ool00`00Oomoo`0cOol00`0?Oomo
o`07Ool00`00Oomoo`0aOol00`0?Oomoo`0lOol00`0?Oomoo`0>Ool00`00Oomoo`0[Ool00`0?Oomo
o`0^Ool0025oo`03001oogoo03aoo`0300moogoo00Eoo`03001oogoo03Aoo`0300moogoo00Qoo`03
001oogoo031oo`0300moogoo03aoo`0300moogoo00ioo`03001oogoo02]oo`0300moogoo02ioo`00
8Goo00<007ooOol0?7oo00<03gooOol01Goo00<007ooOol0=7oo00<03gooOol027oo00<007ooOol0
<7oo00<03gooOol0?7oo00<03gooOol03Woo00<007ooOol0:goo00<03gooOol0;Woo000QOol00`00
Oomoo`0lOol00`0?Oomoo`04Ool00`00Oomoo`0eOol00`0?Oomoo`08Ool00`00Oomoo`0`Ool00`0?
Oomoo`0lOol00`0?Oomoo`0=Ool00`00Oomoo`0/Ool00`0?Oomoo`0^Ool0025oo`03001oogoo03ao
o`0300moogoo00Aoo`03001oogoo03Eoo`0300moogoo00Uoo`03001oogoo02moo`0300moogoo03ao
o`0300moogoo00eoo`03001oogoo02aoo`0300moogoo02ioo`008Goo00<007ooOol0?7oo00<03goo
Ool017oo00<007ooOol0=Goo00<03gooOol02Goo00<007ooOol0;goo00<03gooOol0?7oo00<03goo
Ool037oo00<007ooOol0;Goo00<03gooOol0;Woo000QOol3000lOol00`0?Oomoo`03Ool00`00Oomo
o`0fOol00`0?Oomoo`0:Ool00`00Oomoo`0^Ool00`0?Oomoo`0lOol00`0?Oomoo`0<Ool00`00Oomo
o`0]Ool00`0?Oomoo`0^Ool0025oo`03001oogoo03aoo`0300moogoo00=oo`03001oogoo03Ioo`03
00moogoo00Yoo`03001oogoo02ioo`0300moogoo03aoo`0300moogoo00aoo`03001oogoo02eoo`03
00moogoo02ioo`008Goo00<007ooOol0?7oo00<03gooOol00goo00<007ooOol0=Woo00<03gooOol0
2Woo00<007ooOol0;Woo00<03gooOol0?7oo00<03gooOol02goo00<007ooOol0;Woo00<03gooOol0
;Woo000QOol00`00Oomoo`0lOol00`0?Oomoo`02Ool00`00Oomoo`0gOol00`0?Oomoo`0;Ool00`00
Oomoo`0]Ool00`0?Oomoo`0lOol00`0?Oomoo`0;Ool00`00Oomoo`0^Ool00`0?Oomoo`0^Ool000Qo
o`8000Aoo`03001oogoo00=oo`8000=oo`<000Eoo`03001oogoo03aoo`0300moogoo009oo`03001o
ogoo03Moo`0300moogoo00]oo`03001oogoo02eoo`0300moogoo03aoo`0300moogoo00]oo`03001o
ogoo02ioo`0300moogoo02ioo`001goo00@007ooOol000Qoo`06001oogoo001oo`000goo00<007oo
Ool00Woo00<007ooOol0?7oo00D03gooOomoo`0003Yoo`0300moogoo00aoo`03001oogoo02aoo`03
00moogoo03aoo`0300moogoo00Yoo`03001oogoo02moo`0300moogoo02ioo`001@000Woo00@007oo
Ool000Qoo`04001oogoo0005Ool00`00Oomoo`02Ool3001000l00`0000l03`1700l00`0000l03`1h
00l00`0000l03`0`00l`Ool000Moo`04001oogoo0008Ool01000Oomoo`001Goo00<007ooOol00Woo
00<007ooOol0?7oo00D03gooOomoo`0003Yoo`0300moogoo00aoo`03001oogoo02aoo`0300moogoo
03aoo`0300moogoo00Uoo`03001oogoo031oo`0300moogoo02ioo`001goo00@007ooOol000Qoo`05
001oogoo001oo`040005Ool00`00Oomoo`0lOol0100?Oomoo`00>goo00<03gooOol03Goo00<007oo
Ool0:goo00<03gooOol0?7oo00<03gooOol02Goo00<007ooOol0<7oo00<03gooOol0;Woo0007Ool0
1000Oomoo`0027oo00H007ooOol007oo0008Ool00`00Oomoo`0lOol0100?Oomoo`00>goo00<03goo
Ool03Goo00<007ooOol0:goo00<03gooOol0?7oo00<03gooOol02Goo00<007ooOol0<7oo00<03goo
Ool0;Woo0008Ool2000:Ool20002Ool50004Ool00`00Oomoo`0lOol00`0?Ool0000lOol00`0?Oomo
o`0>Ool00`00Oomoo`0ZOol00`0?Oomoo`0lOol00`0?Oomoo`08Ool00`00Oomoo`0aOol00`0?Oomo
o`0^Ool0025oo`03001oogoo03aoo`0300moo`0003aoo`0300moogoo00ioo`03001oogoo02Yoo`03
00moogoo03aoo`0300moogoo00Qoo`03001oogoo035oo`0300moogoo02ioo`008Goo00<007ooOol0
?7oo00<03goo0000?7oo00<03gooOol03Woo00<007ooOol0:Woo00<03gooOol0?7oo00<03gooOol0
27oo00<007ooOol0<Goo00<03gooOol0;Woo000QOol3000lOol00`0?001oo`0lOol00`0?Oomoo`0?
Ool00`00Oomoo`0YOol00`0?Oomoo`0lOol00`0?Oomoo`07Ool00`00Oomoo`0bOol00`0?Oomoo`0^
Ool0025oo`03001oogoo03aoo`0300l007oo03aoo`0300moogoo00moo`03001oogoo02Uoo`0300mo
ogoo03aoo`0300moogoo00Moo`03001oogoo039oo`0300moogoo02ioo`008Goo00<007ooOol0?7oo
00<03`00Ool0?7oo00<03gooOol047oo00<007ooOol0:7oo00<03gooOol0?7oo00<03gooOol01Woo
00<007ooOol0<goo00<03gooOol0;Woo000QOol00`00Oomoo`0lOol00`00Oomoo`0lOol00`0?Oomo
o`0@Ool00`00Oomoo`0XOol00`0?Oomoo`0lOol00`0?Oomoo`06Ool00`00Oomoo`0cOol00`0?Oomo
o`0^Ool0025oo`03001oogoo03aoo`03001oogoo03aoo`0300moogoo011oo`03001oogoo02Qoo`03
00moogoo03aoo`0300moogoo00Ioo`03001oogoo03=oo`0300moogoo02ioo`008Goo00<007ooOol0
>goo00<0000?Ool0?Goo00<03gooOol04Goo00<007ooOol09goo00<03gooOol0?7oo00<03gooOol0
1Goo00<007ooOol0=7oo00<03gooOol0;Woo000QOol00`00Oomoo`0kOol00`0000moo`0mOol00`0?
Oomoo`0AOol00`00Oomoo`0WOol00`0?Oomoo`0lOol00`0?Oomoo`05Ool00`00Oomoo`0dOol00`0?
Oomoo`0^Ool0025oo`<003]oo`0300003goo03eoo`0300moogoo015oo`03001oogoo02Moo`0300mo
ogoo03aoo`0300moogoo00Eoo`03001oogoo03Aoo`0300moogoo02ioo`008Goo00<007ooOol0>Woo
00<007oo00l0?Woo00<03gooOol04Woo00<007ooOol09Woo00<03gooOol0?7oo00<03gooOol017oo
00<007ooOol0=Goo00<03gooOol0;Woo000QOol00`00Oomoo`0jOol00`00Ool03`0nOol00`0?Oomo
o`0BOol00`00Oomoo`0VOol00`0?Oomoo`0lOol00`0?Oomoo`04Ool00`00Oomoo`0eOol00`0?Oomo
o`0^Ool0025oo`03001oogoo03Yoo`03001oo`0?03ioo`0300moogoo019oo`03001oogoo02Ioo`03
00moogoo03aoo`0300moogoo00Aoo`03001oogoo03Eoo`0300moogoo02ioo`008Goo00<007ooOol0
>Goo00@007ooOol03cioo`0300moogoo01=oo`03001oogoo02Eoo`0300moogoo03aoo`0300moogoo
00=oo`03001oogoo03Ioo`0300moogoo02ioo`008Goo00<007ooOol0>Goo00@007ooOol03cioo`03
00moogoo01=oo`03001oogoo02Eoo`0300moogoo03aoo`0300moogoo00=oo`03001oogoo03Ioo`03
00moogoo02ioo`008Goo0`00>7oo00D007ooOomoo`0?03ioo`0300moogoo01=oo`03001oogoo02Eo
o`0300moogoo03aoo`0300moogoo00=oo`03001oogoo03Ioo`0300moogoo02ioo`008Goo00<007oo
Ool0>7oo00D007ooOomoo`0?03ioo`0300moogoo01Aoo`03001oogoo02Aoo`0300moogoo03aoo`03
00moogoo009oo`03001oogoo03Moo`0300moogoo02ioo`008Goo00<007ooOol0=Goo0P0000Ioo`00
Oomoo`0000l2Ool5000`Ool20004Ool00`0000moo`03Ool3000?Ool00`00Oomoo`0MOol20004Ool0
0`0000moo`02Ool3000aOol20004Ool00`0000moo`02Ool3000fOol3000`Ool0025oo`03001oogoo
03Aoo`04001oogoo0004Ool01@0?Oomoogoo00000Woo00<007ooOol0;Goo00@007ooOol000Aoo`03
00moogoo00=oo`03001oogoo00ioo`03001oogoo01aoo`04001oogoo0004Ool0100?Oomoo`000goo
00<007ooOol0;Goo00@007ooOol000Aoo`0800moogoo001oo`00Ool003Ioo`0300003goo02moo`00
8Goo00<007ooOol0=7oo00@007ooOol000Aoo`0300moogoo009oo`03001oogoo02moo`04001oogoo
0004Ool00`0?Oomoo`05000@Ool00`00Oomoo`0KOol01000Oomoo`0017oo00@03gooOol000=oo`03
001oogoo02eoo`04001oogoo0004Ool00`0?Oomoo`020002Ool00`00Oomoo`0dOol00`0000moo`0_
Ool0025oo`03001oogoo03Aoo`04001oogoo0004Ool00`0?Oomoo`03Ool00`00Oomoo`0^Ool01000
Oomoo`0017oo00@03gooOol0009oo`03001oogoo00moo`03001oogoo01]oo`04001oogoo0004Ool0
0`0?Oomoo`04000`Ool01000Oomoo`0017oo00@03gooOomoo`<003Moo`0300003goo02moo`008Goo
00<007ooOol0=7oo00@007oo000000Aoo`0400moogoo0003Ool00`00Oomoo`0]Ool01000Oomoo`00
17oo00L03gooOomoo`00Ool0000AOol00`00Oomoo`0KOol01000Oomoo`0017oo00@03gooOol003=o
o`04001oogoo0004Ool00`0?Oomoo`020002Ool00`00Oomoo`0dOol00`0000moo`0_Ool0025oo`<0
03Aoo`04001oo`000004Ool0100?Oomoo`000goo00<007ooOol0;Goo00@007ooOol000Aoo`0300mo
ogoo009oo`80019oo`03001oogoo01Yoo`04001oogoo0004Ool01@0?Oomoogoo0000<Woo00@007oo
Ool000Aoo`0400moogoo0003Ool00`00Oomoo`0cOol200000`0?Oomoo`0^Ool0025oo`03001oogoo
03Eoo`8000Eoo`0400moogooOol3000aOol20005Ool00`0?Oomoo`03Ool00`00Oomoo`0@Ool00`00
Oomoo`0KOol20005Ool00`0?Oomoo`02Ool2000aOol20005Ool00`0?Oomoo`04000gOol00`0000mo
o`0_Ool0025oo`03001oogoo03Eoo`03001oogoo00Aoo`0300moogoo03aoo`0300moogoo01Ioo`03
001oogoo029oo`0300moogoo03aoo`0400moogoo000kOol00`0?Oomoo`0^Ool0025oo`03001oogoo
03Eoo`03001oogoo00Aoo`0300moogoo03aoo`0300moogoo01Moo`03001oogoo025oo`0300moogoo
03aoo`0300moo`0003aoo`0300moogoo02ioo`008Goo00<007ooOol0=7oo00<007ooOol01Goo00<0
3gooOol0?7oo00<03gooOol05goo00<007ooOol08Goo00<03gooOol0?7oo00<03goo0000?7oo00<0
3gooOol0;Woo000QOol00`00Oomoo`0dOol00`00Oomoo`05Ool00`0?Oomoo`0lOol00`0?Oomoo`0G
Ool00`00Oomoo`0QOol00`0?Oomoo`0lOol00`0?Ool0000lOol00`0?Oomoo`07Ool50002Ool30002
Ool50003Ool20008Ool40005Ool0025oo`03001oogoo03Aoo`03001oogoo00Eoo`0300moogoo03ao
o`0300moogoo01Qoo`03001oogoo021oo`0300moogoo03aoo`0300l007oo03aoo`0300moogoo00Mo
o`07001oogooOol007oo00001goo00<007ooOol00Woo00@007ooOol000]oo`03001oogoo009oo`00
8Gooo`00?0002Woo00<007ooOol00Woo1@000goo00<007ooOol00Woo00<007ooOol02Goo0`001Goo
000QOol00`00Oomoo`0=Ool00`00Oomoo`0=Ool00`00Oomoo`0<Ool00`00Oomoo`04Ool00`00Oomo
o`06Ool00`00Oomoo`0=Ool00`00Oomoo`0<Ool00`00Oomoo`0=Ool00`00Oomoo`0=Ool00`00Oomo
o`0<Ool00`00Oomoo`09Ool01@00Oomoogoo00003goo00<007ooOol037oo00<007ooOol03Goo00<0
07ooOol03Goo00<007ooOol037oo00<007ooOol03Goo0P003Woo00<007ooOol037oo00<007ooOol0
3Goo00<007ooOol03Goo00<007ooOol02Goo00D007ooOomoo`0000=oo`05001oogooOol00004Ool0
0`00Oomoo`08Ool00`00Oomoo`06Ool0025oo`03001oogoo03=oo`03001oogoo00Ioo`03001oogoo
03aoo`03001oogoo01Uoo`03001oogoo01moo`03001oogoo03aoo`03001oogoo03aoo`03001oogoo
00Yoo`04001oogooOol30002Ool30003Ool40009Ool40004Ool0025oo`03001oogoo039oo`03001o
ogoo00Moo`0300moogoo03aoo`0300moogoo01Uoo`03001oogoo01moo`0300moogoo03aoo`03001o
ogoo03aoo`0300moogoo00Moo`05001oogooOol0000>Ool00`00Oomoo`0AOol0025oo`03001oogoo
039oo`03001oogoo00Moo`0300moogoo03aoo`0300moogoo01Uoo`03001oogoo01moo`0300moogoo
03aoo`03001oogoo03aoo`0300moogoo00Moo`D000Uoo`03001oogoo009oo`03001oogoo015oo`00
8Goo00<007ooOol0<Goo00<007ooOol027oo00<03gooOol0?7oo00<03gooOol06Woo00<007ooOol0
7Woo00<03gooOol0>goo00<0000?Ool0?Goo00<03gooOol0;Woo000QOol3000aOol00`00Oomoo`08
Ool00`0?Oomoo`0lOol00`0?Oomoo`0JOol00`00Oomoo`0NOol00`0?Oomoo`0kOol00`0000moo`0m
Ool00`0?Oomoo`0^Ool0025oo`03001oogoo035oo`03001oogoo00Qoo`0300moogoo03aoo`0300mo
ogoo01Yoo`03001oogoo01ioo`0300moogoo03]oo`0300003goo03eoo`0300moogoo02ioo`008Goo
00<007ooOol0<7oo00<007ooOol02Goo00<03gooOol0?7oo00<03gooOol06goo00<007ooOol07Goo
00<03gooOol0>Woo00<007oo00l0?Woo00<03gooOol0;Woo000QOol00`00Oomoo`0`Ool00`00Oomo
o`09Ool00`0?Oomoo`0lOol00`0?Oomoo`0KOol00`00Oomoo`0MOol00`0?Oomoo`0jOol00`00Ool0
3`0nOol00`0?Oomoo`0^Ool0025oo`03001oogoo031oo`03001oogoo00Uoo`0300moogoo03aoo`03
00moogoo01]oo`03001oogoo01eoo`0300moogoo03Yoo`03001oo`0?03ioo`0300moogoo02ioo`00
8Goo0P00<7oo00<007ooOol02Woo00<03gooOol0?7oo00<03gooOol077oo00<007ooOol077oo00<0
3gooOol0>Goo00@007ooOol03cioo`0300moogoo02ioo`008Goo0P00<7oo00<007ooOol02Woo00<0
3gooOol0?7oo00<03gooOol077oo00<007ooOol077oo00<03gooOol0>Goo00@007ooOol03cioo`03
00moogoo02ioo`008Goo0`00;goo00<007ooOol02Woo00<03gooOol0?7oo00<03gooOol07Goo00<0
07ooOol06goo00<03gooOol0>7oo00D007ooOomoo`0?03ioo`0300moogoo02ioo`008Goo0P00;goo
00<007ooOol02goo00<03gooOol0?7oo00<03gooOol07Goo00<007ooOol06goo00<03gooOol0>7oo
00D007ooOomoo`0?03ioo`0300moogoo02ioo`008Goo0P00;goo00<007ooOol02goo00<03gooOol0
?7oo00<03gooOol07Goo00<007ooOol06goo00<03gooOol0>7oo00D007ooOomoo`0?03ioo`0300mo
ogoo02ioo`008Goo0P00;goo00<007ooOol02goo00<03gooOol0?7oo00<03gooOol07Woo00<007oo
Ool06Woo00<03gooOol0=goo00<007ooOol00Woo00<03gooOol0?7oo00<03gooOol0;Woo000QOol2
000^Ool00`00Oomoo`0<Ool00`0?Oomoo`0lOol00`0?Oomoo`0NOol00`00Oomoo`0JOol00`0?Oomo
o`0gOol00`00Oomoo`02Ool00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`8002ioo`03001oogoo
00aoo`0300moogoo03aoo`0300moogoo01ioo`03001oogoo01Yoo`0300moogoo03Moo`03001oogoo
009oo`0300moogoo03aoo`0300moogoo02ioo`008Goo0P00;Woo00<007ooOol037oo00<03gooOol0
?7oo00<03gooOol07goo00<007ooOol06Goo00<03gooOol0=Woo00<007ooOol00goo00<03gooOol0
?7oo00<03gooOol0;Woo000QOol3000/Ool00`00Oomoo`0=Ool00`0?Oomoo`0lOol00`0?Oomoo`0O
Ool00`00Oomoo`0IOol00`0?Oomoo`0fOol00`00Oomoo`03Ool00`0?Oomoo`0lOol00`0?Oomoo`0^
Ool0025oo`8002eoo`03001oogoo00eoo`0300moogoo03aoo`0300moogoo01moo`03001oogoo01Uo
o`0300moogoo03Eoo`03001oogoo00Aoo`0300moogoo03aoo`0300moogoo02ioo`008Goo0P00;7oo
00<007ooOol03Woo00<03gooOol0?7oo00<03gooOol087oo00<007ooOol067oo00<03gooOol0=Goo
00<007ooOol017oo00<03gooOol0?7oo00<03gooOol0;Woo000QOol2000/Ool00`00Oomoo`0>Ool0
0`0?Oomoo`0lOol00`0?Oomoo`0POol00`00Oomoo`0HOol00`0?Oomoo`0eOol00`00Oomoo`04Ool0
0`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`8002aoo`03001oogoo00ioo`0300moogoo03aoo`03
00moogoo021oo`03001oogoo01Qoo`0300moogoo03Aoo`03001oogoo00Eoo`0300moogoo03aoo`03
00moogoo02ioo`008Goo0P00:goo00<007ooOol03goo00<03gooOol0?7oo00<03gooOol08Goo00<0
07ooOol05goo00<03gooOol0=7oo00<007ooOol01Goo00<03gooOol0?7oo00<03gooOol0;Woo000Q
Ool3000ZOol00`00Oomoo`0?Ool00`0?Oomoo`0lOol00`0?Oomoo`0QOol00`00Oomoo`0GOol00`0?
Oomoo`0dOol00`00Oomoo`05Ool00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`8002]oo`03001o
ogoo00moo`0300moogoo03aoo`0300moogoo025oo`03001oogoo01Moo`0300moogoo03=oo`03001o
ogoo00Ioo`0300moogoo03aoo`0300moogoo02ioo`008Goo0P00:Woo00<007ooOol047oo00<03goo
Ool0?7oo00<03gooOol08Woo00<007ooOol05Woo00<03gooOol0<goo00<007ooOol01Woo00<03goo
Ool0?7oo00<03gooOol0;Woo000QOol2000ZOol00`00Oomoo`0@Ool00`0?Oomoo`0lOol00`0?Oomo
o`0ROol00`00Oomoo`0FOol00`0?Oomoo`0cOol00`00Oomoo`06Ool00`0?Oomoo`0lOol00`0?Oomo
o`0^Ool000Qoo`8000Aoo`03001oogoo00=oo`8000=oo`<000Eoo`8002Yoo`03001oogoo011oo`03
00moogoo03aoo`0300moogoo02=oo`03001oogoo01Eoo`0300moogoo039oo`03001oogoo00Moo`03
00moogoo03aoo`0300moogoo02ioo`001goo00@007ooOol000Qoo`06001oogoo001oo`000goo00<0
07ooOol00Woo00<007oo0000:7oo00<007ooOol04Goo00<03gooOol0?7oo00<03gooOol08goo00<0
07ooOol05Goo00<03gooOol0<Woo00<007ooOol01goo00<03gooOol0?7oo00<03gooOol0;Woo0007
Ool01000Oomoo`0027oo00@007ooOol000Eoo`03001oogoo009oo`03001oo`0002Qoo`03001oogoo
015oo`0300moogoo03aoo`0300moogoo02=oo`03001oogoo01Eoo`0300moogoo035oo`03001oogoo
00Qoo`0300moogoo03aoo`0300moogoo02ioo`001goo00@007ooOol000Qoo`04001oogoo0005Ool0
0`00Oomoo`02Ool3000X00l00`0000l03`1g00l00`0000l03`1800l00`0000l03`1800l`Ool000Mo
o`04001oogoo0008Ool01@00Oomoo`00Ool010001Goo00<007oo00009goo00<007ooOol04Woo00<0
3gooOol0?7oo00<03gooOol097oo00<007ooOol057oo00<03gooOol0<Goo00<007ooOol027oo00<0
3gooOol0?7oo00<03gooOol0;Woo0007Ool01000Oomoo`0027oo00H007ooOol007oo0008Ool00`00
Ool0000WOol00`00Oomoo`0BOol00`0?Oomoo`0lOol00`0?Oomoo`0TOol00`00Oomoo`0DOol00`0?
Oomoo`0`Ool00`00Oomoo`09Ool00`0?Oomoo`0lOol00`0?Oomoo`0^Ool000Qoo`8000Yoo`80009o
o`D000Aoo`03001oo`0002Moo`03001oogoo019oo`0300moogoo03aoo`0300moogoo02Eoo`03001o
ogoo01=oo`0300moogoo031oo`03001oogoo00Uoo`0300moogoo03aoo`0300moogoo02ioo`008Goo
00<007oo00009Woo00<007ooOol04goo00<03gooOol0?7oo00<03gooOol09Goo00<007ooOol04goo
00<03gooOol0<7oo00<007ooOol02Goo00<03gooOol0?7oo00<03gooOol0;Woo000QOol00`00Ool0
000VOol00`00Oomoo`0COol00`0?Oomoo`0lOol00`0?Oomoo`0UOol00`00Oomoo`0COol00`0?Oomo
o`0_Ool00`00Oomoo`0:Ool00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`03001oo`0002Ioo`03
001oogoo01=oo`0300moogoo03aoo`0300moogoo02Ioo`03001oogoo019oo`0300moogoo02moo`03
001oogoo00Yoo`0300moogoo03aoo`0300moogoo02ioo`008Goo0`009Goo00<007ooOol057oo00<0
3gooOol0?7oo00<03gooOol09Woo00<007ooOol04Woo00<03gooOol0;Woo00<007ooOol02goo00<0
3gooOol0?7oo00<03gooOol0;Woo000QOol00`00Ool0000UOol00`00Oomoo`0DOol00`0?Oomoo`0l
Ool00`0?Oomoo`0VOol00`00Oomoo`0BOol00`0?Oomoo`0^Ool00`00Oomoo`0;Ool00`0?Oomoo`0l
Ool00`0?Oomoo`0^Ool0025oo`03001oo`0002Aoo`03001oogoo01Eoo`0300moogoo03aoo`0300mo
ogoo02Moo`03001oogoo015oo`0300moogoo02ioo`03001oogoo00]oo`0300moogoo03aoo`0300mo
ogoo02ioo`008Goo00<007oo000097oo00<007ooOol05Goo00<03gooOol0?7oo00<03gooOol09goo
00<007ooOol04Goo00<03gooOol0;Goo00<007ooOol037oo00<03gooOol0?7oo00<03gooOol0;Woo
000QOol00`00Ool0000TOol00`00Oomoo`0EOol00`0?Oomoo`0lOol00`0?Oomoo`0WOol00`00Oomo
o`0AOol00`0?Oomoo`0]Ool00`00Oomoo`0<Ool00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`03
001oo`0002=oo`03001oogoo01Ioo`0300moogoo03aoo`0300moogoo02Qoo`03001oogoo011oo`03
00moogoo02eoo`03001oogoo00aoo`0300moogoo03aoo`0300moogoo02ioo`008Goo10008Woo00<0
07ooOol05Woo00<03gooOol0?7oo00<03gooOol0:7oo00<007ooOol047oo00<03gooOol0;7oo00<0
07ooOol03Goo00<03gooOol0?7oo00<03gooOol0;Woo000QOol01000Oomoo`008Goo00<007ooOol0
5goo00<03gooOol0?7oo00<03gooOol0:Goo00<007ooOol03goo00<03gooOol0;7oo00<007ooOol0
3Goo00<03gooOol0?7oo00<03gooOol0;Woo000QOol01000Oomoo`008Goo00<007ooOol05goo00<0
3gooOol0?7oo00<03gooOol0:Goo00<007ooOol03goo00<03gooOol0;7oo00<007ooOol03Goo00<0
3gooOol0?7oo00<03gooOol0;Woo000QOol01000Oomoo`008Goo00<007ooOol05goo00<03gooOol0
?7oo00<03gooOol0:Woo00<007ooOol03Woo00<03gooOol0:goo00<007ooOol03Woo00<03gooOol0
?7oo00<03gooOol0;Woo000QOol01000Oomoo`0087oo00<007ooOol067oo00<03gooOol0?7oo00<0
3gooOol0:Woo00<007ooOol03Woo00<03gooOol0:goo00<007ooOol03Woo00<03gooOol0?7oo00<0
3gooOol0;Woo000QOol01000Oomoo`0087oo00<007ooOol067oo00<03gooOol0?7oo00<03gooOol0
:Woo00<007ooOol03Woo00<03gooOol0:Woo00<007ooOol03goo00<03gooOol0?7oo00<03gooOol0
;Woo000QOol01000Oomoo`007goo00<007ooOol06Goo00<03gooOol0?7oo00<03gooOol0:goo00<0
07ooOol03Goo00<03gooOol0:Woo00<007ooOol03goo00<03gooOol0?7oo00<03gooOol0;Woo000Q
Ool4000OOol00`00Oomoo`0IOol00`0?Oomoo`0lOol00`0?Oomoo`0[Ool00`00Oomoo`0=Ool00`0?
Oomoo`0YOol00`00Oomoo`0@Ool00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`04001oogoo000O
Ool00`00Oomoo`0IOol00`0?Oomoo`0lOol00`0?Oomoo`0/Ool00`00Oomoo`0<Ool00`0?Oomoo`0Y
Ool00`00Oomoo`0@Ool00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`04001oogoo000NOol00`00
Oomoo`0JOol00`0?Oomoo`0lOol00`0?Oomoo`0/Ool00`00Oomoo`0<Ool00`0?Oomoo`0XOol00`00
Oomoo`0AOol00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`04001oogoo000NOol00`00Oomoo`0J
Ool00`0?Oomoo`0lOol00`0?Oomoo`0]Ool00`00Oomoo`0;Ool00`0?Oomoo`0XOol00`00Oomoo`0A
Ool00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`04001oogoo000MOol00`00Oomoo`0KOol00`0?
Oomoo`0lOol00`0?Oomoo`0]Ool00`00Oomoo`0;Ool00`0?Oomoo`0WOol00`00Oomoo`0BOol00`0?
Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`04001oogoo000MOol00`00Oomoo`0KOol00`0?Oomoo`0l
Ool00`0?Oomoo`0]Ool00`00Oomoo`0;Ool00`0?Oomoo`0WOol00`00Oomoo`0BOol00`0?Oomoo`0l
Ool00`0?Oomoo`0^Ool0025oo`04001oogoo000LOol00`00Oomoo`0LOol00`0?Oomoo`0lOol00`0?
Oomoo`0^Ool00`00Oomoo`0:Ool00`0?Oomoo`0VOol00`00Oomoo`0COol00`0?Oomoo`0lOol00`0?
Oomoo`0^Ool0025oo`@001aoo`03001oogoo01aoo`0300moogoo03aoo`0300moogoo02ioo`03001o
ogoo00Yoo`0300moogoo02Ioo`03001oogoo01=oo`0300moogoo03aoo`0300moogoo02ioo`008Goo
00@007ooOol001aoo`03001oogoo01aoo`0300moogoo03aoo`0300moogoo02moo`03001oogoo00Uo
o`0300moogoo02Eoo`03001oogoo01Aoo`0300moogoo03aoo`0300moogoo02ioo`008Goo00@007oo
Ool001]oo`03001oogoo01eoo`0300moogoo03aoo`0300moogoo02moo`03001oogoo00Uoo`0300mo
ogoo02Eoo`03001oogoo01Aoo`0300moogoo03aoo`0300moogoo02ioo`008Goo00@007ooOol001]o
o`03001oogoo01eoo`0300moogoo03aoo`0300moogoo031oo`03001oogoo00Qoo`0300moogoo02Ao
o`03001oogoo01Eoo`0300moogoo03aoo`0300moogoo02ioo`003Woo0P0017oo00<007ooOol00Woo
0`001Goo00@007ooOol001Yoo`03001oogoo01ioo`0300moogoo03aoo`0300moogoo031oo`03001o
ogoo00Qoo`0300moogoo02Aoo`03001oogoo01Eoo`0300moogoo03aoo`0300moogoo02ioo`003Goo
00@007ooOol000Uoo`03001oogoo00Aoo`04001oogoo000JOol00`00Oomoo`0NOol00`0?Oomoo`0l
Ool00`0?Oomoo`0aOol00`00Oomoo`07Ool00`0?Oomoo`0TOol00`00Oomoo`0EOol00`0?Oomoo`0l
Ool00`0?Oomoo`0^Ool000eoo`04001oogoo0009Ool00`00Oomoo`04Ool300000`0?00003`0H00l0
0`0000l03`2A00l00`0000l03`0]00l00`0000l03`1F00l`Ool000eoo`04001oogoo0009Ool00`00
Oomoo`04Ool01@00Oomoogoo000067oo00<007ooOol07goo00<03gooOol0?7oo00<03gooOol0<Woo
00<007ooOol01Woo00<03gooOol08goo00<007ooOol05Woo00<03gooOol0?7oo00<03gooOol0;Woo
000=Ool01000Oomoo`002Goo00<007ooOol017oo00D007ooOomoo`0001Qoo`03001oogoo01moo`03
00moogoo03aoo`0300moogoo039oo`03001oogoo00Ioo`0300moogoo029oo`03001oogoo01Moo`03
00moogoo03aoo`0300moogoo02ioo`003Goo00@007ooOol000Qoo`8000Ioo`05001oogooOol0000G
Ool00`00Oomoo`0POol00`0?Oomoo`0lOol00`0?Oomoo`0cOol00`00Oomoo`05Ool00`0?Oomoo`0R
Ool00`00Oomoo`0GOol00`0?Oomoo`0lOol00`0?Oomoo`0^Ool000ioo`8000Yoo`03001oogoo00Ao
o`05001oogooOol0000GOol00`00Oomoo`0POol00`0?Oomoo`0lOol00`0?Oomoo`0cOol00`00Oomo
o`05Ool00`0?Oomoo`0QOol00`00Oomoo`0HOol00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`05
001oogooOol0000GOol00`00Oomoo`0POol00`0?Oomoo`0lOol00`0?Oomoo`0dOol00`00Oomoo`04
Ool00`0?Oomoo`0QOol00`00Oomoo`0HOol00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`05001o
ogooOol0000FOol00`00Oomoo`0QOol00`0?Oomoo`0lOol00`0?Oomoo`0dOol00`00Oomoo`04Ool0
0`0?Oomoo`0POol00`00Oomoo`0IOol00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`<0009oo`03
001oogoo01=oo`03001oogoo025oo`0300moogoo03aoo`0300moogoo03Eoo`03001oogoo00=oo`03
00moogoo021oo`03001oogoo01Uoo`0300moogoo03aoo`0300moogoo02ioo`008Goo00<007ooOol0
0Woo00<007ooOol04Woo00<007ooOol08Woo00<03gooOol0?7oo00<03gooOol0=Goo00<007ooOol0
0goo00<03gooOol07goo00<007ooOol06Woo00<03gooOol0?7oo00<03gooOol0;Woo000QOol00`00
Oomoo`02Ool00`00Oomoo`0AOol00`00Oomoo`0SOol00`0?Oomoo`0lOol00`0?Oomoo`0fOol00`00
Oomoo`02Ool00`0?Oomoo`0OOol00`00Oomoo`0JOol00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025o
o`03001oogoo009oo`03001oogoo015oo`03001oogoo02=oo`0300moogoo03aoo`0300moogoo03Mo
o`05001oogooOol03`0POol00`00Oomoo`0KOol00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`03
001oogoo009oo`03001oogoo011oo`03001oogoo02Aoo`0300moogoo03aoo`0300moogoo03Moo`05
001oogooOol03`0POol00`00Oomoo`0KOol00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`03001o
ogoo00=oo`03001oogoo00ioo`03001oogoo02Eoo`0300moogoo03aoo`0300moogoo03Qoo`04001o
ogoo00lOOol00`00Oomoo`0LOol00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`<000=oo`03001o
ogoo00ioo`03001oogoo02Eoo`0300moogoo03aoo`0300moogoo03Uoo`03001oo`0?01ioo`03001o
ogoo01eoo`0300moogoo03aoo`0300moogoo02ioo`008Goo00<007ooOol00goo00<007ooOol03Goo
00<007ooOol09Woo00<03gooOol0?7oo00<03gooOol0>Woo00<0000?Ool07Goo00<007ooOol07Goo
00<03gooOol0?7oo00<03gooOol0;Woo000QOol00`00Oomoo`03Ool00`00Oomoo`0<Ool00`00Oomo
o`0WOol00`0?Oomoo`0lOol00`0?Oomoo`0jOol00`0000moo`0LOol00`00Oomoo`0NOol00`0?Oomo
o`0lOol00`0?Oomoo`0^Ool0025oo`03001oogoo00Aoo`03001oogoo00Yoo`03001oogoo02Qoo`03
00moogoo03aoo`0300moogoo03]oo`03001oogoo01]oo`03001oogoo01ioo`0300moogoo03aoo`03
00moogoo02ioo`008Goo00<007ooOol017oo00<007ooOol02Woo00<007ooOol0:7oo00<03gooOol0
?7oo00<03gooOol0>goo00<03`00Ool06Woo00<007ooOol07goo00<03gooOol0?7oo00<03gooOol0
;Woo000QOol00`00Oomoo`04Ool00`00Oomoo`09Ool00`00Oomoo`0YOol00`0?Oomoo`0lOol00`0?
Oomoo`0kOol00`0?Ool0000IOol00`00Oomoo`0POol00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025o
o`03001oogoo00Aoo`03001oogoo00Qoo`03001oogoo02Yoo`0300moogoo03aoo`0300moogoo03]o
o`0400moogoo000GOol00`00Oomoo`0QOol00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`<000Eo
o`03001oogoo00Moo`03001oogoo02Yoo`0300moogoo03aoo`0300moogoo03]oo`0500moogooOol0
000EOol00`00Oomoo`0ROol00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`03001oogoo00Ioo`03
001oogoo00Aoo`8002eoo`0300moogoo03aoo`0300moogoo03]oo`0300moogoo009oo`03001oogoo
015oo`03001oogoo02=oo`0300moogoo03aoo`0300moogoo02ioo`008Goo00<007ooOol01Woo0P00
0goo0P00;goo00<03gooOol0?7oo00<03gooOol0>goo00<03gooOol00goo00<007ooOol03goo00<0
07ooOol097oo00<03gooOol0?7oo00<03gooOol0;Woo000QOol00`00Oomoo`07Ool4000aOol00`0?
Oomoo`0lOol00`0?Oomoo`0kOol00`0?Oomoo`04Ool2000>Ool00`00Oomoo`0UOol00`0?Oomoo`0l
Ool00`0?Oomoo`0^Ool0025oo`03001oogoo03aoo`0300moogoo03aoo`0300moogoo03]oo`0300mo
ogoo00Ioo`03001oogoo00Qoo`<002Qoo`0300moogoo03aoo`0300moogoo02ioo`008Goo00<007oo
Ool0?7oo00<03gooOol0?7oo00<03gooOol0>goo00<03gooOol01goo0P001Woo0P00:goo00<03goo
Ool0?7oo00<03gooOol0;Woo000QOol00`00Oomoo`0lOol00`0?Oomoo`0lOol00`0?Oomoo`0kOol0
0`0?Oomoo`09Ool6000]Ool00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`<003aoo`0300moogoo
03aoo`0300moogoo03]oo`0300moogoo03aoo`0300moogoo03aoo`0300moogoo02ioo`008Goo00<0
07ooOol0?7oo00<03gooOol0?7oo00<03gooOol0>goo00<03gooOol0?7oo00<03gooOol0?7oo00<0
3gooOol0;Woo000QOol00`00Oomoo`0lOol00`0?Oomoo`0lOol00`0?Oomoo`0kOol00`0?Oomoo`0l
Ool00`0?Oomoo`0lOol00`0?Oomoo`0^Ool0025oo`03001oogoo03aoo`0300moogoo03aoo`0300mo
ogoo03]oo`0300moogoo03aoo`0300moogoo03aoo`0300moogoo02ioo`008Goo00<007ooOol0?7oo
00<03gooOol0?7oo00<03gooOol0>goo00<03gooOol0?7oo00<03gooOol0?7oo00<03gooOol0;Woo
003oOon=Ool00?mooheoo`00ogooSGoo003oOon=Ool005moo`<000moo`<009Qoo`<007eoo`00HWoo
00<007ooOol03goo00<007ooOol0UWoo00<007ooOol0O7oo0016Ool40003Ool30003Ool00`00Ool0
0003Ool30003Ool40003Ool200000goo00000002000017oo000007oo100027oo10000Woo0`000Woo
10002Woo0P000Woo0`0000=oo`0000000Woo0P000goo0`000Woo0`000goo10000goo0`000Woo1P00
00Aoo`000000009oo`<00003Ool0000000800003Ool00000009oo`<0009oo`D00003Ool000000080
00Qoo`<00004Ool00000Ool40002Ool30002Ool60007Ool30002Ool;00000goo000000020003Ool3
0002Ool500000goo00000003001GOol004Moo`06001oogoo001oo`001Woo00<007oo00000Woo00<0
07ooOol00goo00D007ooOomoo`00009oo`04001oogoo0002Ool01P00Oomoo`00Ool000=oo`03001o
ogoo00Eoo`04001oogoo0002Ool00`00Oomoo`07Ool00`00Oomoo`06Ool01000Oomoo`000Woo00@0
07ooOol0009oo`06001oogoo001oo`001Woo00<007ooOol01Woo00<007oo00000goo00@007ooOol0
009oo`03001oo`0000Ioo`04001oogoo0002Ool00`00Ool00002Ool00`00Oomoo`05Ool00`00Oomo
o`05Ool00`00Oomoo`06Ool01P00Oomoo`00Ool0009oo`04001oogoo0003Ool01000Oomoo`000Woo
00<007ooOol01Woo00@007ooOol0009oo`04001oogoo0003Ool00`00Oomoo`05Ool00`00Ool00003
Ool01@00Oomoogoo00001Goo00<007ooOol0Egoo0017Ool01@00Oomoo`00Ool01@0000Moo`00Ool0
07oo001oo`0500000goo001oo`02Ool01000Oomoo`000Woo00@007ooOol0009oo`03001oo`0000=o
o`03001oogoo00Eoo`04001oogoo0002Ool50002Ool30009Ool01000Oomoo`000Woo00@007ooOol0
009oo`03001oogoo009oo`D0009oo`03001oogoo00=oo`<0009oo`03001oogoo00Aoo`05001oogoo
001oo`050002Ool01000Oomoo`000Woo0P000goo1@000goo00<007ooOol00Woo0`002Goo00@007oo
Ool0009oo`<0009oo`03001oogoo00Aoo`04001oogoo0008Ool01000Oomoo`000Woo00@007ooOol0
00=oo`03001oogoo009oo`<0009oo`05001oogooOol00003Ool00`00Oomoo`03Ool00`00Oomoo`1G
Ool004Moo`<0009oo`0=001oogooOol007oo001oo`00Ool007oo00000goo00<007oo00000goo00@0
07ooOol0009oo`04001oogoo0002Ool00`00Ool00003Ool00`00Oomoo`05Ool01000Oomoo`000Woo
00L007ooOomoo`00Ool0000<Ool01000Oomoo`000Woo00@007ooOol0009oo`03001oogoo009oo`05
001oogooOol00002Ool20003Ool00`00Oomoo`03Ool01@00Oomoogoo00000Woo00H007ooOol007oo
0003Ool01000Oomoo`000Woo00H007ooOol007oo0002Ool01@00Oomoogoo00000goo00D007ooOomo
o`0000aoo`06001oogoo001oo`000Woo00@007ooOol000=oo`04001oogoo0002Ool00`00Oomoo`06
Ool01000Oomoo`000Woo00@007ooOol000=oo`05001oogooOol00005Ool01@00Oomoogoo00000goo
00<007ooOol00goo00<007ooOol0Egoo000?Ool30004Ool30002Ool;0002Ool30002Ool3000GOol0
1000Oomoo`000Woo0`000Woo1P0000Aoo`00000000=oo`L00004Ool00000Ool40003Ool50007Ool3
0003Ool30003Ool40008Ool01@00Oomoo`00Ool010000Woo10000goo0`000Woo0P0000=oo`000000
0Woo10000Woo0`000goo0`000goo0`000Woo10000goo00@007oo0000009oo`<000Aoo`03001oogoo
009oo`@000Moo`@000=oo`8000Aoo`<000=oo`<000Qoo`@000=oo`<0009oo`<000Aoo`@0009oo`<0
00Aoo`03001oogoo00=oo`03001oogoo05Moo`0047oo00<007ooOol00Woo00<007ooOol017oo00@0
07ooOol000=oo`05001oogooOol00006Ool00`00Oomoo`0FOol01000Oomoo`00=7oo00<007ooOol0
4goo00@007ooOol000Qoo`03001oogoo01]oo`03001oogoo00moo`03001oogoo00Yoo`03001oogoo
021oo`03001oogoo00moo`03001oogoo01Ioo`03001oogoo00=oo`03001oogoo05Moo`0047oo00<0
07ooOol00Woo1@000Woo00@007ooOol000=oo`04001oogooOol50002Ool00`00Oomoo`0EOol4000d
Ool2000DOol300000goo00000007Ool00`00Oomoo`0JOol2000@Ool2000:Ool3000QOol2000@Ool2
0006Ool00`00Oomoo`0=Ool30003Ool3001IOol0011oo`<0009oo`05001oogooOol00002Ool01000
Oomoo`000goo00D007ooOomoo`0000=oo`03001oogoo00800?mooeeoo`0047oo00<007ooOol00goo
0`000goo0`0017oo00<007ooOol00Woo0`000Woo0P0000=oo`000000ogooFgoo000@Ool01000Oomo
o`0027oo00<007ooOol017oo00<007ooOol0ogooIgoo000?Ool50007Ool20004Ool3003oOomYOol0
0?mooheoo`00ogooSGoo003oOon=Ool00?mooheoo`00ogooSGoo003oOon=Ool00?mooheoo`00ogoo
SGoo003oOon=Ool00?mooheoo`00ogooSGoo003oOon=Ool00?mooheoo`00ogooSGoo003oOon=Ool0
0?mooheoo`00ogooSGoo0000\
\>"],
  ImageRangeCache->{{{0, 395}, {243.75, 0}} -> {-0.108275, -0.168376, \
0.00319234, 0.0015039}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(MMerg = MM /. erg1[\([1]\)];\)\), "\n", 
    \(MMerg /. t \[Rule] 1\), "\n", 
    \(MMerg /. t \[Rule] 0.001\)}], "Input"],

Cell[BoxData[
    \(\(-75.9023826902225`\)\)], "Output"],

Cell[BoxData[
    \(137.7700654785661`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(MMplo2\  = \ 
        Plot[{phisoll, Evaluate[MMerg]}, {t, 0, 1}, 
          AxesLabel \[Rule] {"\<Zeit s\>", "\<MM + phisoll\>"}, 
          PlotLabel \[Rule] "\<Bewegung des Unterschenkels nach phisoll\>", 
          GridLines \[Rule] Automatic, 
          PlotRange \[Rule] {{0, 1}, Automatic}];\)\)], "Input",
  ImageRegion->{{0, 1}, {0, 1}}],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0 1 0.309012 0.00245295 [
[.2 .29651 -9 -9 ]
[.2 .29651 9 0 ]
[.4 .29651 -9 -9 ]
[.4 .29651 9 0 ]
[.6 .29651 -9 -9 ]
[.6 .29651 9 0 ]
[.8 .29651 -9 -9 ]
[.8 .29651 9 0 ]
[1 .29651 -3 -9 ]
[1 .29651 3 0 ]
[1.025 .30901 0 -6 ]
[1.025 .30901 40 6 ]
[-0.0125 .06372 -24 -4.5 ]
[-0.0125 .06372 0 4.5 ]
[-0.0125 .18636 -18 -4.5 ]
[-0.0125 .18636 0 4.5 ]
[-0.0125 .43166 -12 -4.5 ]
[-0.0125 .43166 0 4.5 ]
[-0.0125 .55431 -18 -4.5 ]
[-0.0125 .55431 0 4.5 ]
[0 .64303 -38 0 ]
[0 .64303 38 12 ]
[.5 .63053 -122 0 ]
[.5 .63053 122 12 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 .5 r
.25 Mabswid
[ ] 0 setdash
0 0 m
0 .61803 L
s
.2 0 m
.2 .61803 L
s
.4 0 m
.4 .61803 L
s
.6 0 m
.6 .61803 L
s
.8 0 m
.8 .61803 L
s
1 0 m
1 .61803 L
s
0 .06372 m
1 .06372 L
s
0 .18636 m
1 .18636 L
s
0 .30901 m
1 .30901 L
s
0 .43166 m
1 .43166 L
s
0 .55431 m
1 .55431 L
s
0 g
.2 .30901 m
.2 .31526 L
s
[(0.2)] .2 .29651 0 1 Mshowa
.4 .30901 m
.4 .31526 L
s
[(0.4)] .4 .29651 0 1 Mshowa
.6 .30901 m
.6 .31526 L
s
[(0.6)] .6 .29651 0 1 Mshowa
.8 .30901 m
.8 .31526 L
s
[(0.8)] .8 .29651 0 1 Mshowa
1 .30901 m
1 .31526 L
s
[(1)] 1 .29651 0 1 Mshowa
.125 Mabswid
.05 .30901 m
.05 .31276 L
s
.1 .30901 m
.1 .31276 L
s
.15 .30901 m
.15 .31276 L
s
.25 .30901 m
.25 .31276 L
s
.3 .30901 m
.3 .31276 L
s
.35 .30901 m
.35 .31276 L
s
.45 .30901 m
.45 .31276 L
s
.5 .30901 m
.5 .31276 L
s
.55 .30901 m
.55 .31276 L
s
.65 .30901 m
.65 .31276 L
s
.7 .30901 m
.7 .31276 L
s
.75 .30901 m
.75 .31276 L
s
.85 .30901 m
.85 .31276 L
s
.9 .30901 m
.9 .31276 L
s
.95 .30901 m
.95 .31276 L
s
.25 Mabswid
0 .30901 m
1 .30901 L
s
gsave
1.025 .30901 -61 -10 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Zeit) show
93.000 13.000 moveto
(s) show
99.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .06372 m
.00625 .06372 L
s
[(-100)] -0.0125 .06372 1 0 Mshowa
0 .18636 m
.00625 .18636 L
s
[(-50)] -0.0125 .18636 1 0 Mshowa
0 .43166 m
.00625 .43166 L
s
[(50)] -0.0125 .43166 1 0 Mshowa
0 .55431 m
.00625 .55431 L
s
[(100)] -0.0125 .55431 1 0 Mshowa
.125 Mabswid
0 .08825 m
.00375 .08825 L
s
0 .11278 m
.00375 .11278 L
s
0 .13731 m
.00375 .13731 L
s
0 .16184 m
.00375 .16184 L
s
0 .21089 m
.00375 .21089 L
s
0 .23542 m
.00375 .23542 L
s
0 .25995 m
.00375 .25995 L
s
0 .28448 m
.00375 .28448 L
s
0 .33354 m
.00375 .33354 L
s
0 .35807 m
.00375 .35807 L
s
0 .3826 m
.00375 .3826 L
s
0 .40713 m
.00375 .40713 L
s
0 .45619 m
.00375 .45619 L
s
0 .48072 m
.00375 .48072 L
s
0 .50525 m
.00375 .50525 L
s
0 .52978 m
.00375 .52978 L
s
0 .03919 m
.00375 .03919 L
s
0 .01466 m
.00375 .01466 L
s
0 .57884 m
.00375 .57884 L
s
0 .60337 m
.00375 .60337 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
gsave
0 .64303 -99 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(MM) show
81.000 13.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(+) show
93.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(phisoll) show
135.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.5 .63053 -183 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Bewegung) show
117.000 13.000 moveto
(des) show
141.000 13.000 moveto
(Unterschenkels) show
231.000 13.000 moveto
(nach) show
261.000 13.000 moveto
(phisoll) show
303.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
0 .30901 m
.04057 .31037 L
.06168 .311 L
.08481 .31159 L
.0952 .31181 L
.10632 .31201 L
.11674 .31217 L
.12636 .31229 L
.13146 .31233 L
.13709 .31238 L
.14274 .31241 L
.14583 .31242 L
.14873 .31243 L
.15003 .31244 L
.15146 .31244 L
.1528 .31244 L
.15405 .31244 L
.15529 .31245 L
.15641 .31245 L
.1577 .31245 L
.15892 .31245 L
.16025 .31244 L
.16092 .31244 L
.16166 .31244 L
.16418 .31244 L
.1656 .31243 L
.16713 .31243 L
.16988 .31242 L
.17543 .31239 L
.18056 .31235 L
.19218 .31224 L
.20242 .3121 L
.21331 .31192 L
.25294 .31099 L
.29516 .30966 L
.33578 .30828 L
.37898 .30694 L
.40053 .3064 L
.41104 .30618 L
.42058 .30601 L
.42986 .30587 L
.43993 .30574 L
.44546 .30569 L
.45056 .30565 L
.45543 .30562 L
.4606 .3056 L
.46325 .30559 L
.46456 .30559 L
.46577 .30558 L
.46696 .30558 L
Mistroke
.46804 .30558 L
.46923 .30558 L
.4705 .30558 L
.47188 .30558 L
.47314 .30558 L
.47453 .30558 L
.47522 .30558 L
.47599 .30558 L
.47728 .30558 L
.47866 .30559 L
.48115 .30559 L
.48363 .3056 L
.48632 .30562 L
.49121 .30565 L
.50038 .30572 L
.51027 .30584 L
.52118 .306 L
.54325 .30643 L
.58552 .30759 L
.6262 .30894 L
.66945 .31039 L
.69104 .31103 L
.71111 .31154 L
.7305 .31194 L
.74126 .31212 L
.75118 .31225 L
.76196 .31235 L
.76764 .31239 L
.77053 .31241 L
.77363 .31242 L
.77636 .31243 L
.77885 .31244 L
.78005 .31244 L
.78135 .31244 L
.78258 .31244 L
.78372 .31245 L
.78504 .31245 L
.78628 .31245 L
.78763 .31245 L
.78839 .31244 L
.78909 .31244 L
.79042 .31244 L
.79188 .31244 L
.79481 .31243 L
.79746 .31242 L
.80034 .31241 L
.80558 .31238 L
.81537 .31229 L
.82681 .31216 L
.83736 .31199 L
Mistroke
.85704 .3116 L
.8787 .31106 L
.92102 .30974 L
.96175 .30835 L
1 .30714 L
Mfstroke
0 .30903 m
.04057 .44459 L
.06168 .50805 L
.07286 .53626 L
.08481 .55998 L
.09607 .57644 L
.10632 .58704 L
.11126 .59087 L
.11662 .59423 L
.12131 .59656 L
.12636 .59854 L
.13148 .60006 L
.13627 .60113 L
.13919 .60164 L
.14197 .60204 L
.14719 .6026 L
.14984 .6028 L
.15266 .60297 L
.15404 .60305 L
.15533 .6031 L
.15775 .60318 L
.15915 .60322 L
.15991 .60324 L
.16063 .60326 L
.16189 .60328 L
.16328 .6033 L
.16406 .6033 L
.16479 .60331 L
.16617 .60331 L
.16694 .60331 L
.16766 .60331 L
.16844 .6033 L
.16927 .6033 L
.17046 .60328 L
.17177 .60326 L
.17313 .60324 L
.1744 .60321 L
.17668 .60313 L
.17911 .60304 L
.18197 .60288 L
.18466 .6027 L
.18712 .60249 L
.18971 .60223 L
.19451 .60159 L
.19892 .60079 L
.20368 .59964 L
.20891 .59797 L
.21438 .59561 L
.21958 .5928 L
.22933 .58539 L
Mistroke
.23477 .57995 L
.23982 .57389 L
.25126 .55617 L
.26239 .53308 L
.27285 .50579 L
.29241 .44088 L
.33294 .27024 L
.3535 .18555 L
.36439 .14625 L
.37605 .11002 L
.38729 .0813 L
.39753 .0606 L
.40782 .04475 L
.41756 .03368 L
.4224 .02948 L
.42773 .02561 L
.43329 .02246 L
.43851 .02022 L
.44338 .01858 L
.44783 .01752 L
.44913 .01717 L
.45054 .01689 L
.45187 .0167 L
.45309 .015 L
.4542 .01623 L
.45541 .01608 L
.45786 .01577 L
.46286 .01531 L
.46561 .01512 L
.46693 .01512 L
.46818 .01498 L
.46934 .01496 L
.4706 .01494 L
.47165 .01485 L
.47281 .01489 L
.47406 .0148 L
.47539 .01478 L
.47662 .01481 L
.47777 .01473 L
.47904 .0148 L
.48043 .01472 L
.48113 .01472 L
.48188 .01478 L
.48323 .01475 L
.48458 .01476 L
.48585 .01477 L
.487 .01479 L
.48824 .01483 L
.48895 .01483 L
.48971 .01488 L
Mistroke
.49109 .0149 L
.49184 .01493 L
.49252 .015 L
.49334 .015 L
.49411 .01503 L
.49545 .01517 L
.4967 .01518 L
.49807 .01534 L
.49883 .01538 L
.49952 .01538 L
.50079 .01554 L
.50197 .01563 L
.50326 .01574 L
.50465 .01595 L
.50743 .01637 L
.51006 .0167 L
.51124 .01701 L
.51249 .01712 L
.51386 .01748 L
.51513 .01778 L
.51975 .01895 L
.52233 .01985 L
.52511 .02099 L
.53015 .02319 L
.53613 .02674 L
.54161 .03094 L
.55192 .04163 L
.5615 .05515 L
.57201 .07493 L
.58324 .10176 L
.60567 .17382 L
.62683 .25933 L
.66725 .4309 L
.68813 .50203 L
.69866 .53017 L
.71023 .55478 L
.72091 .57191 L
.73067 .58338 L
.73605 .58822 L
.74193 .59244 L
.74747 .59555 L
.75261 .5978 L
.75796 .59957 L
.76374 .60097 L
.7664 .60146 L
.7692 .6019 L
.77162 .60221 L
.77422 .60248 L
.77674 .60271 L
.77905 .60287 L
Mistroke
.78355 .6031 L
.78477 .60315 L
.78607 .6032 L
.78674 .60321 L
.78749 .60323 L
.7888 .60326 L
.79004 .60328 L
.79137 .6033 L
.79262 .60331 L
.79377 .60332 L
.79512 .60331 L
.79639 .60331 L
.79753 .6033 L
.79877 .60328 L
.80012 .60327 L
.8008 .60326 L
.80155 .60324 L
.80287 .60321 L
.8041 .60317 L
.80648 .60308 L
.80873 .60298 L
.80997 .60291 L
.81133 .60282 L
.8137 .60264 L
.81917 .6021 L
.82194 .60172 L
.82499 .60123 L
.83039 .60006 L
.83545 .59858 L
.84038 .59671 L
.84577 .59406 L
.8514 .59049 L
.85663 .58639 L
.86602 .57663 L
.87606 .56225 L
.88681 .5413 L
.89846 .51326 L
.91962 .44488 L
.96257 .26456 L
1 .12283 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{424.688, 262.5},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006X00011Q000`40O003h00OogooZGoo003oOonY
Ool00?moojUoo`00ogooZGoo003oOonYOol00?moojUoo`00ogooZGoo003oOonYOol00?moojUoo`00
ogooZGoo003oOonYOol00?moojUoo`00ogooZGoo003oOonYOol00?moojUoo`00ogooZGoo000VOol0
0`00Oomoo`10Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool0
0`0?Oomoo`0^Ool002Ioo`03001oogoo041oo`0300moogoo041oo`0300moogoo045oo`0300moogoo
041oo`0300moogoo045oo`0300moogoo02ioo`009Woo00<007ooOol0@7oo00<03gooOol0@7oo00<0
3gooOol0@Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomoo`10
Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^
Ool002Ioo`03001oogoo041oo`0300moogoo041oo`0300moogoo045oo`0300moogoo041oo`0300mo
ogoo045oo`0300moogoo02ioo`009Woo0P00@Goo00<03gooOol0@7oo00<03gooOol03goo00<007oo
Ool03@008Woo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomoo`10
Ool00`0?Oomoo`10Ool00`0?Oomoo`0=Ool5000=Ool7000KOol00`0?Oomoo`10Ool00`0?Oomoo`11
Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo041oo`0300moogoo041oo`0300moogoo00Yoo`<001Uo
o`<001Qoo`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`009Woo00<007ooOol0@7oo
00<03gooOol0@7oo00<03gooOol027oo0P007goo0P005Woo00<03gooOol0@7oo00<03gooOol0@Goo
00<03gooOol0;Woo000VOol00`00Oomoo`10Ool00`0?Oomoo`10Ool00`0?Oomoo`06Ool2000SOol0
0`00Oomoo`0COol00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo
041oo`0300moogoo041oo`0300moogoo00Eoo`03001oogoo02Aoo`03001oogoo019oo`0300moogoo
041oo`0300moogoo045oo`0300moogoo02ioo`009Woo00<007ooOol0@7oo00<03gooOol0@7oo00<0
3gooOol017oo00<007ooOol09Woo0P004Woo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0
;Woo000VOol00`00Oomoo`10Ool00`0?Oomoo`10Ool00`0?Oomoo`03Ool00`00Oomoo`0YOol00`00
Oomoo`0?Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo041o
o`0300moogoo041oo`0300moogoo009oo`03001oogoo02]oo`03001oogoo00ioo`0300moogoo041o
o`0300moogoo045oo`0300moogoo02ioo`009Woo0P00@Goo00<03gooOol0@7oo00D03gooOomoo`00
02moo`03001oogoo00eoo`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`009Woo00<0
07ooOol0@7oo00<03gooOol0@7oo00@03gooOol0031oo`03001oogoo00eoo`0300moogoo041oo`03
00moogoo045oo`0300moogoo02ioo`009Woo00<007ooOol0@7oo00<03gooOol0@7oo00@03gooOol0
035oo`03001oogoo00aoo`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`009Woo00<0
07ooOol0@7oo00<03gooOol0@7oo00<03goo0000<goo00<007ooOol02goo00<03gooOol0@7oo00<0
3gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomoo`10Ool00`0?Oomoo`10Ool00`0?Ool0000c
Ool00`00Oomoo`0;Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool0011oo`<000Ao
o`8000Aoo`8000Moo`03001oogoo041oo`0300moogoo041oo`0300l007oo03Aoo`03001oogoo00Yo
o`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`004Goo00<007ooOol00Woo00@007oo
Ool0009oo`04001oogoo0006Ool00`00Oomoo`10Ool00`0?Oomoo`10Ool00`0?001oo`0dOol00`00
Oomoo`0:Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool000Uoo`D000=oo`03001o
ogoo009oo`04001oogoo0002Ool01000Oomoo`001Woo00<007ooOol0@7oo00<03gooOol0@7oo00<0
07ooOol0=Goo00<007ooOol02Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000A
Ool00`00Oomoo`02Ool01000Oomoo`000Woo00@007ooOol000Ioo`<008<03`0300003`0?03D03`03
00003`0?09403c1oo`004Goo00<007ooOol00Woo00@007ooOol0009oo`04001oogoo0006Ool00`00
Oomoo`10Ool00`0?Oomoo`0oOol00`0000moo`0gOol00`00Oomoo`08Ool00`0?Oomoo`10Ool00`0?
Oomoo`11Ool00`0?Oomoo`0^Ool0011oo`8000Aoo`04001oogoo0002Ool01000Oomoo`001Woo00<0
07ooOol0@7oo00<03gooOol0?goo00<0000?Ool0=goo00<007ooOol027oo00<03gooOol0@7oo00<0
3gooOol0@Goo00<03gooOol0;Woo000AOol00`00Oomoo`03Ool20004Ool20007Ool00`00Oomoo`10
Ool00`0?Oomoo`0nOol00`00Ool03`0hOol00`00Oomoo`08Ool00`0?Oomoo`10Ool00`0?Oomoo`11
Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo041oo`0300moogoo03eoo`04001oogoo00liOol00`00
Oomoo`07Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo041o
o`0300moogoo03eoo`04001oogoo00liOol00`00Oomoo`07Ool00`0?Oomoo`10Ool00`0?Oomoo`11
Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo041oo`0300moogoo03aoo`05001oogooOol03`0jOol0
0`00Oomoo`06Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo
041oo`0300moogoo03aoo`05001oogooOol03`0jOol00`00Oomoo`06Ool00`0?Oomoo`10Ool00`0?
Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`80045oo`0300moogoo03]oo`03001oogoo009oo`0300mo
ogoo03Uoo`03001oogoo00Eoo`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`009Woo
00<007ooOol0@7oo00<03gooOol0>goo00<007ooOol00Woo00<03gooOol0>Goo00<007ooOol01Goo
00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomoo`10Ool00`0?Oomo
o`0jOol00`00Oomoo`03Ool00`0?Oomoo`0iOol00`00Oomoo`05Ool00`0?Oomoo`10Ool00`0?Oomo
o`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo041oo`0300moogoo03Yoo`03001oogoo00=oo`03
00moogoo03Yoo`03001oogoo00Aoo`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`00
9Woo00<007ooOol0@7oo00<03gooOol0>Woo00<007ooOol00goo00<03gooOol0>Woo00<007ooOol0
17oo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol00`00Oomoo`10Ool00`0?
Oomoo`0iOol00`00Oomoo`04Ool00`0?Oomoo`0kOol00`00Oomoo`03Ool00`0?Oomoo`10Ool00`0?
Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo041oo`0300moogoo03Uoo`03001oogoo00Ao
o`0300moogoo03]oo`03001oogoo00=oo`0300moogoo041oo`0300moogoo045oo`0300moogoo02io
o`009Woo00<007ooOol0@7oo00<03gooOol0>7oo00<007ooOol01Goo00<03gooOol0?7oo00<007oo
Ool00Woo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0;Woo000VOol20011Ool00`0?Oomo
o`0hOol00`00Oomoo`05Ool00`0?Oomoo`0lOol00`00Oomoo`02Ool00`0?Oomoo`10Ool00`0?Oomo
o`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo041oo`0300moogoo03Qoo`03001oogoo00Eoo`03
00moogoo03aoo`03001oogoo009oo`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`00
9Woo00<007ooOol0@7oo00<03gooOol0=goo00<007ooOol01Woo00<03gooOol0?Goo00D007ooOomo
o`0?049oo`0300moogoo045oo`0300moogoo02ioo`009Woo00<007ooOol0@7oo00<03gooOol0=goo
00<007ooOol01Woo00<03gooOol0?Goo00D007ooOomoo`0?049oo`0300moogoo045oo`0300moogoo
02ioo`009Woo00<007ooOol0@7oo00<03gooOol0=goo00<007ooOol01Woo00<03gooOol0?Goo00D0
07ooOomoo`0?049oo`0300moogoo045oo`03001oogoo02ioo`009Woo00<007ooOol0@7oo00<03goo
Ool0=Woo00<007ooOol01goo00<03gooOol0?Woo00@007ooOol03d9oo`0300moogoo045oo`03001o
ogoo02ioo`009Woo00<007ooOol0@7oo00<03gooOol0=Woo00<007ooOol01goo00<03gooOol0?Woo
00@007ooOol03d9oo`0300moogoo045oo`03001oogoo02ioo`009Woo00<007ooOol0@7oo00<03goo
Ool0=Woo00<007ooOol01goo00<03gooOol0?Woo00@007ooOol03d9oo`0300moogoo041oo`030000
3goo02moo`009Woo00<007ooOol0@7oo00<03gooOol0=Goo00<007ooOol027oo00<03gooOol0?goo
00<007oo00l0@Woo00<03gooOol0@7oo00<0000?Ool0;goo000VOol20011Ool00`0?Oomoo`0eOol0
0`00Oomoo`08Ool00`0?Oomoo`0oOol00`00Ool03`12Ool00`0?Oomoo`10Ool00`0000moo`0_Ool0
02Ioo`03001oogoo041oo`0300moogoo03Eoo`03001oogoo00Qoo`0300moogoo03moo`03001oo`0?
049oo`0300moogoo041oo`0300003goo02moo`009Woo00<007ooOol0@7oo00<03gooOol0=7oo00<0
07ooOol02Goo00<03gooOol0@7oo00<0000?Ool0@Goo00<03gooOol0?goo00<007oo00l0<7oo000V
Ool00`00Oomoo`10Ool00`0?Oomoo`0dOol00`00Oomoo`09Ool00`0?Oomoo`10Ool00`0000moo`11
Ool00`0?Oomoo`0oOol00`00Ool03`0`Ool002Ioo`03001oogoo041oo`0300moogoo03Aoo`03001o
ogoo00Uoo`0300moogoo041oo`0300003goo045oo`0300moogoo03moo`03001oo`0?031oo`009Woo
00<007ooOol0@7oo00<03gooOol0=7oo00<007ooOol02Goo00<03gooOol0@Goo00<007ooOol0@7oo
00<03gooOol0?Woo00@007ooOol03c1oo`009Woo00<007ooOol0@7oo00<03gooOol0<goo00<007oo
Ool02Woo00<03gooOol0@Goo00<007ooOol0@7oo00<03gooOol0?Woo00@007ooOol03c1oo`009Woo
00<007ooOol0@7oo00<03gooOol0<goo00<007ooOol02Woo00<03gooOol0@Goo00<007ooOol0@7oo
00<03gooOol0?Woo00@007ooOol03c1oo`009Woo0P00@Goo00<03gooOol0<goo00<007ooOol02Woo
00<03gooOol0@Goo00<03`00Ool0@7oo00<03gooOol0?Woo00@007ooOol03c1oo`009Woo00<007oo
Ool0@7oo00<03gooOol0<goo00<007ooOol02Woo00<03gooOol0@Goo00<03`00Ool0@7oo00<03goo
Ool0?Goo00D007ooOomoo`0?031oo`009Woo00<007ooOol0@7oo00<03gooOol0<Woo00<007ooOol0
2goo00<03gooOol0@Goo00<03`00Ool0@7oo00<03gooOol0?Goo00D007ooOomoo`0?031oo`009Woo
00<007ooOol0@7oo00<03gooOol0<Woo00<007ooOol02goo00<03gooOol0@Goo00<03goo0000@7oo
00<03gooOol0?Goo00D007ooOomoo`0?031oo`009Woo00<007ooOol0@7oo00<03gooOol0<Woo00<0
07ooOol02goo00<03gooOol0@Goo00<03goo0000@7oo00<03gooOol0?Goo00D007ooOomoo`0?031o
o`009Woo00<007ooOol0@7oo00<03gooOol0<Woo00<007ooOol02goo00<03gooOol0@Goo00<03goo
0000@7oo00<03gooOol0?7oo00<007ooOol00Woo00<03gooOol0;Woo000FOol30004Ool20007Ool0
0`00Oomoo`10Ool00`0?Oomoo`0bOol00`00Oomoo`0;Ool00`0?Oomoo`11Ool00`0?Ool00010Ool0
0`0?Oomoo`0lOol00`00Oomoo`02Ool00`0?Oomoo`0^Ool001Eoo`05001oogooOol00002Ool01000
Oomoo`001Woo00<007ooOol0@7oo00<03gooOol0<Goo00<007ooOol037oo00<03gooOol0@Goo00@0
3gooOol003moo`0300moogoo03aoo`03001oogoo009oo`0300moogoo02ioo`003goo1@001Goo00@0
07ooOol0009oo`03001oogoo00Aoo`<007@03`0300003`0?05<03`0300003`0?07/03`0300003`0?
00@03c1oo`006Goo00@007ooOol0009oo`03001oogoo00Aoo`03001oogoo041oo`0300moogoo035o
o`03001oogoo00aoo`0300moogoo045oo`0400moogoo000oOol00`0?Oomoo`0kOol00`00Oomoo`03
Ool00`0?Oomoo`0^Ool001Eoo`@000=oo`04001oogoo0006Ool00`00Oomoo`10Ool00`0?Oomoo`0a
Ool00`00Oomoo`0<Ool00`0?Oomoo`11Ool0100?Oomoo`00?goo00<03gooOol0>goo00<007ooOol0
0goo00<03gooOol0;Woo000EOol00`00Oomoo`04Ool01000Oomoo`001Woo00<007ooOol0@7oo00<0
3gooOol0<7oo00<007ooOol03Goo00<03gooOol0@Goo00D03gooOomoo`0003ioo`0300moogoo03]o
o`03001oogoo00=oo`0300moogoo02ioo`005Goo1@000goo0P001goo00<007ooOol0@7oo00<03goo
Ool0<7oo00<007ooOol03Goo00<03gooOol0@Goo00D03gooOomoo`0003ioo`0300moogoo03Yoo`03
001oogoo00Aoo`0300moogoo02ioo`009Woo00<007ooOol0@7oo00<03gooOol0<7oo00<007ooOol0
3Goo00<03gooOol0@Goo00D03gooOomoo`0003ioo`0300moogoo03Yoo`03001oogoo00Aoo`0300mo
ogoo02ioo`009Woo00<007ooOol0@7oo00<03gooOol0<7oo00<007ooOol03Goo00<03gooOol0@Goo
00D03gooOomoo`0003ioo`0300moogoo03Yoo`03001oogoo00Aoo`0300moogoo02ioo`009Woo00<0
07ooOol0@7oo00<03gooOol0;goo00<007ooOol03Woo00<03gooOol0@Goo00<03gooOol00Woo00<0
07ooOol0>goo00<03gooOol0>Woo00<007ooOol017oo00<03gooOol0;Woo000VOol20011Ool00`0?
Oomoo`0_Ool00`00Oomoo`0>Ool00`0?Oomoo`11Ool00`0?Oomoo`02Ool00`00Oomoo`0kOol00`0?
Oomoo`0iOol00`00Oomoo`05Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo041oo`0300moogoo02mo
o`03001oogoo00ioo`0300moogoo045oo`0300moogoo009oo`03001oogoo03]oo`0300moogoo03Uo
o`03001oogoo00Eoo`0300moogoo02ioo`009Woo00<007ooOol0@7oo00<03gooOol0;goo00<007oo
Ool03Woo00<03gooOol0@Goo00<03gooOol00Woo00<007ooOol0>goo00<03gooOol0>Goo00<007oo
Ool01Goo00<03gooOol0;Woo000VOol00`00Oomoo`10Ool00`0?Oomoo`0^Ool00`00Oomoo`0?Ool0
0`0?Oomoo`11Ool00`0?Oomoo`03Ool00`00Oomoo`0jOol00`0?Oomoo`0hOol00`00Oomoo`06Ool0
0`0?Oomoo`0^Ool002Ioo`03001oogoo041oo`0300moogoo02ioo`03001oogoo00moo`0300moogoo
045oo`0300moogoo00=oo`03001oogoo03Yoo`0300moogoo03Qoo`03001oogoo00Ioo`0300moogoo
02ioo`009Woo00<007ooOol0@7oo00<03gooOol0;Woo00<007ooOol03goo00<03gooOol0@Goo00<0
3gooOol00goo00<007ooOol0>Woo00<03gooOol0>7oo00<007ooOol01Woo00<03gooOol0;Woo000V
Ool00`00Oomoo`10Ool00`0?Oomoo`0^Ool00`00Oomoo`0?Ool00`0?Oomoo`11Ool00`0?Oomoo`03
Ool00`00Oomoo`0jOol00`0?Oomoo`0hOol00`00Oomoo`06Ool00`0?Oomoo`0^Ool002Ioo`03001o
ogoo041oo`0300moogoo02eoo`03001oogoo011oo`0300moogoo045oo`0300moogoo00=oo`03001o
ogoo03Yoo`0300moogoo03Moo`03001oogoo00Moo`0300moogoo02ioo`009Woo00<007ooOol0@7oo
00<03gooOol0;Goo00<007ooOol047oo00<03gooOol0@Goo00<03gooOol017oo00<007ooOol0>Goo
00<03gooOol0=goo00<007ooOol01goo00<03gooOol0;Woo000VOol20011Ool00`0?Oomoo`0]Ool0
0`00Oomoo`0@Ool00`0?Oomoo`11Ool00`0?Oomoo`04Ool00`00Oomoo`0iOol00`0?Oomoo`0gOol0
0`00Oomoo`07Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo041oo`0300moogoo02eoo`03001oogoo
011oo`0300moogoo045oo`0300moogoo00Aoo`03001oogoo03Uoo`0300moogoo03Moo`03001oogoo
00Moo`0300moogoo02ioo`009Woo00<007ooOol0@7oo00<03gooOol0;7oo00<007ooOol04Goo00<0
3gooOol0@Goo00<03gooOol017oo00<007ooOol0>Goo00<03gooOol0=Woo00<007ooOol027oo00<0
3gooOol0;Woo000VOol00`00Oomoo`10Ool00`0?Oomoo`0/Ool00`00Oomoo`0AOol00`0?Oomoo`11
Ool00`0?Oomoo`05Ool00`00Oomoo`0hOol00`0?Oomoo`0fOol00`00Oomoo`08Ool00`0?Oomoo`0^
Ool002Ioo`03001oogoo041oo`0300moogoo02aoo`03001oogoo015oo`0300moogoo045oo`0300mo
ogoo00Eoo`03001oogoo03Qoo`0300moogoo03Ioo`03001oogoo00Qoo`0300moogoo02ioo`009Woo
00<007ooOol0@7oo00<03gooOol0;7oo00<007ooOol04Goo00<03gooOol0@Goo00<03gooOol01Goo
00<007ooOol0>7oo00<03gooOol0=Goo00<007ooOol02Goo00<03gooOol0;Woo000VOol00`00Oomo
o`10Ool00`0?Oomoo`0[Ool00`00Oomoo`0BOol00`0?Oomoo`11Ool00`0?Oomoo`05Ool00`00Oomo
o`0hOol00`0?Oomoo`0eOol00`00Oomoo`09Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo041oo`03
00moogoo02]oo`03001oogoo019oo`0300moogoo045oo`0300moogoo00Ioo`03001oogoo03Moo`03
00moogoo03Eoo`03001oogoo00Uoo`0300moogoo02ioo`009Woo0P00@Goo00<03gooOol0:goo00<0
07ooOol04Woo00<03gooOol0@Goo00<03gooOol01Woo00<007ooOol0=goo00<03gooOol0=Goo00<0
07ooOol02Goo00<03gooOol0;Woo000VOol00`00Oomoo`10Ool00`0?Oomoo`0[Ool00`00Oomoo`0B
Ool00`0?Oomoo`11Ool00`0?Oomoo`06Ool00`00Oomoo`0gOol00`0?Oomoo`0dOol00`00Oomoo`0:
Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo041oo`0300moogoo02Yoo`03001oogoo01=oo`0300mo
ogoo045oo`0300moogoo00Ioo`03001oogoo03Moo`0300moogoo03Aoo`03001oogoo00Yoo`0300mo
ogoo02ioo`009Woo00<007ooOol0@7oo00<03gooOol0:Woo00<007ooOol04goo00<03gooOol0@Goo
00<03gooOol01goo00<007ooOol0=Woo00<03gooOol0=7oo00<007ooOol02Woo00<03gooOol0;Woo
000VOol00`00Oomoo`0iOol20004Ool0100000moogoo1@009Goo00<007ooOol037oo0P0017oo00<0
000?Ool00goo0`00=Goo0P0017oo00<0000?Ool00Woo0`000goo00<007ooOol0;goo0P0017oo00<0
000?Ool00Woo0`00<7oo00<007ooOol027oo0`00<7oo000VOol00`00Oomoo`0hOol01000Oomoo`00
17oo00D03gooOomoo`00009oo`03001oogoo02=oo`03001oogoo00]oo`04001oogoo0004Ool00`0?
Oomoo`03Ool00`00Oomoo`0cOol01000Oomoo`0017oo00@03gooOol000=oo`04001oogoo000`Ool0
1000Oomoo`0017oo00@03gooOol000=oo`03001oogoo02aoo`03001oogoo00Yoo`0300003goo02mo
o`009Woo00<007ooOol0>7oo00@007ooOol000Aoo`0300moogoo009oo`03001oogoo02Aoo`03001o
ogoo00aoo`04001oogoo0004Ool00`0?Oomoo`05000dOol01000Oomoo`0017oo00@03gooOol000=o
o`04001oogoo000`Ool01000Oomoo`0017oo00@03gooOol000=oo`03001oogoo02aoo`03001oogoo
00Yoo`0300003goo02moo`009Woo00<007ooOol0>7oo00@007ooOol000Aoo`0300moogoo00=oo`03
001oogoo02=oo`03001oogoo00aoo`04001oogoo0004Ool0100?Oomoo`000Woo00<007ooOol0<goo
00@007ooOol000Aoo`0300moogoo00@000Aoo`03001oogoo02eoo`04001oogoo0004Ool0100?Oomo
ogoo0`00;goo00<007ooOol02Woo00<0000?Ool0;goo000VOol2000iOol01000Oomoo`0017oo00@0
3gooOol000=oo`03001oogoo029oo`03001oogoo00aoo`04001oogoo0004Ool01`0?Oomoogoo001o
o`0003Eoo`04001oogoo0004Ool0100?Oomoo`001goo00<007ooOol0;Goo00@007ooOol000Aoo`04
00moogoo0003Ool00`00Oomoo`0/Ool00`00Oomoo`0:Ool00`0000moo`0_Ool002Ioo`03001oogoo
03Qoo`04001oogoo0004Ool0100?Oomoo`000goo00<007ooOol08Woo00<007ooOol037oo00@007oo
Ool000Aoo`0300moogoo009oo`8003Eoo`04001oogoo0004Ool01@0?Oomoogoo00001Woo00<007oo
Ool0;Goo00@007ooOol000Aoo`0400moogoo0003Ool00`00Oomoo`0[Ool00`00Oomoo`0:Ool20000
0`0?Oomoo`0^Ool002Ioo`03001oogoo03Uoo`8000Eoo`0400moogooOol3000TOol00`00Oomoo`0>
Ool20005Ool00`0?Oomoo`03Ool00`00Oomoo`0dOol20005Ool00`0?Oomoo`02Ool20004Ool00`00
Oomoo`0^Ool20005Ool0100?Oomoogoo0`00;Woo00<007ooOol02goo00<0000?Ool0;goo000VOol0
0`00Oomoo`10Ool00`0?Oomoo`0XOol00`00Oomoo`0EOol00`0?Oomoo`11Ool00`0?Oomoo`09Ool0
0`00Oomoo`0dOol00`0?Oomoo`0bOol00`00Oomoo`0<Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo
041oo`0300moogoo02Qoo`03001oogoo01Eoo`0300moogoo045oo`0300moogoo00Uoo`03001oogoo
03Aoo`0300moogoo039oo`03001oogoo00aoo`0300moogoo02ioo`009Woo00<007ooOol0@7oo00<0
3gooOol0:7oo00<007ooOol05Goo00<03gooOol0@Goo00<03gooOol02Goo00<007ooOol0=7oo00<0
3gooOol0<Woo00<007ooOol037oo00<03gooOol0;Woo000VOol00`00Oomoo`10Ool00`0?Oomoo`0W
Ool00`00Oomoo`0FOol00`0?Oomoo`11Ool00`0?Oomoo`09Ool00`00Oomoo`0dOol00`0?Oomoo`0a
Ool00`00Oomoo`0=Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo041oo`0300moogoo02Moo`03001o
ogoo01Ioo`0300moogoo00Ioob0001]oo`0300moogoo00Yoo`03001oogoo03=oo`0300moogoo035o
o`03001oogoo00eoo`0300moogoo00Moo`D0009oo`<0009oo`D000=oo`8000Qoo`@000Eoo`009Woo
00<007ooOol0@7oo00<03gooOol097oo9@0087oo7P002Woo00<007ooOol0<goo00<03gooOol0;Goo
5@002Goo00L007ooOomoo`00Ool00007Ool00`00Oomoo`02Ool01000Oomoo`002goo00<007ooOol0
0Woo000VOooo001C000:Ool00`00Oomoo`02Ool50003Ool00`00Oomoo`02Ool00`00Oomoo`09Ool3
0005Ool002Ioo`03001oogoo00eoo`03001oogoo00ioo`03001oo`0002X000Ioo`03001oogoo00io
o`03001oogoo00Aoo`03001oogoo00Moo`03001oogoo00eoo`03001oogoo00ioo`03001oogoo00io
o`03001oogoo00ioo`03001oogoo00ioo`03001oogoo00Yoo`05001oogooOol0000@Ool00`00Oomo
o`05Ool[000@Ool00`00Oomoo`0>Ool00`00Oomoo`0>Ool00`00Oomoo`09Ool01@00Oomoogoo0000
0goo00D007ooOomoo`0000Aoo`03001oogoo00Qoo`03001oogoo00Ioo`009Woo00<007ooOol0@7oo
00<007ooOol09Woo00<007ooOol05goo00<007ooOol0@Goo00<007ooOol02Woo00<007ooOol0<goo
00<007ooOol0<7oo00<007ooOol03Woo00<007ooOol02Woo00@007ooOomoo`<0009oo`<000=oo`@0
00Uoo`@000Aoo`009Woo0P00@Goo00<03gooOol09Woo00<007ooOol05goo00<03gooOol0@Goo00<0
3gooOol02goo00<007ooOol0<Woo00<03gooOol0<7oo00<007ooOol03Woo00<03gooOol01goo00D0
07ooOomoo`0000ioo`03001oogoo015oo`009Woo0P00@Goo00<03gooOol09Woo00<007ooOol05goo
00<03gooOol0@Goo00<03gooOol02goo00<007ooOol0<Woo00<03gooOol0<7oo00<007ooOol03Woo
00<03gooOol01goo1@002Goo00<007ooOol00Woo00<007ooOol04Goo000VOol20011Ool00`0?Oomo
o`0VOol00`00Oomoo`0GOol00`0?Oomoo`11Ool00`0?Oomoo`0;Ool00`00Oomoo`0bOol00`0?Oomo
o`0_Ool00`00Oomoo`0?Ool00`0?Oomoo`0^Ool002Ioo`03001oo`00041oo`0300moogoo02Eoo`03
001oogoo01Qoo`0300moogoo045oo`0300moogoo00]oo`03001oogoo039oo`0300moogoo02moo`03
001oogoo00moo`0300moogoo02ioo`009Woo00<007oo0000@7oo00<03gooOol09Goo00<007ooOol0
67oo00<03gooOol0@Goo00<03gooOol037oo00<007ooOol0<Goo00<03gooOol0;goo00<007ooOol0
3goo00<03gooOol0;Woo000VOol30010Ool00`0?Oomoo`0UOol00`00Oomoo`0HOol00`0?Oomoo`11
Ool00`0?Oomoo`0<Ool00`00Oomoo`0aOol00`0?Oomoo`0_Ool00`00Oomoo`0?Ool00`0?Oomoo`0^
Ool002Ioo`03001oo`00041oo`0300moogoo02Eoo`03001oogoo01Qoo`0300moogoo045oo`0300mo
ogoo00aoo`03001oogoo035oo`0300moogoo02moo`03001oogoo00moo`0300moogoo02ioo`009Woo
00@007ooOol003moo`0300moogoo02Aoo`03001oogoo01Uoo`0300moogoo045oo`0300moogoo00ao
o`03001oogoo035oo`0300moogoo02ioo`03001oogoo011oo`0300moogoo02ioo`009Woo00@007oo
Ool003moo`0300moogoo02Aoo`03001oogoo01Uoo`0300moogoo045oo`0300moogoo00eoo`03001o
ogoo031oo`0300moogoo02ioo`03001oogoo011oo`0300moogoo02ioo`009Woo00@007ooOol003mo
o`0300moogoo02Aoo`03001oogoo01Uoo`0300moogoo045oo`0300moogoo00eoo`03001oogoo031o
o`0300moogoo02ioo`03001oogoo011oo`0300moogoo02ioo`009Woo00D007ooOomoo`0003ioo`03
00moogoo02Aoo`03001oogoo01Uoo`0300moogoo045oo`0300moogoo00eoo`03001oogoo031oo`03
00moogoo02ioo`03001oogoo011oo`0300moogoo02ioo`009Woo00D007ooOomoo`0003ioo`0300mo
ogoo02=oo`03001oogoo01Yoo`0300moogoo045oo`0300moogoo00eoo`03001oogoo031oo`0300mo
ogoo02eoo`03001oogoo015oo`0300moogoo02ioo`009Woo00D007ooOomoo`0003ioo`0300moogoo
02=oo`03001oogoo01Yoo`0300moogoo045oo`0300moogoo00ioo`03001oogoo02moo`0300moogoo
02eoo`03001oogoo015oo`0300moogoo02ioo`009Woo0P000Woo00<007ooOol0?7oo00<03gooOol0
8goo00<007ooOol06Woo00<03gooOol0@Goo00<03gooOol03Woo00<007ooOol0;goo00<03gooOol0
;Goo00<007ooOol04Goo00<03gooOol0;Woo000VOol00`00Oomoo`02Ool00`00Oomoo`0kOol00`0?
Oomoo`0SOol00`00Oomoo`0JOol00`0?Oomoo`11Ool00`0?Oomoo`0>Ool00`00Oomoo`0_Ool00`0?
Oomoo`0]Ool00`00Oomoo`0AOol00`0?Oomoo`0^Ool002Ioo`03001oogoo009oo`03001oogoo03]o
o`0300moogoo029oo`03001oogoo01]oo`0300moogoo045oo`0300moogoo00ioo`03001oogoo02mo
o`0300moogoo02aoo`03001oogoo019oo`0300moogoo02ioo`009Woo00<007ooOol00Woo00<007oo
Ool0>goo00<03gooOol08Woo00<007ooOol06goo00<03gooOol0@Goo00<03gooOol03goo00<007oo
Ool0;Woo00<03gooOol0;7oo00<007ooOol04Woo00<03gooOol0;Woo000VOol00`00Oomoo`03Ool0
0`00Oomoo`0jOol00`0?Oomoo`0ROol00`00Oomoo`0KOol00`0?Oomoo`11Ool00`0?Oomoo`0?Ool0
0`00Oomoo`0^Ool00`0?Oomoo`0/Ool00`00Oomoo`0BOol00`0?Oomoo`0^Ool002Ioo`03001oogoo
00=oo`03001oogoo03Yoo`0300moogoo029oo`03001oogoo01]oo`0300moogoo045oo`0300moogoo
00moo`03001oogoo02ioo`0300moogoo02aoo`03001oogoo019oo`0300moogoo02ioo`009Woo00<0
07ooOol00goo00<007ooOol0>Woo00<03gooOol08Goo00<007ooOol077oo00<03gooOol0@Goo00<0
3gooOol03goo00<007ooOol0;Woo00<03gooOol0:goo00<007ooOol04goo00<03gooOol0;Woo000V
Ool00`00Oomoo`04Ool00`00Oomoo`0iOol00`0?Oomoo`0QOol00`00Oomoo`0LOol00`0?Oomoo`11
Ool00`0?Oomoo`0@Ool00`00Oomoo`0]Ool00`0?Oomoo`0[Ool00`00Oomoo`0COol00`0?Oomoo`0^
Ool002Ioo`8000Eoo`03001oogoo03Uoo`0300moogoo025oo`03001oogoo01aoo`0300moogoo045o
o`0300moogoo011oo`03001oogoo02eoo`0300moogoo02]oo`03001oogoo01=oo`0300moogoo02io
o`009Woo00<007ooOol017oo00<007ooOol0>Goo00<03gooOol08Goo00<007ooOol077oo00<03goo
Ool0@Goo00<03gooOol047oo00<007ooOol0;Goo00<03gooOol0:goo00<007ooOol04goo00<03goo
Ool0;Woo000VOol00`00Oomoo`04Ool00`00Oomoo`0iOol00`0?Oomoo`0POol00`00Oomoo`0MOol0
0`0?Oomoo`11Ool00`0?Oomoo`0@Ool00`00Oomoo`0]Ool00`0?Oomoo`0[Ool00`00Oomoo`0COol0
0`0?Oomoo`0^Ool002Ioo`03001oogoo00Eoo`03001oogoo03Qoo`0300moogoo021oo`03001oogoo
01eoo`0300moogoo045oo`0300moogoo015oo`03001oogoo02aoo`0300moogoo02Yoo`03001oogoo
01Aoo`0300moogoo02ioo`009Woo00<007ooOol01Goo00<007ooOol0>7oo00<03gooOol087oo00<0
07ooOol07Goo00<03gooOol0@Goo00<03gooOol04Goo00<007ooOol0;7oo00<03gooOol0:Woo00<0
07ooOol057oo00<03gooOol0;Woo000VOol00`00Oomoo`05Ool00`00Oomoo`0hOol00`0?Oomoo`0P
Ool00`00Oomoo`0MOol00`0?Oomoo`11Ool00`0?Oomoo`0AOol00`00Oomoo`0/Ool00`0?Oomoo`0Z
Ool00`00Oomoo`0DOol00`0?Oomoo`0^Ool002Ioo`03001oogoo00Ioo`03001oogoo03Moo`0300mo
ogoo01moo`03001oogoo01ioo`0300moogoo045oo`0300moogoo015oo`03001oogoo02aoo`0300mo
ogoo02Yoo`03001oogoo01Aoo`0300moogoo02ioo`009Woo00<007ooOol01Woo00<007ooOol0=goo
00<03gooOol07goo00<007ooOol07Woo00<03gooOol0@Goo00<03gooOol04Goo00<007ooOol0;7oo
00<03gooOol0:Goo00<007ooOol05Goo00<03gooOol0;Woo000VOol00`00Oomoo`06Ool00`00Oomo
o`0gOol00`0?Oomoo`0OOol00`00Oomoo`0NOol00`0?Oomoo`11Ool00`0?Oomoo`0BOol00`00Oomo
o`0[Ool00`0?Oomoo`0YOol00`00Oomoo`0EOol00`0?Oomoo`0^Ool002Ioo`8000Moo`03001oogoo
03Moo`0300moogoo01moo`03001oogoo01ioo`0300moogoo045oo`0300moogoo019oo`03001oogoo
02]oo`0300moogoo02Uoo`03001oogoo01Eoo`0300moogoo02ioo`009Woo00<007ooOol01goo00<0
07ooOol0=Woo00<03gooOol07goo00<007ooOol07Woo00<03gooOol0@Goo00<03gooOol04Woo00<0
07ooOol0:goo00<03gooOol0:Goo00<007ooOol05Goo00<03gooOol0;Woo000VOol00`00Oomoo`07
Ool00`00Oomoo`0fOol00`0?Oomoo`0NOol00`00Oomoo`0OOol00`0?Oomoo`11Ool00`0?Oomoo`0B
Ool00`00Oomoo`0[Ool00`0?Oomoo`0XOol00`00Oomoo`0FOol00`0?Oomoo`0^Ool002Ioo`03001o
ogoo00Moo`03001oogoo03Ioo`0300moogoo01ioo`03001oogoo01moo`0300moogoo045oo`0300mo
ogoo01=oo`03001oogoo02Yoo`0300moogoo02Qoo`03001oogoo01Ioo`0300moogoo02ioo`009Woo
00<007ooOol027oo00<007ooOol0=Goo00<03gooOol07Woo00<007ooOol07goo00<03gooOol0@Goo
00<03gooOol04goo00<007ooOol0:Woo00<03gooOol0:7oo00<007ooOol05Woo00<03gooOol0;Woo
000FOol30004Ool20007Ool00`00Oomoo`08Ool00`00Oomoo`0eOol00`0?Oomoo`0NOol00`00Oomo
o`0OOol00`0?Oomoo`11Ool00`0?Oomoo`0COol00`00Oomoo`0ZOol00`0?Oomoo`0XOol00`00Oomo
o`0FOol00`0?Oomoo`0^Ool001Eoo`05001oogooOol00002Ool01000Oomoo`001Woo00<007ooOol0
27oo00<007ooOol0=Goo00<03gooOol07Goo00<007ooOol087oo00<03gooOol0@Goo00<03gooOol0
4goo00<007ooOol0:Woo00<03gooOol0:7oo00<007ooOol05Woo00<03gooOol0;Woo000IOol01000
Oomoo`000Woo00<007ooOol017oo00<007ooOol027oo00<007ooOol0=Goo00<03gooOol07Goo00<0
07ooOol087oo00<03gooOol0@Goo00<03gooOol057oo00<007ooOol0:Goo00<03gooOol09goo00<0
07ooOol05goo00<03gooOol0;Woo000IOol01000Oomoo`000Woo00<007ooOol017oo0`002@0?00<0
000?00l0E00?00<0000?00l0N`0?00<0000?00l0D`0?00<0000?00l0600?<7oo000EOol40003Ool0
1000Oomoo`001Woo00<007ooOol02Goo00<007ooOol0=7oo00<03gooOol07Goo00<007ooOol087oo
00<03gooOol0@Goo00<03gooOol057oo00<007ooOol0:Goo00<03gooOol09goo00<007ooOol05goo
00<03gooOol0;Woo000EOol00`00Oomoo`04Ool01000Oomoo`001Woo00<007ooOol02Goo00<007oo
Ool0=7oo00<03gooOol077oo00<007ooOol08Goo00<03gooOol0@Goo00<03gooOol057oo00<007oo
Ool0:Goo00<03gooOol09goo00<007ooOol05goo00<03gooOol0;Woo000EOol50003Ool20007Ool0
0`00Oomoo`0:Ool00`00Oomoo`0cOol00`0?Oomoo`0LOol00`00Oomoo`0QOol00`0?Oomoo`11Ool0
0`0?Oomoo`0EOol00`00Oomoo`0XOol00`0?Oomoo`0VOol00`00Oomoo`0HOol00`0?Oomoo`0^Ool0
02Ioo`03001oogoo00Yoo`03001oogoo03=oo`0300moogoo01aoo`03001oogoo025oo`0300moogoo
045oo`0300moogoo01Eoo`03001oogoo02Qoo`0300moogoo02Ioo`03001oogoo01Qoo`0300moogoo
02ioo`009Woo00<007ooOol02Woo00<007ooOol0<goo00<03gooOol077oo00<007ooOol08Goo00<0
3gooOol0@Goo00<03gooOol05Goo00<007ooOol0:7oo00<03gooOol09Woo00<007ooOol067oo00<0
3gooOol0;Woo000VOol00`00Oomoo`0:Ool00`00Oomoo`0cOol00`0?Oomoo`0KOol00`00Oomoo`0R
Ool00`0?Oomoo`11Ool00`0?Oomoo`0FOol00`00Oomoo`0WOol00`0?Oomoo`0VOol00`00Oomoo`0H
Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo00]oo`03001oogoo039oo`0300moogoo01]oo`03001o
ogoo029oo`0300moogoo045oo`0300moogoo01Ioo`03001oogoo02Moo`0300moogoo02Eoo`03001o
ogoo01Uoo`0300moogoo02ioo`009Woo0P0037oo00<007ooOol0<Woo00<03gooOol06goo00<007oo
Ool08Woo00<03gooOol0@Goo00<03gooOol05Woo00<007ooOol09goo00<03gooOol09Goo00<007oo
Ool06Goo00<03gooOol0;Woo000VOol00`00Oomoo`0;Ool00`00Oomoo`0bOol00`0?Oomoo`0JOol0
0`00Oomoo`0SOol00`0?Oomoo`11Ool00`0?Oomoo`0FOol00`00Oomoo`0WOol00`0?Oomoo`0UOol0
0`00Oomoo`0IOol00`0?Oomoo`0^Ool002Ioo`03001oogoo00aoo`03001oogoo035oo`0300moogoo
01Yoo`03001oogoo02=oo`0300moogoo045oo`0300moogoo01Moo`03001oogoo02Ioo`0300moogoo
02Aoo`03001oogoo01Yoo`0300moogoo02ioo`009Woo00<007ooOol037oo00<007ooOol0<Goo00<0
3gooOol06Woo00<007ooOol08goo00<03gooOol0@Goo00<03gooOol05goo00<007ooOol09Woo00<0
3gooOol097oo00<007ooOol06Woo00<03gooOol0;Woo000VOol00`00Oomoo`0<Ool00`00Oomoo`0a
Ool00`0?Oomoo`0JOol00`00Oomoo`0SOol00`0?Oomoo`11Ool00`0?Oomoo`0GOol00`00Oomoo`0V
Ool00`0?Oomoo`0TOol00`00Oomoo`0JOol00`0?Oomoo`0^Ool002Ioo`03001oogoo00eoo`03001o
ogoo031oo`0300moogoo01Uoo`03001oogoo02Aoo`0300moogoo045oo`0300moogoo01Qoo`03001o
ogoo02Eoo`0300moogoo02=oo`03001oogoo01]oo`0300moogoo02ioo`009Woo00<007ooOol03Goo
00<007ooOol0<7oo00<03gooOol06Goo00<007ooOol097oo00<03gooOol0@Goo00<03gooOol067oo
00<007ooOol09Goo00<03gooOol08goo00<007ooOol06goo00<03gooOol0;Woo000VOol00`00Oomo
o`0=Ool00`00Oomoo`0`Ool00`0?Oomoo`0IOol00`00Oomoo`0TOol00`0?Oomoo`11Ool00`0?Oomo
o`0HOol00`00Oomoo`0UOol00`0?Oomoo`0SOol00`00Oomoo`0KOol00`0?Oomoo`0^Ool002Ioo`80
00moo`03001oogoo02moo`0300moogoo01Uoo`03001oogoo02Aoo`0300moogoo045oo`0300moogoo
01Uoo`03001oogoo02Aoo`0300moogoo029oo`03001oogoo01aoo`0300moogoo02ioo`009Woo00<0
07ooOol03Woo00<007ooOol0;goo00<03gooOol067oo00<007ooOol09Goo00<03gooOol0@Goo00<0
3gooOol06Goo00<007ooOol097oo00<03gooOol08Woo00<007ooOol077oo00<03gooOol0;Woo000V
Ool00`00Oomoo`0>Ool00`00Oomoo`0_Ool00`0?Oomoo`0HOol00`00Oomoo`0UOol00`0?Oomoo`11
Ool00`0?Oomoo`0IOol00`00Oomoo`0TOol00`0?Oomoo`0ROol00`00Oomoo`0LOol00`0?Oomoo`0^
Ool002Ioo`03001oogoo00moo`03001oogoo02ioo`0300moogoo01Qoo`03001oogoo02Eoo`0300mo
ogoo045oo`0300moogoo01Uoo`03001oogoo02Aoo`0300moogoo029oo`03001oogoo01aoo`0300mo
ogoo02ioo`009Woo00<007ooOol03goo00<007ooOol0;Woo00<03gooOol05goo00<007ooOol09Woo
00<03gooOol0@Goo00<03gooOol06Woo00<007ooOol08goo00<03gooOol08Goo00<007ooOol07Goo
00<03gooOol0;Woo000VOol00`00Oomoo`0?Ool00`00Oomoo`0^Ool00`0?Oomoo`0GOol00`00Oomo
o`0VOol00`0?Oomoo`11Ool00`0?Oomoo`0JOol00`00Oomoo`0SOol00`0?Oomoo`0QOol00`00Oomo
o`0MOol00`0?Oomoo`0^Ool002Ioo`03001oogoo011oo`03001oogoo02eoo`0300moogoo01Moo`03
001oogoo02Ioo`0300moogoo045oo`0300moogoo01Yoo`03001oogoo02=oo`0300moogoo025oo`03
001oogoo01eoo`0300moogoo02ioo`009Woo00<007ooOol047oo00<007ooOol0;Goo00<03gooOol0
5goo00<007ooOol09Woo00<03gooOol0@Goo00<03gooOol06goo00<007ooOol08Woo00<03gooOol0
87oo00<007ooOol07Woo00<03gooOol0;Woo000VOol00`00Oomoo`0@Ool00`00Oomoo`0]Ool00`0?
Oomoo`0FOol00`00Oomoo`0WOol00`0?Oomoo`11Ool00`0?Oomoo`0KOol00`00Oomoo`0ROol00`0?
Oomoo`0POol00`00Oomoo`0NOol00`0?Oomoo`0^Ool002Ioo`80019oo`03001oogoo02aoo`0300mo
ogoo01Ioo`03001oogoo02Moo`0300moogoo045oo`0300moogoo01]oo`03001oogoo029oo`0300mo
ogoo021oo`03001oogoo01ioo`0300moogoo02ioo`009Woo00<007ooOol04Goo00<007ooOol0;7oo
00<03gooOol05Woo00<007ooOol09goo00<03gooOol0@Goo00<03gooOol077oo00<007ooOol08Goo
00<03gooOol07goo00<007ooOol07goo00<03gooOol0;Woo000VOol00`00Oomoo`0AOol00`00Oomo
o`0/Ool00`0?Oomoo`0EOol00`00Oomoo`0XOol00`0?Oomoo`11Ool00`0?Oomoo`0LOol00`00Oomo
o`0QOol00`0?Oomoo`0OOol00`00Oomoo`0OOol00`0?Oomoo`0^Ool002Ioo`03001oogoo019oo`03
001oogoo02]oo`0300moogoo01Eoo`03001oogoo02Qoo`0300moogoo045oo`0300moogoo01aoo`03
001oogoo025oo`0300moogoo01moo`03001oogoo01moo`0300moogoo02ioo`009Woo00<007ooOol0
4Woo00<007ooOol0:goo00<03gooOol057oo00<007ooOol0:Goo00<03gooOol0@Goo00<03gooOol0
7Goo00<007ooOol087oo00<03gooOol07Woo00<007ooOol087oo00<03gooOol0;Woo000VOol00`00
Oomoo`0COol00`00Oomoo`0ZOol00`0?Oomoo`0DOol00`00Oomoo`0YOol00`0?Oomoo`11Ool00`0?
Oomoo`0MOol00`00Oomoo`0POol00`0?Oomoo`0NOol00`00Oomoo`0POol00`0?Oomoo`0^Ool002Io
o`03001oogoo01=oo`03001oogoo02Yoo`0300moogoo01Aoo`03001oogoo02Uoo`0300moogoo045o
o`0300moogoo01eoo`03001oogoo021oo`0300moogoo01ioo`03001oogoo021oo`0300moogoo02io
o`009Woo00<007ooOol04goo00<007ooOol0:Woo00<03gooOol04goo00<007ooOol0:Woo00<03goo
Ool0@Goo00<03gooOol07Woo00<007ooOol07goo00<03gooOol07Goo00<007ooOol08Goo00<03goo
Ool0;Woo000VOol2000EOol00`00Oomoo`0YOol00`0?Oomoo`0COol00`00Oomoo`0ZOol00`0?Oomo
o`11Ool00`0?Oomoo`0NOol00`00Oomoo`0OOol00`0?Oomoo`0MOol00`00Oomoo`0QOol00`0?Oomo
o`0^Ool002Ioo`03001oogoo01Aoo`03001oogoo02Uoo`0300moogoo019oo`03001oogoo02]oo`03
00moogoo045oo`0300moogoo01ioo`03001oogoo01moo`0300moogoo01aoo`03001oogoo029oo`03
00moogoo02ioo`009Woo00<007ooOol05Goo00<007ooOol0:7oo00<03gooOol04Woo00<007ooOol0
:goo00<03gooOol0@Goo00<03gooOol07goo00<007ooOol07Woo00<03gooOol077oo00<007ooOol0
8Woo00<03gooOol0;Woo000VOol00`00Oomoo`0EOol00`00Oomoo`0XOol00`0?Oomoo`0AOol00`00
Oomoo`0/Ool00`0?Oomoo`11Ool00`0?Oomoo`0OOol00`00Oomoo`0NOol00`0?Oomoo`0LOol00`00
Oomoo`0ROol00`0?Oomoo`0^Ool002Ioo`03001oogoo01Ioo`03001oogoo02Moo`0300moogoo015o
o`03001oogoo02aoo`0300moogoo045oo`0300moogoo021oo`03001oogoo01eoo`0300moogoo01]o
o`03001oogoo02=oo`0300moogoo02ioo`009Woo00<007ooOol05Woo00<007ooOol09goo00<03goo
Ool047oo00<007ooOol0;Goo00<03gooOol0@Goo00<03gooOol087oo00<007ooOol07Goo00<03goo
Ool06goo00<007ooOol08goo00<03gooOol0;Woo000@Ool30004Ool20004Ool20007Ool00`00Oomo
o`0GOol00`00Oomoo`0VOol00`0?Oomoo`0@Ool00`00Oomoo`0]Ool00`0?Oomoo`11Ool00`0?Oomo
o`0QOol00`00Oomoo`0LOol00`0?Oomoo`0JOol00`00Oomoo`0TOol00`0?Oomoo`0^Ool0015oo`03
001oogoo009oo`04001oogoo0002Ool01000Oomoo`001Woo00<007ooOol05goo00<007ooOol09Woo
00<03gooOol03goo00<007ooOol0;Woo00<03gooOol0@Goo00<03gooOol08Goo00<007ooOol077oo
00<03gooOol06Woo00<007ooOol097oo00<03gooOol0;Woo000AOol00`00Oomoo`02Ool01000Oomo
o`000Woo00@007ooOol000Ioo`<001P03`0300003`0?03L03`0300003`0?09L03`0300003`0?03L0
3`0300003`0?02H03c1oo`004Goo00<007ooOol00Woo00@007ooOol0009oo`04001oogoo0006Ool0
0`00Oomoo`0HOol00`00Oomoo`0UOol00`0?Oomoo`0>Ool00`00Oomoo`0_Ool00`0?Oomoo`11Ool0
0`0?Oomoo`0ROol00`00Oomoo`0KOol00`0?Oomoo`0HOol00`00Oomoo`0VOol00`0?Oomoo`0^Ool0
015oo`03001oogoo009oo`04001oogoo0002Ool01000Oomoo`001Woo00<007ooOol06Goo00<007oo
Ool097oo00<03gooOol03Woo00<007ooOol0;goo00<03gooOol0@Goo00<03gooOol08goo00<007oo
Ool06Woo00<03gooOol067oo00<007ooOol09Woo00<03gooOol0;Woo000@Ool20004Ool01000Oomo
o`000Woo00@007ooOol000Ioo`03001oogoo01Uoo`03001oogoo02Aoo`0300moogoo00eoo`03001o
ogoo031oo`0300moogoo045oo`0300moogoo02Aoo`03001oogoo01Uoo`0300moogoo01Moo`03001o
ogoo02Moo`0300moogoo02ioo`004Goo00<007ooOol00goo0P0017oo0P001goo00<007ooOol06Woo
00<007ooOol08goo00<03gooOol037oo00<007ooOol0<Goo00<03gooOol0@Goo00<03gooOol097oo
00<007ooOol06Goo00<03gooOol05goo00<007ooOol09goo00<03gooOol0;Woo000VOol00`00Oomo
o`0KOol00`00Oomoo`0ROol00`0?Oomoo`0<Ool00`00Oomoo`0aOol00`0?Oomoo`11Ool00`0?Oomo
o`0UOol00`00Oomoo`0HOol00`0?Oomoo`0FOol00`00Oomoo`0XOol00`0?Oomoo`0^Ool002Ioo`03
001oogoo01]oo`03001oogoo029oo`0300moogoo00]oo`03001oogoo039oo`0300moogoo045oo`03
00moogoo02Ioo`03001oogoo01Moo`0300moogoo01Eoo`03001oogoo02Uoo`0300moogoo02ioo`00
9Woo00<007ooOol077oo00<007ooOol08Goo00<03gooOol02Woo00<007ooOol0<goo00<03gooOol0
@Goo00<03gooOol09Woo00<007ooOol05goo00<03gooOol05Goo00<007ooOol0:Goo00<03gooOol0
;Woo000VOol00`00Oomoo`0MOol00`00Oomoo`0POol00`0?Oomoo`0:Ool00`00Oomoo`0cOol00`0?
Oomoo`11Ool00`0?Oomoo`0WOol00`00Oomoo`0FOol00`0?Oomoo`0COol2000/Ool00`0?Oomoo`0^
Ool002Ioo`8001moo`03001oogoo01moo`0300moogoo00Uoo`03001oogoo03Aoo`0300moogoo045o
o`0300moogoo02Qoo`03001oogoo01Eoo`0300moogoo019oo`03001oogoo02aoo`0300moogoo02io
o`009Woo00<007ooOol07goo00<007ooOol07Woo00<03gooOol027oo00<007ooOol0=Goo00<03goo
Ool0@Goo00<03gooOol0:Goo00<007ooOol057oo00<03gooOol04Goo00<007ooOol0;Goo00<03goo
Ool0;Woo000VOol00`00Oomoo`0POol00`00Oomoo`0MOol00`0?Oomoo`06Ool2000hOol00`0?Oomo
o`11Ool00`0?Oomoo`0ZOol00`00Oomoo`0COol00`0?Oomoo`0@Ool00`00Oomoo`0^Ool00`0?Oomo
o`0^Ool002Ioo`03001oogoo025oo`03001oogoo01aoo`0300moogoo00Eoo`03001oogoo03Qoo`03
00moogoo045oo`0300moogoo02]oo`8001=oo`0300moogoo00moo`03001oogoo02moo`0300moogoo
02ioo`009Woo00<007ooOol08Woo0P0077oo00<03gooOol00goo0P00>goo00<03gooOol0@Goo00<0
3gooOol0;Goo0P004Goo00<03gooOol03Woo00<007ooOol0<7oo00<03gooOol0;Woo000VOol00`00
Oomoo`0TOol00`00Oomoo`0IOol0100?Oomoogoo0P00?Goo00<03gooOol0@Goo00<03gooOol0;goo
00<007ooOol03Woo00<03gooOol037oo0P00<goo00<03gooOol0;Woo000VOol00`00Oomoo`0UOol4
000GOol0100?Ool00000?goo00<03gooOol0@Goo00<03gooOol0<7oo0P003Woo00<03gooOol02Goo
0`00=Goo00<03gooOol0;Woo000VOol00`00Oomoo`0YOol5000>Ool60011Ool00`0?Oomoo`11Ool0
0`0?Oomoo`0bOol60008Ool00`0?Oomoo`03Ool6000hOol00`0?Oomoo`0^Ool002Ioo`8002moo`l0
00=oo`0300moogoo041oo`0300moogoo045oo`0300moogoo03Qoo`h003ioo`0300moogoo02ioo`00
9Woo00<007ooOol0@7oo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0@7oo00<03gooOol0
@Goo00<03gooOol0;Woo000VOol00`00Oomoo`10Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?
Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`0^Ool002Ioo`03001oogoo041oo`0300moogoo041o
o`0300moogoo045oo`0300moogoo041oo`0300moogoo045oo`0300moogoo02ioo`009Woo00<007oo
Ool0@7oo00<03gooOol0@7oo00<03gooOol0@Goo00<03gooOol0@7oo00<03gooOol0@Goo00<03goo
Ool0;Woo000VOol00`00Oomoo`10Ool00`0?Oomoo`10Ool00`0?Oomoo`11Ool00`0?Oomoo`10Ool0
0`0?Oomoo`11Ool00`0?Oomoo`0^Ool00?moojUoo`00ogooZGoo003oOonYOol00?moojUoo`00ogoo
ZGoo001_Ool3000?Ool3002HOol30029Ool0079oo`03001oogoo00moo`03001oogoo09Ioo`03001o
ogoo08Qoo`00EWoo10000goo0`000goo00<007oo00000goo0`000goo10000goo0P0000=oo`000000
0P0000Aoo`00001oo`@000Qoo`@0009oo`<0009oo`@000Yoo`80009oo`<00003Ool00000009oo`80
00=oo`<0009oo`<000=oo`@000=oo`<0009oo`H00004Ool000000002Ool300000goo000000020000
0goo00000002Ool30002Ool500000goo000000020008Ool3000017oo000007oo10000Woo0`000Woo
1P001goo0`000Woo2`0000=oo`0000000P000goo0`000Woo1@0000=oo`0000000`00Hgoo001GOol0
1P00Oomoo`00Ool000Ioo`03001oo`00009oo`03001oogoo00=oo`05001oogooOol00002Ool01000
Oomoo`000Woo00H007ooOol007oo0003Ool00`00Oomoo`05Ool01000Oomoo`000Woo00<007ooOol0
1goo00<007ooOol01Woo00@007ooOol0009oo`04001oogoo0002Ool01P00Oomoo`00Ool000Ioo`03
001oogoo00Ioo`03001oo`0000=oo`04001oogoo0002Ool00`00Ool00006Ool01000Oomoo`000Woo
00<007oo00000Woo00<007ooOol01Goo00<007ooOol01Goo00<007ooOol01Woo00H007ooOol007oo
0002Ool01000Oomoo`000goo00@007ooOol0009oo`03001oogoo00Ioo`04001oogoo0002Ool01000
Oomoo`000goo00<007ooOol01Goo00<007oo00000goo00D007ooOomoo`0000Eoo`03001oogoo06=o
o`0087oo0`00=7oo00D007ooOol007oo00D00007Ool007oo001oo`00Ool01@0000=oo`00Ool00Woo
00@007ooOol0009oo`04001oogoo0002Ool00`00Ool00003Ool00`00Oomoo`05Ool01000Oomoo`00
0Woo1@000Woo0`002Goo00@007ooOol0009oo`04001oogoo0002Ool00`00Oomoo`02Ool50002Ool0
0`00Oomoo`03Ool30002Ool00`00Oomoo`04Ool01@00Oomoo`00Ool01@000Woo00@007ooOol0009o
o`8000=oo`D000=oo`03001oogoo009oo`<000Uoo`04001oogoo0002Ool30002Ool00`00Oomoo`04
Ool01000Oomoo`0027oo00@007ooOol0009oo`04001oogoo0003Ool00`00Oomoo`02Ool30002Ool0
1@00Oomoogoo00000goo00<007ooOol00goo00<007ooOol0Hgoo000QOol00`00Oomoo`0cOol30002
Ool03@00Oomoogoo001oo`00Ool007oo001oo`0000=oo`03001oo`0000=oo`04001oogoo0002Ool0
1000Oomoo`000Woo00<007oo00000goo00<007ooOol01Goo00@007ooOol0009oo`07001oogooOol0
07oo000037oo00@007ooOol0009oo`04001oogoo0002Ool00`00Oomoo`02Ool01@00Oomoogoo0000
0Woo0P000goo00<007ooOol00goo00D007ooOomoo`00009oo`06001oogoo001oo`000goo00@007oo
Ool0009oo`06001oogoo001oo`000Woo00D007ooOomoo`0000=oo`05001oogooOol0000<Ool01P00
Oomoo`00Ool0009oo`04001oogoo0003Ool01000Oomoo`000Woo00<007ooOol01Woo00@007ooOol0
009oo`04001oogoo0003Ool01@00Oomoogoo00001Goo00D007ooOomoo`0000=oo`03001oogoo00=o
o`03001oogoo06=oo`000Woo0P0000=oo`0000000`0000Aoo`00000000Uoo`03001oogoo00Moo`<0
009oo`/00003Ool00000008000=oo`<0009oo`D00003Ool0000000<000ioo`04001oogoo0002Ool3
0002Ool6000017oo000000000goo1`0000Aoo`00001oo`@000=oo`D000Moo`<000=oo`<000=oo`@0
00Qoo`05001oogoo001oo`040002Ool40003Ool30002Ool200000goo00000002Ool40002Ool30003
Ool30003Ool30002Ool40003Ool01000Ool000000Woo0`0017oo00<007ooOol00Woo10001goo1000
0goo0P0017oo0`000goo0`0027oo10000goo0`000Woo0`0017oo10000Woo0`0017oo00<007ooOol0
0goo00<007ooOol0Hgoo0002Ool01`00Oomoogoo001oo`0000=oo`03001oogoo00Qoo`03001oogoo
00Moo`04001oogoo0002Ool01000Oomoo`000goo00<007ooOol01Goo00<007oo00000goo00D007oo
Oomoo`0000Eoo`03001oogoo00ioo`04001oogoo000dOol00`00Oomoo`0COol01000Oomoo`0027oo
00<007ooOol06goo00<007ooOol03goo00<007ooOol02Woo00<007ooOol087oo00<007ooOol03goo
00<007ooOol05Woo00<007ooOol00goo00<007ooOol0Hgoo0002Ool01`00Oomoogoo001oo`0000=o
o`03001oogoo00Ioo`D000Moo`04001oogoo0002Ool01000Oomoo`000goo00<007ooOol00Woo0`00
0Woo00D007ooOomoo`0000=oo`03001oogoo00=oo`03001oogoo00eoo`@003Aoo`8001Aoo`<00003
Ool0000000Moo`03001oogoo01Yoo`80011oo`8000Yoo`<0025oo`80011oo`8000Ioo`03001oogoo
00eoo`<000=oo`<006Eoo`000Woo00L007ooOomoo`00Ool00003Ool00`00Oomoo`08Ool00`00Oomo
o`07Ool01000Oomoo`000Woo00@007ooOol000=oo`05001oogooOol00005Ool01@00Oomoogoo0000
0goo00<007ooOol00goo00<007ooOol0ogooH7oo0002Ool02`00Ool007oo001oo`00Ool007oo0000
2Woo00<007ooOol01Woo10000goo0`000Woo0`0017oo10000Woo0`0017oo00<007ooOol00goo00<0
07ooOol0ogooH7oo0002Ool2000017oo000007oo0P0000=oo`0000006Woo00<007ooOol05Woo00<0
07ooOol00goo00<007ooOol0ogooH7oo0002Ool01000Oomoogoo0`000goo0P0067oo0P001Woo00<0
07ooOol03Goo0`000goo0`00ogooHWoo003oOonYOol00?moojUoo`00ogooZGoo003oOonYOol00?mo
ojUoo`00ogooZGoo003oOonYOol00?moojUoo`00ogooZGoo003oOonYOol00?moojUoo`00ogooZGoo
003oOonYOol00?moojUoo`00ogooZGoo003oOonYOol00?moojUoo`00ogooZGoo0000\
\>"],
  ImageRangeCache->{{{0, 423.688}, {261.5, 0}} -> {-0.11268, -145.701, \
0.00296514, 1.2088}}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Vergleich der Muskelmomente", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Show[MMplo1, MMplo2];\)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0 1 0.240015 0.00187786 [
[.2 .22751 -9 -9 ]
[.2 .22751 9 0 ]
[.4 .22751 -9 -9 ]
[.4 .22751 9 0 ]
[.6 .22751 -9 -9 ]
[.6 .22751 9 0 ]
[.8 .22751 -9 -9 ]
[.8 .22751 9 0 ]
[1 .22751 -3 -9 ]
[1 .22751 3 0 ]
[1.025 .24001 0 -6 ]
[1.025 .24001 40 6 ]
[-0.0125 .05223 -24 -4.5 ]
[-0.0125 .05223 0 4.5 ]
[-0.0125 .14612 -18 -4.5 ]
[-0.0125 .14612 0 4.5 ]
[-0.0125 .33391 -12 -4.5 ]
[-0.0125 .33391 0 4.5 ]
[-0.0125 .4278 -18 -4.5 ]
[-0.0125 .4278 0 4.5 ]
[-0.0125 .52169 -18 -4.5 ]
[-0.0125 .52169 0 4.5 ]
[-0.0125 .61559 -18 -4.5 ]
[-0.0125 .61559 0 4.5 ]
[0 .64303 -38 0 ]
[0 .64303 38 12 ]
[.5 .63053 -122 0 ]
[.5 .63053 122 12 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 .5 r
.25 Mabswid
[ ] 0 setdash
0 0 m
0 .61803 L
s
.2 0 m
.2 .61803 L
s
.4 0 m
.4 .61803 L
s
.6 0 m
.6 .61803 L
s
.8 0 m
.8 .61803 L
s
1 0 m
1 .61803 L
s
0 .05223 m
1 .05223 L
s
0 .14612 m
1 .14612 L
s
0 .24001 m
1 .24001 L
s
0 .33391 m
1 .33391 L
s
0 .4278 m
1 .4278 L
s
0 .52169 m
1 .52169 L
s
0 .61559 m
1 .61559 L
s
0 g
.2 .24001 m
.2 .24626 L
s
[(0.2)] .2 .22751 0 1 Mshowa
.4 .24001 m
.4 .24626 L
s
[(0.4)] .4 .22751 0 1 Mshowa
.6 .24001 m
.6 .24626 L
s
[(0.6)] .6 .22751 0 1 Mshowa
.8 .24001 m
.8 .24626 L
s
[(0.8)] .8 .22751 0 1 Mshowa
1 .24001 m
1 .24626 L
s
[(1)] 1 .22751 0 1 Mshowa
.125 Mabswid
.05 .24001 m
.05 .24376 L
s
.1 .24001 m
.1 .24376 L
s
.15 .24001 m
.15 .24376 L
s
.25 .24001 m
.25 .24376 L
s
.3 .24001 m
.3 .24376 L
s
.35 .24001 m
.35 .24376 L
s
.45 .24001 m
.45 .24376 L
s
.5 .24001 m
.5 .24376 L
s
.55 .24001 m
.55 .24376 L
s
.65 .24001 m
.65 .24376 L
s
.7 .24001 m
.7 .24376 L
s
.75 .24001 m
.75 .24376 L
s
.85 .24001 m
.85 .24376 L
s
.9 .24001 m
.9 .24376 L
s
.95 .24001 m
.95 .24376 L
s
.25 Mabswid
0 .24001 m
1 .24001 L
s
gsave
1.025 .24001 -61 -10 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Zeit) show
93.000 13.000 moveto
(s) show
99.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .05223 m
.00625 .05223 L
s
[(-100)] -0.0125 .05223 1 0 Mshowa
0 .14612 m
.00625 .14612 L
s
[(-50)] -0.0125 .14612 1 0 Mshowa
0 .33391 m
.00625 .33391 L
s
[(50)] -0.0125 .33391 1 0 Mshowa
0 .4278 m
.00625 .4278 L
s
[(100)] -0.0125 .4278 1 0 Mshowa
0 .52169 m
.00625 .52169 L
s
[(150)] -0.0125 .52169 1 0 Mshowa
0 .61559 m
.00625 .61559 L
s
[(200)] -0.0125 .61559 1 0 Mshowa
.125 Mabswid
0 .07101 m
.00375 .07101 L
s
0 .08979 m
.00375 .08979 L
s
0 .10856 m
.00375 .10856 L
s
0 .12734 m
.00375 .12734 L
s
0 .1649 m
.00375 .1649 L
s
0 .18368 m
.00375 .18368 L
s
0 .20246 m
.00375 .20246 L
s
0 .22124 m
.00375 .22124 L
s
0 .25879 m
.00375 .25879 L
s
0 .27757 m
.00375 .27757 L
s
0 .29635 m
.00375 .29635 L
s
0 .31513 m
.00375 .31513 L
s
0 .35269 m
.00375 .35269 L
s
0 .37146 m
.00375 .37146 L
s
0 .39024 m
.00375 .39024 L
s
0 .40902 m
.00375 .40902 L
s
0 .44658 m
.00375 .44658 L
s
0 .46536 m
.00375 .46536 L
s
0 .48414 m
.00375 .48414 L
s
0 .50292 m
.00375 .50292 L
s
0 .54047 m
.00375 .54047 L
s
0 .55925 m
.00375 .55925 L
s
0 .57803 m
.00375 .57803 L
s
0 .59681 m
.00375 .59681 L
s
0 .03345 m
.00375 .03345 L
s
0 .01467 m
.00375 .01467 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
gsave
0 .64303 -99 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(MM) show
81.000 13.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(+) show
93.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(phisoll) show
135.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.5 .63053 -183 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Bewegung) show
117.000 13.000 moveto
(des) show
141.000 13.000 moveto
(Unterschenkels) show
231.000 13.000 moveto
(nach) show
261.000 13.000 moveto
(phisoll) show
303.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
0 .24001 m
.04057 .24105 L
.06168 .24154 L
.08481 .24199 L
.0952 .24216 L
.10632 .24231 L
.11674 .24243 L
.12636 .24252 L
.13146 .24256 L
.13709 .24259 L
.14274 .24262 L
.14583 .24263 L
.14873 .24263 L
.15003 .24264 L
.15146 .24264 L
.1528 .24264 L
.15405 .24264 L
.15529 .24264 L
.15641 .24264 L
.1577 .24264 L
.15892 .24264 L
.16025 .24264 L
.16092 .24264 L
.16166 .24264 L
.16418 .24264 L
.1656 .24263 L
.16713 .24263 L
.16988 .24262 L
.17543 .2426 L
.18056 .24257 L
.19218 .24248 L
.20242 .24238 L
.21331 .24224 L
.25294 .24153 L
.29516 .24051 L
.33578 .23945 L
.37898 .23843 L
.40053 .23802 L
.41104 .23785 L
.42058 .23772 L
.42986 .23761 L
.43993 .23751 L
.44546 .23747 L
.45056 .23744 L
.45543 .23742 L
.4606 .2374 L
.46325 .23739 L
.46456 .23739 L
.46577 .23739 L
.46696 .23739 L
Mistroke
.46804 .23739 L
.46923 .23739 L
.4705 .23739 L
.47188 .23739 L
.47314 .23739 L
.47453 .23739 L
.47522 .23739 L
.47599 .23739 L
.47728 .23739 L
.47866 .23739 L
.48115 .2374 L
.48363 .23741 L
.48632 .23742 L
.49121 .23744 L
.50038 .2375 L
.51027 .23758 L
.52118 .23771 L
.54325 .23804 L
.58552 .23892 L
.6262 .23996 L
.66945 .24107 L
.69104 .24156 L
.71111 .24195 L
.7305 .24226 L
.74126 .24239 L
.75118 .24249 L
.76196 .24257 L
.76764 .2426 L
.77053 .24261 L
.77363 .24263 L
.77636 .24263 L
.77885 .24264 L
.78005 .24264 L
.78135 .24264 L
.78258 .24264 L
.78372 .24264 L
.78504 .24264 L
.78628 .24264 L
.78763 .24264 L
.78839 .24264 L
.78909 .24264 L
.79042 .24264 L
.79188 .24264 L
.79481 .24263 L
.79746 .24262 L
.80034 .24261 L
.80558 .24259 L
.81537 .24253 L
.82681 .24242 L
.83736 .2423 L
Mistroke
.85704 .242 L
.8787 .24158 L
.92102 .24057 L
.96175 .23951 L
1 .23858 L
Mfstroke
0 .24003 m
.00123 .53076 L
.00236 .60332 L
.00365 .60224 L
.00488 .57235 L
.00942 .44487 L
.012 .39232 L
.01438 .35557 L
.01698 .32518 L
.01975 .30145 L
.02221 .28574 L
.02486 .27304 L
.02737 .26407 L
.02966 .25777 L
.03233 .25218 L
.03525 .24763 L
.03801 .24443 L
.04057 .24215 L
.04334 .24022 L
.04635 .23861 L
.0518 .23646 L
.0571 .23496 L
.06198 .23383 L
.08481 .22941 L
.10625 .22547 L
.11672 .2237 L
.12627 .22226 L
.13549 .22109 L
.14551 .22011 L
.14818 .21991 L
.15102 .21972 L
.15611 .21948 L
.15722 .21942 L
.1584 .21937 L
.15969 .21932 L
.16088 .21929 L
.16217 .21926 L
.16286 .21925 L
.16359 .21924 L
.16491 .21923 L
.16614 .21922 L
.16682 .21921 L
.16755 .21922 L
.16886 .2192 L
.17023 .21924 L
.17102 .21922 L
.17174 .21923 L
.173 .21929 L
.17438 .21929 L
.17569 .21936 L
Mistroke
.1769 .21936 L
.17763 .21943 L
.17842 .21946 L
.17912 .21946 L
.17986 .21952 L
.18126 .21959 L
.18254 .21967 L
.18855 .2201 L
.19865 .22103 L
.20971 .2224 L
.25221 .22989 L
.29312 .23649 L
.31547 .23915 L
.33661 .24139 L
.37691 .2468 L
.41978 .25447 L
.43004 .25624 L
.44109 .25784 L
.45064 .25905 L
.45325 .25936 L
.45394 .2594 L
.45469 .25948 L
.45604 .25968 L
.45742 .25973 L
.45868 .25983 L
.46107 .26003 L
.46598 .26036 L
.46866 .26051 L
.47117 .26062 L
.47361 .2607 L
.47498 .26077 L
.47623 .26076 L
.4776 .26082 L
.47837 .2608 L
.47908 .2608 L
.48039 .26084 L
.48106 .26081 L
.48179 .26081 L
.48298 .26083 L
.48424 .2608 L
.48649 .26076 L
.48892 .2607 L
.49157 .2606 L
.49387 .26051 L
.49633 .26039 L
.50076 .26009 L
.5115 .25909 L
.52315 .25763 L
.5443 .25417 L
.58723 .24653 L
Mistroke
.62857 .24106 L
.66832 .23653 L
.71064 .22982 L
.73012 .22625 L
.75137 .22272 L
.76289 .22116 L
.7685 .22052 L
.77358 .22011 L
.77481 .22003 L
.77597 .21985 L
.77717 .21985 L
.77849 .21975 L
.77982 .21965 L
.78057 .21965 L
.78125 .21962 L
.78256 .21955 L
.78379 .21948 L
.78648 .21938 L
.7879 .21933 L
.7894 .21929 L
.7907 .21925 L
.79145 .21925 L
.79214 .21924 L
.79347 .21923 L
.79468 .21921 L
.79592 .21921 L
.79724 .21923 L
.79847 .21922 L
.79961 .21925 L
.80095 .21926 L
.80165 .2193 L
.80239 .2193 L
.80364 .21935 L
.80501 .21937 L
.80574 .21941 L
.80643 .21945 L
.80772 .21947 L
.80844 .21954 L
.80911 .21958 L
.80985 .2196 L
.81063 .21963 L
.81589 .21998 L
.82114 .22042 L
.82609 .22098 L
.83532 .2221 L
.87588 .229 L
.89646 .23269 L
.919 .2361 L
.96054 .24091 L
1 .24598 L
Mistroke
Mfstroke
0 .24001 m
.04057 .24105 L
.06168 .24154 L
.08481 .24199 L
.0952 .24216 L
.10632 .24231 L
.11674 .24243 L
.12636 .24252 L
.13146 .24256 L
.13709 .24259 L
.14274 .24262 L
.14583 .24263 L
.14873 .24263 L
.15003 .24264 L
.15146 .24264 L
.1528 .24264 L
.15405 .24264 L
.15529 .24264 L
.15641 .24264 L
.1577 .24264 L
.15892 .24264 L
.16025 .24264 L
.16092 .24264 L
.16166 .24264 L
.16418 .24264 L
.1656 .24263 L
.16713 .24263 L
.16988 .24262 L
.17543 .2426 L
.18056 .24257 L
.19218 .24248 L
.20242 .24238 L
.21331 .24224 L
.25294 .24153 L
.29516 .24051 L
.33578 .23945 L
.37898 .23843 L
.40053 .23802 L
.41104 .23785 L
.42058 .23772 L
.42986 .23761 L
.43993 .23751 L
.44546 .23747 L
.45056 .23744 L
.45543 .23742 L
.4606 .2374 L
.46325 .23739 L
.46456 .23739 L
.46577 .23739 L
.46696 .23739 L
Mistroke
.46804 .23739 L
.46923 .23739 L
.4705 .23739 L
.47188 .23739 L
.47314 .23739 L
.47453 .23739 L
.47522 .23739 L
.47599 .23739 L
.47728 .23739 L
.47866 .23739 L
.48115 .2374 L
.48363 .23741 L
.48632 .23742 L
.49121 .23744 L
.50038 .2375 L
.51027 .23758 L
.52118 .23771 L
.54325 .23804 L
.58552 .23892 L
.6262 .23996 L
.66945 .24107 L
.69104 .24156 L
.71111 .24195 L
.7305 .24226 L
.74126 .24239 L
.75118 .24249 L
.76196 .24257 L
.76764 .2426 L
.77053 .24261 L
.77363 .24263 L
.77636 .24263 L
.77885 .24264 L
.78005 .24264 L
.78135 .24264 L
.78258 .24264 L
.78372 .24264 L
.78504 .24264 L
.78628 .24264 L
.78763 .24264 L
.78839 .24264 L
.78909 .24264 L
.79042 .24264 L
.79188 .24264 L
.79481 .24263 L
.79746 .24262 L
.80034 .24261 L
.80558 .24259 L
.81537 .24253 L
.82681 .24242 L
.83736 .2423 L
Mistroke
.85704 .242 L
.8787 .24158 L
.92102 .24057 L
.96175 .23951 L
1 .23858 L
Mfstroke
0 .24003 m
.04057 .34381 L
.06168 .39239 L
.07286 .41398 L
.08481 .43214 L
.09607 .44475 L
.10632 .45286 L
.11126 .45579 L
.11662 .45836 L
.12131 .46015 L
.12636 .46166 L
.13148 .46283 L
.13627 .46365 L
.13919 .46404 L
.14197 .46434 L
.14719 .46477 L
.14984 .46493 L
.15266 .46506 L
.15404 .46511 L
.15533 .46516 L
.15775 .46521 L
.15915 .46525 L
.15991 .46526 L
.16063 .46528 L
.16189 .46529 L
.16328 .4653 L
.16406 .46531 L
.16479 .46531 L
.16617 .46532 L
.16694 .46532 L
.16766 .46532 L
.16844 .46531 L
.16927 .46531 L
.17046 .4653 L
.17177 .46528 L
.17313 .46526 L
.1744 .46523 L
.17668 .46518 L
.17911 .4651 L
.18197 .46499 L
.18466 .46485 L
.18712 .46469 L
.18971 .46449 L
.19451 .464 L
.19892 .46338 L
.20368 .4625 L
.20891 .46123 L
.21438 .45942 L
.21958 .45727 L
.22933 .4516 L
Mistroke
.23477 .44743 L
.23982 .44279 L
.25126 .42923 L
.26239 .41155 L
.27285 .39066 L
.29241 .34097 L
.33294 .21034 L
.3535 .1455 L
.36439 .11541 L
.37605 .08768 L
.38729 .06569 L
.39753 .04984 L
.40782 .03771 L
.41756 .02923 L
.4224 .02602 L
.42773 .02306 L
.43329 .02065 L
.43851 .01893 L
.44338 .01768 L
.44783 .01686 L
.44913 .01659 L
.45054 .01638 L
.45187 .01623 L
.45309 .01493 L
.4542 .01588 L
.45541 .01576 L
.45786 .01553 L
.46286 .01517 L
.46561 .01502 L
.46693 .01502 L
.46818 .01492 L
.46934 .01491 L
.4706 .01489 L
.47165 .01482 L
.47281 .01485 L
.47406 .01478 L
.47539 .01477 L
.47662 .01479 L
.47777 .01472 L
.47904 .01478 L
.48043 .01472 L
.48113 .01472 L
.48188 .01476 L
.48323 .01474 L
.48458 .01475 L
.48585 .01476 L
.487 .01478 L
.48824 .0148 L
.48895 .0148 L
.48971 .01484 L
Mistroke
.49109 .01486 L
.49184 .01488 L
.49252 .01494 L
.49334 .01493 L
.49411 .01496 L
.49545 .01506 L
.4967 .01507 L
.49807 .0152 L
.49883 .01522 L
.49952 .01523 L
.50079 .01535 L
.50197 .01542 L
.50326 .0155 L
.50465 .01566 L
.50743 .01598 L
.51006 .01624 L
.51124 .01647 L
.51249 .01656 L
.51386 .01683 L
.51513 .01706 L
.51975 .01796 L
.52233 .01865 L
.52511 .01952 L
.53015 .0212 L
.53613 .02392 L
.54161 .02714 L
.55192 .03532 L
.5615 .04567 L
.57201 .06082 L
.58324 .08135 L
.60567 .13652 L
.62683 .20198 L
.66725 .33333 L
.68813 .38778 L
.69866 .40932 L
.71023 .42816 L
.72091 .44128 L
.73067 .45005 L
.73605 .45376 L
.74193 .45699 L
.74747 .45938 L
.75261 .46109 L
.75796 .46245 L
.76374 .46352 L
.7664 .4639 L
.7692 .46424 L
.77162 .46447 L
.77422 .46468 L
.77674 .46486 L
.77905 .46498 L
Mistroke
.78355 .46516 L
.78477 .4652 L
.78607 .46523 L
.78674 .46524 L
.78749 .46525 L
.7888 .46527 L
.79004 .46529 L
.79137 .4653 L
.79262 .46532 L
.79377 .46532 L
.79512 .46532 L
.79639 .46531 L
.79753 .46531 L
.79877 .4653 L
.80012 .46528 L
.8008 .46528 L
.80155 .46527 L
.80287 .46524 L
.8041 .4652 L
.80648 .46514 L
.80873 .46506 L
.80997 .46501 L
.81133 .46494 L
.8137 .4648 L
.81917 .46439 L
.82194 .4641 L
.82499 .46372 L
.83039 .46283 L
.83545 .4617 L
.84038 .46026 L
.84577 .45823 L
.8514 .4555 L
.85663 .45236 L
.86602 .44489 L
.87606 .43388 L
.88681 .41785 L
.89846 .39638 L
.91962 .34403 L
.96257 .20598 L
1 .09748 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{455, 281.062},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40007700016A000`40O003h00Oogoob7oo003oOoo8
Ool00?moolQoo`00ogoob7oo003oOoo8Ool00?moolQoo`00ogoob7oo003oOoo8Ool00?moolQoo`00
ogoob7oo003oOoo8Ool00?moolQoo`00ogoob7oo003oOoo8Ool00?moolQoo`00ogoob7oo003oOoo8
Ool002Ioo`03001oogoo04Ioo`0300moogoo04Ioo`0300moogoo04Moo`0300moogoo04Ioo`0300mo
ogoo04Ioo`0300moogoo031oo`009Woo00<007ooOol0AWoo00<03gooOol0AWoo00<03gooOol0Agoo
00<03gooOol0AWoo00<03gooOol0AWoo00<03gooOol0<7oo000VOol00`00Oomoo`16Ool00`0?Oomo
o`16Ool00`0?Oomoo`17Ool00`0?Oomoo`16Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool002Ioo`03
001oogoo04Ioo`0300moogoo04Ioo`0300moogoo04Moo`0300moogoo04Ioo`0300moogoo04Ioo`03
00moogoo031oo`009Woo00<007ooOol0AWoo00<03gooOol0AWoo00<03gooOol0Agoo00<03gooOol0
AWoo00<03gooOol0AWoo00<03gooOol0<7oo000VOol20017Ool00`0?Oomoo`16Ool00`0?Oomoo`0@
OolG000POol00`0?Oomoo`16Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool002Ioo`03001oogoo04Io
o`0300moogoo04Ioo`0300moogoo00Yoo`L001Eoo`D001aoo`0300moogoo04Ioo`0300moogoo04Io
o`0300moogoo031oo`009Woo00<007ooOol0AWoo00<03gooOol0AWoo00<03gooOol027oo0P008Goo
100067oo00<03gooOol0AWoo00<03gooOol0AWoo00<03gooOol0<7oo000VOol00`00Oomoo`16Ool0
0`0?Oomoo`16Ool00`0?Oomoo`06Ool2000WOol2000FOol00`0?Oomoo`16Ool00`0?Oomoo`16Ool0
0`0?Oomoo`0`Ool002Ioo`03001oogoo04Ioo`0300moogoo04Ioo`0300moogoo00Eoo`03001oogoo
02Uoo`8001Aoo`0300moogoo04Ioo`0300moogoo04Ioo`0300moogoo031oo`009Woo00<007ooOol0
AWoo00<03gooOol0AWoo00<03gooOol00goo0P00;Woo00<007ooOol04Goo00<03gooOol0AWoo00<0
3gooOol0AWoo00<03gooOol0<7oo000VOol00`00Oomoo`16Ool00`0?Oomoo`16Ool00`0?Oomoo`02
Ool00`00Oomoo`0_Ool00`00Oomoo`0@Ool00`0?Oomoo`16Ool00`0?Oomoo`16Ool00`0?Oomoo`0`
Ool002Ioo`8004Moo`0300moogoo04Ioo`0500moogooOol0000cOol00`00Oomoo`0?Ool00`0?Oomo
o`16Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool002Ioo`03001oogoo04Ioo`0300moogoo04Ioo`04
00moogoo000dOol00`00Oomoo`0?Ool00`0?Oomoo`16Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool0
02Ioo`03001oogoo04Ioo`0300moogoo04Ioo`0400moogoo000eOol00`00Oomoo`0>Ool00`0?Oomo
o`16Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool002Ioo`03001oogoo04Ioo`0300moogoo04Ioo`03
00moo`0003Moo`03001oogoo00eoo`0300moogoo04Ioo`0300moogoo04Ioo`0300moogoo031oo`00
47oo0`0017oo0P0017oo0P001goo00<007ooOol0AWoo00<03gooOol0AWoo00<03`00Ool0>7oo00<0
07ooOol037oo00<03gooOol0AWoo00<03gooOol0AWoo00<03gooOol0<7oo000AOol00`00Oomoo`02
Ool01000Oomoo`000Woo00@007ooOol000Ioo`03001oogoo04Ioo`0300moogoo04Ioo`03001oogoo
03Qoo`03001oogoo00aoo`0300moogoo04Ioo`0300moogoo04Ioo`0300moogoo031oo`002Goo1@00
0goo00<007ooOol00Woo00@007ooOol0009oo`04001oogoo0006Ool00`00Oomoo`16Ool00`0?Oomo
o`15Ool00`0000moo`0jOol00`00Oomoo`0;Ool00`0?Oomoo`16Ool00`0?Oomoo`16Ool00`0?Oomo
o`0`Ool0015oo`03001oogoo009oo`04001oogoo0002Ool01000Oomoo`001Woo0`00SP0?00<0000?
00l0>`0?00<0000?00l0W@0?<Woo000AOol00`00Oomoo`02Ool01000Oomoo`000Woo00@007ooOol0
00Ioo`03001oogoo04Ioo`0300moogoo04Aoo`03001oo`0?03aoo`03001oogoo00Yoo`0300moogoo
04Ioo`0300moogoo04Ioo`0300moogoo031oo`0047oo0P0017oo00@007ooOol0009oo`04001oogoo
0006Ool00`00Oomoo`16Ool00`0?Oomoo`14Ool00`00Ool03`0mOol00`00Oomoo`09Ool00`0?Oomo
o`16Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool0015oo`03001oogoo00=oo`8000Aoo`8000Moo`03
001oogoo04Ioo`0300moogoo04=oo`04001oogoo00lnOol00`00Oomoo`08Ool00`0?Oomoo`16Ool0
0`0?Oomoo`16Ool00`0?Oomoo`0`Ool002Ioo`03001oogoo04Ioo`0300moogoo04=oo`04001oogoo
00lnOol00`00Oomoo`08Ool00`0?Oomoo`16Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool002Ioo`03
001oogoo04Ioo`0300moogoo049oo`05001oogooOol03`0oOol00`00Oomoo`07Ool00`0?Oomoo`16
Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool002Ioo`03001oogoo04Ioo`0300moogoo049oo`05001o
ogooOol03`0oOol00`00Oomoo`07Ool00`0?Oomoo`16Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool0
02Ioo`8004Moo`0300moogoo045oo`03001oogoo009oo`0300moogoo03ioo`03001oogoo00Ioo`03
00moogoo04Ioo`0300moogoo04Ioo`0300moogoo031oo`009Woo00<007ooOol0AWoo00<03gooOol0
@7oo00<007ooOol00goo00<03gooOol0?goo00<007ooOol01Goo00<03gooOol0AWoo00<03gooOol0
AWoo00<03gooOol0<7oo000VOol00`00Oomoo`16Ool00`0?Oomoo`10Ool00`00Oomoo`03Ool00`0?
Oomoo`0oOol00`00Oomoo`05Ool00`0?Oomoo`16Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool002Io
o`03001oogoo04Ioo`0300moogoo03moo`03001oogoo00Aoo`0300moogoo041oo`03001oogoo00Ao
o`0300moogoo04Ioo`0300moogoo04Ioo`0300moogoo031oo`009Woo00<007ooOol0AWoo00<03goo
Ool0?goo00<007ooOol017oo00<03gooOol0@7oo00<007ooOol017oo00<03gooOol0AWoo00<03goo
Ool0AWoo00<03gooOol0<7oo000VOol00`00Oomoo`16Ool00`0?Oomoo`0nOol00`00Oomoo`05Ool0
0`0?Oomoo`11Ool00`00Oomoo`03Ool00`0?Oomoo`16Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool0
02Ioo`8004Moo`0300moogoo03eoo`03001oogoo00Ioo`0300moogoo045oo`03001oogoo00=oo`03
00moogoo04Ioo`0300moogoo04Ioo`0300moogoo031oo`009Woo00<007ooOol0AWoo00<03gooOol0
?Goo00<007ooOol01Woo00<03gooOol0@Woo00<007ooOol00Woo00<03gooOol0AWoo00<03gooOol0
AWoo00<03gooOol0<7oo000VOol00`00Oomoo`16Ool00`0?Oomoo`0lOol00`00Oomoo`07Ool00`0?
Oomoo`12Ool00`00Oomoo`02Ool00`0?Oomoo`16Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool002Io
o`03001oogoo04Ioo`0300moogoo03aoo`03001oogoo00Moo`0300moogoo049oo`03001oogoo009o
o`0300moogoo04Ioo`0300moogoo04Ioo`03001oogoo031oo`009Woo00<007ooOol0AWoo00<03goo
Ool0?7oo00<007ooOol01goo00<03gooOol0@goo00D007ooOomoo`0?04Qoo`0300moogoo04Ioo`03
001oogoo031oo`009Woo00<007ooOol0AWoo00<03gooOol0>goo00<007ooOol027oo00<03gooOol0
@goo00D007ooOomoo`0?04Qoo`0300moogoo04Ioo`03001oogoo031oo`009Woo00<007ooOol0AWoo
00<03gooOol0>goo00<007ooOol027oo00<03gooOol0A7oo00@007ooOol03dQoo`0300moogoo04Eo
o`0300003goo035oo`009Woo0P00Agoo00<03gooOol0>Woo00<007ooOol02Goo00<03gooOol0A7oo
00@007ooOol03dQoo`0300moogoo04Eoo`0300003goo035oo`009Woo00<007ooOol0AWoo00<03goo
Ool0>Woo00<007ooOol02Goo00<03gooOol0AGoo00<007oo00l0B7oo00<03gooOol0AGoo00<0000?
Ool0<Goo000VOol00`00Oomoo`16Ool00`0?Oomoo`0jOol00`00Oomoo`09Ool00`0?Oomoo`15Ool0
0`00Ool03`18Ool00`0?Oomoo`14Ool00`00Ool03`0bOol002Ioo`03001oogoo04Ioo`0300moogoo
03Uoo`03001oogoo00Yoo`0300moogoo04Eoo`03001oo`0?04Qoo`0300moogoo04Aoo`03001oo`0?
039oo`009Woo00<007ooOol0AWoo00<03gooOol0>Goo00<007ooOol02Woo00<03gooOol0AWoo00<0
000?Ool0Agoo00<03gooOol0A7oo00<007oo00l0<Woo000VOol00`00Oomoo`16Ool00`0?Oomoo`0h
Ool00`00Oomoo`0;Ool00`0?Oomoo`16Ool00`0000moo`17Ool00`0?Oomoo`13Ool01000Oomoo`0?
<Woo000VOol00`00Oomoo`16Ool00`0?Oomoo`0hOol00`00Oomoo`0;Ool00`0?Oomoo`17Ool00`00
Oomoo`16Ool00`0?Oomoo`13Ool01000Oomoo`0?<Woo000VOol20017Ool00`0?Oomoo`0hOol00`00
Oomoo`0;Ool00`0?Oomoo`17Ool00`00Oomoo`16Ool00`0?Oomoo`13Ool01000Oomoo`0?<Woo000V
Ool00`00Oomoo`16Ool00`0?Oomoo`0gOol00`00Oomoo`0<Ool00`0?Oomoo`17Ool00`0?001oo`16
Ool00`0?Oomoo`12Ool01@00Oomoogoo00l0<Woo000VOol00`00Oomoo`16Ool00`0?Oomoo`0gOol0
0`00Oomoo`0<Ool00`0?Oomoo`17Ool00`0?001oo`16Ool00`0?Oomoo`12Ool01@00Oomoogoo00l0
<Woo000VOol00`00Oomoo`16Ool00`0?Oomoo`0gOol00`00Oomoo`0<Ool00`0?Oomoo`17Ool00`0?
001oo`16Ool00`0?Oomoo`12Ool01@00Oomoogoo00l0<Woo000VOol00`00Oomoo`16Ool00`0?Oomo
o`0fOol00`00Oomoo`0=Ool00`0?Oomoo`17Ool00`0?Ool00016Ool00`0?Oomoo`11Ool00`00Oomo
o`02Ool00`0?Oomoo`0`Ool001Ioo`<000Aoo`8000Moo`03001oogoo04Ioo`0300moogoo03Ioo`03
001oogoo00eoo`0300moogoo04Moo`0300moo`0004Ioo`0300moogoo045oo`03001oogoo009oo`03
00moogoo031oo`005Goo00D007ooOomoo`00009oo`04001oogoo0006Ool00`00Oomoo`16Ool00`0?
Oomoo`0fOol00`00Oomoo`0=Ool00`0?Oomoo`17Ool00`0?Ool00016Ool00`0?Oomoo`11Ool00`00
Oomoo`02Ool00`0?Oomoo`0`Ool000moo`D000Eoo`04001oogoo0002Ool00`00Oomoo`04Ool3001n
00l00`0000l03`1K00l00`0000l03`2600l00`0000l03`0400lbOol001Uoo`04001oogoo0002Ool0
0`00Oomoo`04Ool00`00Oomoo`16Ool00`0?Oomoo`0eOol00`00Oomoo`0>Ool00`0?Oomoo`17Ool0
100?Oomoo`00AGoo00<03gooOol0@7oo00<007ooOol00goo00<03gooOol0<7oo000EOol40003Ool0
1000Oomoo`001Woo00<007ooOol0AWoo00<03gooOol0=Goo00<007ooOol03Woo00<03gooOol0Agoo
00@03gooOol004Eoo`0300moogoo041oo`03001oogoo00=oo`0300moogoo031oo`005Goo00<007oo
Ool017oo00@007ooOol000Ioo`03001oogoo04Ioo`0300moogoo03Aoo`03001oogoo00moo`0300mo
ogoo04Moo`0500moogooOol00014Ool00`0?Oomoo`0oOol00`00Oomoo`04Ool00`0?Oomoo`0`Ool0
01Eoo`D000=oo`8000Moo`03001oogoo04Ioo`0300moogoo03Aoo`03001oogoo00moo`0300moogoo
04Moo`0500moogooOol00014Ool00`0?Oomoo`0oOol00`00Oomoo`04Ool00`0?Oomoo`0`Ool002Io
o`03001oogoo04Ioo`0300moogoo03Aoo`03001oogoo00moo`0300moogoo04Moo`0500moogooOol0
0014Ool00`0?Oomoo`0oOol00`00Oomoo`04Ool00`0?Oomoo`0`Ool002Ioo`03001oogoo04Ioo`03
00moogoo03=oo`03001oogoo011oo`0300moogoo04Moo`0500moogooOol00014Ool00`0?Oomoo`0n
Ool00`00Oomoo`05Ool00`0?Oomoo`0`Ool002Ioo`8004Moo`0300moogoo03=oo`03001oogoo011o
o`0300moogoo04Moo`0300moogoo009oo`03001oogoo045oo`0300moogoo03ioo`03001oogoo00Eo
o`0300moogoo031oo`009Woo00<007ooOol0AWoo00<03gooOol0<goo00<007ooOol047oo00<03goo
Ool0Agoo00<03gooOol00Woo00<007ooOol0@Goo00<03gooOol0?Woo00<007ooOol01Goo00<03goo
Ool0<7oo000VOol00`00Oomoo`16Ool00`0?Oomoo`0cOol00`00Oomoo`0@Ool00`0?Oomoo`17Ool0
0`0?Oomoo`02Ool00`00Oomoo`11Ool00`0?Oomoo`0mOol00`00Oomoo`06Ool00`0?Oomoo`0`Ool0
02Ioo`03001oogoo04Ioo`0300moogoo039oo`03001oogoo015oo`0300moogoo04Moo`0300moogoo
00=oo`03001oogoo041oo`0300moogoo03eoo`03001oogoo00Ioo`0300moogoo031oo`009Woo00<0
07ooOol0AWoo00<03gooOol0<Woo00<007ooOol04Goo00<03gooOol0Agoo00<03gooOol00goo00<0
07ooOol0@7oo00<03gooOol0?Goo00<007ooOol01Woo00<03gooOol0<7oo000VOol00`00Oomoo`16
Ool00`0?Oomoo`0bOol00`00Oomoo`0AOol00`0?Oomoo`17Ool00`0?Oomoo`03Ool00`00Oomoo`10
Ool00`0?Oomoo`0lOol00`00Oomoo`07Ool00`0?Oomoo`0`Ool002Ioo`03001oogoo04Ioo`0300mo
ogoo035oo`03001oogoo019oo`0300moogoo04Moo`0300moogoo00Aoo`03001oogoo03moo`0300mo
ogoo03aoo`03001oogoo00Moo`0300moogoo031oo`009Woo0P00Agoo00<03gooOol0<Goo00<007oo
Ool04Woo00<03gooOol0Agoo00<03gooOol017oo00<007ooOol0?goo00<03gooOol0?7oo00<007oo
Ool01goo00<03gooOol0<7oo000VOol00`00Oomoo`16Ool00`0?Oomoo`0aOol00`00Oomoo`0BOol0
0`0?Oomoo`17Ool00`0?Oomoo`04Ool00`00Oomoo`0oOol00`0?Oomoo`0kOol00`00Oomoo`08Ool0
0`0?Oomoo`0`Ool002Ioo`03001oogoo04Ioo`0300moogoo031oo`03001oogoo01=oo`0300moogoo
04Moo`0300moogoo00Aoo`03001oogoo03moo`0300moogoo03]oo`03001oogoo00Qoo`0300moogoo
031oo`009Woo00<007ooOol0AWoo00<03gooOol0<7oo00<007ooOol04goo00<03gooOol0Agoo00<0
3gooOol01Goo00<007ooOol0?Woo00<03gooOol0>goo00<007ooOol027oo00<03gooOol0<7oo000V
Ool00`00Oomoo`16Ool00`0?Oomoo`0`Ool00`00Oomoo`0COol00`0?Oomoo`17Ool00`0?Oomoo`05
Ool00`00Oomoo`0nOol00`0?Oomoo`0jOol00`00Oomoo`09Ool00`0?Oomoo`0`Ool002Ioo`03001o
ogoo04Ioo`0300moogoo031oo`03001oogoo01=oo`0300moogoo04Moo`0300moogoo00Eoo`03001o
ogoo03ioo`0300moogoo03Yoo`03001oogoo00Uoo`0300moogoo031oo`009Woo00<007ooOol0AWoo
00<03gooOol0;goo00<007ooOol057oo00<03gooOol0Agoo00<03gooOol01Woo00<007ooOol0?Goo
00<03gooOol0>Woo00<007ooOol02Goo00<03gooOol0<7oo000VOol20017Ool00`0?Oomoo`0_Ool0
0`00Oomoo`0DOol00`0?Oomoo`17Ool00`0?Oomoo`06Ool00`00Oomoo`0mOol00`0?Oomoo`0iOol0
0`00Oomoo`0:Ool00`0?Oomoo`0`Ool002Ioo`03001oogoo03moo`8000Aoo`0400003gooOol5000Z
Ool00`00Oomoo`0=Ool20004Ool00`0000moo`03Ool3000kOol20004Ool00`0000moo`02Ool30002
Ool00`00Oomoo`0fOol20004Ool00`0000moo`02Ool3000eOol00`00Oomoo`08Ool3000bOol002Io
o`03001oogoo03ioo`04001oogoo0004Ool01@0?Oomoogoo00000Woo00<007ooOol09goo00<007oo
Ool03Goo00@007ooOol000Aoo`0300moogoo00=oo`03001oogoo03Uoo`04001oogoo0004Ool0100?
Oomoo`000goo00<007oo0000=goo00@007ooOol000Aoo`0400moogoo0003Ool00`00Oomoo`0bOol0
0`00Oomoo`09Ool00`0000moo`0aOol002Ioo`03001oogoo03ioo`04001oogoo0004Ool00`0?Oomo
o`02Ool00`00Oomoo`0YOol00`00Oomoo`0=Ool01000Oomoo`0017oo00<03gooOol01@00>Woo00@0
07ooOol000Aoo`0400moogoo0003Ool01000Oomoo`00=Woo00@007ooOol000Aoo`0400moogoo0003
Ool00`00Oomoo`0bOol00`00Oomoo`09Ool00`0000moo`0aOol002Ioo`03001oogoo03ioo`04001o
ogoo0004Ool00`0?Oomoo`03Ool00`00Oomoo`0XOol00`00Oomoo`0=Ool01000Oomoo`0017oo00@0
3gooOol0009oo`03001oogoo03Uoo`04001oogoo0004Ool00`0?Oomoo`040003Ool00`00Oomoo`0d
Ool01000Oomoo`0017oo00@03gooOomoo`<003Aoo`03001oogoo00Yoo`0300003goo035oo`009Woo
00<007ooOol0?Woo00@007ooOol000Aoo`0400moogoo0003Ool00`00Oomoo`0WOol00`00Oomoo`0=
Ool01000Oomoo`0017oo00L03gooOomoo`00Ool0000kOol01000Oomoo`0017oo00@03gooOol000Io
o`03001oogoo03Aoo`04001oogoo0004Ool0100?Oomoo`000goo00<007ooOol0<Goo00<007ooOol0
2Woo00<0000?Ool0<Goo000VOol00`00Oomoo`0`OolE00001Goo00moogoo00000goo00<007ooOol0
9Woo00<007ooOol03Woo00@007ooOol000Aoo`0300moogoo009oo`8003]oo`04001oogoo0004Ool0
1@0?Oomoogoo00001Woo00<007ooOol0;Woo5`00<Goo00<007ooOol02Goo0P0000<03gooOol0<7oo
000VOol2000ZOol7000?Ool20004Ool8000YOol00`00Oomoo`0?Ool20005Ool00`0?Oomoo`03Ool0
0`00Oomoo`0jOol20005Ool00`0?Oomoo`02Ool20004Ool00`00Oomoo`0WOol70006Ool20005Ool0
100?Oomoogoo0`000goo1`00:Goo00<007ooOol02goo00<0000?Ool0<Goo000VOol00`00Oomoo`0Q
Ool8000MOol00`0?Oomoo`04Ool5000TOol00`00Oomoo`0FOol00`0?Oomoo`17Ool00`0?Oomoo`08
Ool00`00Oomoo`0SOol4000DOol00`0?Oomoo`0>Ool5000TOol00`00Oomoo`0<Ool00`0?Oomoo`0`
Ool002Ioo`03001oogoo01ioo`<002Eoo`0300moogoo00Uoo`D001ioo`03001oogoo01Moo`0300mo
ogoo04Moo`0300moogoo00Uoo`03001oogoo01eoo`D001Qoo`0300moogoo01=oo`D001moo`03001o
ogoo00aoo`0300moogoo031oo`009Woo00<007ooOol067oo1P00:7oo00<03gooOol03Woo1`005goo
00<007ooOol05goo00<03gooOol0Agoo00<03gooOol02Goo00<007ooOol05Goo20007Goo00<03goo
Ool067oo1P0067oo00<007ooOol03Goo00<03gooOol0<7oo000VOol00`00Oomoo`0BOol6000^Ool0
0`0?Oomoo`0EOol7000@Ool00`00Oomoo`0GOol00`0?Oomoo`17Ool00`0?Oomoo`09Ool00`00Oomo
o`0>Ool7000UOol00`0?Oomoo`0NOol8000@Ool00`00Oomoo`0=Ool00`0?Oomoo`0`Ool002Ioo`03
001oogoo00moo`<003Aoo`0300moogoo01aoo`P000Moo`03001oogoo01Qoo`0300moogoo04Moo`03
00moogoo00Yoo`03001oogoo00Eoo`P002aoo`0300moogoo02Ioo`P000Qoo`03001oogoo00eoo`03
00moogoo00Uoo`D0009oo`<0009oo`D000=oo`8000Qoo`@000Eoo`009Woo00<007ooOol03Goo0P00
=goo00<03gooOol097ooK`002Woo2000=7oo00<03gooOol0;Woo6@002goo00L007ooOomoo`00Ool0
0007Ool00`00Oomoo`02Ool01000Oomoo`002goo00<007ooOol00Woo000VOooo001`000<Ool00`00
Oomoo`02Ool50003Ool00`00Oomoo`02Ool00`00Oomoo`09Ool30005Ool002Ioo`03001oogoo00Yo
o`03001oogoo009oo`03001oogoo00moo`03001oogoo00Uooa@000Eoo`03001oogoo00moo`03001o
ogoo011oo`03001oogoo00Eoo`03001oogoo00Moo`L000]oo`03001oogoo011oo`03001oogoo00mo
o`03001oogoo00moo`03001oogoo00moo`L000Qoo`05001oogooOol0000AOol00`00Oomoo`0@Ool0
0`00Oomoo`0C000>Ool00`00Oomoo`0@Ool00`00Oomoo`0?Ool20007Ool70002Ool00`00Oomoo`0;
Ool01@00Oomoogoo00000goo00D007ooOomoo`0000Aoo`03001oogoo00Qoo`03001oogoo00Ioo`00
9Woo0P002Woo00<007ooOol0>Woo00<007ooOol0:Woo00<007ooOol03Woo1`0017oo00<007ooOol0
?goo1`0000=oo`00Ool037oo00<007ooOol0>7oo00<007ooOol0=7oo00<007ooOol03Goo0`003Woo
00@007ooOomoo`<0009oo`<000=oo`@000Uoo`@000Aoo`009Woo0P002Woo00<007ooOol0>Woo00<0
3gooOol0:Woo00<007ooOol05Goo1@00?7oo1@0027oo00<03gooOol02goo00<007ooOol0>7oo00<0
3gooOol0=7oo00<007ooOol03goo00<03gooOol02Goo00D007ooOomoo`0000ioo`03001oogoo015o
o`009Woo0P002Goo00<007ooOol0>goo00<03gooOol0:Goo00<007ooOol06Woo00<03`0000000`00
<Woo1@003Goo00<03gooOol02goo00<007ooOol0>7oo00<03gooOol0=7oo00<007ooOol03goo00<0
3gooOol02Goo1@002Goo00<007ooOol00Woo00<007ooOol04Goo000VOol00`00Ool00008Ool00`00
Oomoo`0kOol00`0?Oomoo`0YOol00`00Oomoo`0JOol00`0?Oomoo`03Ool4000WOol7000BOol00`0?
Oomoo`0<Ool00`00Oomoo`0gOol00`0?Oomoo`0dOol00`00Oomoo`0?Ool00`0?Oomoo`0`Ool002Io
o`<000Moo`03001oogoo03aoo`0300moogoo02Uoo`03001oogoo01Yoo`0300moogoo00Moo`P001Uo
o`H001Uoo`0300moogoo00aoo`03001oogoo03Moo`0300moogoo03=oo`03001oogoo011oo`0300mo
ogoo031oo`009Woo00<007oo00001goo00<007ooOol0?7oo00<03gooOol0:Goo00<007ooOol06Woo
00<03gooOol03goo6@007goo00<03gooOol037oo00<007ooOol0=goo00<03gooOol0<goo00<007oo
Ool047oo00<03gooOol0<7oo000VOol01000Oomoo`001Woo00<007ooOol0?7oo00<03gooOol0:7oo
00<007ooOol06goo00<03gooOol0Agoo00<03gooOol03Goo00<007ooOol0=Woo00<03gooOol0<goo
00<007ooOol047oo00<03gooOol0<7oo000VOol01000Oomoo`001Woo00<007ooOol0?7oo00<03goo
Ool0:7oo00<007ooOol06goo00<03gooOol0Agoo00<03gooOol03Goo00<007ooOol0=Woo00<03goo
Ool0<Woo00<007ooOol04Goo00<03gooOol0<7oo000VOol01@00Oomoogoo00001Goo00<007ooOol0
?7oo00<03gooOol0:7oo00<007ooOol06goo00<03gooOol0Agoo00<03gooOol03Goo00<007ooOol0
=Woo00<03gooOol0<Woo00<007ooOol04Goo00<03gooOol0<7oo000VOol01@00Oomoogoo000017oo
00<007ooOol0?Goo00<03gooOol09goo00<007ooOol077oo00<03gooOol0Agoo00<03gooOol03Woo
00<007ooOol0=Goo00<03gooOol0<Woo00<007ooOol04Goo00<03gooOol0<7oo000VOol01@00Oomo
ogoo000017oo00<007ooOol0?Goo00<03gooOol09goo00<007ooOol077oo00<03gooOol0Agoo00<0
3gooOol03Woo00<007ooOol0=Goo00<03gooOol0<Goo00<007ooOol04Woo00<03gooOol0<7oo000V
Ool20003Ool01@00Oomoogoo0000?goo00<03gooOol09goo00<007ooOol077oo00<03gooOol0Agoo
00<03gooOol03Woo00<007ooOol0=Goo00<03gooOol0<Goo00<007ooOol04Woo00<03gooOol0<7oo
000VOol00`00Oomoo`02Ool01@00Oomoogoo0000?goo00<03gooOol09Woo00<007ooOol07Goo00<0
3gooOol0Agoo00<03gooOol03goo00<007ooOol0=7oo00<03gooOol0<Goo00<007ooOol04Woo00<0
3gooOol0<7oo000VOol00`00Oomoo`02Ool01000Oomoo`00@7oo00<03gooOol09Woo00<007ooOol0
7Goo00<03gooOol0Agoo00<03gooOol03goo00<007ooOol0=7oo00<03gooOol0<7oo00<007ooOol0
4goo00<03gooOol0<7oo000VOol00`00Oomoo`03Ool00`00Ool00010Ool00`0?Oomoo`0VOol00`00
Oomoo`0MOol00`0?Oomoo`17Ool00`0?Oomoo`0?Ool00`00Oomoo`0dOol00`0?Oomoo`0`Ool00`00
Oomoo`0COol00`0?Oomoo`0`Ool002Ioo`03001oogoo00=oo`03001oo`00041oo`0300moogoo02Eo
o`03001oogoo01ioo`0300moogoo04Moo`0300moogoo011oo`03001oogoo03=oo`0300moogoo031o
o`03001oogoo01=oo`0300moogoo031oo`009Woo00<007ooOol00goo00<007oo0000@7oo00<03goo
Ool09Goo00<007ooOol07Woo00<03gooOol0Agoo00<03gooOol047oo00<007ooOol0<goo00<03goo
Ool0;goo00<007ooOol057oo00<03gooOol0<7oo000VOol00`00Oomoo`04Ool20010Ool00`0?Oomo
o`0UOol00`00Oomoo`0NOol00`0?Oomoo`17Ool00`0?Oomoo`0@Ool00`00Oomoo`0cOol00`0?Oomo
o`0_Ool00`00Oomoo`0DOol00`0?Oomoo`0`Ool002Ioo`8000Eoo`03001oogoo03moo`0300moogoo
02Aoo`03001oogoo01moo`0300moogoo04Moo`0300moogoo011oo`03001oogoo03=oo`0300moogoo
02moo`03001oogoo01Aoo`0300moogoo031oo`009Woo00<007ooOol017oo0P00@7oo00<03gooOol0
97oo00<007ooOol07goo00<03gooOol0Agoo00<03gooOol04Goo00<007ooOol0<Woo00<03gooOol0
;Woo00<007ooOol05Goo00<03gooOol0<7oo000VOol00`00Oomoo`04Ool20010Ool00`0?Oomoo`0T
Ool00`00Oomoo`0OOol00`0?Oomoo`17Ool00`0?Oomoo`0AOol00`00Oomoo`0bOol00`0?Oomoo`0^
Ool00`00Oomoo`0EOol00`0?Oomoo`0`Ool002Ioo`03001oogoo00Aoo`80041oo`0300moogoo02Ao
o`03001oogoo01moo`0300moogoo04Moo`0300moogoo015oo`03001oogoo039oo`0300moogoo02io
o`03001oogoo01Eoo`0300moogoo031oo`009Woo00<007ooOol017oo00<007oo0000?goo00<03goo
Ool08goo00<007ooOol087oo00<03gooOol0Agoo00<03gooOol04Woo00<007ooOol0<Goo00<03goo
Ool0;Woo00<007ooOol05Goo00<03gooOol0<7oo000VOol00`00Oomoo`04Ool00`00Ool0000oOol0
0`0?Oomoo`0SOol00`00Oomoo`0POol00`0?Oomoo`17Ool00`0?Oomoo`0BOol00`00Oomoo`0aOol0
0`0?Oomoo`0]Ool00`00Oomoo`0FOol00`0?Oomoo`0`Ool002Ioo`03001oogoo00Aoo`03001oo`00
03moo`0300moogoo02=oo`03001oogoo021oo`0300moogoo04Moo`0300moogoo019oo`03001oogoo
035oo`0300moogoo02eoo`03001oogoo01Ioo`0300moogoo031oo`009Woo0P0017oo00D007ooOomo
o`0003ioo`0300moogoo029oo`03001oogoo025oo`0300moogoo04Moo`0300moogoo01=oo`03001o
ogoo031oo`0300moogoo02eoo`03001oogoo01Ioo`0300moogoo031oo`009Woo00<007ooOol00goo
00D007ooOomoo`0003ioo`0300moogoo029oo`03001oogoo025oo`0300moogoo04Moo`0300moogoo
01=oo`03001oogoo031oo`0300moogoo02aoo`03001oogoo01Moo`0300moogoo031oo`009Woo00<0
07ooOol00goo00<007ooOol00Woo00<007ooOol0>goo00<03gooOol08Woo00<007ooOol08Goo00<0
3gooOol0Agoo00<03gooOol04goo00<007ooOol0<7oo00<03gooOol0;7oo00<007ooOol05goo00<0
3gooOol0<7oo000VOol00`00Oomoo`03Ool00`00Oomoo`02Ool00`00Oomoo`0kOol00`0?Oomoo`0Q
Ool00`00Oomoo`0ROol00`0?Oomoo`17Ool00`0?Oomoo`0DOol00`00Oomoo`0_Ool00`0?Oomoo`0/
Ool00`00Oomoo`0GOol00`0?Oomoo`0`Ool002Ioo`03001oogoo00=oo`03001oogoo009oo`03001o
ogoo03]oo`0300moogoo025oo`03001oogoo029oo`0300moogoo04Moo`0300moogoo01Aoo`03001o
ogoo02moo`0300moogoo02]oo`03001oogoo01Qoo`0300moogoo031oo`005Woo0`0017oo0P001goo
00<007ooOol00goo00<007ooOol00goo00<007ooOol0>Woo00<03gooOol08Goo00<007ooOol08Woo
00<03gooOol0Agoo00<03gooOol057oo00<007ooOol0;goo00<03gooOol0:goo00<007ooOol067oo
00<03gooOol0<7oo000EOol01@00Oomoogoo00000Woo00@007ooOol000Ioo`03001oogoo00=oo`03
001oogoo00=oo`03001oogoo03Yoo`0300moogoo021oo`03001oogoo02=oo`0300moogoo04Moo`03
00moogoo01Eoo`03001oogoo02ioo`0300moogoo02]oo`03001oogoo01Qoo`0300moogoo031oo`00
6Goo00@007ooOol0009oo`03001oogoo00Aoo`<000<03`0300003`0?00<03`0300003`0?05d03`03
00003`0?08D03`0300003`0?05/03`0300003`0?01X03c9oo`006Goo00@007ooOol0009oo`03001o
ogoo00Aoo`03001oogoo00=oo`03001oogoo00Aoo`03001oogoo03Uoo`0300moogoo021oo`03001o
ogoo02=oo`0300moogoo04Moo`0300moogoo01Eoo`03001oogoo02ioo`0300moogoo02Yoo`03001o
ogoo01Uoo`0300moogoo031oo`005Goo10000goo00@007ooOol000Ioo`03001oogoo00=oo`03001o
ogoo00Aoo`03001oogoo03Uoo`0300moogoo01moo`03001oogoo02Aoo`0300moogoo04Moo`0300mo
ogoo01Ioo`03001oogoo02eoo`0300moogoo02Yoo`03001oogoo01Uoo`0300moogoo031oo`005Goo
00<007ooOol017oo00@007ooOol000Ioo`03001oogoo009oo`03001oogoo00Eoo`03001oogoo03Uo
o`0300moogoo01moo`03001oogoo02Aoo`0300moogoo04Moo`0300moogoo01Ioo`03001oogoo02eo
o`0300moogoo02Uoo`03001oogoo01Yoo`0300moogoo031oo`005Goo1@000goo0P001goo00<007oo
Ool00Woo00<007ooOol01Woo00<007ooOol0>7oo00<03gooOol07goo00<007ooOol097oo00<03goo
Ool0Agoo00<03gooOol05Woo00<007ooOol0;Goo00<03gooOol0:Goo00<007ooOol06Woo00<03goo
Ool0<7oo000VOol00`00Oomoo`02Ool00`00Oomoo`06Ool00`00Oomoo`0hOol00`0?Oomoo`0NOol0
0`00Oomoo`0UOol00`0?Oomoo`17Ool00`0?Oomoo`0GOol00`00Oomoo`0/Ool00`0?Oomoo`0YOol0
0`00Oomoo`0JOol00`0?Oomoo`0`Ool002Ioo`03001oogoo009oo`03001oogoo00Moo`03001oogoo
03Moo`0300moogoo01ioo`03001oogoo02Eoo`0300moogoo04Moo`0300moogoo01Moo`03001oogoo
02aoo`0300moogoo02Qoo`03001oogoo01]oo`0300moogoo031oo`009Woo0P000goo00<007ooOol0
1goo00<007ooOol0=goo00<03gooOol07Woo00<007ooOol09Goo00<03gooOol0Agoo00<03gooOol0
67oo00<007ooOol0:goo00<03gooOol0:7oo00<007ooOol06goo00<03gooOol0<7oo000VOol00`00
Oomoo`02Ool00`00Oomoo`08Ool00`00Oomoo`0fOol00`0?Oomoo`0MOol00`00Oomoo`0VOol00`0?
Oomoo`17Ool00`0?Oomoo`0HOol00`00Oomoo`0[Ool00`0?Oomoo`0XOol00`00Oomoo`0KOol00`0?
Oomoo`0`Ool002Ioo`03001oogoo009oo`03001oogoo00Qoo`03001oogoo03Ioo`0300moogoo01eo
o`03001oogoo02Ioo`0300moogoo04Moo`0300moogoo01Qoo`03001oogoo02]oo`0300moogoo02Mo
o`03001oogoo01aoo`0300moogoo031oo`009Woo00<007ooOol00Woo00<007ooOol02Goo00<007oo
Ool0=Goo00<03gooOol077oo00<007ooOol09goo00<03gooOol0Agoo00<03gooOol06Goo00<007oo
Ool0:Woo00<03gooOol09goo00<007ooOol077oo00<03gooOol0<7oo000VOol00`00Oomoo`02Ool0
0`00Oomoo`09Ool00`00Oomoo`0eOol00`0?Oomoo`0LOol00`00Oomoo`0WOol00`0?Oomoo`17Ool0
0`0?Oomoo`0IOol00`00Oomoo`0ZOol00`0?Oomoo`0VOol00`00Oomoo`0MOol00`0?Oomoo`0`Ool0
02Ioo`03001oogoo009oo`03001oogoo00Yoo`03001oogoo03Aoo`0300moogoo01aoo`03001oogoo
02Moo`0300moogoo04Moo`0300moogoo01Yoo`03001oogoo02Uoo`0300moogoo02Ioo`03001oogoo
01eoo`0300moogoo031oo`009Woo00<007ooOol00Woo00<007ooOol02Woo00<007ooOol0=7oo00<0
3gooOol06goo00<007ooOol0:7oo00<03gooOol0Agoo00<03gooOol06Woo00<007ooOol0:Goo00<0
3gooOol09Goo00<007ooOol07Woo00<03gooOol0<7oo000VOol20003Ool00`00Oomoo`0:Ool00`00
Oomoo`0dOol00`0?Oomoo`0KOol00`00Oomoo`0XOol00`0?Oomoo`17Ool00`0?Oomoo`0JOol00`00
Oomoo`0YOol00`0?Oomoo`0UOol00`00Oomoo`0NOol00`0?Oomoo`0`Ool002Ioo`05001oogooOol0
000>Ool00`00Oomoo`0cOol00`0?Oomoo`0KOol00`00Oomoo`0XOol00`0?Oomoo`17Ool00`0?Oomo
o`0KOol00`00Oomoo`0XOol00`0?Oomoo`0UOol00`00Oomoo`0NOol00`0?Oomoo`0`Ool002Ioo`05
001oogooOol0000>Ool00`00Oomoo`0cOol00`0?Oomoo`0JOol00`00Oomoo`0YOol00`0?Oomoo`17
Ool00`0?Oomoo`0KOol00`00Oomoo`0XOol00`0?Oomoo`0TOol00`00Oomoo`0OOol00`0?Oomoo`0`
Ool002Ioo`05001oogooOol0000?Ool00`00Oomoo`0bOol00`0?Oomoo`0JOol00`00Oomoo`0YOol0
0`0?Oomoo`17Ool00`0?Oomoo`0LOol00`00Oomoo`0WOol00`0?Oomoo`0TOol00`00Oomoo`0OOol0
0`0?Oomoo`0`Ool002Ioo`05001oogooOol0000?Ool00`00Oomoo`0bOol00`0?Oomoo`0IOol00`00
Oomoo`0ZOol00`0?Oomoo`17Ool00`0?Oomoo`0LOol00`00Oomoo`0WOol00`0?Oomoo`0SOol00`00
Oomoo`0POol00`0?Oomoo`0`Ool002Ioo`05001oogooOol0000@Ool00`00Oomoo`0aOol00`0?Oomo
o`0IOol00`00Oomoo`0ZOol00`0?Oomoo`17Ool00`0?Oomoo`0LOol00`00Oomoo`0WOol00`0?Oomo
o`0SOol00`00Oomoo`0POol00`0?Oomoo`0`Ool002Ioo`05001oogooOol0000@Ool00`00Oomoo`0a
Ool00`0?Oomoo`0IOol00`00Oomoo`0ZOol00`0?Oomoo`17Ool00`0?Oomoo`0MOol00`00Oomoo`0V
Ool00`0?Oomoo`0ROol00`00Oomoo`0QOol00`0?Oomoo`0`Ool002Ioo`80009oo`03001oogoo00mo
o`03001oogoo031oo`0300moogoo01Qoo`03001oogoo02]oo`0300moogoo04Moo`0300moogoo01eo
o`03001oogoo02Ioo`0300moogoo029oo`03001oogoo025oo`0300moogoo031oo`009Woo00D007oo
Oomoo`00015oo`03001oogoo031oo`0300moogoo01Qoo`03001oogoo02]oo`0300moogoo04Moo`03
00moogoo01ioo`03001oogoo02Eoo`0300moogoo029oo`03001oogoo025oo`0300moogoo031oo`00
9Woo00D007ooOomoo`00019oo`03001oogoo02moo`0300moogoo01Moo`03001oogoo02aoo`0300mo
ogoo04Moo`0300moogoo01ioo`03001oogoo02Eoo`0300moogoo025oo`03001oogoo029oo`0300mo
ogoo031oo`009Woo00D007ooOomoo`00019oo`03001oogoo02moo`0300moogoo01Moo`03001oogoo
02aoo`0300moogoo04Moo`0300moogoo01moo`03001oogoo02Aoo`0300moogoo025oo`03001oogoo
029oo`0300moogoo031oo`009Woo00D007ooOomoo`0001=oo`03001oogoo02ioo`0300moogoo01Io
o`03001oogoo02eoo`0300moogoo04Moo`0300moogoo01moo`03001oogoo02Aoo`0300moogoo021o
o`03001oogoo02=oo`0300moogoo031oo`009Woo00D007ooOomoo`0001=oo`03001oogoo02ioo`03
00moogoo01Eoo`03001oogoo02ioo`0300moogoo04Moo`0300moogoo021oo`03001oogoo02=oo`03
00moogoo021oo`03001oogoo02=oo`0300moogoo031oo`009Woo00D007ooOomoo`0001Aoo`03001o
ogoo02eoo`0300moogoo01Eoo`03001oogoo02ioo`0300moogoo04Moo`0300moogoo021oo`03001o
ogoo02=oo`0300moogoo01moo`03001oogoo02Aoo`0300moogoo031oo`009Woo0P000Woo00<007oo
Ool04Woo00<007ooOol0;Goo00<03gooOol057oo00<007ooOol0;goo00<03gooOol0Agoo00<03goo
Ool08Goo00<007ooOol08Woo00<03gooOol07goo00<007ooOol097oo00<03gooOol0<7oo000VOol0
1@00Oomoogoo00005Goo00<007ooOol0;7oo00<03gooOol057oo00<007ooOol0;goo00<03gooOol0
Agoo00<03gooOol08Goo00<007ooOol08Woo00<03gooOol07Woo00<007ooOol09Goo00<03gooOol0
<7oo000VOol01@00Oomoogoo00005Goo00<007ooOol0;7oo00<03gooOol04goo00<007ooOol0<7oo
00<03gooOol0Agoo00<03gooOol08Woo00<007ooOol08Goo00<03gooOol07Woo00<007ooOol09Goo
00<03gooOol0<7oo000VOol01@00Oomoogoo00005Woo00<007ooOol0:goo00<03gooOol04goo00<0
07ooOol0<7oo00<03gooOol0Agoo00<03gooOol08Woo00<007ooOol08Goo00<03gooOol07Goo00<0
07ooOol09Woo00<03gooOol0<7oo000@Ool30004Ool20004Ool20007Ool01000Oomoo`0067oo00<0
07ooOol0:Woo00<03gooOol04Woo00<007ooOol0<Goo00<03gooOol0Agoo00<03gooOol08goo00<0
07ooOol087oo00<03gooOol07Goo00<007ooOol09Woo00<03gooOol0<7oo000AOol00`00Oomoo`02
Ool01000Oomoo`000Woo00@007ooOol000Ioo`04001oogoo000IOol00`00Oomoo`0YOol00`0?Oomo
o`0AOol00`00Oomoo`0bOol00`0?Oomoo`17Ool00`0?Oomoo`0TOol00`00Oomoo`0OOol00`0?Oomo
o`0LOol00`00Oomoo`0WOol00`0?Oomoo`0`Ool0015oo`03001oogoo009oo`04001oogoo0002Ool0
1000Oomoo`001Woo10006@0?00<0000?00l0?@0?00<0000?00l0X`0?00<0000?00l0?@0?00<0000?
00l0:@0?<Woo000AOol00`00Oomoo`02Ool01000Oomoo`000Woo00@007ooOol000Ioo`04001oogoo
000JOol00`00Oomoo`0XOol00`0?Oomoo`0@Ool00`00Oomoo`0cOol00`0?Oomoo`17Ool00`0?Oomo
o`0UOol00`00Oomoo`0NOol00`0?Oomoo`0KOol00`00Oomoo`0XOol00`0?Oomoo`0`Ool0015oo`03
001oogoo009oo`04001oogoo0002Ool01000Oomoo`001Woo00@007ooOol001]oo`03001oogoo02Mo
o`0300moogoo00moo`03001oogoo03Aoo`0300moogoo04Moo`0300moogoo02Ioo`03001oogoo01eo
o`0300moogoo01Yoo`03001oogoo02Uoo`0300moogoo031oo`0047oo0P0017oo00@007ooOol0009o
o`04001oogoo0006Ool01000Oomoo`006goo00<007ooOol09goo00<03gooOol03Woo00<007ooOol0
=Goo00<03gooOol0Agoo00<03gooOol09goo00<007ooOol077oo00<03gooOol06Goo00<007ooOol0
:Woo00<03gooOol0<7oo000AOol00`00Oomoo`03Ool20004Ool20007Ool01000Oomoo`0077oo00<0
07ooOol09Woo00<03gooOol03Goo00<007ooOol0=Woo00<03gooOol0Agoo00<03gooOol0:7oo00<0
07ooOol06goo00<03gooOol067oo00<007ooOol0:goo00<03gooOol0<7oo000VOol01000Oomoo`00
7Goo00<007ooOol09Goo00<03gooOol037oo00<007ooOol0=goo00<03gooOol0Agoo00<03gooOol0
:Goo00<007ooOol06Woo00<03gooOol05goo00<007ooOol0;7oo00<03gooOol0<7oo000VOol01000
Oomoo`007Woo00<007ooOol097oo00<03gooOol02goo00<007ooOol0>7oo00<03gooOol0Agoo00<0
3gooOol0:Woo00<007ooOol06Goo00<03gooOol05Woo00<007ooOol0;Goo00<03gooOol0<7oo000V
Ool200000goo001oo`0NOol2000TOol00`0?Oomoo`0;Ool00`00Oomoo`0hOol00`0?Oomoo`17Ool0
0`0?Oomoo`0[Ool00`00Oomoo`0HOol00`0?Oomoo`0DOol2000`Ool00`0?Oomoo`0`Ool002Ioo`04
001oogoo000QOol00`00Oomoo`0QOol00`0?Oomoo`09Ool2000kOol00`0?Oomoo`17Ool00`0?Oomo
o`0/Ool00`00Oomoo`0GOol00`0?Oomoo`0COol00`00Oomoo`0`Ool00`0?Oomoo`0`Ool002Ioo`04
001oogoo000ROol00`00Oomoo`0POol00`0?Oomoo`07Ool2000mOol00`0?Oomoo`17Ool00`0?Oomo
o`0]Ool2000GOol00`0?Oomoo`0BOol00`00Oomoo`0aOol00`0?Oomoo`0`Ool002Ioo`04001oogoo
000SOol00`00Oomoo`0OOol00`0?Oomoo`05Ool2000oOol00`0?Oomoo`17Ool00`0?Oomoo`0_Ool2
000EOol00`0?Oomoo`0AOol00`00Oomoo`0bOol00`0?Oomoo`0`Ool002Ioo`04001oogoo000TOol2
000OOol00`0?Oomoo`03Ool20011Ool00`0?Oomoo`17Ool00`0?Oomoo`0aOol2000COol00`0?Oomo
o`0?Ool2000eOol00`0?Oomoo`0`Ool002Ioo`04001oogoo000VOol4000KOol0100?Oomoogoo0P00
@goo00<03gooOol0Agoo00<03gooOol0<goo0P004Goo00<03gooOol02goo1000=goo00<03gooOol0
<7oo000VOol01000Oomoo`00:Woo0`0067oo1000AGoo00<03gooOol0Agoo00<03gooOol0=Goo1000
3Goo00<03gooOol01goo1000>goo00<03gooOol0<7oo000VOol200000goo001oo`0/OolH00000`0?
Oomoo`16Ool00`0?Oomoo`17Ool00`0?Oomoo`0iOolG000oOol00`0?Oomoo`0`Ool002Ioo`04001o
ogoo0015Ool00`0?Oomoo`16Ool00`0?Oomoo`17Ool00`0?Oomoo`16Ool00`0?Oomoo`16Ool00`0?
Oomoo`0`Ool002Ioo`04001oogoo0015Ool00`0?Oomoo`16Ool00`0?Oomoo`17Ool00`0?Oomoo`16
Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool002Ioo`04001oogoo0015Ool00`0?Oomoo`16Ool00`0?
Oomoo`17Ool00`0?Oomoo`16Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool002Ioo`04001oogoo0015
Ool00`0?Oomoo`16Ool00`0?Oomoo`17Ool00`0?Oomoo`16Ool00`0?Oomoo`16Ool00`0?Oomoo`0`
Ool002Ioo`03001oo`0004Ioo`0300moogoo04Ioo`0300moogoo04Moo`0300moogoo04Ioo`0300mo
ogoo04Ioo`0300moogoo031oo`009Woo00<007oo0000AWoo00<03gooOol0AWoo00<03gooOol0Agoo
00<03gooOol0AWoo00<03gooOol0AWoo00<03gooOol0<7oo000VOol30016Ool00`0?Oomoo`16Ool0
0`0?Oomoo`17Ool00`0?Oomoo`16Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool002Ioo`03001oo`00
04Ioo`0300moogoo04Ioo`0300moogoo04Moo`0300moogoo04Ioo`0300moogoo04Ioo`0300moogoo
031oo`009Woo00<007oo0000AWoo00<03gooOol0AWoo00<03gooOol0Agoo00<03gooOol0AWoo00<0
3gooOol0AWoo00<03gooOol0<7oo000VOol00`00Ool00016Ool00`0?Oomoo`16Ool00`0?Oomoo`17
Ool00`0?Oomoo`16Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool002Ioo`03001oo`0004Ioo`0300mo
ogoo04Ioo`0300moogoo04Moo`0300moogoo04Ioo`0300moogoo04Ioo`0300moogoo031oo`009Woo
00<007oo0000AWoo00<03gooOol0AWoo00<03gooOol0Agoo00<03gooOol0AWoo00<03gooOol0AWoo
00<03gooOol0<7oo000VOol00`00Ool00016Ool00`0?Oomoo`16Ool00`0?Oomoo`17Ool00`0?Oomo
o`16Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool002Ioo`<004Ioo`0300moogoo04Ioo`0300moogoo
04Moo`0300moogoo04Ioo`0300moogoo04Ioo`0300moogoo031oo`009Woo00<007oo0000AWoo00<0
3gooOol0AWoo00<03gooOol0Agoo00<03gooOol0AWoo00<03gooOol0AWoo00<03gooOol0<7oo000V
Ool00`00Ool00016Ool00`0?Oomoo`16Ool00`0?Oomoo`17Ool00`0?Oomoo`16Ool00`0?Oomoo`16
Ool00`0?Oomoo`0`Ool002Ioo`03001oo`0004Ioo`0300moogoo04Ioo`0300moogoo04Moo`0300mo
ogoo04Ioo`0300moogoo04Ioo`0300moogoo031oo`0047oo0`000goo0`0017oo0P001goo00<007oo
0000AWoo00<03gooOol0AWoo00<03gooOol0Agoo00<03gooOol0AWoo00<03gooOol0AWoo00<03goo
Ool0<7oo000AOol01@00Oomoogoo00000goo00@007ooOol0009oo`03001oogoo00Aoo`03001oo`00
04Ioo`0300moogoo04Ioo`0300moogoo04Moo`0300moogoo04Ioo`0300moogoo04Ioo`0300moogoo
031oo`004Goo00<007ooOol01Goo00@007ooOol0009oo`03001oogoo00Aoo`03001oo`0004Ioo`03
00moogoo04Ioo`0300moogoo04Moo`0300moogoo04Ioo`0300moogoo04Ioo`0300moogoo031oo`00
4Goo00<007ooOol01Goo00@007ooOol0009oo`03001oogoo00Aoo`<00?l03fd03c9oo`004Goo00@0
07ooOomoo`@000=oo`04001oogoo0006Ool00`00Ool00016Ool00`0?Oomoo`16Ool00`0?Oomoo`17
Ool00`0?Oomoo`16Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool0011oo`8000=oo`03001oogoo00Ao
o`04001oogoo0006Ool00`00Ool00016Ool00`0?Oomoo`16Ool00`0?Oomoo`17Ool00`0?Oomoo`16
Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool0015oo`04001oogooOol50003Ool20007Ool00`00Ool0
0016Ool00`0?Oomoo`16Ool00`0?Oomoo`17Ool00`0?Oomoo`16Ool00`0?Oomoo`16Ool00`0?Oomo
o`0`Ool002Ioo`03001oo`0004Ioo`0300moogoo04Ioo`0300moogoo04Moo`0300moogoo04Ioo`03
00moogoo04Ioo`0300moogoo031oo`009Woo00<007oo0000AWoo00<03gooOol0AWoo00<03gooOol0
Agoo00<03gooOol0AWoo00<03gooOol0AWoo00<03gooOol0<7oo000VOol00`00Ool00016Ool00`0?
Oomoo`16Ool00`0?Oomoo`17Ool00`0?Oomoo`16Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool002Io
o`8004Moo`0300moogoo04Ioo`0300moogoo04Moo`0300moogoo04Ioo`0300moogoo04Ioo`0300mo
ogoo031oo`009Woo0P00Agoo00<03gooOol0AWoo00<03gooOol0Agoo00<03gooOol0AWoo00<03goo
Ool0AWoo00<03gooOol0<7oo000VOol20017Ool00`0?Oomoo`16Ool00`0?Oomoo`17Ool00`0?Oomo
o`16Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool002Ioo`8004Moo`0300moogoo04Ioo`0300moogoo
04Moo`0300moogoo04Ioo`0300moogoo04Ioo`0300moogoo031oo`009Woo0P00Agoo00<03gooOol0
AWoo00<03gooOol0Agoo00<03gooOol0AWoo00<03gooOol0AWoo00<03gooOol0<7oo000VOol20017
Ool00`0?Oomoo`16Ool00`0?Oomoo`17Ool00`0?Oomoo`16Ool00`0?Oomoo`16Ool00`0?Oomoo`0`
Ool002Ioo`8004Moo`0300moogoo04Ioo`0300moogoo04Moo`0300moogoo04Ioo`0300moogoo04Io
o`0300moogoo031oo`009Woo0P00Agoo00<03gooOol0AWoo00<03gooOol0Agoo00<03gooOol0AWoo
00<03gooOol0AWoo00<03gooOol0<7oo000VOol20017Ool00`0?Oomoo`16Ool00`0?Oomoo`17Ool0
0`0?Oomoo`16Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool002Ioo`8004Moo`0300moogoo04Ioo`03
00moogoo04Moo`0300moogoo04Ioo`0300moogoo04Ioo`0300moogoo031oo`009Woo0P00Agoo00<0
3gooOol0AWoo00<03gooOol0Agoo00<03gooOol0AWoo00<03gooOol0AWoo00<03gooOol0<7oo000V
Ool20017Ool00`0?Oomoo`16Ool00`0?Oomoo`17Ool00`0?Oomoo`16Ool00`0?Oomoo`16Ool00`0?
Oomoo`0`Ool002Ioo`8004Moo`0300moogoo04Ioo`0300moogoo04Moo`0300moogoo04Ioo`0300mo
ogoo04Ioo`0300moogoo031oo`009Woo0P00Agoo00<03gooOol0AWoo00<03gooOol0Agoo00<03goo
Ool0AWoo00<03gooOol0AWoo00<03gooOol0<7oo000VOol20017Ool00`0?Oomoo`16Ool00`0?Oomo
o`17Ool00`0?Oomoo`16Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool002Ioo`8004Moo`0300moogoo
04Ioo`0300moogoo04Moo`0300moogoo04Ioo`0300moogoo04Ioo`0300moogoo031oo`009Woo0P00
Agoo00<03gooOol0AWoo00<03gooOol0Agoo00<03gooOol0AWoo00<03gooOol0AWoo00<03gooOol0
<7oo000VOol20017Ool00`0?Oomoo`16Ool00`0?Oomoo`17Ool00`0?Oomoo`16Ool00`0?Oomoo`16
Ool00`0?Oomoo`0`Ool002Ioo`8004Moo`0300moogoo04Ioo`0300moogoo04Moo`0300moogoo04Io
o`0300moogoo04Ioo`0300moogoo031oo`009Woo0P00Agoo00<03gooOol0AWoo00<03gooOol0Agoo
00<03gooOol0AWoo00<03gooOol0AWoo00<03gooOol0<7oo000VOol20017Ool00`0?Oomoo`16Ool0
0`0?Oomoo`17Ool00`0?Oomoo`16Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool002Ioo`8004Moo`03
00moogoo04Ioo`0300moogoo04Moo`0300moogoo04Ioo`0300moogoo04Ioo`0300moogoo031oo`00
9Woo0P00Agoo00<03gooOol0AWoo00<03gooOol0Agoo00<03gooOol0AWoo00<03gooOol0AWoo00<0
3gooOol0<7oo000VOol00`00Oomoo`16Ool00`0?Oomoo`16Ool00`0?Oomoo`17Ool00`0?Oomoo`16
Ool00`0?Oomoo`16Ool00`0?Oomoo`0`Ool002Ioo`03001oogoo04Ioo`0300moogoo04Ioo`0300mo
ogoo04Moo`0300moogoo04Ioo`0300moogoo04Ioo`0300moogoo031oo`003goo1@000goo0P0017oo
0P001goo00<007ooOol0AWoo00<03gooOol0AWoo00<03gooOol0Agoo00<03gooOol0AWoo00<03goo
Ool0AWoo00<03gooOol0<7oo000@Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0006
Ool00`00Oomoo`16Ool00`0?Oomoo`16Ool00`0?Oomoo`17Ool00`0?Oomoo`16Ool00`0?Oomoo`16
Ool00`0?Oomoo`0`Ool0015oo`03001oogoo009oo`04001oogoo0002Ool01000Oomoo`001Woo0`00
o`0?K@0?<Woo000BOol01@00Oomoogoo00000Woo00@007ooOol0009oo`03001oogoo00Aoo`03001o
ogoo04Ioo`0300moogoo04Ioo`0300moogoo04Moo`0300moogoo04Ioo`0300moogoo04Ioo`0300mo
ogoo031oo`003goo00D007ooOomoo`00009oo`04001oogoo0002Ool01000Oomoo`00ogooZ7oo000?
Ool01@00Oomoogoo00000Woo00@007ooOol0009oo`04001oogoo003oOonXOol0011oo`<000Aoo`80
00Aoo`800?moojUoo`00ogoob7oo003oOoo8Ool00?moolQoo`00OWoo0`003goo0`00V7oo0`00VGoo
0021Ool00`00Oomoo`0?Ool00`00Oomoo`2FOol00`00Oomoo`2HOol006Eoo`@000=oo`<000=oo`03
001oo`0000=oo`<000=oo`@000=oo`800003Ool0000000800004Ool00000Ool40008Ool40002Ool3
0002Ool4000:Ool20002Ool300000goo00000002Ool20003Ool30002Ool30003Ool40003Ool30002
Ool6000017oo000000000Woo0`0000=oo`0000000P0000=oo`0000000Woo0`000Woo1@0000=oo`00
00000P0027oo0`0000Aoo`00001oo`@0009oo`<0009oo`H000Moo`<0009oo`/00003Ool000000080
00=oo`<0009oo`D00003Ool0000000<007=oo`00IWoo00H007ooOol007oo0006Ool00`00Ool00002
Ool00`00Oomoo`03Ool01@00Oomoogoo00000Woo00@007ooOol0009oo`06001oogoo001oo`000goo
00<007ooOol01Goo00@007ooOol0009oo`03001oogoo00Moo`03001oogoo00Ioo`04001oogoo0002
Ool01000Oomoo`000Woo00H007ooOol007oo0006Ool00`00Oomoo`06Ool00`00Ool00003Ool01000
Oomoo`000Woo00<007oo00001Woo00@007ooOol0009oo`03001oo`00009oo`03001oogoo00Eoo`03
001oogoo00Eoo`03001oogoo00Ioo`06001oogoo001oo`000Woo00@007ooOol000=oo`04001oogoo
0002Ool00`00Oomoo`06Ool01000Oomoo`000Woo00@007ooOol000=oo`03001oogoo00Eoo`03001o
o`0000=oo`05001oogooOol00005Ool00`00Oomoo`1cOol0021oo`<004=oo`05001oogoo001oo`05
00001goo001oo`00Ool007oo00D00003Ool007oo009oo`04001oogoo0002Ool01000Oomoo`000Woo
00<007oo00000goo00<007ooOol01Goo00@007ooOol0009oo`D0009oo`<000Uoo`04001oogoo0002
Ool01000Oomoo`000Woo00<007ooOol00Woo1@000Woo00<007ooOol00goo0`000Woo00<007ooOol0
17oo00D007ooOol007oo00D0009oo`04001oogoo0002Ool20003Ool50003Ool00`00Oomoo`02Ool3
0009Ool01000Oomoo`000Woo0`000Woo00<007ooOol017oo00@007ooOol000Qoo`04001oogoo0002
Ool01000Oomoo`000goo00<007ooOol00Woo0`000Woo00D007ooOomoo`0000=oo`03001oogoo00=o
o`03001oogoo07=oo`008Goo00<007ooOol0@Woo0`000Woo00d007ooOomoo`00Ool007oo001oo`00
Ool00003Ool00`00Ool00003Ool01000Oomoo`000Woo00@007ooOol0009oo`03001oo`0000=oo`03
001oogoo00Eoo`04001oogoo0002Ool01`00Oomoogoo001oo`0000aoo`04001oogoo0002Ool01000
Oomoo`000Woo00<007ooOol00Woo00D007ooOomoo`00009oo`8000=oo`03001oogoo00=oo`05001o
ogooOol00002Ool01P00Oomoo`00Ool000=oo`04001oogoo0002Ool01P00Oomoo`00Ool0009oo`05
001oogooOol00003Ool01@00Oomoogoo000037oo00H007ooOol007oo0002Ool01000Oomoo`000goo
00@007ooOol0009oo`03001oogoo00Ioo`04001oogoo0002Ool01000Oomoo`000goo00D007ooOomo
o`0000Eoo`05001oogooOol00003Ool00`00Oomoo`03Ool00`00Oomoo`1cOol0009oo`800003Ool0
000000<00004Ool000000009Ool00`00Oomoo`07Ool30002Ool;00000goo000000020003Ool30002
Ool500000goo00000003000MOol01000Oomoo`000Woo0`000Woo1P0000Aoo`00000000=oo`L00004
Ool00000Ool40003Ool50007Ool30003Ool30003Ool40008Ool01@00Oomoo`00Ool010000Woo1000
0goo0`000Woo0P0000=oo`0000000Woo10000Woo0`000goo0`000goo0`000Woo10000goo00@007oo
0000009oo`<000Aoo`03001oogoo009oo`@000Moo`@000=oo`8000Aoo`<000=oo`<000Qoo`@000=o
o`<0009oo`<000Aoo`@0009oo`<000Aoo`03001oogoo00=oo`03001oogoo07=oo`000Woo00L007oo
Oomoo`00Ool00003Ool00`00Oomoo`08Ool00`00Oomoo`07Ool01000Oomoo`000Woo00@007ooOol0
00=oo`03001oogoo00Eoo`03001oo`0000=oo`05001oogooOol00005Ool00`00Oomoo`0MOol01000
Oomoo`00=7oo00<007ooOol04goo00@007ooOol000Qoo`03001oogoo01]oo`03001oogoo00moo`03
001oogoo00Yoo`03001oogoo021oo`03001oogoo00moo`03001oogoo01Ioo`03001oogoo00=oo`03
001oogoo07=oo`000Woo00L007ooOomoo`00Ool00003Ool00`00Oomoo`06Ool50007Ool01000Oomo
o`000Woo00@007ooOol000=oo`03001oogoo009oo`<0009oo`05001oogooOol00003Ool00`00Oomo
o`03Ool00`00Oomoo`0LOol4000dOol2000DOol300000goo00000007Ool00`00Oomoo`0JOol2000@
Ool2000:Ool3000QOol2000@Ool20006Ool00`00Oomoo`0=Ool30003Ool3001eOol0009oo`07001o
ogooOol007oo00000goo00<007ooOol027oo00<007ooOol01goo00@007ooOol0009oo`04001oogoo
0003Ool01@00Oomoogoo00001Goo00D007ooOomoo`0000=oo`03001oogoo00=oo`03001oogoo0?mo
ogmoo`000Woo00/007oo001oo`00Ool007oo001oo`0000Yoo`03001oogoo00Ioo`@000=oo`<0009o
o`<000Aoo`@0009oo`<000Aoo`03001oogoo00=oo`03001oogoo0?moogmoo`000Woo0P0000Aoo`00
001oo`800003Ool0000001Yoo`03001oogoo01Ioo`03001oogoo00=oo`03001oogoo0?moogmoo`00
0Woo00@007ooOomoo`<000=oo`8001Qoo`8000Ioo`03001oogoo00eoo`<000=oo`<00?mooh5oo`00
ogoob7oo003oOoo8Ool00?moolQoo`00ogoob7oo003oOoo8Ool00?moolQoo`00ogoob7oo003oOoo8
Ool00?moolQoo`00ogoob7oo003oOoo8Ool00?moolQoo`00ogoob7oo003oOoo8Ool00?moolQoo`00
ogoob7oo003oOoo8Ool00?moolQoo`00\
\>"],
  ImageRangeCache->{{{0, 454}, {280.062, 0}} -> {-0.103597, -151.173, \
0.00272609, 1.4517}}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.2 for Macintosh",
ScreenRectangle->{{0, 1152}, {0, 850}},
WindowSize->{760, 742},
WindowMargins->{{130, Automatic}, {-316, Automatic}},
PrintingOptions->{"PrintingMargins"->{{54, 43.1875}, {43.1875, 43.1875}},
"PrintCellBrackets"->False,
"PrintRegistrationMarks"->True,
"PrintMultipleHorizontalPages"->False},
ShowCellLabel->False,
MacintoshSystemPageSetup->"\<\
00<0004/0B`000004:<;T?o0okX@hP_E0fL5N`?P0080004/0B`000000]P2:001
0000D00000400`<30?l00BL?00400@00000000000000060801T1T00000008000
00000000004000000000000000000000\>"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 126, 4, 80, "Section"],
Cell[1905, 59, 89, 1, 27, "Input"],

Cell[CellGroupData[{
Cell[2019, 64, 68, 0, 42, "Subsubsection"],
Cell[2090, 66, 401, 11, 158, "Text"],
Cell[2494, 79, 60, 0, 30, "Text"],

Cell[CellGroupData[{
Cell[2579, 83, 124, 3, 27, "Input"],
Cell[2706, 88, 323, 8, 26, "Output"]
}, Open  ]],
Cell[3044, 99, 43, 0, 30, "Text"],

Cell[CellGroupData[{
Cell[3112, 103, 86, 1, 27, "Input"],
Cell[3201, 106, 255, 6, 26, "Output"]
}, Open  ]],
Cell[3471, 115, 28, 0, 30, "Text"],

Cell[CellGroupData[{
Cell[3524, 119, 56, 1, 27, "Input"],
Cell[3583, 122, 50, 1, 26, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[3682, 129, 62, 0, 42, "Subsubsection"],
Cell[3747, 131, 49, 0, 30, "Text"],
Cell[3799, 133, 199, 4, 75, "Input"],

Cell[CellGroupData[{
Cell[4023, 141, 51, 1, 27, "Input"],
Cell[4077, 144, 511, 12, 26, "Output"]
}, Open  ]],
Cell[4603, 159, 183, 5, 57, "Input"],

Cell[CellGroupData[{
Cell[4811, 168, 54, 1, 27, "Input"],
Cell[4868, 171, 58, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4963, 177, 55, 1, 27, "Input"],
Cell[5021, 180, 58, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5116, 186, 340, 6, 59, "Input"],
Cell[5459, 194, 46212, 1085, 254, 10900, 645, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[51708, 1284, 334, 6, 59, "Input"],
Cell[52045, 1292, 43198, 975, 253, 9287, 552, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[95280, 2272, 145, 3, 59, "Input"],
Cell[95428, 2277, 53, 1, 26, "Output"],
Cell[95484, 2280, 53, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[95574, 2286, 368, 7, 75, "Input"],
Cell[95945, 2295, 45880, 1108, 271, 11439, 678, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[141886, 3410, 100, 3, 56, "Section"],

Cell[CellGroupData[{
Cell[142011, 3417, 62, 0, 42, "Subsubsection"],
Cell[142076, 3419, 49, 0, 30, "Text"],
Cell[142128, 3421, 200, 4, 75, "Input"],

Cell[CellGroupData[{
Cell[142353, 3429, 51, 1, 27, "Input"],
Cell[142407, 3432, 496, 11, 26, "Output"]
}, Open  ]],
Cell[142918, 3446, 183, 5, 57, "Input"],

Cell[CellGroupData[{
Cell[143126, 3455, 54, 1, 27, "Input"],
Cell[143183, 3458, 58, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[143278, 3464, 55, 1, 27, "Input"],
Cell[143336, 3467, 58, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[143431, 3473, 340, 6, 59, "Input"],
Cell[143774, 3481, 46114, 1084, 254, 10907, 645, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[189925, 4570, 334, 6, 59, "Input"],
Cell[190262, 4578, 43126, 976, 253, 9325, 554, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[233425, 5559, 145, 3, 59, "Input"],
Cell[233573, 5564, 56, 1, 26, "Output"],
Cell[233632, 5567, 52, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[233721, 5573, 368, 7, 75, "Input"],
Cell[234092, 5582, 49384, 1183, 271, 12136, 719, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[283525, 6771, 52, 0, 42, "Subsubsection"],

Cell[CellGroupData[{
Cell[283602, 6775, 58, 1, 27, "Input"],
Cell[283663, 6778, 55164, 1497, 290, 16659, 1017, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

