(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 4.2'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     15534,        468]*)
(*NotebookOutlinePosition[     16444,        497]*)
(*  CellTagsIndexPosition[     16400,        493]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Uebung 2.1: Zeige die Entwicklung von Mi, Qi und hi", "Section"],

Cell[CellGroupData[{

Cell["Initialisierung von Prozeduren", "Subsubsection"],

Cell["Setup the Tilde operator on a vector v1(3) ", "Text"],

Cell[BoxData[
    \(Tilde[
        v1_?ListQ] := {{0, \(-v1[\([3]\)]\), v1[\([2]\)]}, {v1[\([3]\)], 
            0, \(-v1[\([1]\)]\)}, {\(-v1[\([2]\)]\), v1[\([1]\)], 0}} /; 
        Length[v1] \[Equal] 3\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Anlegen der Vektoren und Matrizen", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(rSi = {rSx, rSy, rSz}; \ MatrixForm[rSi]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"rSx"},
            {"rSy"},
            {"rSz"}
            }], "\[NoBreak]", ")"}],
      MatrixForm[ {rSx, rSy, rSz}]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(IOi = {{IOxx, IOxy, IOxz}, \[IndentingNewLine]{IOxy, IOyy, 
          IOyz}, \[IndentingNewLine]{IOxz, IOyz, IOzz}}; 
    MatrixForm[IOi]\)], "Input"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"IOxx", "IOxy", "IOxz"},
            {"IOxy", "IOyy", "IOyz"},
            {"IOxz", "IOyz", "IOzz"}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\[Omega]i = {\[Omega]x, \[Omega]y, \[Omega]z}; \ 
    MatrixForm[\[Omega]i]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"\[Omega]x"},
            {"\[Omega]y"},
            {"\[Omega]z"}
            }], "\[NoBreak]", ")"}],
      MatrixForm[ {\[Omega]x, \[Omega]y, \[Omega]z}]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(vi = {vx, vy, vz}; \ MatrixForm[vi]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"vx"},
            {"vy"},
            {"vz"}
            }], "\[NoBreak]", ")"}],
      MatrixForm[ {vx, vy, vz}]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(rki = {rkx, rky, rkz}; \ MatrixForm[rki]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"rkx"},
            {"rky"},
            {"rkz"}
            }], "\[NoBreak]", ")"}],
      MatrixForm[ {rkx, rky, rkz}]]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Fki\  = \ {Fkx, Fky, Fkz}; \ MatrixForm[Fki]\)], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"Fkx"},
            {"Fky"},
            {"Fkz"}
            }], "\[NoBreak]", ")"}],
      MatrixForm[ {Fkx, Fky, Fkz}]]], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Massenmatrix Mi (symmetrisch)", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(Mi = Table[0, {2}, {2}];\)\), "\n", 
    \(\(Mi[\([1, 1]\)] = mi\ IdentityMatrix[3];\)\), "\n", 
    \(\(Mi[\([1, 2]\)] = \(-mi\)\ Tilde[rSi];\)\), "\n", 
    \(\(Mi[\([2, 1]\)] = Transpose[Mi[\([1, 2]\)]];\)\), "\n", 
    \(\(Mi[\([2, 2]\)] = IOi;\)\), "\n", 
    \(MatrixForm[Mi]\)}], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {
              RowBox[{"(", "\[NoBreak]", GridBox[{
                    {"mi", "0", "0"},
                    {"0", "mi", "0"},
                    {"0", "0", "mi"}
                    }], "\[NoBreak]", ")"}], 
              RowBox[{"(", "\[NoBreak]", GridBox[{
                    {"0", \(mi\ rSz\), \(\(-mi\)\ rSy\)},
                    {\(\(-mi\)\ rSz\), "0", \(mi\ rSx\)},
                    {\(mi\ rSy\), \(\(-mi\)\ rSx\), "0"}
                    }], "\[NoBreak]", ")"}]},
            {
              RowBox[{"(", "\[NoBreak]", GridBox[{
                    {"0", \(\(-mi\)\ rSz\), \(mi\ rSy\)},
                    {\(mi\ rSz\), "0", \(\(-mi\)\ rSx\)},
                    {\(\(-mi\)\ rSy\), \(mi\ rSx\), "0"}
                    }], "\[NoBreak]", ")"}], 
              RowBox[{"(", "\[NoBreak]", GridBox[{
                    {"IOxx", "IOxy", "IOxz"},
                    {"IOxy", "IOyy", "IOyz"},
                    {"IOxz", "IOyz", "IOzz"}
                    }], "\[NoBreak]", ")"}]}
            }], "\[NoBreak]", ")"}],
      MatrixForm[ {{{{mi, 0, 0}, {0, mi, 0}, {0, 0, mi}}, {{0, 
        Times[ mi, rSz], 
        Times[ -1, mi, rSy]}, {
        Times[ -1, mi, rSz], 0, 
        Times[ mi, rSx]}, {
        Times[ mi, rSy], 
        Times[ -1, mi, rSx], 0}}}, {{{0, 
        Times[ -1, mi, rSz], 
        Times[ mi, rSy]}, {
        Times[ mi, rSz], 0, 
        Times[ -1, mi, rSx]}, {
        Times[ -1, mi, rSy], 
        Times[ mi, rSx], 0}}, {{IOxx, IOxy, IOxz}, {IOxy, IOyy, IOyz}, {IOxz, 
        IOyz, IOzz}}}}]]], "Output"]
}, Open  ]],

Cell["oder ", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(Mi1 = Join[mi\ IdentityMatrix[3], mi\ Tilde[rSi]];\)\ \ \  (*\ 
      1. \ Spalte\ *) \), "\n", 
    \(\(Mi2 = Join[\(-mi\)\ Tilde[rSi], IOi];\)\ \ \  (*\ 
      2. \ Spalte\ *) \), "\n", 
    \(Mi = Transpose[Join[Transpose[Mi1], Transpose[Mi2]]]; \ \  (*\ 
      Zusammenbau\ *) \ Mi // MatrixForm\)}], "Input"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"mi", "0", "0", "0", \(mi\ rSz\), \(\(-mi\)\ rSy\)},
            {"0", "mi", "0", \(\(-mi\)\ rSz\), "0", \(mi\ rSx\)},
            {"0", "0", "mi", \(mi\ rSy\), \(\(-mi\)\ rSx\), "0"},
            {"0", \(\(-mi\)\ rSz\), \(mi\ rSy\), "IOxx", "IOxy", "IOxz"},
            {\(mi\ rSz\), "0", \(\(-mi\)\ rSx\), "IOxy", "IOyy", "IOyz"},
            {\(\(-mi\)\ rSy\), \(mi\ rSx\), "0", "IOxz", "IOyz", "IOzz"}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Gyroskopische Matrix Qi (6 x 1 Matrix)", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(Qi = Table[0, {2}, {1}];\)\), "\n", 
    \(Qi[\([1, 1]\)] = 
      mi\ Tilde[\[Omega]i] . \ vi\  + \ \ mi\ Tilde[\[Omega]i] . \ 
            Tilde[\[Omega]i]\  . 
            rSi; \ \ \ \ \ \ \  (*\ \ Matrixprodukt\ mit\  . \ 
          schreiben\ *) \), "\n", 
    \(\(Qi[\([2, 1]\)] = 
        mi\ Tilde[rSi] . \ \[Omega]i . \ vi\  + \ \ Tilde[\[Omega]i]\  . 
            IOi . \ \[Omega]i;\)\), "\n", 
    \(\(Qi\  = Join[Qi[\([1, 1]\)], Qi[\([2, 1]\)]];\)\ \ \ \ \ \ \  (*\ 
      wirft\ ein\ paar\ Klammern\ weg\ *) \), "\n", 
    \(MatrixForm[Qi]\)}], "Input"],

Cell[BoxData[
    InterpretationBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(mi\ \((vz\ \[Omega]y - vy\ \[Omega]z)\) + 
                mi\ \((rSy\ \[Omega]x\ \[Omega]y + 
                      rSz\ \[Omega]x\ \[Omega]z + 
                      rSx\ \((\(-\[Omega]y\^2\) - \[Omega]z\^2)\))\)\)},
            {\(mi\ \((\(-vz\)\ \[Omega]x + vx\ \[Omega]z)\) + 
                mi\ \((rSx\ \[Omega]x\ \[Omega]y + 
                      rSz\ \[Omega]y\ \[Omega]z + 
                      rSy\ \((\(-\[Omega]x\^2\) - \[Omega]z\^2)\))\)\)},
            {\(mi\ \((vy\ \[Omega]x - vx\ \[Omega]y)\) + 
                mi\ \((rSz\ \((\(-\[Omega]x\^2\) - \[Omega]y\^2)\) + 
                      rSx\ \[Omega]x\ \[Omega]z + 
                      rSy\ \[Omega]y\ \[Omega]z)\)\)},
            {\(\[Omega]x\ \((IOxz\ \[Omega]y - 
                      IOxy\ \[Omega]z)\) + \[Omega]y\ \((IOyz\ \[Omega]y - 
                      IOyy\ \[Omega]z)\) + \[Omega]z\ \((IOzz\ \[Omega]y - 
                      IOyz\ \[Omega]z)\) + 
                mi\ \((vz\ \((\(-rSy\)\ \[Omega]x + rSx\ \[Omega]y)\) + 
                      vy\ \((rSz\ \[Omega]x - rSx\ \[Omega]z)\) + 
                      vx\ \((\(-rSz\)\ \[Omega]y + rSy\ \[Omega]z)\))\)\)},
            {\(\[Omega]x\ \((\(-IOxz\)\ \[Omega]x + 
                      IOxx\ \[Omega]z)\) + \[Omega]y\ \((\(-IOyz\)\ \[Omega]x \
+ IOxy\ \[Omega]z)\) + \[Omega]z\ \((\(-IOzz\)\ \[Omega]x + 
                      IOxz\ \[Omega]z)\) + 
                mi\ \((vz\ \((\(-rSy\)\ \[Omega]x + rSx\ \[Omega]y)\) + 
                      vy\ \((rSz\ \[Omega]x - rSx\ \[Omega]z)\) + 
                      vx\ \((\(-rSz\)\ \[Omega]y + rSy\ \[Omega]z)\))\)\)},
            {\(\[Omega]x\ \((IOxy\ \[Omega]x - 
                      IOxx\ \[Omega]y)\) + \[Omega]y\ \((IOyy\ \[Omega]x - 
                      IOxy\ \[Omega]y)\) + \((IOyz\ \[Omega]x - 
                      IOxz\ \[Omega]y)\)\ \[Omega]z + 
                mi\ \((vz\ \((\(-rSy\)\ \[Omega]x + rSx\ \[Omega]y)\) + 
                      vy\ \((rSz\ \[Omega]x - rSx\ \[Omega]z)\) + 
                      vx\ \((\(-rSz\)\ \[Omega]y + rSy\ \[Omega]z)\))\)\)}
            }], "\[NoBreak]", ")"}],
      MatrixForm[ {
        Plus[ 
          Times[ mi, 
            Plus[ 
              Times[ vz, \[Omega]y], 
              Times[ -1, vy, \[Omega]z]]], 
          Times[ mi, 
            Plus[ 
              Times[ rSy, \[Omega]x, \[Omega]y], 
              Times[ rSz, \[Omega]x, \[Omega]z], 
              Times[ rSx, 
                Plus[ 
                  Times[ -1, 
                    Power[ \[Omega]y, 2]], 
                  Times[ -1, 
                    Power[ \[Omega]z, 2]]]]]]], 
        Plus[ 
          Times[ mi, 
            Plus[ 
              Times[ -1, vz, \[Omega]x], 
              Times[ vx, \[Omega]z]]], 
          Times[ mi, 
            Plus[ 
              Times[ rSx, \[Omega]x, \[Omega]y], 
              Times[ rSz, \[Omega]y, \[Omega]z], 
              Times[ rSy, 
                Plus[ 
                  Times[ -1, 
                    Power[ \[Omega]x, 2]], 
                  Times[ -1, 
                    Power[ \[Omega]z, 2]]]]]]], 
        Plus[ 
          Times[ mi, 
            Plus[ 
              Times[ vy, \[Omega]x], 
              Times[ -1, vx, \[Omega]y]]], 
          Times[ mi, 
            Plus[ 
              Times[ rSz, 
                Plus[ 
                  Times[ -1, 
                    Power[ \[Omega]x, 2]], 
                  Times[ -1, 
                    Power[ \[Omega]y, 2]]]], 
              Times[ rSx, \[Omega]x, \[Omega]z], 
              Times[ rSy, \[Omega]y, \[Omega]z]]]], 
        Plus[ 
          Times[ \[Omega]x, 
            Plus[ 
              Times[ IOxz, \[Omega]y], 
              Times[ -1, IOxy, \[Omega]z]]], 
          Times[ \[Omega]y, 
            Plus[ 
              Times[ IOyz, \[Omega]y], 
              Times[ -1, IOyy, \[Omega]z]]], 
          Times[ \[Omega]z, 
            Plus[ 
              Times[ IOzz, \[Omega]y], 
              Times[ -1, IOyz, \[Omega]z]]], 
          Times[ mi, 
            Plus[ 
              Times[ vz, 
                Plus[ 
                  Times[ -1, rSy, \[Omega]x], 
                  Times[ rSx, \[Omega]y]]], 
              Times[ vy, 
                Plus[ 
                  Times[ rSz, \[Omega]x], 
                  Times[ -1, rSx, \[Omega]z]]], 
              Times[ vx, 
                Plus[ 
                  Times[ -1, rSz, \[Omega]y], 
                  Times[ rSy, \[Omega]z]]]]]], 
        Plus[ 
          Times[ \[Omega]x, 
            Plus[ 
              Times[ -1, IOxz, \[Omega]x], 
              Times[ IOxx, \[Omega]z]]], 
          Times[ \[Omega]y, 
            Plus[ 
              Times[ -1, IOyz, \[Omega]x], 
              Times[ IOxy, \[Omega]z]]], 
          Times[ \[Omega]z, 
            Plus[ 
              Times[ -1, IOzz, \[Omega]x], 
              Times[ IOxz, \[Omega]z]]], 
          Times[ mi, 
            Plus[ 
              Times[ vz, 
                Plus[ 
                  Times[ -1, rSy, \[Omega]x], 
                  Times[ rSx, \[Omega]y]]], 
              Times[ vy, 
                Plus[ 
                  Times[ rSz, \[Omega]x], 
                  Times[ -1, rSx, \[Omega]z]]], 
              Times[ vx, 
                Plus[ 
                  Times[ -1, rSz, \[Omega]y], 
                  Times[ rSy, \[Omega]z]]]]]], 
        Plus[ 
          Times[ \[Omega]x, 
            Plus[ 
              Times[ IOxy, \[Omega]x], 
              Times[ -1, IOxx, \[Omega]y]]], 
          Times[ \[Omega]y, 
            Plus[ 
              Times[ IOyy, \[Omega]x], 
              Times[ -1, IOxy, \[Omega]y]]], 
          Times[ 
            Plus[ 
              Times[ IOyz, \[Omega]x], 
              Times[ -1, IOxz, \[Omega]y]], \[Omega]z], 
          Times[ mi, 
            Plus[ 
              Times[ vz, 
                Plus[ 
                  Times[ -1, rSy, \[Omega]x], 
                  Times[ rSx, \[Omega]y]]], 
              Times[ vy, 
                Plus[ 
                  Times[ rSz, \[Omega]x], 
                  Times[ -1, rSx, \[Omega]z]]], 
              Times[ vx, 
                Plus[ 
                  Times[ -1, rSz, \[Omega]y], 
                  Times[ rSy, \[Omega]z]]]]]]}]]], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Last Matrix hi (6 x 3 Matrix)", "Subsubsection"],

Cell[BoxData[{
    \(\(hi = Table[0, {2}, {1}];\)\), "\n", 
    \(\(hi[\([1, 1]\)] = IdentityMatrix[3];\)\), "\n", 
    \(\(hi[\([2, 1]\)] = \ Tilde[rki];\)\)}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(hi\  = Join[hi[\([1, 1]\)], hi[\([2, 1]\)]];\)\ \), "\n", 
    \(MatrixForm[hi]\)}], "Input"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"1", "0", "0"},
            {"0", "1", "0"},
            {"0", "0", "1"},
            {"0", \(-rkz\), "rky"},
            {"rkz", "0", \(-rkx\)},
            {\(-rky\), "rkx", "0"}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.2 for Macintosh",
ScreenRectangle->{{0, 1152}, {0, 850}},
WindowSize->{1078, 687},
WindowMargins->{{1, Automatic}, {Automatic, 1}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
ShowCellLabel->False,
MacintoshSystemPageSetup->"\<\
00<0004/0B`000004B8;aOnUok/A=``U0fL5N`?P0080004/0B`000000]P2:001
0000CP0000400`<30?l00Gd000400@fLi10000000000060801T1T00000008000
00000000004000000000000000000000\>"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 70, 0, 56, "Section"],

Cell[CellGroupData[{
Cell[1871, 57, 55, 0, 42, "Subsubsection"],
Cell[1929, 59, 59, 0, 30, "Text"],
Cell[1991, 61, 217, 4, 27, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2245, 70, 58, 0, 42, "Subsubsection"],

Cell[CellGroupData[{
Cell[2328, 74, 73, 1, 27, "Input"],
Cell[2404, 77, 226, 7, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2667, 89, 170, 3, 59, "Input"],
Cell[2840, 94, 293, 8, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3170, 107, 108, 2, 27, "Input"],
Cell[3281, 111, 262, 7, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3580, 123, 68, 1, 27, "Input"],
Cell[3651, 126, 220, 7, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3908, 138, 73, 1, 27, "Input"],
Cell[3984, 141, 226, 7, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4247, 153, 77, 1, 27, "Input"],
Cell[4327, 156, 226, 7, 57, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[4602, 169, 54, 0, 42, "Subsubsection"],

Cell[CellGroupData[{
Cell[4681, 173, 318, 6, 107, "Input"],
Cell[5002, 181, 1643, 39, 105, "Output"]
}, Open  ]],
Cell[6660, 223, 21, 0, 30, "Text"],

Cell[CellGroupData[{
Cell[6706, 227, 336, 6, 75, "Input"],
Cell[7045, 235, 599, 11, 105, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[7693, 252, 63, 0, 42, "Subsubsection"],

Cell[CellGroupData[{
Cell[7781, 256, 589, 12, 91, "Input"],
Cell[8373, 270, 6327, 163, 113, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[14749, 439, 54, 0, 42, "Subsubsection"],
Cell[14806, 441, 170, 3, 59, "Input"],

Cell[CellGroupData[{
Cell[15001, 448, 116, 2, 43, "Input"],
Cell[15120, 452, 374, 11, 105, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

