(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 4.2'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    137756,       3749]*)
(*NotebookOutlinePosition[    138842,       3782]*)
(*  CellTagsIndexPosition[    138798,       3778]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["\<\
Uebung 4.1: Die numeriche Loesung der Bewegung einer Masse mit \
Muskelkraft nach Maxwell\
\>", "Section"],

Cell[BoxData[
    \(Clear[m, de1, de2, de3, m, F1, g, kPE, kSE, dSE]\)], "Input"],

Cell[CellGroupData[{

Cell["Formulierung der DGLs", "Subsubsection"],

Cell["\<\
Die Paramter sind:
m=Masse= 5 kg
kPE = Steifigkeit von PE = 800 N/m
kSE = Steifigkeit von SE = 400 N/m
dSE = Daempfungskonst. von SE = 100 Ns/m

F1 = Kraft an PE
F2 = Kraft an Maxwell-Strang
y = Laengenaenderung des Muskels\
\>", "Text"],

Cell[" DGL der Massenbewegung mit y und dy ", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(de1 = m*\(dy'\)[t] + F1 + F2[t] - m*g == 0\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{"F1", "-", \(g\ m\), "+", \(F2[t]\), "+", 
        RowBox[{"m", " ", 
          RowBox[{
            SuperscriptBox["dy", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], "==", 
      "0"}]], "Output"]
}, Open  ]],

Cell["Kraft F1", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(F1 = kPE*y[t]\)], "Input"],

Cell[BoxData[
    \(kPE\ y[t]\)], "Output"]
}, Open  ]],

Cell["Kraft F2", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(de2 = \(F2'\)[t] + kSE/dSE*F2[t] == kSE*dy[t]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(\(kSE\ F2[t]\)\/dSE\), "+", 
        RowBox[{
          SuperscriptBox["F2", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], 
      "==", \(kSE\ dy[t]\)}]], "Output"]
}, Open  ]],

Cell["Kinematik", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(de3 = \(y'\)[t] \[Equal] dy[t]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        SuperscriptBox["y", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], 
      "==", \(dy[t]\)}]], "Output"]
}, Open  ]],

Cell["Belegen der Parameter mit Werten:", "Text"],

Cell[BoxData[
    \(m = 5; g = 9.81; kPE = 800; kSE = 600; dSE = 200;\)], "Input"],

Cell["Numeriches Loesen der DGLs", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(de1 = Simplify[de1]\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(F2[t]\), "+", \(800\ y[t]\), "+", 
        RowBox[{"5", " ", 
          RowBox[{
            SuperscriptBox["dy", "\[Prime]",
              MultilineFunction->None], "[", "t", "]"}]}]}], "==", 
      "49.050000000000004`"}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(de2\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{\(3\ F2[t]\), "+", 
        RowBox[{
          SuperscriptBox["F2", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}], 
      "==", \(600\ dy[t]\)}]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(de3\)], "Input"],

Cell[BoxData[
    RowBox[{
      RowBox[{
        SuperscriptBox["y", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}], 
      "==", \(dy[t]\)}]], "Output"]
}, Open  ]],

Cell["\<\
erg1 = NDSolve[{de1,de2,de3, y[0]==0, dy[0] == 0, F2[0]==0 }, \
{y,dy,F2}, {t,0,3}];\
\>", "Input",
  ImageRegion->{{0, 1}, {0, 1}}],

Cell[CellGroupData[{

Cell["\<\
yerg  = y [t] /. erg1[[1]]
dyerg = dy[t] /. erg1[[1]]\
\>", "Input",
  ImageRegion->{{0, 1}, {0, 1}}],

Cell[BoxData[
    RowBox[{
      TagBox[\(InterpolatingFunction[{{0.`, 3.`}}, "<>"]\),
        False,
        Editable->False], "[", "t", "]"}]], "Output"],

Cell[BoxData[
    RowBox[{
      TagBox[\(InterpolatingFunction[{{0.`, 3.`}}, "<>"]\),
        False,
        Editable->False], "[", "t", "]"}]], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Auswertungen", "Subsubsection"],

Cell[CellGroupData[{

Cell[BoxData[
    \(yerg /. t \[Rule] 1\)], "Input"],

Cell[BoxData[
    \(0.06937997217729065`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(dyerg /. t \[Rule] 1\)], "Input"],

Cell[BoxData[
    \(\(-0.23257287544465838`\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Plot[{Evaluate[yerg],Evaluate[dyerg]}, {t, 0.01, 3}, 
   AxesLabel -> {\"Zeit s\", \"y + dy\"},
   PlotLabel -> \"Bewegung der Masse\",
   GridLines -> Automatic,
   PlotRange -> {{0, 3}, Automatic}];\
\>", "Input",
  ImageRegion->{{0, 1}, {0, 1}}],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
2.77556e-17 0.333333 0.273494 0.553662 [
[.16667 .26099 -9 -9 ]
[.16667 .26099 9 0 ]
[.33333 .26099 -3 -9 ]
[.33333 .26099 3 0 ]
[.5 .26099 -9 -9 ]
[.5 .26099 9 0 ]
[.66667 .26099 -3 -9 ]
[.66667 .26099 3 0 ]
[.83333 .26099 -9 -9 ]
[.83333 .26099 9 0 ]
[1 .26099 -3 -9 ]
[1 .26099 3 0 ]
[1.025 .27349 0 -6 ]
[1.025 .27349 40 6 ]
[-0.0125 .05203 -24 -4.5 ]
[-0.0125 .05203 0 4.5 ]
[-0.0125 .16276 -24 -4.5 ]
[-0.0125 .16276 0 4.5 ]
[-0.0125 .38423 -18 -4.5 ]
[-0.0125 .38423 0 4.5 ]
[-0.0125 .49496 -18 -4.5 ]
[-0.0125 .49496 0 4.5 ]
[-0.0125 .60569 -18 -4.5 ]
[-0.0125 .60569 0 4.5 ]
[0 .64303 -20 0 ]
[0 .64303 20 12 ]
[.5 .63053 -56 0 ]
[.5 .63053 56 12 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 .5 r
.25 Mabswid
[ ] 0 setdash
0 0 m
0 .61803 L
s
.16667 0 m
.16667 .61803 L
s
.33333 0 m
.33333 .61803 L
s
.5 0 m
.5 .61803 L
s
.66667 0 m
.66667 .61803 L
s
.83333 0 m
.83333 .61803 L
s
1 0 m
1 .61803 L
s
0 .05203 m
1 .05203 L
s
0 .16276 m
1 .16276 L
s
0 .27349 m
1 .27349 L
s
0 .38423 m
1 .38423 L
s
0 .49496 m
1 .49496 L
s
0 .60569 m
1 .60569 L
s
0 g
.16667 .27349 m
.16667 .27974 L
s
[(0.5)] .16667 .26099 0 1 Mshowa
.33333 .27349 m
.33333 .27974 L
s
[(1)] .33333 .26099 0 1 Mshowa
.5 .27349 m
.5 .27974 L
s
[(1.5)] .5 .26099 0 1 Mshowa
.66667 .27349 m
.66667 .27974 L
s
[(2)] .66667 .26099 0 1 Mshowa
.83333 .27349 m
.83333 .27974 L
s
[(2.5)] .83333 .26099 0 1 Mshowa
1 .27349 m
1 .27974 L
s
[(3)] 1 .26099 0 1 Mshowa
.125 Mabswid
.03333 .27349 m
.03333 .27724 L
s
.06667 .27349 m
.06667 .27724 L
s
.1 .27349 m
.1 .27724 L
s
.13333 .27349 m
.13333 .27724 L
s
.2 .27349 m
.2 .27724 L
s
.23333 .27349 m
.23333 .27724 L
s
.26667 .27349 m
.26667 .27724 L
s
.3 .27349 m
.3 .27724 L
s
.36667 .27349 m
.36667 .27724 L
s
.4 .27349 m
.4 .27724 L
s
.43333 .27349 m
.43333 .27724 L
s
.46667 .27349 m
.46667 .27724 L
s
.53333 .27349 m
.53333 .27724 L
s
.56667 .27349 m
.56667 .27724 L
s
.6 .27349 m
.6 .27724 L
s
.63333 .27349 m
.63333 .27724 L
s
.7 .27349 m
.7 .27724 L
s
.73333 .27349 m
.73333 .27724 L
s
.76667 .27349 m
.76667 .27724 L
s
.8 .27349 m
.8 .27724 L
s
.86667 .27349 m
.86667 .27724 L
s
.9 .27349 m
.9 .27724 L
s
.93333 .27349 m
.93333 .27724 L
s
.96667 .27349 m
.96667 .27724 L
s
.25 Mabswid
0 .27349 m
1 .27349 L
s
gsave
1.025 .27349 -61 -10 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Zeit) show
93.000 13.000 moveto
(s) show
99.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .05203 m
.00625 .05203 L
s
[(-0.4)] -0.0125 .05203 1 0 Mshowa
0 .16276 m
.00625 .16276 L
s
[(-0.2)] -0.0125 .16276 1 0 Mshowa
0 .38423 m
.00625 .38423 L
s
[(0.2)] -0.0125 .38423 1 0 Mshowa
0 .49496 m
.00625 .49496 L
s
[(0.4)] -0.0125 .49496 1 0 Mshowa
0 .60569 m
.00625 .60569 L
s
[(0.6)] -0.0125 .60569 1 0 Mshowa
.125 Mabswid
0 .07971 m
.00375 .07971 L
s
0 .1074 m
.00375 .1074 L
s
0 .13508 m
.00375 .13508 L
s
0 .19044 m
.00375 .19044 L
s
0 .21813 m
.00375 .21813 L
s
0 .24581 m
.00375 .24581 L
s
0 .30118 m
.00375 .30118 L
s
0 .32886 m
.00375 .32886 L
s
0 .35654 m
.00375 .35654 L
s
0 .41191 m
.00375 .41191 L
s
0 .43959 m
.00375 .43959 L
s
0 .46728 m
.00375 .46728 L
s
0 .52264 m
.00375 .52264 L
s
0 .55032 m
.00375 .55032 L
s
0 .57801 m
.00375 .57801 L
s
0 .02435 m
.00375 .02435 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
gsave
0 .64303 -81 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(y) show
75.000 13.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(+) show
87.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(dy) show
99.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.5 .63053 -117 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Bewegung) show
117.000 13.000 moveto
(der) show
141.000 13.000 moveto
(Masse) show
171.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.00333 .27376 m
.00456 .274 L
.00568 .27428 L
.0082 .27511 L
.01053 .27614 L
.01273 .27732 L
.02302 .28509 L
.04377 .30473 L
.0491 .3088 L
.05202 .31063 L
.05476 .31205 L
.05709 .31303 L
.05959 .31382 L
.06101 .31416 L
.06237 .31439 L
.06358 .31453 L
.06491 .31461 L
.06566 .31462 L
.06646 .3146 L
.06723 .31456 L
.06793 .3145 L
.06926 .31433 L
.06993 .31422 L
.07067 .31407 L
.07385 .31319 L
.07681 .31202 L
.08214 .3092 L
.08786 .30538 L
.09791 .29772 L
.10859 .29022 L
.11416 .28729 L
.11733 .28606 L
.11878 .28561 L
.12031 .28522 L
.12161 .28496 L
.12229 .28485 L
.12303 .28474 L
.12432 .28462 L
.12552 .28455 L
.12625 .28454 L
.12704 .28455 L
.12778 .28459 L
.12847 .28464 L
.12977 .28478 L
.13114 .285 L
.13247 .28528 L
.13373 .2856 L
.13609 .28636 L
.1414 .28873 L
.14599 .2914 L
Mistroke
.151 .29481 L
.16246 .30342 L
.17284 .31037 L
.17795 .31294 L
.18083 .31405 L
.18347 .31484 L
.18579 .31535 L
.18711 .31555 L
.18834 .31569 L
.18963 .31577 L
.19082 .3158 L
.19218 .31578 L
.19347 .31569 L
.19473 .31556 L
.19612 .31535 L
.19758 .31506 L
.19894 .31474 L
.204 .31306 L
.2095 .3105 L
.21543 .30716 L
.22632 .30047 L
.23645 .29509 L
.24155 .29315 L
.24441 .29236 L
.24567 .29208 L
.247 .29184 L
.24771 .29173 L
.24849 .29163 L
.24986 .2915 L
.25063 .29145 L
.25145 .29142 L
.25223 .29141 L
.25294 .29141 L
.25432 .29147 L
.2551 .29152 L
.25582 .29159 L
.25714 .29175 L
.25854 .29198 L
.26103 .29253 L
.26364 .29328 L
.26833 .29504 L
.27889 .30046 L
.2889 .30631 L
.29801 .31104 L
.30314 .31309 L
.30549 .31383 L
.30798 .31448 L
.30925 .31474 L
.31064 .31498 L
.31193 .31516 L
Mistroke
.3131 .31529 L
.31448 .31539 L
.31524 .31542 L
.31596 .31543 L
.31725 .31543 L
.31797 .3154 L
.31865 .31537 L
.31985 .31528 L
.32116 .31514 L
.32239 .31496 L
.32353 .31477 L
.32795 .31373 L
.33277 .31212 L
.33786 .31001 L
.34854 .30485 L
.35866 .30019 L
.36306 .29854 L
.36774 .29718 L
.37018 .29665 L
.37148 .29642 L
.37287 .29621 L
.37415 .29607 L
.37532 .29597 L
.37644 .2959 L
.37762 .29586 L
.3789 .29586 L
.38006 .29589 L
.38141 .29597 L
.38267 .29608 L
.38385 .29622 L
.38493 .29637 L
.38738 .29681 L
.38985 .29739 L
.39256 .29815 L
.39805 .30007 L
.40949 .30506 L
.41994 .30965 L
.42494 .31149 L
.42758 .31231 L
.43039 .31306 L
.43309 .31363 L
.43554 .31403 L
.43672 .31417 L
.438 .3143 L
.4392 .31439 L
.44031 .31444 L
.44158 .31447 L
.44294 .31446 L
.44422 .31442 L
.44539 .31435 L
Mistroke
.44676 .31423 L
.44825 .31406 L
.45095 .31364 L
.45379 .31306 L
.45679 .3123 L
.46218 .31062 L
.47277 .30663 L
.48285 .30285 L
.48722 .30147 L
.49189 .30027 L
.49457 .29973 L
.49701 .29935 L
.49818 .29921 L
.49945 .29908 L
.50065 .29899 L
.50176 .29892 L
.50293 .29888 L
.50419 .29887 L
.50538 .29888 L
.50646 .29891 L
.50773 .29898 L
.50912 .29909 L
.51042 .29922 L
.51163 .29937 L
.51669 .30026 L
.51924 .30086 L
.52206 .30161 L
.53346 .30538 L
.54391 .30904 L
.54901 .31059 L
.55376 .31178 L
.55636 .31231 L
.55872 .3127 L
.56134 .31303 L
.56278 .31316 L
.56414 .31325 L
.5654 .31331 L
.56612 .31334 L
.56679 .31335 L
.56814 .31335 L
.5689 .31334 L
.56959 .31332 L
.57082 .31327 L
.57217 .31319 L
.57344 .31308 L
.57461 .31296 L
.5775 .31257 L
.58011 .31212 L
.58597 .31081 L
.59661 .30773 L
Mistroke
.60784 .30435 L
.61247 .30316 L
.61743 .30213 L
.62027 .30168 L
.62287 .30136 L
.62411 .30124 L
.62547 .30113 L
.62675 .30106 L
.62794 .30101 L
.62915 .30098 L
.63025 .30097 L
.63147 .30099 L
.63275 .30103 L
.63386 .30108 L
.6349 .30115 L
.63726 .30135 L
.63986 .30166 L
.64223 .30202 L
.64753 .30305 L
.65835 .30582 L
.66832 .30858 L
.67337 .30983 L
.6781 .31082 L
.68302 .31161 L
.68563 .31191 L
.68708 .31204 L
.68843 .31214 L
.68979 .31221 L
.69047 .31224 L
.69123 .31227 L
.69198 .31228 L
.6928 .31229 L
.69357 .31229 L
.69427 .31229 L
.69556 .31226 L
.69629 .31224 L
.69697 .31221 L
.69835 .31213 L
.69982 .31202 L
.70261 .31174 L
.70526 .3114 L
.71021 .31057 L
.72934 .30614 L
.73458 .30496 L
.74022 .30388 L
.74295 .30345 L
.74555 .30311 L
.74787 .30287 L
.75041 .30267 L
.75182 .3026 L
Mistroke
.75315 .30254 L
.75434 .30251 L
.75563 .3025 L
.7563 .3025 L
.75704 .30251 L
.7578 .30252 L
.75852 .30254 L
.75981 .30259 L
.76118 .30266 L
.76387 .30286 L
.76641 .30312 L
.77118 .30377 L
.78172 .30578 L
.79319 .30827 L
.79793 .30922 L
.80303 .31009 L
.80595 .3105 L
.80863 .31081 L
.81119 .31105 L
.81261 .31115 L
.81389 .31123 L
.81524 .31129 L
.81652 .31133 L
.81787 .31136 L
.81863 .31136 L
.81933 .31136 L
.8205 .31135 L
.82179 .31132 L
.82313 .31128 L
.82439 .31121 L
.82728 .31102 L
.82993 .31077 L
.83588 .31001 L
.84634 .30818 L
.85747 .30607 L
.86289 .30516 L
.86798 .30447 L
.87021 .30422 L
.87255 .30401 L
.87378 .30391 L
.87513 .30383 L
.87636 .30376 L
.87749 .30371 L
.87878 .30367 L
.87946 .30365 L
.88019 .30364 L
.8814 .30363 L
.88273 .30363 L
.88392 .30365 L
.88519 .30369 L
Mistroke
.8864 .30373 L
.8875 .30378 L
.89012 .30395 L
.89299 .30419 L
.89821 .30479 L
.91753 .30792 L
.92261 .30874 L
.92811 .3095 L
.93064 .3098 L
.93331 .31006 L
.93562 .31025 L
.93809 .3104 L
.93958 .31047 L
.94093 .31052 L
.94229 .31056 L
.94358 .31058 L
.9443 .31058 L
.94507 .31058 L
.94573 .31058 L
.94646 .31057 L
.94724 .31056 L
.94808 .31054 L
.9496 .31048 L
.95086 .31043 L
.95225 .31035 L
.95504 .31016 L
.96004 .30969 L
1 .30468 L
Mfstroke
.00333 .32756 m
.0082 .40334 L
.01273 .46721 L
.01811 .53027 L
.02066 .55405 L
.02302 .5721 L
.02549 .58678 L
.02679 .5927 L
.02817 .59756 L
.02937 .60059 L
.03049 .60242 L
.03172 .60332 L
.03304 .60298 L
.03441 .6012 L
.03519 .59956 L
.03591 .59763 L
.03723 .59309 L
.03864 .58684 L
.04133 .57102 L
.04377 .55251 L
.04945 .49579 L
.05467 .43033 L
.06647 .26098 L
.07181 .18673 L
.07753 .117 L
.08031 .08848 L
.08293 .06527 L
.08532 .04772 L
.08786 .033 L
.09019 .02322 L
.09152 .01929 L
.09276 .0167 L
.0939 .01525 L
.09494 .01472 L
.09609 .01498 L
.0973 .01623 L
.09852 .01851 L
.09983 .02205 L
.10107 .02643 L
.1022 .03126 L
.10496 .04639 L
.10756 .06473 L
.11296 .11366 L
.11794 .16904 L
.12918 .31081 L
.13865 .4215 L
.14396 .47029 L
.14648 .48875 L
.14882 .50284 L
.15156 .51542 L
Mistroke
.153 .52029 L
.15374 .5223 L
.15454 .5241 L
.15531 .52546 L
.15601 .52639 L
.1574 .52735 L
.15865 .52721 L
.15998 .52603 L
.16122 .52396 L
.16256 .52073 L
.16381 .51673 L
.16496 .51231 L
.16776 .49846 L
.17042 .48162 L
.18055 .39057 L
.1913 .26949 L
.20136 .16315 L
.20577 .12576 L
.20827 .1081 L
.21058 .09424 L
.2131 .0822 L
.21538 .07407 L
.21663 .07077 L
.21782 .06844 L
.21906 .06679 L
.22042 .06595 L
.22169 .06607 L
.22242 .06652 L
.2231 .0672 L
.22446 .06931 L
.22523 .07092 L
.22593 .07266 L
.22853 .0813 L
.231 .09252 L
.23576 .12171 L
.24017 .15623 L
.25015 .25118 L
.25953 .34404 L
.26446 .3872 L
.26965 .4248 L
.27242 .44071 L
.27545 .45442 L
.27678 .45915 L
.2782 .4633 L
.27954 .46634 L
.28076 .46837 L
.2821 .46977 L
.28334 .47031 L
.2847 .47005 L
.28538 .46959 L
Mistroke
.28613 .46883 L
.28739 .46695 L
.28875 .46411 L
.2912 .45688 L
.29386 .44612 L
.29669 .43155 L
.30179 .39834 L
.31334 .30134 L
.32429 .20593 L
.3291 .17046 L
.33182 .15323 L
.33437 .13938 L
.33711 .1271 L
.33961 .11847 L
.34098 .11481 L
.34228 .11207 L
.34365 .10995 L
.34442 .1091 L
.34514 .10855 L
.34581 .10823 L
.34653 .10809 L
.34783 .1084 L
.34858 .10891 L
.34937 .1097 L
.35005 .11058 L
.35079 .11176 L
.35229 .11484 L
.3539 .11912 L
.35679 .1293 L
.36248 .15771 L
.36785 .19274 L
.3779 .27014 L
.38809 .34722 L
.39366 .38175 L
.39638 .39558 L
.39886 .40618 L
.40099 .41359 L
.4033 .41984 L
.40457 .42243 L
.40574 .42431 L
.40687 .42561 L
.40806 .42648 L
.40938 .42682 L
.41012 .42672 L
.4108 .42644 L
.41205 .42549 L
.41337 .42386 L
.41456 .42186 L
.41567 .41954 L
.41818 .4127 L
Mistroke
.42091 .40289 L
.42344 .39183 L
.42916 .36079 L
.43954 .29092 L
.4489 .22639 L
.45406 .19547 L
.45897 .1715 L
.4615 .1617 L
.46425 .15317 L
.46546 .15017 L
.46676 .14749 L
.46797 .14548 L
.46908 .14406 L
.47031 .14298 L
.47164 .14237 L
.47281 .14232 L
.47405 .14277 L
.47516 .14361 L
.4762 .14475 L
.47734 .1464 L
.47856 .14863 L
.48133 .15539 L
.48435 .16527 L
.48985 .18912 L
.50014 .24793 L
.51081 .31361 L
.51603 .34203 L
.52082 .36369 L
.52322 .37257 L
.52585 .38059 L
.52849 .38675 L
.52993 .38927 L
.53127 .39108 L
.53199 .39183 L
.53277 .39247 L
.53351 .39291 L
.53419 .39318 L
.53548 .3933 L
.53685 .39289 L
.53755 .39247 L
.53831 .39185 L
.53968 .39032 L
.54131 .3878 L
.54281 .38485 L
.54543 .37825 L
.5478 .3708 L
.55313 .34966 L
.5627 .30087 L
.57401 .23904 L
.57897 .21519 L
Mistroke
.5844 .19373 L
.58685 .18605 L
.58948 .17937 L
.59075 .17674 L
.59196 .17463 L
.59303 .17306 L
.59422 .17168 L
.59547 .17061 L
.5968 .16993 L
.59803 .16971 L
.59918 .16987 L
.60054 .1705 L
.60178 .17149 L
.60314 .17303 L
.60457 .17515 L
.60719 .18027 L
.60997 .18745 L
.61499 .20428 L
.62637 .25526 L
.63711 .30712 L
.64277 .33076 L
.64586 .3417 L
.64874 .35037 L
.65148 .35705 L
.65398 .36174 L
.6554 .3638 L
.65675 .36532 L
.65744 .36593 L
.65818 .36646 L
.65898 .3669 L
.65973 .36717 L
.66092 .36734 L
.6622 .36714 L
.66342 .36661 L
.66453 .36583 L
.66577 .36463 L
.66712 .36293 L
.66984 .35832 L
.67249 .35241 L
.67536 .34453 L
.68057 .3269 L
.69033 .28648 L
.70076 .24207 L
.70629 .22196 L
.70934 .21265 L
.71224 .20521 L
.71492 .19969 L
.71634 .19733 L
.71784 .19525 L
.71924 .19373 L
Mistroke
.7205 .1927 L
.72177 .192 L
.72297 .19164 L
.72419 .19157 L
.72548 .19184 L
.72658 .19234 L
.72779 .19317 L
.72909 .19439 L
.73049 .19606 L
.73301 .20001 L
.73584 .20579 L
.73892 .21355 L
.74452 .23091 L
.75502 .27013 L
.7657 .30943 L
.77092 .32513 L
.77572 .33624 L
.77817 .34051 L
.78075 .34389 L
.78209 .34518 L
.78334 .34608 L
.78471 .34675 L
.78547 .34697 L
.78617 .34708 L
.78689 .3471 L
.78765 .34701 L
.78902 .3466 L
.78978 .34622 L
.79049 .34578 L
.7921 .34444 L
.79351 .34289 L
.7948 .34119 L
.7977 .33639 L
.80271 .32524 L
.80804 .31014 L
.81762 .27822 L
.82893 .24133 L
.83389 .22822 L
.8367 .22208 L
.83932 .21733 L
.84186 .2137 L
.84316 .21222 L
.84458 .21091 L
.84535 .21033 L
.84607 .20988 L
.84674 .20954 L
.84748 .20924 L
.84876 .20894 L
.85012 .20891 L
.85089 .20903 L
Mistroke
.85163 .20923 L
.85229 .20949 L
.85302 .20984 L
.85463 .21094 L
.85614 .21233 L
.85887 .21569 L
.86178 .22043 L
.86748 .23268 L
.87285 .24701 L
.8829 .27722 L
.8931 .30583 L
.89825 .31716 L
.9012 .32232 L
.90389 .32606 L
.90508 .3274 L
.90637 .32864 L
.90748 .32952 L
.90871 .33029 L
.91001 .33086 L
.9114 .33121 L
.91268 .33128 L
.91388 .33113 L
.91502 .3308 L
.91623 .33025 L
.91725 .32963 L
.91837 .32877 L
.92088 .32627 L
.92322 .32321 L
.92849 .31403 L
.93422 .30118 L
.94461 .27376 L
.95386 .24999 L
.95877 .23943 L
.96148 .23454 L
.96405 .23059 L
.96631 .22775 L
.96876 .22533 L
.96984 .2245 L
.971 .22378 L
.97208 .22326 L
.97307 .22291 L
.97416 .22268 L
.97516 .22259 L
.97626 .22265 L
.97742 .22287 L
.97843 .22321 L
.97937 .22363 L
.98151 .225 L
.98391 .22718 L
.98618 .22984 L
Mistroke
.99044 .23624 L
1 .25577 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{464.438, 287.062},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40007@00017a000`40O003h00OogoodGoo003oOooA
Ool00?moom5oo`00ogoodGoo003oOooAOol00?moom5oo`00ogoodGoo003oOooAOol00?moom5oo`00
ogoodGoo003oOooAOol00?moom5oo`00ogoodGoo003oOooAOol001aoo`03001oogoo03eoo`0300mo
ogoo03ioo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300mo
ogoo031oo`0077oo00<007ooOol0?Goo00<03gooOol0?Woo00<03gooOol0?Goo00<03gooOol0?Goo
00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0<7oo000LOol00`00Oomoo`0mOol00`0?Oomo
o`0nOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomo
o`0`Ool001aoo`03001oogoo03eoo`0300moogoo03ioo`0300moogoo03eoo`0300moogoo03eoo`03
00moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo00<007ooOol0?Goo00<03gooOol0
?Woo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0
<7oo000LOol00`00Oomoo`0ROol00`00Oomoo`0HOol00`0?Oomoo`0nOol00`0?Oomoo`0mOol00`0?
Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oogoo025o
o`03001oo`0001Uoo`0300moogoo03ioo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eo
o`0300moogoo03eoo`0300moogoo031oo`0077oo00<007ooOol08Goo00<007oo00006Goo00<03goo
Ool0?Woo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03goo
Ool0<7oo000LOol00`00Oomoo`0QOol01000Oomoo`0067oo00<03gooOol0?Woo00<03gooOol0?Goo
00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0<7oo000LOol3000POol0
1@00Oomoogoo000067oo00<03gooOol0?Woo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0
?Goo00<03gooOol0?Goo00<03gooOol0<7oo000LOol00`00Oomoo`0POol01@00Oomoogoo000067oo
00<03gooOol0?Woo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo
00<03gooOol0<7oo000LOol00`00Oomoo`0OOol00`00Oomoo`02Ool00`00Oomoo`0FOol00`0?Oomo
o`0nOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomo
o`0`Ool001aoo`03001oogoo01moo`03001oogoo00=oo`03001oogoo01Eoo`0300moogoo03ioo`03
00moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`00
77oo00<007ooOol07goo00<007ooOol00goo00<007ooOol05Goo00<03gooOol0?Woo00<03gooOol0
?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0<7oo000LOol00`00
Oomoo`0OOol00`00Oomoo`03Ool00`00Oomoo`0EOol00`0?Oomoo`0nOol00`0?Oomoo`0mOol00`0?
Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oogoo01mo
o`03001oogoo00=oo`03001oogoo01Eoo`0300moogoo03ioo`0300moogoo03eoo`0300moogoo03eo
o`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo00<007ooOol07Woo00<007oo
Ool01Goo00<007ooOol057oo00<03gooOol0?Woo00<03gooOol0?Goo00<03gooOol0?Goo00<03goo
Ool0?Goo00<03gooOol0?Goo00<03gooOol0<7oo0008Ool20004Ool00`00Oomoo`03Ool30005Ool0
0`00Oomoo`0NOol00`00Oomoo`05Ool00`00Oomoo`0DOol00`0?Oomoo`0nOol00`0?Oomoo`0mOol0
0`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool000Moo`04001oogoo
000:Ool00`00Oomoo`04Ool00`00Oomoo`0NOol00`00Oomoo`05Ool00`00Oomoo`0DOol00`0?Oomo
o`0nOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomo
o`0`Ool000D0009oo`04001oogoo0007Ool50005Ool00`00Oomoo`0NOol00`00Oomoo`05Ool00`00
Oomoo`0DOol00`0?Oomoo`0nOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?
Oomoo`0mOol00`0?Oomoo`0`Ool000Moo`04001oogoo0007Ool01000Oomoo`001Woo10007@0?00<0
000?00l01@0?00<0000?00l0o`0?E`0?<Woo0007Ool01000Oomoo`0027oo00<007oo00001Woo00<0
07ooOol07Woo00<007ooOol01Goo00<007ooOol057oo00<03gooOol0?Woo00<03gooOol0?Goo00<0
3gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0<7oo0007Ool01000Oomoo`00
2Goo0P001Woo00<007ooOol07Goo00<007ooOol01goo00<007ooOol04goo00<03gooOol0?Woo00<0
3gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0<7oo0008
Ool2000;Ool00`00Oomoo`04Ool00`00Oomoo`0MOol00`00Oomoo`07Ool00`00Oomoo`0COol00`0?
Oomoo`0nOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?
Oomoo`0`Ool001aoo`03001oogoo01eoo`03001oogoo00Moo`03001oogoo01=oo`0300moogoo03io
o`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031o
o`0077oo00<007ooOol07Goo00<007ooOol01goo00<007ooOol04goo00<03gooOol04Woo0P00:Woo
00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0<7oo
000LOol00`00Oomoo`0MOol00`00Oomoo`07Ool00`00Oomoo`0COol00`0?Oomoo`0AOol01000Ool0
0000:Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03goo
Ool0<7oo000LOol00`00Oomoo`0MOol00`00Oomoo`07Ool00`00Oomoo`0COol00`0?Oomoo`0AOol0
1000Oomoo`00:Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo
00<03gooOol0<7oo000LOol00`00Oomoo`0MOol00`00Oomoo`07Ool00`00Oomoo`0COol00`0?Oomo
o`0@Ool01@00Oomoogoo0000:Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<0
3gooOol0?Goo00<03gooOol0<7oo000LOol00`00Oomoo`0MOol00`00Oomoo`07Ool00`00Oomoo`0C
Ool00`0?Oomoo`0@Ool01@00Oomoogoo0000:Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03goo
Ool0?Goo00<03gooOol0?Goo00<03gooOol0<7oo000LOol3000LOol00`00Oomoo`09Ool00`00Oomo
o`0BOol00`0?Oomoo`0?Ool00`00Oomoo`03Ool00`00Oomoo`0VOol00`0?Oomoo`0mOol00`0?Oomo
o`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oogoo01aoo`03
001oogoo00Uoo`03001oogoo019oo`0300moogoo00moo`03001oogoo00=oo`03001oogoo02Ioo`03
00moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`00
77oo00<007ooOol077oo00<007ooOol02Goo00<007ooOol04Woo00<03gooOol03goo00<007ooOol0
0goo00<007ooOol09Woo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0
?Goo00<03gooOol0<7oo000LOol00`00Oomoo`0LOol00`00Oomoo`09Ool00`00Oomoo`0BOol00`0?
Oomoo`0?Ool00`00Oomoo`03Ool00`00Oomoo`0VOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?
Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oogoo01aoo`03001oogoo00Uo
o`03001oogoo019oo`0300moogoo00ioo`03001oogoo00Eoo`03001oogoo02Eoo`0300moogoo03eo
o`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo00<007oo
Ool077oo00<007ooOol02Goo00<007ooOol04Woo00<03gooOol03Woo00<007ooOol01Goo00<007oo
Ool09Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03goo
Ool0<7oo000LOol00`00Oomoo`0LOol00`00Oomoo`09Ool00`00Oomoo`0BOol00`0?Oomoo`0>Ool0
0`00Oomoo`05Ool00`00Oomoo`0UOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol0
0`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oogoo01aoo`03001oogoo00Uoo`03001oogoo
019oo`0300moogoo00ioo`03001oogoo00Eoo`03001oogoo02Eoo`0300moogoo03eoo`0300moogoo
03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo00<007ooOol077oo00<0
07ooOol02Goo00<007ooOol04Woo00<03gooOol03Woo00<007ooOol01Goo00<007ooOol09Goo00<0
3gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0<7oo000L
Ool00`00Oomoo`0LOol00`00Oomoo`0:Ool00`00Oomoo`0AOol00`0?Oomoo`0=Ool00`00Oomoo`07
Ool00`00Oomoo`0TOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0m
Ool00`0?Oomoo`0`Ool001aoo`03001oogoo01]oo`03001oogoo00]oo`03001oogoo015oo`0300mo
ogoo00eoo`03001oogoo00Moo`03001oogoo02Aoo`0300moogoo03eoo`0300moogoo03eoo`0300mo
ogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo0`006goo00<007ooOol02goo00<007oo
Ool04Goo00<03gooOol03Goo00<007ooOol01goo00<007ooOol097oo00@03gooOomoo`8003Yoo`03
00moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo00<007ooOol0
6goo00<007ooOol02goo00<007ooOol04Goo00<03gooOol03Goo00<007ooOol01goo00<007ooOol0
97oo00L03gooOomoo`00Ool0000iOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol0
0`0?Oomoo`0`Ool001aoo`03001oogoo01]oo`03001oogoo00]oo`03001oogoo015oo`0300moogoo
00eoo`03001oogoo00Moo`03001oogoo02Aoo`0400moogoo0002Ool00`00Oomoo`0gOol00`0?Oomo
o`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oogoo01]oo`03
001oogoo00]oo`03001oogoo015oo`0300moogoo00eoo`03001oogoo00Moo`03001oogoo02Aoo`04
00moogoo0003Ool00`00Oomoo`0fOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol0
0`0?Oomoo`0`Ool001aoo`03001oogoo01]oo`03001oogoo00]oo`03001oogoo015oo`0300moogoo
00eoo`03001oogoo00Qoo`03001oogoo02=oo`0300moo`0000Aoo`03001oogoo03Ioo`0300moogoo
03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo00<007ooOol06goo00<0
07ooOol02goo00<007ooOol04Goo00<03gooOol03Goo00<007ooOol027oo00<007ooOol08goo00<0
3goo00001Goo00<007ooOol0=Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<0
3gooOol0<7oo000LOol00`00Oomoo`0KOol00`00Oomoo`0;Ool00`00Oomoo`0AOol00`0?Oomoo`0=
Ool00`00Oomoo`08Ool00`00Oomoo`0SOol00`0?Ool00005Ool00`00Oomoo`0eOol00`0?Oomoo`0m
Ool00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oogoo01]oo`03001o
ogoo00]oo`03001oogoo015oo`0300moogoo00eoo`03001oogoo00Qoo`03001oogoo02=oo`0300l0
07oo00Ioo`03001oogoo03Aoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300mo
ogoo031oo`0077oo00<007ooOol06goo00<007ooOol037oo00<007ooOol047oo00<03gooOol03Goo
00<007ooOol027oo00<007ooOol08goo00<03`00Ool01Woo00<007ooOol0=7oo00<03gooOol0?Goo
00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0<7oo000LOol00`00Oomoo`0KOol00`00Oomo
o`0<Ool00`00Oomoo`0@Ool00`0?Oomoo`0=Ool00`00Oomoo`08Ool00`00Oomoo`0SOol00`0?001o
o`06Ool00`00Oomoo`0dOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomo
o`0`Ool001aoo`03001oogoo01]oo`03001oogoo00aoo`03001oogoo011oo`0300moogoo00eoo`03
001oogoo00Uoo`03001oogoo029oo`0300l007oo00Ioo`03001oogoo03Aoo`0300moogoo03eoo`03
00moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo0`006goo00<007ooOol037oo00<0
07ooOol047oo00<03gooOol037oo00<007ooOol02Woo00<007ooOol08Woo00<007ooOol01Woo00<0
07ooOol0=7oo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0<7oo000L
Ool00`00Oomoo`0JOol00`00Oomoo`0=Ool00`00Oomoo`0@Ool00`0?Oomoo`0<Ool00`00Oomoo`0:
Ool00`00Oomoo`0ROol00`00Oomoo`07Ool00`00Oomoo`0cOol00`0?Oomoo`0mOol00`0?Oomoo`0m
Ool00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oogoo01Yoo`03001oogoo00eoo`03001o
ogoo011oo`0300moogoo00aoo`03001oogoo00Yoo`03001oogoo029oo`03001oogoo00Moo`03001o
ogoo02Qoo`03001oogoo00Qoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300mo
ogoo031oo`0077oo00<007ooOol06Woo00<007ooOol03Goo00<007ooOol047oo00<03gooOol037oo
00<007ooOol02Woo00<007ooOol08Woo00<007ooOol01goo00<007ooOol09goo00@007oo000000Qo
o`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo00<007oo
Ool06Woo00<007ooOol03Goo00<007ooOol047oo00<03gooOol037oo00<007ooOol02Woo00<007oo
Ool08Woo00<007ooOol01goo00<007ooOol09Woo00D007ooOomoo`0000Qoo`0300moogoo03eoo`03
00moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo00<007ooOol06Woo00<007ooOol0
3Goo00<007ooOol047oo00<03gooOol037oo00<007ooOol02Woo00<007ooOol08Goo00<0000?Ool0
27oo00<007ooOol09Woo00<007ooOol00Woo00<007ooOol01Goo00<03gooOol0?Goo00<03gooOol0
?Goo00<03gooOol0?Goo00<03gooOol0<7oo000LOol00`00Oomoo`0JOol00`00Oomoo`0=Ool00`00
Oomoo`0@Ool00`0?Oomoo`0<Ool00`00Oomoo`0;Ool00`00Oomoo`0POol00`0000moo`09Ool00`00
Oomoo`0UOol00`00Oomoo`02Ool00`00Oomoo`05Ool00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?
Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oogoo01Yoo`03001oogoo00eoo`03001oogoo011o
o`0300moogoo00]oo`03001oogoo00aoo`03001oogoo021oo`0300003goo00Uoo`03001oogoo02Ao
o`03001oogoo00Aoo`03001oogoo00Aoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eo
o`0300moogoo031oo`0027oo0P0017oo00@007ooOomoo`D000Eoo`03001oogoo01Yoo`03001oogoo
00ioo`03001oogoo00moo`0300moogoo00]oo`03001oogoo00aoo`03001oogoo021oo`0300003goo
00Uoo`03001oogoo02Aoo`03001oogoo00Aoo`03001oogoo00Aoo`0300moogoo03eoo`0300moogoo
03eoo`0300moogoo03eoo`0300moogoo031oo`001goo00@007ooOol000Qoo`04001oogoo0005Ool0
0`00Oomoo`0JOol00`00Oomoo`0>Ool00`00Oomoo`0?Ool00`0?Oomoo`0;Ool00`00Oomoo`0<Ool0
0`00Oomoo`0POol00`0000moo`09Ool00`00Oomoo`0SOol00`00Oomoo`05Ool00`00Oomoo`04Ool0
0`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool000D0009oo`04001o
ogoo0009Ool00`00Oomoo`05Ool4000I00l00`0000l03`0>00l00`0000l03`0M00l00`0000l03`0<
00l00`0000l03`0P00l00`0000l03`0900l00`0000l03`0S00l00`0000l03`0600l00`0000l03`34
00lbOol000Moo`04001oogoo000:Ool00`00Oomoo`04Ool00`00Oomoo`0JOol00`00Oomoo`0>Ool0
0`00Oomoo`0?Ool00`0?Oomoo`0;Ool00`00Oomoo`0<Ool00`00Oomoo`0OOol00`00Ool03`0:Ool0
0`00Oomoo`0SOol00`00Oomoo`06Ool00`00Oomoo`03Ool00`0?Oomoo`0mOol00`0?Oomoo`0mOol0
0`0?Oomoo`0mOol00`0?Oomoo`0`Ool000Moo`04001oogoo0007Ool01@00Oomoogoo00001Goo00<0
07ooOol06Woo00<007ooOol03Woo00<007ooOol03goo00<03gooOol02goo00<007ooOol037oo00<0
07ooOol07goo00<007oo00l02goo00<007ooOol08Woo00<007ooOol01Woo00<007ooOol00goo00<0
3gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0<7oo0007Ool01000Oomoo`00
1goo00D007ooOomoo`0000Eoo`03001oogoo01Yoo`03001oogoo00ioo`03001oogoo00moo`0300mo
ogoo00]oo`03001oogoo00eoo`03001oogoo01ioo`03001oo`0?00]oo`03001oogoo025oo`03001o
ogoo00Moo`03001oogoo00=oo`0300moogoo029oo`<001Qoo`0300moogoo03eoo`0300moogoo03eo
o`0300moogoo031oo`0027oo0P002Goo0`001Woo00<007ooOol06Goo00<007ooOol03goo00<007oo
Ool03goo00<03gooOol02goo00<007ooOol03Goo00<007ooOol07Woo00<007oo00l02goo00<007oo
Ool08Goo00<007ooOol027oo00<007ooOol00Woo00<03gooOol08Goo00<007ooOol00P005goo00<0
3gooOol0?Goo00<03gooOol0?Goo00<03gooOol0<7oo000LOol00`00Oomoo`0IOol00`00Oomoo`0?
Ool00`00Oomoo`0?Ool00`0?Oomoo`0;Ool00`00Oomoo`0=Ool00`00Oomoo`0NOol00`00Ool03`0;
Ool00`00Oomoo`0QOol00`00Oomoo`08Ool00`00Oomoo`02Ool00`0?Oomoo`0POol00`00Oomoo`02
Ool00`00Oomoo`0EOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001o
ogoo01Uoo`03001oogoo00moo`03001oogoo00moo`0300moogoo00Yoo`03001oogoo00ioo`03001o
ogoo01ioo`03001oo`0?00]oo`03001oogoo025oo`03001oogoo00Qoo`03001oogoo009oo`0300mo
ogoo021oo`03001oogoo009oo`03001oogoo01Eoo`0300moogoo03eoo`0300moogoo03eoo`0300mo
ogoo031oo`0077oo00<007ooOol06Goo00<007ooOol03goo00<007ooOol03goo00<03gooOol02Woo
00<007ooOol03Woo00<007ooOol07Goo00@007ooOol03`]oo`03001oogoo021oo`03001oogoo00Uo
o`03001oogoo009oo`0300moogoo01moo`03001oogoo00Aoo`03001oogoo01Aoo`0300moogoo03eo
o`0300moogoo03eoo`0300moogoo031oo`0077oo00<007ooOol06Goo00<007ooOol03goo00<007oo
Ool03goo00<03gooOol02Woo00<007ooOol03Woo00<007ooOol07Goo00@007ooOol03`]oo`03001o
ogoo021oo`03001oogoo00Uoo`03001oogoo009oo`0300moogoo01moo`03001oogoo00Aoo`03001o
ogoo01Aoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo00<007ooOol06Goo
00<007ooOol03goo00<007ooOol03goo00<03gooOol02Woo00<007ooOol03Woo00<007ooOol07Goo
00@007ooOol03`aoo`03001oogoo01moo`03001oogoo00Yoo`05001oogooOol03`0POol00`00Oomo
o`06Ool00`00Oomoo`0COol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03
001oogoo01Uoo`03001oogoo00moo`03001oogoo00moo`0300moogoo00Yoo`03001oogoo00ioo`03
001oogoo01eoo`04001oogoo00l<Ool00`00Oomoo`0OOol00`00Oomoo`0:Ool01@00Oomoogoo00l0
87oo00<007ooOol01Woo00<007ooOol04goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0
<7oo000LOol3000IOol00`00Oomoo`0@Ool00`00Oomoo`0>Ool00`0?Oomoo`0:Ool00`00Oomoo`0>
Ool00`00Oomoo`0MOol01000Oomoo`0?37oo00<007ooOol07goo00<007ooOol02Woo00D007ooOomo
o`0?01moo`03001oogoo00Moo`03001oogoo01=oo`0300moogoo01=oo`03001oogoo02Moo`0300mo
ogoo03eoo`0300moogoo031oo`0077oo00<007ooOol06Goo00<007ooOol047oo00<007ooOol03Woo
00<03gooOol02Woo00<007ooOol03goo00<007ooOol077oo00@007ooOol03`aoo`03001oogoo01io
o`03001oogoo00]oo`05001oogooOol03`0OOol00`00Oomoo`08Ool00`00Oomoo`0BOol00`0?Oomo
o`0AOol200000goo0000000WOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oogoo01Uo
o`03001oogoo011oo`03001oogoo00ioo`0300moogoo00Yoo`03001oogoo00moo`03001oogoo01ao
o`04001oogoo00l<Ool00`00Oomoo`0NOol00`00Oomoo`0;Ool01@00Oomoogoo00l07goo00<007oo
Ool027oo00<007ooOol04Woo00<03gooOol04Goo00@007ooOomoo`8002Ioo`0300moogoo03eoo`03
00moogoo031oo`0077oo00<007ooOol06Goo00<007ooOol047oo00<007ooOol03Woo00<03gooOol0
2Woo00<007ooOol03goo00<007ooOol06goo00D007ooOomoo`0?00aoo`03001oogoo01ioo`03001o
ogoo00aoo`04001oogoo00lOOol00`00Oomoo`08Ool00`00Oomoo`0BOol00`0?Oomoo`0@Ool00`00
Oomoo`03Ool00`00Oomoo`0TOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oogoo01Uo
o`03001oogoo011oo`03001oogoo00ioo`0300moogoo00Yoo`03001oogoo00moo`03001oogoo01]o
o`05001oogooOol03`0<Ool00`00Oomoo`0NOol00`00Oomoo`0<Ool01000Oomoo`0?7Woo00<007oo
Ool02Woo00<007ooOol04Goo00<03gooOol047oo00<007ooOol017oo00<007ooOol08goo00<03goo
Ool0?Goo00<03gooOol0<7oo000LOol00`00Oomoo`0IOol00`00Oomoo`0@Ool00`00Oomoo`0>Ool0
0`0?Oomoo`09Ool00`00Oomoo`0@Ool00`00Oomoo`0KOol01@00Oomoogoo00l037oo00<007ooOol0
7Woo00<007ooOol037oo00@007ooOol03aioo`03001oogoo00Yoo`03001oogoo015oo`0300moogoo
011oo`03001oogoo00Aoo`03001oogoo02=oo`0300moogoo03eoo`0300moogoo031oo`0077oo00<0
07ooOol06Goo00<007ooOol047oo00<007ooOol03Woo00<03gooOol02Goo00<007ooOol047oo00<0
07ooOol06goo00D007ooOomoo`0?00eoo`03001oogoo01aoo`03001oogoo00eoo`04001oogoo00lN
Ool00`00Oomoo`0:Ool00`00Oomoo`0AOol00`0?Oomoo`0?Ool00`00Oomoo`06Ool00`00Oomoo`0R
Ool00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oogoo01Qoo`03001oogoo015oo`03001o
ogoo00ioo`0300moogoo00Uoo`03001oogoo011oo`03001oogoo01]oo`05001oogooOol03`0=Ool0
0`00Oomoo`0LOol00`00Oomoo`0=Ool01000Oomoo`0?7Woo00<007ooOol02Woo00<007ooOol04Goo
00<03gooOol03goo00<007ooOol01Woo00<007ooOol08Woo00<03gooOol00Woo1000=goo00<03goo
Ool0<7oo000LOol00`00Oomoo`0HOol00`00Oomoo`0AOol00`00Oomoo`0>Ool00`0?Oomoo`09Ool0
0`00Oomoo`0@Ool00`00Oomoo`0KOol01@00Oomoogoo00l03Goo00<007ooOol077oo00<007ooOol0
3Goo00@007ooOol03aioo`03001oogoo00]oo`03001oogoo011oo`0300moogoo00ioo`03001oogoo
00Qoo`03001oogoo025oo`0400moogooOol20002Ool2000fOol00`0?Oomoo`0`Ool001aoo`03001o
ogoo01Qoo`03001oogoo015oo`03001oogoo00ioo`0300moogoo00Uoo`03001oogoo011oo`03001o
ogoo01]oo`05001oogooOol03`0=Ool00`00Oomoo`0LOol00`00Oomoo`0>Ool00`00Ool03`0MOol0
0`00Oomoo`0<Ool00`00Oomoo`0@Ool00`0?Oomoo`0=Ool00`00Oomoo`09Ool00`00Oomoo`0QOol0
100?Oomoo`001Goo00<007ooOol0=7oo00<03gooOol0<7oo000LOol00`00Oomoo`0HOol00`00Oomo
o`0AOol00`00Oomoo`0>Ool00`0?Oomoo`09Ool00`00Oomoo`0AOol00`00Oomoo`0JOol01@00Oomo
ogoo00l03Goo00<007ooOol077oo00<007ooOol03Woo00<007oo00l07Goo00<007ooOol037oo00<0
07ooOol047oo00<03gooOol03Goo00<007ooOol02Goo00<007ooOol08Goo00<03goo00001goo00<0
07ooOol0<goo00<03gooOol0<7oo000LOol3000HOol00`00Oomoo`0AOol00`00Oomoo`0>Ool00`0?
Oomoo`09Ool00`00Oomoo`0AOol00`00Oomoo`0JOol01@00Oomoogoo00l03Goo00<007ooOol077oo
00<007ooOol03Woo00<007oo00l07Goo00<007ooOol037oo00<007ooOol047oo00<03gooOol037oo
00<007ooOol02Woo00<007ooOol08Goo00<03goo00001goo00<007ooOol0<goo00<03gooOol0<7oo
000LOol00`00Oomoo`0HOol00`00Oomoo`0AOol00`00Oomoo`0>Ool00`0?Oomoo`09Ool00`00Oomo
o`0AOol00`00Oomoo`0IOol00`00Oomoo`02Ool00`0?Oomoo`0;Ool00`00Oomoo`0KOol00`00Oomo
o`0?Ool00`00Ool03`0MOol00`00Oomoo`0<Ool00`00Oomoo`0@Ool00`0?Oomoo`0<Ool00`00Oomo
o`0;Ool00`00Oomoo`0POol00`0?001oo`08Ool00`00Oomoo`0XOol30007Ool00`0?Oomoo`0`Ool0
01aoo`03001oogoo01Qoo`03001oogoo019oo`03001oogoo00eoo`0300moogoo00Uoo`03001oogoo
015oo`03001oogoo01Uoo`03001oogoo009oo`0300moogoo00aoo`03001oogoo01Yoo`03001oogoo
00moo`03001oo`0?01aoo`03001oogoo00ioo`03001oogoo00moo`0300moogoo00aoo`03001oogoo
00]oo`03001oogoo021oo`0300l007oo00Qoo`03001oogoo02Ioo`<00003Ool0000000Ioo`0300mo
ogoo031oo`0077oo00<007ooOol067oo00<007ooOol04Woo00<007ooOol03Goo00<03gooOol02Goo
00<007ooOol04Goo00<007ooOol06Goo00<007ooOol00Woo00<03gooOol037oo00<007ooOol06Woo
00<007ooOol047oo00<0000?Ool06goo00<007ooOol03Woo00<007ooOol03goo00<03gooOol037oo
00<007ooOol02goo00<007ooOol087oo00<007ooOol02Goo00<007ooOol097oo00<007ooOol017oo
00<007ooOol00goo00<03gooOol0<7oo000LOol00`00Oomoo`0HOol00`00Oomoo`0BOol00`00Oomo
o`0=Ool00`0?Oomoo`09Ool00`00Oomoo`0AOol00`00Oomoo`0IOol00`00Oomoo`02Ool00`0?Oomo
o`0<Ool00`00Oomoo`0JOol00`00Oomoo`0@Ool00`0000moo`0KOol00`00Oomoo`0>Ool00`00Oomo
o`0?Ool00`0?Oomoo`0;Ool00`00Oomoo`0=Ool00`00Oomoo`0OOol00`00Oomoo`09Ool00`00Oomo
o`0SOol00`00Oomoo`06Ool00`00Oomoo`02Ool00`0?Oomoo`0`Ool001aoo`03001oogoo01Qoo`03
001oogoo019oo`03001oogoo00eoo`0300moogoo00Qoo`03001oogoo019oo`03001oogoo01Uoo`03
001oogoo009oo`0300moogoo00aoo`03001oogoo01Yoo`03001oogoo011oo`0300003goo01]oo`03
001oogoo00ioo`03001oogoo00moo`0300moogoo00]oo`03001oogoo00eoo`03001oogoo01moo`03
001oogoo00Yoo`03001oogoo029oo`03001oogoo00Ioo`03001oogoo009oo`0300moogoo031oo`00
77oo00<007ooOol067oo00<007ooOol04Woo00<007ooOol03Goo00<03gooOol027oo00<007ooOol0
4Woo00<007ooOol06Goo00<007ooOol00Woo00<03gooOol037oo00<007ooOol06Woo00<007ooOol0
47oo00<0000?Ool06goo00<007ooOol03Woo00<007ooOol03goo00<03gooOol02goo00<007ooOol0
3Goo00<007ooOol07Woo00<0000?Ool02goo00<007ooOol08Goo00<007ooOol027oo00D007ooOomo
o`0?039oo`0077oo00<007ooOol067oo00<007ooOol04Woo00<007ooOol03Goo00<03gooOol027oo
00<007ooOol04Woo00<007ooOol06Goo00<007ooOol00Woo00<03gooOol037oo00<007ooOol06Woo
00<007ooOol047oo00<0000?Ool06Woo00<007ooOol047oo00<007ooOol03Woo00<03gooOol02goo
00<007ooOol03Goo00<007ooOol07Woo00<0000?Ool037oo00<007ooOol087oo00<007ooOol02Goo
00@007ooOol03c9oo`0077oo00<007ooOol067oo00<007ooOol04Woo00<007ooOol01Woo0P0017oo
00<0000?Ool00Woo0`0017oo00<007ooOol04goo00<007ooOol067oo00<007ooOol00`003Woo00<0
07ooOol06Goo00<007ooOol02Woo0`0017oo00<0000?Ool00Woo0`005Goo00<007ooOol047oo00<0
07ooOol02goo1@002goo00<007ooOol03goo00<007ooOol05Goo1@000goo00<0000?Ool00Woo0`00
1goo00<007ooOol07goo00<007ooOol02Woo1000<Woo000LOol00`00Oomoo`0HOol00`00Oomoo`0B
Ool00`00Oomoo`05Ool01000Oomoo`0017oo00@03gooOol000=oo`05001oogooOol0000EOol00`00
Oomoo`0HOol01P00Oomoogoo00003`ioo`03001oogoo01Uoo`03001oogoo00]oo`03001oogoo00Ao
o`04001oogoo0003Ool00`00Oomoo`0BOol00`00Oomoo`0@Ool00`00Oomoo`0<Ool01000Ool03`00
2goo00<007ooOol03goo00<007ooOol05Woo00@007ooOol0009oo`03001oo`0?009oo`05001oogoo
Ool00006Ool00`00Oomoo`0OOol00`00Oomoo`0:Ool200000goo00l0000aOol001aoo`<001Moo`03
001oogoo01=oo`03001oogoo00Eoo`04001oogoo0004Ool00`0?Oomoo`04Ool01@00Oomoogoo0000
5Goo00<007ooOol05goo00<007ooOol00Woo00<0000?Ool03Woo00<007ooOol067oo00<007ooOol0
2goo00<007ooOol017oo00<007ooOol017oo00<007ooOol04Woo00<007ooOol047oo00<007ooOol0
3Goo00<0000?Ool02goo00<007ooOol03goo00<007ooOol05goo00<007ooOol00Woo00<007oo00l0
1Woo00<007ooOol01Goo00<007ooOol07Woo00<007ooOol02goo00@007oo00l0035oo`0077oo00<0
07ooOol05goo00<007ooOol04goo00<007ooOol01Goo00@007ooOol000Aoo`0300moogoo00Aoo`05
001oogooOol0000EOol00`00Oomoo`0GOol00`00Oomoo`02Ool00`0000moo`0>Ool00`00Oomoo`0H
Ool00`00Oomoo`0;Ool00`00Oomoo`04Ool00`00Oomoo`04Ool00`00Oomoo`0BOol00`00Oomoo`0@
Ool00`00Oomoo`0>Ool00`00Oomoo`0:Ool00`00Oomoo`0?Ool00`00Oomoo`0HOol01`00Oomoogoo
001oo`0?00Ioo`03001oogoo00Eoo`03001oogoo01eoo`03001oogoo00eoo`80039oo`0077oo00<0
07ooOol05goo00<007ooOol04goo00<007ooOol01Goo00@007ooOol000Aoo`0300moogoo00@000Ao
o`03001oogoo01=oo`03001oogoo01Moo`03001oogoo009oo`0300003goo00ioo`03001oogoo01Qo
o`03001oogoo00]oo`03001oogoo00Aoo`03001oogoo00@001Aoo`03001oogoo019oo`03001oogoo
00Yoo`05001oogoo00l0000:Ool00`00Oomoo`0AOol00`00Oomoo`0DOol01`00Oomoogoo001oo`00
009oo`0300moogoo00@000Qoo`03001oogoo01eoo`03001oogoo00eoo`0300003`00035oo`0077oo
00<007ooOol05goo00<007ooOol04goo00<007ooOol01Goo00@007ooOol000Aoo`0400moogoo0007
Ool00`00Oomoo`0COol00`00Oomoo`0GOol01000Oomoogoo0P0000<03gooOol03Goo00<007ooOol0
67oo00<007ooOol02Woo0P001Woo00@007ooOol001Moo`03001oogoo019oo`03001oogoo00Yoo`05
001oogoo00l0000:Ool00`00Oomoo`0AOol00`00Oomoo`0DOol01`00Oomoogoo001oo`00009oo`04
00moogoo000<Ool00`00Oomoo`0LOol00`00Oomoo`0;Ool01@00Ool0000?0000<Goo000LOol00`00
Oomoo`0GOol00`00Oomoo`0COol00`00Oomoo`06Ool20005Ool00`0?Oomoo`050003Ool00`00Oomo
o`0COol00`00Oomoo`0GOol00`00Oomoo`02Ool00`0000moo`0>Ool00`00Oomoo`0HOol00`00Oomo
o`0;Ool00`00Oomoo`04Ool00`00Oomoo`05000COol00`00Oomoo`0BOol00`00Oomoo`0;Ool3000;
Ool00`00Oomoo`0AOol00`00Oomoo`0EOol30002Ool01000Oomoo`0?0Woo1@0027oo00<007ooOol0
6goo00<007ooOol03Goo0`00<Woo000LOol00`00Oomoo`0GOol00`00Oomoo`0COol00`00Oomoo`0=
Ool00`0?Oomoo`07Ool00`00Oomoo`0DOol00`00Oomoo`0GOol00`00Oomoo`03Ool00`0?Oomoo`0=
Ool00`00Oomoo`0HOol00`00Oomoo`0BOol00`0?001oo`0HOol00`00Oomoo`0BOol00`00Oomoo`0=
Ool00`0?Oomoo`09Ool00`00Oomoo`0BOol00`00Oomoo`0HOol01@00Oomoogoo00l03goo00<007oo
Ool06goo00<007ooOol03goo00<03gooOol0<7oo000LOol00`00Oomoo`0GOol00`00Oomoo`0DOol0
0`00Oomoo`0<Ool00`0?Oomoo`07Ool00`00Oomoo`0DOol00`00Oomoo`0GOol00`00Oomoo`03Ool0
0`0?Oomoo`0=Ool00`00Oomoo`0GOol00`00Oomoo`0COol00`0?001oo`0HOol00`00Oomoo`0BOol0
0`00Oomoo`0=Ool00`0?Oomoo`08Ool00`00Oomoo`0COol00`00Oomoo`0HOol01@00Oomoogoo00l0
47oo00<007ooOol06Goo00<007ooOol047oo00<03gooOol0<7oo000LOol00`00Oomoo`0GOol00`00
Oomoo`0DOol00`00Oomoo`0<Ool00`0?Oomoo`07Ool00`00Oomoo`0DOol00`00Oomoo`0GOol00`00
Oomoo`03Ool00`0?Oomoo`0>Ool00`00Oomoo`0FOol00`00Oomoo`0COol00`0?001oo`0HOol00`00
Oomoo`0COol00`00Oomoo`0<Ool00`0?Oomoo`08Ool00`00Oomoo`0COol00`00Oomoo`0HOol01@00
Oomoogoo00l047oo00<007ooOol06Goo00<007ooOol047oo00<03gooOol0<7oo000LOol00`00Oomo
o`0GOol00`00Oomoo`0DOol00`00Oomoo`0<Ool00`0?Oomoo`07Ool00`00Oomoo`0DOol00`00Oomo
o`0GOol00`00Oomoo`03Ool00`0?Oomoo`0>Ool00`00Oomoo`0FOol00`00Oomoo`0COol00`0?001o
o`0GOol00`00Oomoo`0DOol00`00Oomoo`0<Ool00`0?Oomoo`08Ool00`00Oomoo`0COol00`00Oomo
o`0HOol01@00Oomoogoo00l047oo00<007ooOol06Goo00<007ooOol047oo00<03gooOol0<7oo000L
Ool00`00Oomoo`0GOol00`00Oomoo`0DOol00`00Oomoo`0<Ool00`0?Oomoo`07Ool00`00Oomoo`0E
Ool00`00Oomoo`0EOol00`00Oomoo`04Ool00`0?Oomoo`0>Ool00`00Oomoo`0FOol00`00Oomoo`0C
Ool00`0?001oo`0GOol00`00Oomoo`0DOol00`00Oomoo`0<Ool00`0?Oomoo`08Ool00`00Oomoo`0D
Ool00`00Oomoo`0FOol00`00Oomoo`02Ool00`0?Oomoo`0?Ool00`00Oomoo`0GOol00`00Oomoo`0A
Ool00`0?Oomoo`09Ool50002Ool30002Ool50003Ool20008Ool40005Ool001aoo`03001oogoo01Mo
o`03001oogoo01Aoo`03001oogoo00aoo`0300moogoo00Moo`03001oogoo01Eoo`03001oogoo01Eo
o`03001oogoo00Aoo`0300moogoo00ioo`03001oogoo01Ioo`03001oogoo01=oo`0300l007oo01Mo
o`03001oogoo01Aoo`03001oogoo00aoo`0300moogoo00Qoo`03001oogoo01Aoo`03001oogoo01Io
o`03001oogoo009oo`0300moogoo00moo`03001oogoo01Moo`03001oogoo015oo`0300moogoo00Uo
o`07001oogooOol007oo00001goo00<007ooOol00Woo00@007ooOol000]oo`03001oogoo009oo`00
77ooo`00P`0037oo00<007ooOol00Woo1@000goo00<007ooOol00Woo00<007ooOol02Goo0`001Goo
000LOol00`00Oomoo`040006Ool00`00Oomoo`0:Ool00`00Oomoo`0:Ool00`00Oomoo`07Ool01000
Oomoo`002goo00<007ooOol01goo00@007ooOol000aoo`03001oogoo00Eoo`03001oogoo009oo`03
001oogoo00Yoo`03001oogoo00=oo`03001oogoo00Aoo`03001oogoo00Uoo`03001oogoo009oo`03
001oogoo00Eoo`03001oogoo00Yoo`05001oogooOol00008Ool00`00Oomoo`0:Ool00`00Ool0000:
Ool00`00Oomoo`09Ool2000;Ool00`00Oomoo`09Ool2000<Ool00`00Oomoo`07Ool01000Oomoo`00
37oo00<007ooOol01Goo00D007ooOomoo`0000aoo`03001oogoo00Aoo`03001oogoo00=oo`03001o
ogoo00Yoo`03001oogoo00=oo`03001oogoo00Aoo`03001oogoo00Yoo`05001oogooOol00007Ool0
0`00Oomoo`0:Ool00`00Oomoo`0;Ool01@00Oomoogoo00000goo00D007ooOomoo`0000Aoo`03001o
ogoo00Qoo`03001oogoo00Ioo`0077oo00<007ooOol017oo00<007ooOol03goo00<007ooOol05Goo
00<007ooOol037oo00<007ooOol01goo00<007ooOol05Goo00<007ooOol05Goo00<007ooOol017oo
00<007ooOol03Woo00<007ooOol05Woo00<007ooOol04goo00<007oo00005goo00<007ooOol05Goo
00<007ooOol02goo00<007ooOol01goo00<007ooOol05Woo00<007ooOol057oo00<007ooOol00goo
00<007ooOol047oo00<007ooOol057oo00<007ooOol04goo00<007ooOol037oo00@007ooOomoo`<0
009oo`<000=oo`@000Uoo`@000Aoo`0077oo00<007ooOol01Goo00<007ooOol03Woo00<007ooOol0
5Goo00<007ooOol037oo00<03gooOol01goo00<007ooOol05Goo00<007ooOol05Goo00<007ooOol0
17oo00<03gooOol03Woo00<007ooOol05Woo00<007ooOol04goo00<03goo00005Woo00<007ooOol0
5Woo00<007ooOol02goo00<03gooOol01goo00<007ooOol05Woo00<007ooOol057oo00<007ooOol0
0goo00<03gooOol04Goo00<007ooOol04goo00<007ooOol04goo00<03gooOol02Goo00D007ooOomo
o`0000ioo`03001oogoo015oo`0077oo00<007ooOol01Woo00<007ooOol03Goo00<007ooOol04goo
1@0037oo00<03gooOol01goo00<007ooOol05Goo00<007ooOol05Goo00<007ooOol017oo00<03goo
Ool03goo00<007ooOol057oo00<007ooOol057oo00<03goo00005Woo00<007ooOol05goo00<007oo
Ool02Woo00<03gooOol01Woo00<007ooOol05goo00<007ooOol04goo00<007ooOol017oo00<03goo
Ool04Goo00<007ooOol04goo00<007ooOol04goo00<03gooOol02Goo1@002Goo00<007ooOol00Woo
00<007ooOol04Goo000LOol00`00Oomoo`07Ool00`00Oomoo`0<Ool00`00Oomoo`0?Ool40002Ool0
0`00Ool000030009Ool00`0?Oomoo`06Ool00`00Oomoo`0FOol00`00Oomoo`0EOol00`00Oomoo`04
Ool00`0?Oomoo`0?Ool00`00Oomoo`0DOol00`00Oomoo`0DOol00`0?Ool0000FOol00`00Oomoo`0G
Ool00`00Oomoo`0:Ool00`0?Oomoo`06Ool00`00Oomoo`0GOol00`00Oomoo`0COol00`00Oomoo`04
Ool00`0?Oomoo`0AOol00`00Oomoo`0BOol00`00Oomoo`0DOol00`0?Oomoo`0`Ool001aoo`03001o
ogoo00Qoo`03001oogoo00]oo`03001oogoo00eoo`8000Ioo`03001oogoo00=oo`8000Moo`0300mo
ogoo00Ioo`03001oogoo01Ioo`03001oogoo01Eoo`03001oogoo00Aoo`0300moogoo00moo`03001o
ogoo01Aoo`03001oogoo01Aoo`0300moo`0001Ioo`03001oogoo01Moo`03001oogoo00Yoo`0300mo
ogoo00Ioo`03001oogoo01Qoo`03001oogoo019oo`03001oogoo00Aoo`0300moogoo019oo`03001o
ogoo015oo`03001oogoo01Aoo`0300moogoo031oo`0077oo00<007ooOol02Goo00<007ooOol02Woo
00<007ooOol037oo00<007ooOol01Woo00<007ooOol01Goo00<007ooOol017oo00<03gooOol01Woo
00<007ooOol04Woo20004goo00<007ooOol01Goo00<03gooOol03goo00<007ooOol057oo00<007oo
Ool057oo00@03gooOol001Eoo`03001oogoo01Moo`03001oogoo00Yoo`0300moogoo00Ioo`03001o
ogoo01Qoo`03001oogoo015oo`03001oogoo00Eoo`0300moogoo019oo`03001oogoo015oo`03001o
ogoo01Aoo`0300moogoo031oo`0077oo00<007ooOol02Woo00<007ooOol02Goo00<007ooOol02goo
00<007ooOol027oo00<007ooOol01Goo0P0017oo00<03gooOol01Woo00<007ooOol03Woo100017oo
00@007ooOomoo`@000moo`03001oogoo00Eoo`0300moogoo00moo`03001oogoo01Aoo`03001oogoo
01Aoo`0400moogoo000EOol00`00Oomoo`0HOol00`00Oomoo`09Ool00`0?Oomoo`05Ool00`00Oomo
o`0IOol00`00Oomoo`0AOol00`00Oomoo`05Ool00`0?Oomoo`0BOol00`00Oomoo`0@Ool00`00Oomo
o`0EOol00`0?Oomoo`0`Ool001aoo`03001oogoo00]oo`03001oogoo00Qoo`03001oogoo00Uoo`80
00]oo`03001oogoo00Moo`05001oogooOol03`08Ool00`00Oomoo`0<Ool20008Ool00`00Oomoo`05
Ool2000=Ool00`00Oomoo`05Ool00`0?Oomoo`09Ool=000@Ool00`00Oomoo`0DOol0100?Oomoo`00
57oo00<007ooOol06Goo00<007ooOol02Goo00<03gooOol01Goo00<007ooOol06Woo00<007ooOol0
47oo00<007ooOol01Goo00<03gooOol04goo00<007ooOol03goo00<007ooOol05Goo00<03gooOol0
<7oo000LOol00`00Oomoo`0<Ool00`00Oomoo`07Ool00`00Oomoo`08Ool00`00Oomoo`0;Ool00`00
Oomoo`08Ool01000Oomoo`0?27oo00<007ooOol02Woo0P002goo00<007ooOol01Woo0P002goo00<0
07ooOol01Goo00<03gooOol01Goo10001Woo00<007ooOol017oo0P003Woo00<007ooOol047oo2`00
4Goo00<007ooOol06Goo00<007ooOol02Goo00<03gooOol01Goo00<007ooOol06Woo00<007ooOol0
3goo00<007ooOol01Woo00<03gooOol04goo00<007ooOol03goo00<007ooOol05Goo00<03gooOol0
<7oo000LOol3000=Ool00`00Oomoo`06Ool00`00Oomoo`07Ool00`00Oomoo`0<Ool00`00Oomoo`09
Ool00`00Ool03`08Ool00`00Oomoo`09Ool00`00Oomoo`0;Ool00`00Oomoo`08Ool00`00Oomoo`08
Ool00`00Oomoo`05Ool00`0?Oomoo`04Ool00`00Oomoo`09Ool00`00Oomoo`05Ool2000;Ool00`00
Oomoo`0=Ool40004Ool0100?Oomoo`000goo1@0037oo00<007ooOol03goo4P0017oo00<03gooOol0
1Goo00<007ooOol04goo2P003goo00<007ooOol01Woo00<03gooOol04goo00<007ooOol03Woo00<0
07ooOol05Woo00<03gooOol0<7oo000LOol00`00Oomoo`0>Ool00`00Oomoo`05Ool00`00Oomoo`06
Ool00`00Oomoo`0=Ool00`00Oomoo`0:Ool20008Ool00`00Oomoo`08Ool00`00Oomoo`0<Ool00`00
Oomoo`09Ool00`00Oomoo`07Ool00`00Oomoo`05Ool00`0?Oomoo`02Ool2000<Ool00`00Oomoo`07
Ool20009Ool00`00Oomoo`0;Ool20008Ool0100?Oomoo`0027oo0`002Goo00<007ooOol037oo0`00
2goo00<007ooOol017oo100000<03gooOol017oo00<007ooOol03goo1@001goo00<007ooOol02000
1goo00<007ooOol01Woo00<03gooOol027oo4`002Goo00<007ooOol04Woo1@00<Woo000LOol00`00
Oomoo`0?Ool00`00Oomoo`04Ool00`00Oomoo`05Ool00`00Oomoo`0>Ool00`00Oomoo`0;Ool00`0?
00000006Ool00`00Oomoo`06Ool2000?Ool00`00Oomoo`0:Ool30006Ool00`00Oomoo`05Ool00`0?
Ool00002000>Ool00`00Oomoo`09Ool20007Ool00`00Oomoo`08Ool3000:Ool01@0?Oomoogoo0000
2Woo0P001goo00<007ooOol027oo10003Woo00<007ooOol027oo0`0017oo00<007ooOol02goo1000
3Goo00<007ooOol01goo0`000goo00<007ooOol01goo00<03gooOol0200037oo00<007ooOol017oo
1@000goo00<007ooOol037oo1`0017oo00<03gooOol0<7oo000LOol00`00Oomoo`0@Ool20004Ool0
0`00Oomoo`03Ool2000AOol00`00Oomoo`0;Ool00`0?Oomoo`020004Ool00`00Oomoo`04Ool2000A
Ool00`00Oomoo`0=Ool20004Ool00`00Oomoo`05Ool2000AOol00`00Oomoo`0;Ool20005Ool00`00
Oomoo`05Ool3000=Ool01@0?Oomoogoo000037oo10000Woo00<007ooOol01Woo0`004Woo00<007oo
Ool027oo00<03gooOol00`0000=oo`00Ool01goo1@004Goo00<007ooOol02Woo1P0017oo1P005Goo
00<007ooOol027oo4P002goo00<03gooOol0<7oo000LOol00`00Oomoo`0BOol200000goo001oo`03
Ool2000COol00`00Oomoo`0;Ool00`0?Oomoo`02Ool01@00Oomoogoo000017oo0P004goo00<007oo
Ool03goo00D007ooOomoo`0000Aoo`<0000300moogoo011oo`03001oogoo00eoo`@00003Ool007oo
00=oo`<0011oo`0500moogooOol0000@Ool;000EOol00`00Oomoo`08Ool00`0?Oomoo`03Ool:000F
Ool00`00Oomoo`0=Ool00`00Oomoo`040003Ool00`0?Oomoo`0EOol00`00Oomoo`0;Ool00`00Oomo
o`0GOol00`0?Oomoo`0`Ool001aoo`03001oogoo01Aoo`H001Eoo`03001oogoo00]oo`0300moogoo
00=oo`P001Eoo`03001oogoo011oo`P000=oo`0300moogoo011oo`03001oogoo015oo`H001=oo`05
00moogooOol0000BOol00`00Oomoo`0LOol00`00Oomoo`07Ool00`0?Oomoo`03Ool00`00Oomoo`0N
Ool00`00Oomoo`0;Ool00`00Oomoo`08Ool00`0?Oomoo`0EOol00`00Oomoo`0:Ool00`00Oomoo`0H
Ool00`0?Oomoo`0`Ool001aoo`03001oogoo01Eoo`03001oogoo01Moo`03001oogoo00]oo`0300mo
ogoo00Eoo`03001oogoo01Qoo`03001oogoo019oo`03001oogoo00Ioo`0300moogoo011oo`03001o
ogoo019oo`03001oogoo01Eoo`0500moogooOol0000BOol00`00Oomoo`0LOol00`00Oomoo`07Ool0
0`0?Oomoo`03Ool00`00Oomoo`0NOol00`00Oomoo`0;Ool00`00Oomoo`08Ool00`0?Oomoo`0FOol0
0`00Oomoo`09Ool00`00Oomoo`0HOol00`0?Oomoo`0`Ool001aoo`03001oogoo01Eoo`03001oogoo
01Moo`03001oogoo00]oo`0300moogoo00Eoo`03001oogoo01Qoo`03001oogoo019oo`03001oogoo
00Ioo`0300moogoo015oo`03001oogoo011oo`03001oogoo01Ioo`0500moogooOol0000BOol00`00
Oomoo`0LOol00`00Oomoo`07Ool00`0?Oomoo`03Ool00`00Oomoo`0NOol00`00Oomoo`0;Ool00`00
Oomoo`08Ool00`0?Oomoo`0FOol00`00Oomoo`08Ool00`00Oomoo`0IOol00`0?Oomoo`0`Ool001ao
o`03001oogoo01Eoo`03001oogoo01Moo`03001oogoo00]oo`0300moogoo00Eoo`03001oogoo01Qo
o`03001oogoo019oo`03001oogoo00Ioo`0300moogoo015oo`03001oogoo011oo`03001oogoo01Io
o`0300moogoo009oo`03001oogoo00ioo`03001oogoo01eoo`03001oogoo00Moo`0300moogoo00=o
o`03001oogoo01moo`03001oogoo00Uoo`03001oogoo00Uoo`0300moogoo01Moo`03001oogoo00Io
o`03001oogoo01Yoo`0300moogoo031oo`0077oo00<007ooOol05Goo00<007ooOol067oo00<007oo
Ool02Woo00<03gooOol01Goo00<007ooOol067oo00<007ooOol04Woo00<007ooOol01Woo00<03goo
Ool04Goo00<007ooOol047oo00<007ooOol05Woo00<03gooOol00Woo00<007ooOol03Woo00<007oo
Ool07Goo00<007ooOol01goo00<03gooOol00Woo00<007ooOol087oo00<007ooOol02Goo00<007oo
Ool02Goo00<03gooOol067oo00<007ooOol017oo00<007ooOol06goo00<03gooOol0<7oo000LOol3
000EOol00`00Oomoo`0HOol00`00Oomoo`0:Ool00`0?Oomoo`05Ool00`00Oomoo`0HOol00`00Oomo
o`0BOol00`00Oomoo`06Ool00`0?Oomoo`0AOol00`00Oomoo`0@Ool00`00Oomoo`0FOol00`0?Oomo
o`02Ool00`00Oomoo`0>Ool00`00Oomoo`0NOol00`00Oomoo`06Ool00`0?Oomoo`02Ool00`00Oomo
o`0POol00`00Oomoo`09Ool00`00Oomoo`09Ool00`0?Oomoo`0IOol00`00Oomoo`02Ool00`00Oomo
o`0LOol00`0?Oomoo`0`Ool001aoo`03001oo`0001Eoo`03001oogoo01Qoo`03001oogoo00Yoo`03
00moogoo00Eoo`03001oogoo01Uoo`03001oogoo015oo`03001oogoo00Ioo`0300moogoo015oo`03
001oogoo011oo`03001oogoo01Ioo`0300moogoo009oo`03001oogoo00ioo`03001oogoo01ioo`03
001oogoo00Ioo`0300moogoo009oo`03001oogoo025oo`03001oogoo00Moo`03001oogoo00Yoo`03
00moogoo01Yoo`@001moo`0300moogoo031oo`0077oo00<007oo00005Goo00<007ooOol067oo00<0
07ooOol02Woo00<03gooOol01Goo00<007ooOol06Goo00<007ooOol04Goo00<007ooOol01Woo00<0
3gooOol04Goo00<007ooOol047oo00<007ooOol05Woo00<03gooOol00Woo00<007ooOol03Goo00<0
07ooOol07goo00<007ooOol01Woo00D03gooOomoo`0002Aoo`03001oogoo00Moo`03001oogoo00Yo
o`0300moogoo03eoo`0300moogoo031oo`0077oo00<007oo00005Goo00<007ooOol067oo00<007oo
Ool02Woo00<03gooOol01Goo00<007ooOol06Goo00<007ooOol04Goo00<007ooOol01Woo00<03goo
Ool04Goo00<007ooOol047oo00<007ooOol05Woo00<03gooOol00goo00<007ooOol037oo00<007oo
Ool07goo00<007ooOol01Woo00D03gooOomoo`0002Eoo`03001oogoo00Eoo`03001oogoo00]oo`03
00moogoo03eoo`0300moogoo031oo`0077oo00<007oo00005Goo00<007ooOol067oo00<007ooOol0
2Woo00<03gooOol01Goo00<007ooOol06Goo00<007ooOol04Goo00<007ooOol01Woo00<03gooOol0
4Woo00<007ooOol03Woo00<007ooOol05goo00<03gooOol00goo00<007ooOol037oo00<007ooOol0
87oo00<007ooOol01Goo00D03gooOomoo`0002Eoo`03001oogoo00Eoo`03001oogoo00]oo`0300mo
ogoo03eoo`0300moogoo031oo`0077oo00<007oo00005Goo00<007ooOol067oo00<007ooOol02Woo
00<03gooOol01Goo00<007ooOol06Goo00<007ooOol047oo00<007ooOol01goo00<03gooOol04Woo
00<007ooOol03Woo00<007ooOol05goo00<03gooOol00goo00<007ooOol037oo00<007ooOol087oo
00<007ooOol01Goo00@03gooOol002Moo`03001oogoo00=oo`03001oogoo00aoo`0300moogoo03eo
o`0300moogoo031oo`0077oo00<007oo00005Goo00<007ooOol067oo00<007ooOol02Woo00<03goo
Ool01Goo00<007ooOol06Goo00<007ooOol047oo00<007ooOol01goo00<03gooOol04Woo00<007oo
Ool03Woo00<007ooOol05goo00<03gooOol00goo00<007ooOol037oo00<007ooOol087oo00<007oo
Ool01Goo00@03gooOol002Qoo`04001oogooOol2000>Ool00`0?Oomoo`0mOol00`0?Oomoo`0`Ool0
01aoo`03001oo`0001Aoo`03001oogoo01Uoo`03001oogoo00Yoo`0300moogoo00Aoo`03001oogoo
01Yoo`03001oogoo011oo`03001oogoo00Moo`0300moogoo019oo`03001oogoo00ioo`03001oogoo
01Moo`0300moogoo00=oo`03001oogoo00]oo`03001oogoo025oo`03001oogoo00Eoo`0400moogoo
000XOol5000?Ool00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oo`0001Aoo`03001oogoo
01Uoo`03001oogoo00Yoo`0300moogoo00Aoo`03001oogoo01Yoo`03001oogoo011oo`03001oogoo
00Moo`0300moogoo019oo`03001oogoo00ioo`03001oogoo01Moo`0300moogoo00Aoo`03001oogoo
00Yoo`03001oogoo029oo`03001oogoo00Aoo`0300moo`0003eoo`0300moogoo03eoo`0300moogoo
031oo`0077oo00<007oo000057oo00<007ooOol06Goo00<007ooOol02Woo00<03gooOol017oo00<0
07ooOol06Woo00<007ooOol047oo00<007ooOol01goo00<03gooOol04Woo00<007ooOol03Woo00<0
07ooOol05goo00<03gooOol017oo00<007ooOol02Woo00<007ooOol08Woo00<007ooOol017oo00<0
3goo0000?Goo00<03gooOol0?Goo00<03gooOol0<7oo000LOol00`00Ool0000DOol00`00Oomoo`0J
Ool00`00Oomoo`09Ool00`0?Oomoo`04Ool00`00Oomoo`0JOol00`00Oomoo`0@Ool00`00Oomoo`07
Ool00`0?Oomoo`0BOol00`00Oomoo`0>Ool00`00Oomoo`0GOol00`0?Oomoo`04Ool00`00Oomoo`0:
Ool00`00Oomoo`0ROol00`00Oomoo`04Ool00`0?Ool0000mOol00`0?Oomoo`0mOol00`0?Oomoo`0`
Ool001aoo`<001Aoo`03001oogoo01Yoo`03001oogoo00Uoo`0300moogoo00Aoo`03001oogoo01]o
o`03001oogoo00moo`03001oogoo00Moo`0300moogoo01=oo`03001oogoo00aoo`03001oogoo01Qo
o`0300moogoo00Aoo`03001oogoo00Uoo`03001oogoo02Aoo`03001oogoo00=oo`0300l007oo03eo
o`0300moogoo03eoo`0300moogoo031oo`0077oo00<007oo000057oo00<007ooOol06Woo00<007oo
Ool02Goo00<03gooOol017oo00<007ooOol06goo00<007ooOol03goo00<007ooOol01goo00<03goo
Ool04goo00<007ooOol037oo00<007ooOol067oo00<03gooOol017oo00<007ooOol02Goo00<007oo
Ool097oo00<007ooOol00goo00<03`00Ool0?Goo00<03gooOol0?Goo00<03gooOol0<7oo000LOol0
0`00Ool0000DOol00`00Oomoo`0JOol00`00Oomoo`09Ool00`0?Oomoo`04Ool00`00Oomoo`0KOol0
0`00Oomoo`0?Ool00`00Oomoo`07Ool00`0?Oomoo`0COol00`00Oomoo`0<Ool00`00Oomoo`0HOol0
0`0?Oomoo`05Ool00`00Oomoo`08Ool00`00Oomoo`0UOol00`00Oomoo`02Ool00`00Oomoo`0mOol0
0`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oo`0001Aoo`03001oogoo01Yoo`03001oogoo
00Uoo`0300moogoo00Aoo`03001oogoo01]oo`03001oogoo00ioo`03001oogoo00Qoo`0300moogoo
01=oo`03001oogoo00aoo`03001oogoo01Qoo`0300moogoo00Eoo`03001oogoo00Qoo`03001oogoo
02Ioo`05001oogooOol0000oOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`04001oogoo000C
Ool00`00Oomoo`0JOol00`00Oomoo`09Ool00`0?Oomoo`04Ool00`00Oomoo`0KOol00`00Oomoo`0>
Ool00`00Oomoo`08Ool00`0?Oomoo`0COol00`00Oomoo`0<Ool00`00Oomoo`0HOol00`0?Oomoo`05
Ool00`00Oomoo`07Ool00`00Oomoo`0WOol400000`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomo
o`0`Ool001aoo`04001oogoo000COol00`00Oomoo`0JOol00`00Oomoo`09Ool00`0?Oomoo`04Ool0
0`00Oomoo`0KOol00`00Oomoo`0>Ool00`00Oomoo`08Ool00`0?Oomoo`0COol00`00Oomoo`0;Ool0
0`00Oomoo`0IOol00`0?Oomoo`06Ool00`00Oomoo`06Ool00`00Oomoo`0[Ool00`0?Oomoo`0mOol0
0`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`04001oogoo000COol00`00Oomoo`0JOol00`00Oomo
o`09Ool00`0?Oomoo`04Ool00`00Oomoo`0KOol00`00Oomoo`0>Ool00`00Oomoo`08Ool00`0?Oomo
o`0COol00`00Oomoo`0;Ool00`00Oomoo`0IOol00`0?Oomoo`06Ool00`00Oomoo`06Ool00`00Oomo
o`0[Ool00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`04001oogoo000COol0
0`00Oomoo`0JOol00`00Oomoo`09Ool00`0?Oomoo`04Ool00`00Oomoo`0KOol00`00Oomoo`0>Ool0
0`00Oomoo`08Ool00`0?Oomoo`0DOol00`00Oomoo`0:Ool00`00Oomoo`0IOol00`0?Oomoo`06Ool0
0`00Oomoo`05Ool00`00Oomoo`0/Ool00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool0
00Qoo`8000Aoo`04001oogooOol50005Ool01000Oomoo`004goo00<007ooOol06Woo00<007ooOol0
2Goo00<03gooOol00goo00<007ooOol077oo00<007ooOol03Woo00<007ooOol027oo00<03gooOol0
57oo00<007ooOol02Woo00<007ooOol06Goo00<03gooOol01goo00<007ooOol017oo00<007ooOol0
;7oo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0<7oo0007Ool01000Oomoo`0027oo00@0
07ooOol000Eoo`04001oogoo000BOol00`00Oomoo`0KOol00`00Oomoo`09Ool00`0?Oomoo`03Ool0
0`00Oomoo`0MOol00`00Oomoo`0=Ool00`00Oomoo`08Ool00`0?Oomoo`0DOol00`00Oomoo`09Ool0
0`00Oomoo`0JOol00`0?Oomoo`07Ool00`00Oomoo`04Ool00`00Oomoo`0/Ool00`0?Oomoo`0mOol0
0`0?Oomoo`0mOol00`0?Oomoo`0`Ool000Moo`04001oogoo0009Ool00`00Oomoo`05Ool01000Oomo
o`004Woo00<007ooOol077oo00<007ooOol027oo00<03gooOol00goo00<007ooOol07Goo00<007oo
Ool03Goo00<007ooOol027oo00<03gooOol057oo00<007ooOol02Goo00<007ooOol06Woo00<03goo
Ool01goo00<007ooOol00goo00<007ooOol0;Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03goo
Ool0<7oo0007Ool01000Oomoo`002Woo00<007ooOol017oo10004P0?00<0000?00l0700?00<0000?
00l03P0?00<0000?00l07@0?00<0000?00l03@0?00<0000?00l07`0?00<0000?00l02@0?00<0000?
00l09@0?00<0000?00l00P0?00<0000?00l0[P0?<Woo0007Ool01000Oomoo`001goo00D007ooOomo
o`0000Eoo`04001oogoo000BOol00`00Oomoo`0LOol00`00Oomoo`08Ool00`0?Oomoo`03Ool00`00
Oomoo`0MOol00`00Oomoo`0<Ool00`00Oomoo`09Ool00`0?Oomoo`0DOol00`00Oomoo`09Ool00`00
Oomoo`0JOol00`0?Oomoo`08Ool00`00Oomoo`02Ool00`00Oomoo`0]Ool00`0?Oomoo`0mOol00`0?
Oomoo`0mOol00`0?Oomoo`0`Ool000Moo`04001oogoo0007Ool01@00Oomoogoo00001Goo00@007oo
Ool0019oo`03001oogoo01aoo`03001oogoo00Qoo`0300moogoo00=oo`03001oogoo01eoo`03001o
ogoo00aoo`03001oogoo00Uoo`0300moogoo01Eoo`03001oogoo00Moo`03001oogoo01]oo`0300mo
ogoo00Qoo`80009oo`03001oogoo02ioo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031o
o`0027oo0P002Goo0`001Woo00@007ooOol0019oo`03001oogoo01aoo`03001oogoo00Qoo`0300mo
ogoo00=oo`03001oogoo01eoo`03001oogoo00aoo`03001oogoo00Uoo`0300moogoo01Eoo`03001o
ogoo00Moo`03001oogoo01]oo`0300moogoo00Uoo`@0031oo`0300moogoo03eoo`0300moogoo03eo
o`0300moogoo031oo`0077oo00@007ooOol0019oo`03001oogoo01aoo`03001oogoo00Qoo`0300mo
ogoo00=oo`03001oogoo01eoo`03001oogoo00aoo`03001oogoo00Uoo`0300moogoo01Eoo`03001o
ogoo00Moo`03001oogoo01]oo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300mo
ogoo031oo`0077oo00@007ooOol0019oo`03001oogoo01aoo`03001oogoo00Qoo`0300moogoo00=o
o`03001oogoo01ioo`03001oogoo00]oo`03001oogoo00Uoo`0300moogoo01Eoo`03001oogoo00Mo
o`03001oogoo01]oo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031o
o`0077oo00@007ooOol0019oo`03001oogoo01aoo`03001oogoo00Qoo`0300moogoo00=oo`03001o
ogoo01ioo`03001oogoo00]oo`03001oogoo00Uoo`0300moogoo01Eoo`03001oogoo00Ioo`03001o
ogoo01aoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo
00@007ooOol0019oo`03001oogoo01aoo`03001oogoo00Qoo`0300moogoo009oo`03001oogoo01mo
o`03001oogoo00]oo`03001oogoo00Uoo`0300moogoo01Ioo`03001oogoo00Eoo`03001oogoo01ao
o`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo00@007oo
Ool0019oo`03001oogoo01aoo`03001oogoo00Qoo`0300moogoo009oo`03001oogoo01moo`03001o
ogoo00]oo`03001oogoo00Uoo`0300moogoo01Ioo`03001oogoo00Eoo`03001oogoo01aoo`0300mo
ogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo00@007ooOol0019o
o`03001oogoo01aoo`03001oogoo00Qoo`0300moogoo009oo`03001oogoo01moo`03001oogoo00Yo
o`03001oogoo00Yoo`0300moogoo01Ioo`03001oogoo00Eoo`03001oogoo01aoo`0300moogoo03eo
o`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo10004Woo00<007ooOol07Goo
00<007ooOol01goo00<03gooOol00Woo00<007ooOol07goo00<007ooOol02Woo00<007ooOol02Woo
00<03gooOol05goo00<007ooOol00goo00<007ooOol07Goo00<03gooOol0?Goo00<03gooOol0?Goo
00<03gooOol0?Goo00<03gooOol0<7oo000LOol01000Oomoo`004Goo00<007ooOol07Woo00<007oo
Ool01goo00<03gooOol00Woo00<007ooOol07goo00<007ooOol02Woo00<007ooOol02Woo00<03goo
Ool05goo00<007ooOol00goo00<007ooOol07Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03goo
Ool0?Goo00<03gooOol0<7oo000LOol01000Oomoo`004Goo00<007ooOol07Woo00<007ooOol01goo
00<03gooOol00Woo00<007ooOol087oo00<007ooOol02Goo00<007ooOol02Woo00<03gooOol05goo
00<007ooOol00goo00<007ooOol07Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo
00<03gooOol0<7oo000LOol01000Oomoo`004Goo00<007ooOol07Woo00<007ooOol01goo00<03goo
Ool00Woo00<007ooOol087oo00<007ooOol02Goo00<007ooOol02Woo00<03gooOol067oo00D007oo
Oomoo`00021oo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`00
77oo00D007ooOomoo`00011oo`03001oogoo01ioo`03001oogoo00Moo`0300moogoo009oo`03001o
ogoo021oo`03001oogoo00Uoo`03001oogoo00Yoo`0300moogoo01Qoo`05001oogooOol0000POol0
0`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`05001oogoo
Ool0000@Ool00`00Oomoo`0NOol00`00Oomoo`07Ool00`0?Oomoo`02Ool00`00Oomoo`0POol00`00
Oomoo`09Ool00`00Oomoo`0:Ool00`0?Oomoo`0IOol00`00Ool0000QOol00`0?Oomoo`0mOol00`0?
Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`05001oogooOol0000@Ool00`00Oomo
o`0NOol00`00Oomoo`07Ool01@0?Oomoogoo00008goo00<007ooOol027oo00<007ooOol02goo00<0
3gooOol06Goo0P008Woo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0
<7oo000LOol01@00Oomoogoo000047oo00<007ooOol07Woo00<007ooOol01goo00D03gooOomoo`00
02=oo`03001oogoo00Qoo`03001oogoo00]oo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo
03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo00D007ooOomoo`00011oo`03001oogoo01io
o`03001oogoo00Moo`0500moogooOol0000SOol00`00Oomoo`08Ool00`00Oomoo`0;Ool00`0?Oomo
o`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`05
001oogooOol0000@Ool00`00Oomoo`0NOol00`00Oomoo`07Ool01@0?Oomoogoo000097oo00<007oo
Ool01goo00<007ooOol02goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03goo
Ool0?Goo00<03gooOol0<7oo000LOol01@00Oomoogoo000047oo00<007ooOol07goo00<007ooOol0
1Woo00D03gooOomoo`0002Aoo`03001oogoo00Ioo`03001oogoo00aoo`0300moogoo03eoo`0300mo
ogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo0`0000=oo`00Ool0
3goo00<007ooOol07goo00<007ooOol01Woo00D03gooOomoo`0002Aoo`03001oogoo00Ioo`03001o
ogoo00aoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300mo
ogoo031oo`0077oo00D007ooOomoo`00011oo`03001oogoo01moo`03001oogoo00Ioo`0500moogoo
Ool0000TOol00`00Oomoo`06Ool00`00Oomoo`0<Ool00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?
Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`05001oogooOol0000@Ool00`00Oomo
o`0OOol00`00Oomoo`06Ool01@0?Oomoogoo000097oo00<007ooOol01Goo00<007ooOol03Goo00<0
3gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0<7oo000L
Ool01@00Oomoogoo00003goo00<007ooOol087oo00<007ooOol01Woo00D03gooOomoo`0002Aoo`03
001oogoo00Eoo`03001oogoo00eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`03
00moogoo03eoo`0300moogoo031oo`0077oo00D007ooOomoo`0000moo`03001oogoo021oo`03001o
ogoo00Ioo`0400moogoo000VOol00`00Oomoo`04Ool00`00Oomoo`0=Ool00`0?Oomoo`0mOol00`0?
Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`05001oogooOol0
000?Ool00`00Oomoo`0POol00`00Oomoo`06Ool0100?Oomoo`009Woo00<007ooOol00goo00<007oo
Ool03Woo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03goo
Ool0<7oo000LOol00`00Oomoo`02Ool00`00Oomoo`0<Ool00`00Oomoo`0POol00`00Oomoo`06Ool0
100?Oomoo`009Woo00<007ooOol00goo00<007ooOol03Woo00<03gooOol0?Goo00<03gooOol0?Goo
00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0<7oo000LOol00`00Oomoo`02Ool00`00Oomo
o`0<Ool00`00Oomoo`0POol00`00Oomoo`06Ool0100?Oomoo`009goo00<007ooOol00Woo00<007oo
Ool03Woo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03goo
Ool0<7oo000LOol00`00Oomoo`02Ool00`00Oomoo`0<Ool00`00Oomoo`0QOol00`00Oomoo`05Ool0
100?Oomoo`009goo00<007ooOol00Woo00<007ooOol03Woo00<03gooOol0?Goo00<03gooOol0?Goo
00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0<7oo000LOol00`00Oomoo`02Ool00`00Oomo
o`0<Ool00`00Oomoo`0QOol00`00Oomoo`05Ool0100?Oomoo`009goo00D007ooOomoo`00015oo`03
00moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`00
77oo00<007ooOol00Woo00<007ooOol037oo00<007ooOol08Goo00<007ooOol01Goo00@03gooOol0
02Qoo`04001oogoo000AOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomo
o`0mOol00`0?Oomoo`0`Ool001aoo`<0009oo`03001oogoo00aoo`03001oogoo025oo`03001oogoo
00Eoo`0400moogoo000XOol00`00Ool0000BOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomo
o`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oogoo009oo`03001oogoo00aoo`03
001oogoo025oo`03001oogoo00Eoo`0400moogoo000YOol2000BOol00`0?Oomoo`0mOol00`0?Oomo
o`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oogoo009oo`03
001oogoo00aoo`03001oogoo025oo`03001oogoo00Eoo`0300moo`0003ioo`0300moogoo03eoo`03
00moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo00<007ooOol0
0Woo00<007ooOol037oo00<007ooOol08Goo00<007ooOol01Goo00<03goo0000?Woo00<03gooOol0
?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0<7oo000LOol00`00
Oomoo`02Ool00`00Oomoo`0<Ool00`00Oomoo`0QOol00`00Oomoo`05Ool00`0?Ool0000nOol00`0?
Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001ao
o`03001oogoo009oo`03001oogoo00]oo`03001oogoo02=oo`03001oogoo00Aoo`0300moo`0003io
o`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031o
o`0077oo00<007ooOol00Woo00<007ooOol02goo00<007ooOol08goo00<007ooOol017oo00<03goo
0000?Woo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03goo
Ool0<7oo000LOol00`00Oomoo`03Ool00`00Oomoo`0:Ool00`00Oomoo`0SOol00`00Oomoo`04Ool0
0`0?Ool0000nOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol0
0`0?Oomoo`0`Ool000Qoo`8000Aoo`03001oogoo00=oo`<000Eoo`03001oogoo00=oo`03001oogoo
00Yoo`03001oogoo02=oo`03001oogoo00Aoo`0300moo`0003ioo`0300moogoo03eoo`0300moogoo
03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`001goo00@007ooOol000Yoo`03
001oogoo00Aoo`03001oogoo00=oo`03001oogoo00Yoo`03001oogoo02=oo`03001oogoo00Aoo`03
00l007oo03ioo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`03
00moogoo031oo`001goo00@007ooOol000Moo`D000Eoo`@000803`0300003`0?00X03`0300003`0?
02<03`0300003`0?00D03`0300003`0?0?l03cl03c9oo`001goo00@007ooOol000Moo`04001oogoo
0006Ool00`00Oomoo`03Ool00`00Oomoo`0:Ool00`00Oomoo`0TOol00`00Oomoo`03Ool00`0?001o
o`0nOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomo
o`0`Ool000Moo`04001oogoo0008Ool00`00Ool00006Ool00`00Oomoo`03Ool00`00Oomoo`0:Ool0
0`00Oomoo`0TOol00`00Oomoo`03Ool00`0?001oo`0nOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol0
0`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool000Moo`04001oogoo0009Ool20006Ool0
0`00Oomoo`03Ool00`00Oomoo`0:Ool00`00Oomoo`0TOol00`00Oomoo`03Ool00`0?001oo`0nOol0
0`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool0
00Qoo`8000]oo`03001oogoo00Aoo`03001oogoo00=oo`03001oogoo00Yoo`03001oogoo02Aoo`03
001oogoo00=oo`0300l007oo03ioo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`03
00moogoo03eoo`0300moogoo031oo`0077oo00<007ooOol00goo00<007ooOol02Woo00<007ooOol0
97oo00<007ooOol00goo00<007ooOol0?Woo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0
?Goo00<03gooOol0?Goo00<03gooOol0<7oo000LOol00`00Oomoo`03Ool00`00Oomoo`0:Ool00`00
Oomoo`0UOol00`00Oomoo`02Ool00`00Oomoo`0nOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?
Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oogoo00=oo`03001oogoo00Uo
o`03001oogoo02Ioo`03001oogoo009oo`03001oogoo03ioo`0300moogoo03eoo`0300moogoo03eo
o`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo00<007ooOol00goo00<007oo
Ool02Goo00<007ooOol09Woo00<007ooOol00Woo00<007ooOol0?Woo00<03gooOol0?Goo00<03goo
Ool0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0<7oo000LOol00`00Oomoo`04Ool0
0`00Oomoo`08Ool00`00Oomoo`0VOol01P00Oomoogoo00003d1oo`0300moogoo03eoo`0300moogoo
03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo00<007ooOol017oo00<0
07ooOol027oo00<007ooOol09Woo00H007ooOomoo`0000m0Ool00`0?Oomoo`0mOol00`0?Oomoo`0m
Ool00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`<000Aoo`03001oogoo00Qo
o`03001oogoo02Moo`05001oo`00Ool03`10Ool00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomo
o`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oogoo00Aoo`03001oogoo00Qoo`03
001oogoo02Moo`05001oo`00Ool03`10Ool00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0m
Ool00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oogoo00Aoo`03001oogoo00Qoo`03001o
ogoo02Qoo`04001oogoo00m0Ool00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?
Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oogoo00Aoo`03001oogoo00Qoo`03001oogoo02]o
o`0300moogoo03ioo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eo
o`0300moogoo031oo`0077oo00<007ooOol017oo00<007ooOol027oo00<007ooOol0:goo00<03goo
Ool0?Woo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03goo
Ool0<7oo000LOol00`00Oomoo`04Ool00`00Oomoo`08Ool00`00Oomoo`0[Ool00`0?Oomoo`0nOol0
0`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool0
01aoo`03001oogoo00Aoo`03001oogoo00Qoo`03001oogoo02]oo`0300moogoo03ioo`0300moogoo
03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo00<0
07ooOol017oo00<007ooOol01goo00<007ooOol0;7oo00<03gooOol0?Woo00<03gooOol0?Goo00<0
3gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0<7oo000LOol00`00Oomoo`05
Ool00`00Oomoo`06Ool00`00Oomoo`0/Ool00`0?Oomoo`0nOol00`0?Oomoo`0mOol00`0?Oomoo`0m
Ool00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oogoo00Eoo`03001o
ogoo00Ioo`03001oogoo02aoo`0300moogoo03ioo`0300moogoo03eoo`0300moogoo03eoo`0300mo
ogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo00<007ooOol01Goo00<007ooOol01Woo
00<007ooOol0;7oo00<03gooOol0?Woo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo
00<03gooOol0?Goo00<03gooOol0<7oo000LOol30005Ool00`00Oomoo`06Ool00`00Oomoo`0/Ool0
0`0?Oomoo`0nOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol0
0`0?Oomoo`0`Ool001aoo`03001oogoo00Eoo`03001oogoo00Ioo`03001oogoo02aoo`0300moogoo
03ioo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo
031oo`0077oo00<007ooOol01Goo00<007ooOol01Woo00<007ooOol0;7oo00<03gooOol0?Woo00<0
3gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0<7oo000L
Ool00`00Oomoo`05Ool00`00Oomoo`06Ool00`00Oomoo`0/Ool00`0?Oomoo`0nOol00`0?Oomoo`0m
Ool00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001o
ogoo00Eoo`03001oogoo00Ioo`03001oogoo02aoo`0300moogoo03ioo`0300moogoo03eoo`0300mo
ogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo00<007ooOol01Woo
00<007ooOol017oo00<007ooOol0;Goo00<03gooOol0?Woo00<03gooOol0?Goo00<03gooOol0?Goo
00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0<7oo000LOol00`00Oomoo`06Ool00`00Oomo
o`04Ool00`00Oomoo`0]Ool00`0?Oomoo`0nOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomo
o`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oogoo00Ioo`03001oogoo00Aoo`03
001oogoo02eoo`0300moogoo03ioo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`03
00moogoo03eoo`0300moogoo031oo`0077oo00<007ooOol01Woo00<007ooOol017oo00<007ooOol0
;Goo00<03gooOol0?Woo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0
?Goo00<03gooOol0<7oo000LOol00`00Oomoo`06Ool00`00Oomoo`04Ool00`00Oomoo`0]Ool00`0?
Oomoo`0nOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?
Oomoo`0`Ool001aoo`<000Ioo`03001oogoo00Aoo`03001oogoo02eoo`0300moogoo03ioo`0300mo
ogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo
00<007ooOol01Woo00<007ooOol017oo00<007ooOol0;Goo00<03gooOol0?Woo00<03gooOol0?Goo
00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0<7oo000LOol00`00Oomo
o`07Ool00`00Oomoo`02Ool00`00Oomoo`0^Ool00`0?Oomoo`0nOol00`0?Oomoo`0mOol00`0?Oomo
o`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oogoo00Moo`03
001oogoo009oo`03001oogoo02ioo`0300moogoo03ioo`0300moogoo03eoo`0300moogoo03eoo`03
00moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0077oo00<007ooOol01goo00<007ooOol0
0Woo00<007ooOol0;Woo00<03gooOol0?Woo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0
?Goo00<03gooOol0?Goo00<03gooOol0<7oo000LOol00`00Oomoo`07Ool00`00Oomoo`02Ool00`00
Oomoo`0^Ool00`0?Oomoo`0nOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?
Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oogoo00Qoo`05001oogooOol0000`Ool00`0?Oomo
o`0nOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomo
o`0`Ool001aoo`03001oogoo00Qoo`05001oogooOol0000`Ool00`0?Oomoo`0nOol00`0?Oomoo`0m
Ool00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool000Qoo`8000Ao
o`03001oogoo009oo`<000Ioo`03001oogoo00Qoo`04001oogoo000aOol00`0?Oomoo`0nOol00`0?
Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool000Mo
o`04001oogoo0007Ool01@00Oomoogoo00001Goo00<007ooOol02Goo00<007oo0000<Goo00<03goo
Ool0?Woo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03goo
Ool0<7oo0007Ool01000Oomoo`001goo00D007ooOomoo`0000Eoo`03001oogoo00Uoo`80039oo`03
00moogoo03ioo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`03
00moogoo031oo`001goo00@007ooOol000Moo`@000Ioo`@00?l03gl03c9oo`001goo00@007ooOol0
00Moo`03001oogoo00Moo`03001oogoo03eoo`0300moogoo03ioo`0300moogoo03eoo`0300moogoo
03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`001goo00@007ooOol000Qoo`03
001oogoo00Ioo`03001oogoo03eoo`0300moogoo03ioo`0300moogoo03eoo`0300moogoo03eoo`03
00moogoo03eoo`0300moogoo03eoo`0300moogoo031oo`0027oo0P002Woo0P001Woo00<007ooOol0
?Goo00<03gooOol0?Woo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0?Goo00<03gooOol0
?Goo00<03gooOol0<7oo000LOol00`00Oomoo`0mOol00`0?Oomoo`0nOol00`0?Oomoo`0mOol00`0?
Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0mOol00`0?Oomoo`0`Ool001aoo`03001oogoo03eo
o`0300moogoo03ioo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eoo`0300moogoo03eo
o`0300moogoo031oo`00ogoodGoo003oOooAOol00?moom5oo`00ogoodGoo003oOooAOol00<1oo`<0
00moo`<00?]oo`00`goo00<007ooOol03goo00<007ooOol0n7oo002WOol40003Ool30003Ool00`00
Ool00003Ool30003Ool40003Ool200000goo00000002000017oo000007oo100027oo10000Woo0`00
0Woo0`002Goo0P0000Eoo`00000007oo00@00003Ool000000080009oo`@000=oo`<00;moo`00Z7oo
00H007ooOol007oo0006Ool00`00Ool00002Ool00`00Oomoo`03Ool01@00Oomoogoo00000Woo00@0
07ooOol0009oo`06001oogoo001oo`000goo00<007ooOol01Goo00@007ooOol0009oo`03001oogoo
00Aoo`03001oogoo00Qoo`07001oogooOol007oo00000Woo00<007ooOol017oo00<007ooOol00goo
00<007oo0000`Woo002XOol01@00Oomoo`00Ool01@0000Moo`00Ool007oo001oo`0500000goo001o
o`02Ool01000Oomoo`000Woo00@007ooOol0009oo`03001oo`0000=oo`03001oogoo00Eoo`04001o
ogoo0002Ool50002Ool00`00Oomoo`08Ool01@00Oomoogoo00000Woo0`000goo0`000goo0`000Woo
1@00_Woo000:Ool3000KOol3001mOol30002Ool03@00Oomoogoo001oo`00Ool007oo001oo`0000=o
o`03001oo`0000=oo`04001oogoo0002Ool01000Oomoo`000Woo00<007oo00000goo00<007ooOol0
1Goo00@007ooOol0009oo`05001oogooOol00002Ool20009Ool01`00Oomoogoo001oo`00009oo`04
001oogoo0005Ool00`00Oomoo`03Ool01@00Oomoogoo0000_Woo000;Ool00`00Oomoo`0KOol00`00
Oomoo`1lOol01000Oomoo`000Woo0`000Woo1P0000Aoo`00000000=oo`L00004Ool00000Ool40003
Ool50007Ool30003Ool30002Ool200000goo00000007Ool01@00Ool007oo00000Woo0P0017oo1000
0Woo10000Woo0`00_goo000<Ool00`00Oomoo`0:Ool00`00Oomoo`07Ool40003Ool00`00Oomoo`1k
Ool01000Oomoo`00=7oo00<007ooOol04Woo0P0000=oo`000000eWoo000<Ool00`00Oomoo`0:Ool0
0`00Oomoo`06Ool01000Oomoo`0017oo00<007ooOol0NWoo1000=7oo0P0057oo00@007ooOomoo`80
0=Eoo`002goo00<007oo00002Goo1@001Woo00@007ooOol000=oo`03001oo`000?moojEoo`002goo
00<007oo00002goo00<007ooOol01Woo00@007ooOol000=oo`03001oo`000?moojEoo`002Woo0P00
00=oo`0000002Woo00<007ooOol01goo0`000Woo0P0000=oo`000000ogooY7oo000UOol00`00Oomo
o`3oOonYOol002Aoo`800?mooj]oo`00ogoodGoo003oOooAOol00?moom5oo`00ogoodGoo003oOooA
Ool00?moom5oo`00ogoodGoo003oOooAOol00?moom5oo`00ogoodGoo003oOooAOol00?moom5oo`00
ogoodGoo003oOooAOol00?moom5oo`00\
\>"],
  ImageRangeCache->{{{0, 463.438}, {286.062, 0}} -> {-0.224531, -0.55613, \
0.00779229, 0.00469136}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(F2erg = F2[t] /. erg1[\([\)\(1\)\(]\)];\)\), "\n", 
    \(\(F1erg = F1 /. erg1[\([\)\(1\)\(]\)];\)\), "\n", 
    \(\(Plot[{Evaluate[F1erg], Evaluate[F2erg]}, \ {t, \ 0.01, 
          3}, \ \n\ \ \ AxesLabel\  -> \ {"\<Zeit s\>", \ "\<F1 + F2\>"}, \n\ \
\ \ PlotLabel\  -> \ "\<Bewegung der Masse\>", \n\ \ \ GridLines\  -> \ 
          Automatic, \n\ \ \ PlotRange\  -> \ {{0, \ 3}, \ 
            Automatic}];\)\)}], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
2.77556e-17 0.333333 0.0779556 0.00859378 [
[.16667 .06546 -9 -9 ]
[.16667 .06546 9 0 ]
[.33333 .06546 -3 -9 ]
[.33333 .06546 3 0 ]
[.5 .06546 -9 -9 ]
[.5 .06546 9 0 ]
[.66667 .06546 -3 -9 ]
[.66667 .06546 3 0 ]
[.83333 .06546 -9 -9 ]
[.83333 .06546 9 0 ]
[1 .06546 -3 -9 ]
[1 .06546 3 0 ]
[1.025 .07796 0 -6 ]
[1.025 .07796 40 6 ]
[-0.0125 .16389 -12 -4.5 ]
[-0.0125 .16389 0 4.5 ]
[-0.0125 .24983 -12 -4.5 ]
[-0.0125 .24983 0 4.5 ]
[-0.0125 .33577 -12 -4.5 ]
[-0.0125 .33577 0 4.5 ]
[-0.0125 .42171 -12 -4.5 ]
[-0.0125 .42171 0 4.5 ]
[-0.0125 .50764 -12 -4.5 ]
[-0.0125 .50764 0 4.5 ]
[-0.0125 .59358 -12 -4.5 ]
[-0.0125 .59358 0 4.5 ]
[0 .64303 -23 0 ]
[0 .64303 23 12 ]
[.5 .63053 -56 0 ]
[.5 .63053 56 12 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 .5 r
.25 Mabswid
[ ] 0 setdash
0 0 m
0 .61803 L
s
.16667 0 m
.16667 .61803 L
s
.33333 0 m
.33333 .61803 L
s
.5 0 m
.5 .61803 L
s
.66667 0 m
.66667 .61803 L
s
.83333 0 m
.83333 .61803 L
s
1 0 m
1 .61803 L
s
0 .07796 m
1 .07796 L
s
0 .16389 m
1 .16389 L
s
0 .24983 m
1 .24983 L
s
0 .33577 m
1 .33577 L
s
0 .42171 m
1 .42171 L
s
0 .50764 m
1 .50764 L
s
0 .59358 m
1 .59358 L
s
0 g
.16667 .07796 m
.16667 .08421 L
s
[(0.5)] .16667 .06546 0 1 Mshowa
.33333 .07796 m
.33333 .08421 L
s
[(1)] .33333 .06546 0 1 Mshowa
.5 .07796 m
.5 .08421 L
s
[(1.5)] .5 .06546 0 1 Mshowa
.66667 .07796 m
.66667 .08421 L
s
[(2)] .66667 .06546 0 1 Mshowa
.83333 .07796 m
.83333 .08421 L
s
[(2.5)] .83333 .06546 0 1 Mshowa
1 .07796 m
1 .08421 L
s
[(3)] 1 .06546 0 1 Mshowa
.125 Mabswid
.03333 .07796 m
.03333 .08171 L
s
.06667 .07796 m
.06667 .08171 L
s
.1 .07796 m
.1 .08171 L
s
.13333 .07796 m
.13333 .08171 L
s
.2 .07796 m
.2 .08171 L
s
.23333 .07796 m
.23333 .08171 L
s
.26667 .07796 m
.26667 .08171 L
s
.3 .07796 m
.3 .08171 L
s
.36667 .07796 m
.36667 .08171 L
s
.4 .07796 m
.4 .08171 L
s
.43333 .07796 m
.43333 .08171 L
s
.46667 .07796 m
.46667 .08171 L
s
.53333 .07796 m
.53333 .08171 L
s
.56667 .07796 m
.56667 .08171 L
s
.6 .07796 m
.6 .08171 L
s
.63333 .07796 m
.63333 .08171 L
s
.7 .07796 m
.7 .08171 L
s
.73333 .07796 m
.73333 .08171 L
s
.76667 .07796 m
.76667 .08171 L
s
.8 .07796 m
.8 .08171 L
s
.86667 .07796 m
.86667 .08171 L
s
.9 .07796 m
.9 .08171 L
s
.93333 .07796 m
.93333 .08171 L
s
.96667 .07796 m
.96667 .08171 L
s
.25 Mabswid
0 .07796 m
1 .07796 L
s
gsave
1.025 .07796 -61 -10 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Zeit) show
93.000 13.000 moveto
(s) show
99.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .16389 m
.00625 .16389 L
s
[(10)] -0.0125 .16389 1 0 Mshowa
0 .24983 m
.00625 .24983 L
s
[(20)] -0.0125 .24983 1 0 Mshowa
0 .33577 m
.00625 .33577 L
s
[(30)] -0.0125 .33577 1 0 Mshowa
0 .42171 m
.00625 .42171 L
s
[(40)] -0.0125 .42171 1 0 Mshowa
0 .50764 m
.00625 .50764 L
s
[(50)] -0.0125 .50764 1 0 Mshowa
0 .59358 m
.00625 .59358 L
s
[(60)] -0.0125 .59358 1 0 Mshowa
.125 Mabswid
0 .09514 m
.00375 .09514 L
s
0 .11233 m
.00375 .11233 L
s
0 .12952 m
.00375 .12952 L
s
0 .14671 m
.00375 .14671 L
s
0 .18108 m
.00375 .18108 L
s
0 .19827 m
.00375 .19827 L
s
0 .21546 m
.00375 .21546 L
s
0 .23264 m
.00375 .23264 L
s
0 .26702 m
.00375 .26702 L
s
0 .28421 m
.00375 .28421 L
s
0 .30139 m
.00375 .30139 L
s
0 .31858 m
.00375 .31858 L
s
0 .35296 m
.00375 .35296 L
s
0 .37014 m
.00375 .37014 L
s
0 .38733 m
.00375 .38733 L
s
0 .40452 m
.00375 .40452 L
s
0 .43889 m
.00375 .43889 L
s
0 .45608 m
.00375 .45608 L
s
0 .47327 m
.00375 .47327 L
s
0 .49046 m
.00375 .49046 L
s
0 .52483 m
.00375 .52483 L
s
0 .54202 m
.00375 .54202 L
s
0 .55921 m
.00375 .55921 L
s
0 .5764 m
.00375 .5764 L
s
0 .06077 m
.00375 .06077 L
s
0 .04358 m
.00375 .04358 L
s
0 .02639 m
.00375 .02639 L
s
0 .00921 m
.00375 .00921 L
s
0 .61077 m
.00375 .61077 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
gsave
0 .64303 -84 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(F1) show
81.000 13.000 moveto
%%IncludeResource: font Mathematica1Mono
%%IncludeFont: Mathematica1Mono
/Mathematica1Mono findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(+) show
93.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(F2) show
105.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.5 .63053 -117 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 20 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Bewegung) show
117.000 13.000 moveto
(der) show
141.000 13.000 moveto
(Masse) show
171.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.00333 .08132 m
.00456 .08425 L
.00568 .08769 L
.0082 .09806 L
.01053 .11081 L
.01273 .12548 L
.02302 .22191 L
.04377 .46585 L
.0491 .51633 L
.05202 .53908 L
.05476 .55678 L
.05709 .5689 L
.05959 .57876 L
.06101 .58288 L
.06237 .58576 L
.06358 .5875 L
.06491 .58848 L
.06566 .58861 L
.06646 .58842 L
.06723 .58791 L
.06793 .58716 L
.06926 .58504 L
.06993 .58362 L
.07067 .5818 L
.07385 .57085 L
.07681 .55637 L
.08214 .52136 L
.08786 .47392 L
.09791 .37875 L
.10859 .28562 L
.11416 .24932 L
.11733 .23401 L
.11878 .22844 L
.12031 .22361 L
.12161 .22034 L
.12229 .21892 L
.12303 .21766 L
.12432 .21606 L
.12552 .21529 L
.12625 .21516 L
.12704 .2153 L
.12778 .21571 L
.12847 .21632 L
.12977 .21809 L
.13114 .22082 L
.13247 .22428 L
.13373 .2283 L
.13609 .23771 L
.1414 .26711 L
.14599 .30034 L
Mistroke
.151 .34267 L
.16246 .44951 L
.17284 .53584 L
.17795 .56774 L
.18083 .58157 L
.18347 .5914 L
.18579 .59765 L
.18711 .60018 L
.18834 .60187 L
.18963 .60296 L
.19082 .60332 L
.19218 .603 L
.19347 .60197 L
.19473 .6003 L
.19612 .5977 L
.19758 .59416 L
.19894 .5901 L
.204 .5692 L
.2095 .53752 L
.21543 .49604 L
.22632 .41288 L
.23645 .34611 L
.24155 .322 L
.24441 .31219 L
.24567 .30877 L
.247 .30577 L
.24771 .30445 L
.24849 .30321 L
.24986 .30157 L
.25063 .30096 L
.25145 .30055 L
.25223 .3004 L
.25294 .30046 L
.25432 .30113 L
.2551 .30181 L
.25582 .30265 L
.25714 .30468 L
.25854 .30753 L
.26103 .31427 L
.26364 .32362 L
.26833 .34551 L
.27889 .41281 L
.2889 .48549 L
.29801 .5442 L
.30314 .56963 L
.30549 .57888 L
.30798 .58685 L
.30925 .59014 L
.31064 .59316 L
.31193 .59537 L
Mistroke
.3131 .59691 L
.31448 .59814 L
.31524 .59854 L
.31596 .59874 L
.31725 .59866 L
.31797 .59837 L
.31865 .59795 L
.31985 .59682 L
.32116 .59506 L
.32239 .59291 L
.32353 .59051 L
.32795 .57756 L
.33277 .55762 L
.33786 .5314 L
.34854 .46735 L
.35866 .40946 L
.36306 .38901 L
.36774 .37204 L
.37018 .36543 L
.37148 .36259 L
.37287 .36007 L
.37415 .35825 L
.37532 .357 L
.37644 .35619 L
.37762 .35574 L
.3789 .35571 L
.38006 .35611 L
.38141 .35707 L
.38267 .35845 L
.38385 .36014 L
.38493 .36204 L
.38738 .36752 L
.38985 .37463 L
.39256 .38413 L
.39805 .40794 L
.40949 .46991 L
.41994 .52692 L
.42494 .54977 L
.42758 .55999 L
.43039 .56922 L
.43309 .57637 L
.43554 .58128 L
.43672 .5831 L
.438 .58466 L
.4392 .58574 L
.44031 .5864 L
.44158 .58675 L
.44294 .58665 L
.44422 .58612 L
.44539 .58526 L
Mistroke
.44676 .58381 L
.44825 .5817 L
.45095 .57651 L
.45379 .5693 L
.45679 .55984 L
.46218 .53901 L
.47277 .4894 L
.48285 .4425 L
.48722 .42531 L
.49189 .41043 L
.49457 .40377 L
.49701 .39906 L
.49818 .39726 L
.49945 .39566 L
.50065 .39449 L
.50176 .39371 L
.50293 .3932 L
.50419 .39301 L
.50538 .39316 L
.50646 .39359 L
.50773 .39444 L
.50912 .39578 L
.51042 .39743 L
.51163 .39929 L
.51669 .41035 L
.51924 .41775 L
.52206 .42714 L
.53346 .47393 L
.54391 .51936 L
.54901 .53865 L
.55376 .55343 L
.55636 .55993 L
.55872 .56476 L
.56134 .56885 L
.56278 .57051 L
.56414 .57168 L
.5654 .57243 L
.56612 .5727 L
.56679 .57286 L
.56814 .57291 L
.5689 .57277 L
.56959 .57253 L
.57082 .57188 L
.57217 .57082 L
.57344 .56948 L
.57461 .56797 L
.5775 .56317 L
.58011 .55757 L
.58597 .54129 L
.59661 .50302 L
Mistroke
.60784 .46109 L
.61247 .44638 L
.61743 .43359 L
.62027 .42793 L
.62287 .42394 L
.62411 .42244 L
.62547 .42113 L
.62675 .4202 L
.62794 .41961 L
.62915 .41927 L
.63025 .41919 L
.63147 .41937 L
.63275 .41985 L
.63386 .4205 L
.6349 .42131 L
.63726 .42385 L
.63986 .42773 L
.64223 .43218 L
.64753 .44497 L
.65835 .4794 L
.66832 .51365 L
.67337 .52918 L
.6781 .54144 L
.68302 .55123 L
.68563 .55498 L
.68708 .55662 L
.68843 .55783 L
.68979 .55876 L
.69047 .55911 L
.69123 .55941 L
.69198 .55962 L
.6928 .55974 L
.69357 .55975 L
.69427 .55968 L
.69556 .55934 L
.69629 .55903 L
.69697 .55866 L
.69835 .5577 L
.69982 .55635 L
.70261 .5529 L
.70526 .54862 L
.71021 .53831 L
.72934 .48331 L
.73458 .46866 L
.74022 .45527 L
.74295 .44997 L
.74555 .44577 L
.74787 .44274 L
.75041 .44029 L
.75182 .43932 L
Mistroke
.75315 .43867 L
.75434 .4383 L
.75563 .43813 L
.7563 .43814 L
.75704 .43822 L
.7578 .43839 L
.75852 .43863 L
.75981 .43923 L
.76118 .44013 L
.76387 .44263 L
.76641 .44586 L
.77118 .45395 L
.78172 .47883 L
.79319 .50983 L
.79793 .52155 L
.80303 .53238 L
.80595 .5375 L
.80863 .54138 L
.81119 .54431 L
.81261 .54559 L
.81389 .54653 L
.81524 .5473 L
.81652 .54781 L
.81787 .54812 L
.81863 .54819 L
.81933 .54819 L
.8205 .54805 L
.82179 .5477 L
.82313 .54711 L
.82439 .54635 L
.82728 .5439 L
.82993 .54083 L
.83588 .53136 L
.84634 .50871 L
.85747 .48243 L
.86289 .47121 L
.86798 .46258 L
.87021 .45953 L
.87255 .45686 L
.87378 .45569 L
.87513 .45459 L
.87636 .45377 L
.87749 .45315 L
.87878 .45264 L
.87946 .45244 L
.88019 .45229 L
.8814 .45216 L
.88273 .45222 L
.88392 .45244 L
.88519 .45286 L
Mistroke
.8864 .45341 L
.8875 .45406 L
.89012 .45612 L
.89299 .45915 L
.89821 .46655 L
.91753 .50548 L
.92261 .51562 L
.92811 .52509 L
.93064 .52873 L
.93331 .53201 L
.93562 .53434 L
.93809 .53628 L
.93958 .53716 L
.94093 .53776 L
.94229 .53819 L
.94358 .53842 L
.9443 .53847 L
.94507 .53848 L
.94573 .53843 L
.94646 .53833 L
.94724 .53816 L
.94808 .53791 L
.9496 .53729 L
.95086 .5366 L
.95225 .53567 L
.95504 .53328 L
.96004 .52742 L
1 .46523 L
Mfstroke
.00333 .08045 m
.00456 .08261 L
.00568 .08513 L
.0082 .09267 L
.01053 .10183 L
.01273 .11226 L
.02302 .17852 L
.03309 .25608 L
.0386 .29604 L
.04377 .3281 L
.049 .3529 L
.05177 .36229 L
.05333 .36631 L
.05476 .36917 L
.05605 .37108 L
.05725 .37225 L
.05856 .37288 L
.0593 .37293 L
.05996 .37278 L
.06119 .37205 L
.06251 .37059 L
.06376 .36857 L
.06491 .36617 L
.06766 .35837 L
.07023 .34858 L
.07607 .31818 L
.08786 .23221 L
.0988 .14373 L
.10418 .10473 L
.10916 .07434 L
.11367 .05292 L
.11595 .0446 L
.11726 .04062 L
.11846 .0375 L
.11966 .03491 L
.12097 .03266 L
.12229 .03103 L
.12301 .0304 L
.12368 .02999 L
.12492 .02965 L
.12605 .02983 L
.12735 .03059 L
.12858 .03186 L
.12978 .0336 L
.13108 .03603 L
.13342 .04179 L
.13621 .05083 L
.13875 .06097 L
.14952 .11889 L
.15887 .17769 L
Mistroke
.16883 .23314 L
.17163 .24541 L
.17425 .2552 L
.17681 .26294 L
.17793 .26574 L
.17916 .26838 L
.18024 .27032 L
.1814 .272 L
.18263 .27332 L
.18377 .27412 L
.1851 .27454 L
.18637 .27442 L
.18751 .27387 L
.18874 .27282 L
.19008 .27113 L
.19134 .26904 L
.19421 .26252 L
.19701 .25391 L
.20002 .24236 L
.21044 .18808 L
.22041 .126 L
.23104 .0653 L
.23419 .05075 L
.23716 .03901 L
.24005 .02965 L
.24271 .02296 L
.24402 .02038 L
.24524 .0184 L
.24651 .01679 L
.24719 .01612 L
.24791 .01554 L
.24864 .01512 L
.24943 .01483 L
.25017 .01472 L
.25086 .01475 L
.25216 .01518 L
.25282 .01558 L
.25355 .01616 L
.2548 .01748 L
.25616 .01942 L
.25892 .02478 L
.26147 .03139 L
.26385 .03885 L
.27496 .08639 L
.2846 .13515 L
.29507 .18177 L
.29785 .19141 L
.30079 .19995 L
.3033 .20575 L
.30474 .20842 L
Mistroke
.30607 .21043 L
.30739 .21202 L
.30865 .21313 L
.30998 .21388 L
.31073 .2141 L
.31143 .21419 L
.31271 .21402 L
.31386 .21352 L
.3152 .21254 L
.31645 .21121 L
.31882 .20769 L
.32132 .20257 L
.3258 .1901 L
.33061 .1726 L
.3359 .14974 L
.34727 .09503 L
.35287 .06944 L
.35804 .04881 L
.36273 .03371 L
.36513 .02757 L
.36771 .02227 L
.36906 .02006 L
.37029 .01839 L
.37147 .0171 L
.37271 .01608 L
.37407 .01535 L
.37534 .01504 L
.37607 .01503 L
.37674 .01512 L
.3775 .01535 L
.37822 .01568 L
.37944 .0165 L
.38058 .01755 L
.38317 .02094 L
.38569 .02553 L
.3884 .03176 L
.39778 .06174 L
.40877 .10558 L
.41896 .1434 L
.4241 .15819 L
.42673 .16418 L
.42957 .16931 L
.4312 .17158 L
.4327 .17322 L
.43413 .17438 L
.43485 .17482 L
.43564 .17518 L
.43702 .17551 L
.43779 .17553 L
.43849 .17545 L
Mistroke
.43985 .17502 L
.44114 .17428 L
.44235 .1733 L
.44368 .17189 L
.44638 .16805 L
.44888 .16337 L
.45122 .15806 L
.46218 .12407 L
.47156 .08887 L
.48157 .05403 L
.48732 .0384 L
.49004 .03261 L
.49255 .0283 L
.49507 .025 L
.49639 .02371 L
.49707 .02316 L
.49779 .02267 L
.49901 .02204 L
.50015 .02169 L
.50151 .02157 L
.50274 .02175 L
.50411 .02224 L
.5048 .02262 L
.50556 .02312 L
.50818 .02559 L
.50964 .02745 L
.51123 .02983 L
.51409 .03506 L
.5197 .04828 L
.52485 .06304 L
.53574 .09776 L
.54104 .11392 L
.54587 .12684 L
.55079 .13753 L
.55305 .14141 L
.55544 .14475 L
.55665 .14614 L
.55799 .1474 L
.55921 .14832 L
.56034 .14897 L
.56168 .14948 L
.56291 .1497 L
.56358 .14973 L
.56432 .14967 L
.56566 .14936 L
.56637 .14908 L
.56713 .1487 L
.56852 .14778 L
.56987 .14661 L
.5711 .14531 L
Mistroke
.57392 .14154 L
.5769 .13646 L
.58732 .11153 L
.59802 .08029 L
.60328 .06545 L
.60814 .05322 L
.61246 .04411 L
.61723 .03647 L
.6197 .03362 L
.62202 .03169 L
.62329 .03093 L
.62447 .03044 L
.62575 .03011 L
.6271 .03002 L
.62839 .03016 L
.62955 .03048 L
.6309 .03108 L
.63217 .03187 L
.63442 .03378 L
.63687 .03656 L
.64243 .04535 L
.64755 .05593 L
.65887 .0839 L
.66945 .10916 L
.67432 .11849 L
.67893 .1253 L
.68148 .12808 L
.68283 .12924 L
.68426 .13025 L
.68545 .1309 L
.68678 .13142 L
.68798 .13171 L
.68911 .13181 L
.69037 .13175 L
.69175 .13146 L
.69245 .13123 L
.69319 .13092 L
.69453 .13019 L
.69714 .12818 L
.69951 .12571 L
.70527 .11738 L
.71072 .10706 L
.72986 .06427 L
.7351 .05429 L
.73799 .04964 L
.74074 .04589 L
.74329 .04304 L
.74463 .0418 L
.74606 .04069 L
.74739 .03985 L
Mistroke
.74859 .03925 L
.7498 .0388 L
.75093 .03852 L
.75214 .03839 L
.75346 .03841 L
.75484 .03864 L
.75613 .03904 L
.75734 .03957 L
.75844 .04019 L
.76091 .04201 L
.76356 .04461 L
.76645 .04815 L
.7717 .05616 L
.78216 .07608 L
.79371 .09846 L
.79885 .10668 L
.80154 .11029 L
.80438 .11347 L
.80688 .11571 L
.8082 .11666 L
.80961 .1175 L
.81091 .11811 L
.8121 .11852 L
.81329 .1188 L
.81441 .11895 L
.81568 .11896 L
.8164 .1189 L
.81707 .1188 L
.81844 .11846 L
.8192 .1182 L
.8199 .11791 L
.82249 .11644 L
.82496 .11451 L
.83043 .1085 L
.83639 .09977 L
.84791 .07945 L
.85356 .06949 L
.85875 .06124 L
.86339 .05504 L
.86848 .04991 L
.87113 .04802 L
.8724 .04732 L
.8736 .04678 L
.87496 .04632 L
.8762 .04603 L
.87754 .04587 L
.87829 .04584 L
.87899 .04587 L
.88022 .046 L
.88135 .04624 L
Mistroke
.88264 .04664 L
.88388 .04715 L
.88607 .04836 L
.88846 .05009 L
.89387 .05545 L
.89889 .06191 L
.90903 .07743 L
.92 .09404 L
.92575 .10106 L
.92828 .10357 L
.93105 .10585 L
.93367 .10752 L
.93492 .10814 L
.93611 .10863 L
.93746 .10905 L
.93869 .10932 L
.94002 .10948 L
.94077 .10951 L
.94146 .10951 L
.94257 .10942 L
.94377 .10922 L
.9449 .10893 L
.94594 .10859 L
.94836 .10749 L
.9509 .10591 L
.95569 .10183 L
.96093 .096 L
1 .05272 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/A000`40O003h00Oogoo8Goo003oOolQ
Ool00?moob5oo`00ogoo8Goo003oOolQOol00?moob5oo`00ogoo8Goo003oOolQOol00?moob5oo`00
ogoo8Goo003oOolQOol00?moob5oo`005goo00<007ooOol08Goo00<03gooOol08Goo00<03gooOol0
8Woo00<03gooOol08Goo00<03gooOol08Woo00<03gooOol08Goo00<03gooOol0;7oo000GOol00`00
Oomoo`0QOol00`0?Oomoo`0QOol00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0ROol00`0?
Oomoo`0QOol00`0?Oomoo`0/Ool001Moo`03001oogoo025oo`0300moogoo025oo`0300moogoo029o
o`0300moogoo025oo`0300moogoo029oo`0300moogoo025oo`0300moogoo02aoo`005goo00<007oo
Ool08Goo00<03gooOol03Woo0`0047oo00<03gooOol01Woo0P006Woo00<03gooOol08Goo00<03goo
Ool08Woo00<03gooOol08Goo00<03gooOol0;7oo000GOol00`00Oomoo`0QOol00`0?Oomoo`0>Ool0
0`00Ool0000@Ool00`0?Oomoo`05Ool200000goo001oo`0HOol00`00Oomoo`0QOol00`0?Oomoo`0R
Ool00`0?Oomoo`0QOol00`0?Oomoo`0/Ool001Moo`03001oogoo025oo`0300moogoo00ioo`04001o
ogoo000?Ool00`0?Oomoo`05Ool01@00Oomoogoo00005goo10008Goo00<03gooOol08Woo00<03goo
Ool08Goo00<03gooOol0;7oo000GOol00`00Oomoo`0GOol200000goo00000004Ool00`0000moo`02
Ool30009Ool01@00Oomoogoo00003Goo0`001Woo00<007ooOol00Woo00<007ooOol03Woo0`000goo
0P0000@03goo001oo`<001Aoo`8000Aoo`D001Yoo`D000=oo`0300003goo009oo`<001]oo`<002io
o`005goo00<007ooOol05goo00<007oo00000Woo00<007ooOol00Woo00@03gooOol000=oo`03001o
ogoo00Ioo`03001oogoo009oo`03001oogoo00]oo`0300003goo00Eoo`03001oogoo009oo`03001o
ogoo00moo`03001oogoo009oo`03001oo`0?009oo`05001oogooOol0000BOol40004Ool01000Ool0
3`006goo00@007ooOol000Aoo`0400moogoo0003Ool00`00Oomoo`0GOol01@00Oomoo`0?0000;Goo
000GOol00`00Oomoo`0FOol01000Oomoo`000Woo00<007ooOol00Woo00<03gooOol017oo00<007oo
Ool01Goo00<007ooOol00goo00<007ooOol02goo00<0000?Ool01Goo00<007ooOol00Woo00<007oo
Ool03goo00D007ooOomoo`00009oo`0400moogoo0003Ool00`00Oomoo`0?Ool00`00Oomoo`02Ool0
0`00Oomoo`02Ool00`0000moo`0@Ool30009Ool00`00Oomoo`04Ool00`0?Oomoo`04Ool00`00Oomo
o`0JOol00`0?001oo`0/Ool001Moo`03001oogoo01Ioo`03001oogoo00800003Ool007oo00=oo`03
00moogoo00Aoo`03001oogoo00Eoo`03001oogoo00=oo`03001oogoo00]oo`0300003goo00Aoo`03
001oogoo00Aoo`03001oogoo00ioo`05001oogooOol00002Ool01@0?Oomoogoo00000Woo00<007oo
Ool03Woo00<007ooOol00goo00<007ooOol00goo00<007ooOol03Woo0P0000=oo`0000002Goo00<0
07ooOol00goo00<03gooOol017oo00<007ooOol06Goo0P00;Woo000GOol00`00Oomoo`0FOol00`00
Oomoo`0200000goo001oo`03Ool00`0?Oomoo`040008Ool00`00Oomoo`03Ool00`00Oomoo`0;Ool0
0`0000moo`04Ool00`00Oomoo`04Ool00`00Oomoo`0>Ool01@00Oomoogoo00000Woo00<03gooOol0
10004Goo00<007ooOol017oo00<007oo00000Woo00<03`00Ool03Goo00<007ooOol00Woo0P001Goo
00D007ooOomoo`0000Aoo`0300moogoo00@00003Ool00000008001Qoo`0300l007oo02aoo`005goo
00<007ooOol05Goo00@007ooOomoo`800003Ool007oo00=oo`0400moogoo000;Ool00`00Oomoo`04
Ool00`00Oomoo`09Ool200000`0?Oomoo`03Ool00`00Oomoo`04Ool00`00Oomoo`0=Ool20002Ool0
1@00Oomoogoo00l00Woo0P004Woo00<007ooOol01Goo00<007oo00000Woo00<03`00Ool03Goo00<0
07ooOol00goo00<007ooOol00goo00D007ooOomoo`0000Aoo`0400moogoo0003Ool00`00Oomoo`02
Ool00`00Oomoo`0BOol00`00Oomoo`02000]Ool001Moo`03001oogoo01Eoo`03001oogoo009oo`80
00Eoo`0300moogoo00D000Moo`03001oogoo00Aoo`03001oogoo00Yoo`0300003goo00Aoo`03001o
ogoo00Eoo`03001oogoo00eoo`04001oogoo0003Ool00`0?Oomoo`05000?Ool00`00Oomoo`06Ool0
0`00Ool00002000>Ool00`00Oomoo`05Ool00`00Oomoo`03Ool30005Ool00`0?Oomoo`050005Ool0
0`00Oomoo`0BOol3000^Ool001Moo`03001oogoo01Eoo`03001oogoo00=oo`03001oogoo00=oo`03
00moogoo00]oo`03001oogoo00Eoo`03001oogoo00]oo`0300moogoo009oo`03001oogoo00Ioo`03
001oogoo011oo`05001oogooOol03`04Ool00`00Oomoo`0>Ool00`00Oomoo`07Ool01@00Oomoogoo
00l03Woo00<007ooOol01Goo00<007ooOol02goo00<03gooOol00Woo00<007ooOol01Woo00<007oo
Ool04Woo00<0000?Ool0;Goo000GOol00`00Oomoo`0DOol00`00Oomoo`04Ool00`00Oomoo`03Ool0
0`0?Oomoo`0;Ool00`00Oomoo`06Ool00`00Oomoo`0:Ool00`0?Oomoo`02Ool00`00Oomoo`06Ool0
0`00Oomoo`0@Ool01@00Oomoogoo00l017oo00<007ooOol03Woo00<007ooOol027oo00@007ooOol0
3`eoo`03001oogoo00Moo`03001oogoo00Yoo`0300moogoo009oo`03001oogoo00Ioo`03001oogoo
015oo`03001oo`0?02ioo`005goo00<007ooOol057oo00<007ooOol017oo00<007ooOol00goo00<0
3gooOol02goo00<007ooOol01Woo00<007ooOol02Woo00<03gooOol00Woo00<007ooOol01Woo00<0
07ooOol03goo00<007ooOol00Woo00<03gooOol00Woo00<007ooOol03Woo00<007ooOol027oo00@0
07ooOol03`eoo`03001oogoo00Moo`03001oogoo00Yoo`0500moogooOol0000:Ool00`00Oomoo`0?
Ool01000Oomoo`0?1goo1@000Woo0`000Woo1@000goo0P0027oo10001Goo000GOol00`00Oomoo`0D
Ool00`00Oomoo`04Ool00`00Oomoo`03Ool00`0?Oomoo`0;Ool00`00Oomoo`06Ool00`00Oomoo`0:
Ool00`0?Oomoo`02Ool00`00Oomoo`07Ool00`00Oomoo`0>Ool00`00Oomoo`02Ool00`0?Oomoo`03
Ool00`00Oomoo`0<Ool00`00Oomoo`09Ool01000Oomoo`0?37oo00<007ooOol02Goo00<007ooOol0
2Goo00D03gooOomoo`0000Yoo`03001oogoo00ioo`05001oogooOol03`07Ool01`00Oomoogoo001o
o`0000Moo`03001oogoo009oo`04001oogoo000;Ool00`00Oomoo`02Ool001Moom/000Qoo`03001o
ogoo009oo`D000=oo`03001oogoo009oo`03001oogoo00Uoo`<000Eoo`005goo0P001Goo00<007oo
Ool017oo00<007ooOol017oo00<007oo00001Goo00<007oo000017oo00<007ooOol017oo00<007oo
Ool00goo0P001goo00<007oo000017oo00<007ooOol017oo00D007ooOomoo`0000=oo`03001oogoo
00Aoo`03001oogoo00Aoo`03001oogoo00Aoo`03001oo`0000Eoo`03001oogoo00Aoo`03001oogoo
00Aoo`03001oogoo00Aoo`8000Ioo`03001oogoo009oo`03001oo`0000Ioo`03001oogoo009oo`04
001oogoo0006Ool01@00Oomoogoo00000Woo00<007ooOol01Goo00@007ooOol000=oo`03001oogoo
00Aoo`04001oogoo0003Ool00`00Oomoo`05Ool20005Ool00`00Oomoo`07Ool01@00Oomoogoo0000
0goo00D007ooOomoo`0000Aoo`03001oogoo00Qoo`03001oogoo00Ioo`005goo0P005Goo00<007oo
Ool01Goo00<007ooOol00Woo00<03gooOol02Woo00<007ooOol027oo00<007ooOol02Goo00D03goo
Oomoo`0000]oo`03001oogoo00aoo`03001oogoo00=oo`0300moogoo00Aoo`03001oogoo00]oo`03
001oogoo00Yoo`03001oo`0?00]oo`03001oogoo00aoo`03001oogoo00Moo`0300moo`0000moo`03
001oogoo00Qoo`03001oogoo00Aoo`0300moogoo00Qoo`04001oogooOol30002Ool30003Ool40009
Ool40004Ool001Moo`8001Aoo`03001oogoo00Ioo`03001oogoo009oo`0300moogoo00Yoo`03001o
ogoo00Qoo`03001oogoo00Uoo`0400moogoo000<Ool00`00Oomoo`0<Ool00`00Oomoo`03Ool00`0?
Oomoo`04Ool00`00Oomoo`0:Ool00`00Oomoo`0<Ool00`0000moo`0:Ool00`00Oomoo`0<Ool00`00
Oomoo`07Ool00`0?001oo`0@Ool00`00Oomoo`06Ool00`00Oomoo`05Ool00`0?Oomoo`05Ool01@00
Oomoogoo00003Woo00<007ooOol04Goo000GOol2000DOol00`00Oomoo`06Ool00`00Oomoo`02Ool0
0`0?Oomoo`0:Ool00`00Oomoo`08Ool00`00Oomoo`09Ool0100?Oomoo`0037oo00<007ooOol037oo
00<007ooOol00goo00<03gooOol01Goo00<007ooOol02Goo00<007ooOol037oo00<0000?Ool02Goo
00<007ooOol03Woo00<007ooOol01Woo00<03`00Ool047oo00<007ooOol01Goo00<007ooOol01Woo
00<03gooOol01Goo1@002Goo00<007ooOol00Woo00<007ooOol04Goo000GOol3000COol00`00Oomo
o`06Ool00`00Oomoo`02Ool00`0?Oomoo`0:Ool00`00Oomoo`09Ool00`00Oomoo`08Ool0100?Oomo
o`003Goo00<007ooOol02Woo00<007ooOol017oo00<03gooOol01Goo00<007ooOol02Goo00<007oo
Ool03Goo00<007ooOol027oo00<007ooOol03Woo00<007ooOol01Woo00<007ooOol04Goo00<007oo
Ool00goo00<007ooOol01goo00<03gooOol0;7oo000GOol00`00Ool0000COol00`00Oomoo`06Ool0
0`00Oomoo`02Ool00`0?Oomoo`0:Ool00`00Oomoo`09Ool00`00Oomoo`08Ool0100?Oomoo`003Goo
00<007ooOol02Woo00<007ooOol017oo00<03gooOol01Goo00<007ooOol027oo00<007ooOol03Woo
00<007ooOol01goo00<007ooOol047oo00<007ooOol017oo00<0000?Ool04goo0P0000=oo`000000
2Woo00<03gooOol0;7oo000GOol00`00Ool0000COol00`00Oomoo`07Ool01@00Oomoogoo00l037oo
00<007ooOol02Goo00<007ooOol027oo00@03gooOol000eoo`03001oogoo00Yoo`03001oogoo00Ao
o`0300moogoo00Ioo`03001oogoo00Moo`03001oogoo00ioo`0300l007oo00Moo`03001oogoo015o
o`03001oogoo00=oo`0300003goo01Aoo`<000]oo`0300moogoo02aoo`005goo00<007oo00004goo
00<007ooOol01goo00D007ooOomoo`0?00]oo`03001oogoo00Yoo`03001oogoo00Qoo`0300moo`00
00ioo`03001oogoo00Yoo`03001oogoo00Aoo`0300moogoo00Ioo`03001oogoo00Moo`03001oogoo
00ioo`0300l007oo00Ioo`03001oogoo019oo`80009oo`800003Ool03goo029oo`0300moogoo02ao
o`005goo00<007oo00004goo00<007ooOol01goo00D007ooOomoo`0?00]oo`03001oogoo00Yoo`03
001oogoo00Qoo`0300moo`0000moo`03001oogoo00Qoo`03001oogoo00Eoo`0300moogoo00Ioo`03
001oogoo00Ioo`03001oogoo00moo`0300moo`0000Eoo`03001oogoo01Eoo`<0009oo`0300moogoo
025oo`0300moogoo02aoo`005goo00@007oo0000019oo`03001oogoo00Moo`05001oogooOol03`0;
Ool00`00Oomoo`0;Ool00`00Oomoo`07Ool00`0?Ool0000?Ool00`00Oomoo`08Ool00`00Oomoo`05
Ool00`0?Oomoo`07Ool00`00Oomoo`05Ool00`00Oomoo`0?Ool0100?Oomoo`000goo00<007ooOol0
6goo00<03gooOol08Goo00<03gooOol0;7oo000GOol01000Ool000004Goo00<007ooOol027oo00D0
07ooOomoo`0?00]oo`03001oogoo00]oo`03001oogoo00Moo`0300moo`0000moo`03001oogoo00Qo
o`03001oogoo00Eoo`0300moogoo00Moo`03001oogoo00Eoo`03001oogoo00moo`0300moogoo00D0
01eoo`0300moogoo025oo`0300moogoo02aoo`005goo00@007oo0000015oo`03001oogoo00Qoo`05
001oogooOol03`0;Ool00`00Oomoo`0;Ool00`00Oomoo`07Ool00`0?Ool0000?Ool00`00Oomoo`07
Ool00`00Oomoo`06Ool00`0?Oomoo`08Ool00`00Oomoo`03Ool00`00Oomoo`0@Ool00`0?Oomoo`02
Ool00`00Oomoo`0MOol00`0?Oomoo`0QOol00`0?Oomoo`0/Ool001Moo`04001oo`00000AOol00`00
Oomoo`09Ool01000Oomoo`0?2Woo00<007ooOol037oo00<007ooOol01goo00<03`00Ool047oo00<0
07ooOol01Woo00<007ooOol01Woo00<03gooOol027oo00<007ooOol00goo00<007ooOol047oo00<0
3gooOol08Woo00<03gooOol08Goo00<03gooOol0;7oo000GOol01000Oomoo`004Goo00<007ooOol0
2Goo00@007ooOol03`Yoo`03001oogoo00aoo`03001oogoo00Moo`0300l007oo011oo`03001oogoo
00Eoo`03001oogoo00Moo`0300moogoo00Qoo`8000=oo`03001oogoo015oo`0300moogoo029oo`03
00moogoo025oo`0300moogoo02aoo`005goo00<007ooOol00P0047oo00<007ooOol02Goo00@007oo
Ool03`Yoo`03001oogoo00eoo`03001oogoo00Ioo`0300l007oo011oo`03001oogoo00Eoo`03001o
ogoo00Moo`0300moogoo00Uoo`@001Aoo`0300moogoo029oo`0300moogoo025oo`0300moogoo02ao
o`002Goo0`0017oo0P001Goo00<007ooOol00P0047oo00<007ooOol02Goo00@007ooOol03`Yoo`03
001oogoo00eoo`03001oogoo00Ioo`0300l007oo015oo`03001oogoo00Aoo`03001oogoo00Moo`03
00moogoo025oo`0300moogoo029oo`0300moogoo025oo`0300moogoo02aoo`002Woo00<007ooOol0
0Woo00@007ooOol000Aoo`03001oogoo0080011oo`03001oogoo00Uoo`04001oogoo00l:Ool00`00
Oomoo`0=Ool00`00Oomoo`06Ool00`0?001oo`0AOol00`00Oomoo`03Ool00`00Oomoo`08Ool00`0?
Oomoo`0QOol00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0/Ool000Yoo`03001oogoo009o
o`04001oogoo0004Ool00`00Oomoo`02000@Ool00`00Oomoo`09Ool01000Oomoo`0?2Goo00<007oo
Ool03Woo00<007ooOol01Woo00<007ooOol04Goo00<007ooOol00goo00<007ooOol027oo00<03goo
Ool08Goo00<03gooOol08Woo00<03gooOol08Goo00<03gooOol0;7oo000:Ool00`00Oomoo`02Ool0
1000Oomoo`0017oo0P0000<03`000000400?00<0000?00l02@0?00<0000?00l02P0?00<0000?00l0
3P0?00<0000?00l01P0?00<0000?00l04P0?00D0000?00l03`0007T03bioo`002Woo00<007ooOol0
0Woo00@007ooOol000Aoo`06001oogoo001oo`003Woo00<007ooOol02goo00<007oo00l02Goo00<0
07ooOol03goo00<007ooOol01Goo00<007ooOol04Woo0P0000=oo`00Ool02goo00<03gooOol08Goo
00<03gooOol08Woo00<03gooOol08Goo00<03gooOol0;7oo0009Ool20004Ool01000Oomoo`0017oo
00@007ooOomoo`8000ioo`03001oogoo00]oo`03001oo`0?00Uoo`03001oogoo00moo`03001oogoo
00Eoo`03001oogoo01=oo`<000aoo`0300moogoo025oo`0300moogoo029oo`0300moogoo025oo`03
00moogoo02aoo`002Woo00<007ooOol00goo0P001Goo00@007ooOomoo`8000ioo`03001oogoo00]o
o`03001oo`0?00Uoo`03001oogoo00moo`03001oogoo00Eoo`03001oogoo029oo`0300moogoo025o
o`0300moogoo029oo`0300moogoo025oo`0300moogoo02aoo`005goo00@007ooOomoo`8000ioo`03
001oogoo00]oo`03001oo`0?00Qoo`03001oogoo011oo`03001oogoo00Aoo`0300003goo02=oo`03
00moogoo025oo`0300moogoo029oo`0300moogoo025oo`0300moogoo02aoo`005goo00@007ooOomo
o`8000ioo`03001oogoo00]oo`03001oo`0?00Qoo`03001oogoo015oo`03001oogoo00=oo`030000
3goo02=oo`0300moogoo025oo`0300moogoo029oo`0300moogoo025oo`0300moogoo02aoo`005goo
00@007ooOomoo`8000ioo`03001oogoo00]oo`03001oo`0?00Qoo`03001oogoo015oo`03001oogoo
00=oo`0300003goo02=oo`0300moogoo025oo`0300moogoo029oo`0300moogoo025oo`0300moogoo
02aoo`005goo00@007ooOomoo`8000ioo`03001oogoo00aoo`0300003goo00Moo`03001oogoo015o
o`03001oogoo009oo`03001oo`0?02Aoo`0300moogoo025oo`0300moogoo029oo`0300moogoo025o
o`0300moogoo02aoo`005goo00L007ooOomoo`00Ool0000=Ool00`00Oomoo`0<Ool00`0000moo`07
Ool00`00Oomoo`0AOol00`00Oomoo`02Ool00`00Ool03`0TOol00`0?Oomoo`0QOol00`0?Oomoo`0R
Ool00`0?Oomoo`0QOol00`0?Oomoo`0/Ool001Moo`03001oogoo009oo`8000eoo`03001oogoo00ao
o`0300003goo00Ioo`03001oogoo01=oo`04001oogoo0002Ool00`0?Oomoo`0ROol00`0?Oomoo`0Q
Ool00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0/Ool001Moo`03001oogoo009oo`8000eo
o`03001oogoo00aoo`0300003goo00Ioo`03001oogoo01=oo`@0009oo`0300moogoo029oo`0300mo
ogoo025oo`0300moogoo029oo`0300moogoo025oo`0300moogoo02aoo`005goo00<007ooOol00Woo
0P0037oo00<007ooOol017oo0`001Woo00<0000?Ool01Woo00<007ooOol057oo0P000goo00<03goo
Ool08Woo00<03gooOol08Goo00<03gooOol08Woo00<03gooOol08Goo00<03gooOol0;7oo000GOol0
0`00Oomoo`02Ool2000<Ool00`00Oomoo`04Ool00`00Ool00006Ool00`0000moo`06Ool00`00Oomo
o`0IOol00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomo
o`0/Ool001Moo`03001oogoo009oo`8000aoo`03001oogoo00Aoo`03001oo`0000Moo`03001oogoo
00Eoo`03001oogoo01Uoo`0300moogoo029oo`0300moogoo025oo`0300moogoo029oo`0300moogoo
025oo`0300moogoo02aoo`005goo00<007ooOol00Woo0P0037oo00<007ooOol00goo00D007ooOomo
o`0000Ioo`03001oogoo00Eoo`03001oogoo01Uoo`0300moogoo029oo`0300moogoo025oo`0300mo
ogoo029oo`0300moogoo025oo`0300moogoo02aoo`005goo00<007ooOol00Woo0P0037oo00<007oo
Ool00goo00D007ooOomoo`0000Ioo`03001oogoo00Aoo`03001oogoo01Yoo`0300moogoo029oo`03
00moogoo025oo`0300moogoo029oo`0300moogoo025oo`0300moogoo02aoo`0027oo1@000goo0P00
1Goo00<007ooOol00Woo0P0037oo00<007ooOol00goo00D007ooOomoo`0000Ioo`03001oogoo00Ao
o`03001oogoo01Yoo`0300moogoo029oo`0300moogoo025oo`0300moogoo029oo`0300moogoo025o
o`0300moogoo02aoo`002Goo00@007ooOol0009oo`04001oogoo0004Ool00`00Oomoo`02Ool00`00
Ool0000;Ool00`00Oomoo`02Ool00`00Oomoo`02Ool00`00Oomoo`04Ool00`0?001oo`04Ool00`00
Oomoo`0JOol00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?
Oomoo`0/Ool000Yoo`03001oogoo009oo`04001oogoo0004Ool2000300l00`0000l0000;00l00`00
00l03`0200l00`0000l03`0200l00`0000l03`0500l00`0000l03`0300l00`0000l03`2]00l^Ool0
00]oo`05001oogooOol00002Ool00`00Oomoo`02Ool00`00Oomoo`02Ool00`00Ool0000:Ool00`00
Oomoo`03Ool00`00Oomoo`02Ool00`00Oomoo`04Ool00`0?Ool00004Ool00`00Oomoo`0JOol00`0?
Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0/Ool000Qo
o`05001oogooOol00002Ool01000Oomoo`0017oo00<007ooOol00goo0P002Woo00<007ooOol00goo
00<007ooOol00goo00<007ooOol00goo00<03goo000017oo00<007ooOol06Woo00<03gooOol08Woo
00<03gooOol08Goo00<03gooOol08Woo00<03gooOol08Goo00<03gooOol0;7oo0008Ool01@00Oomo
ogoo00000Woo00@007ooOol000Aoo`03001oogoo00=oo`8000Yoo`03001oogoo00=oo`03001oogoo
00=oo`03001oogoo00=oo`0300moo`0000=oo`03001oogoo01]oo`0300moogoo029oo`0300moogoo
025oo`0300moogoo029oo`0300moogoo025oo`0300moogoo02aoo`002Goo0`0017oo0P001Goo00<0
07ooOol00goo0P002Woo00<007ooOol00goo00<007ooOol00goo00<007ooOol00goo00@03goo0000
009oo`03001oogoo01]oo`0300moogoo029oo`0300moogoo025oo`0300moogoo029oo`0300moogoo
025oo`0300moogoo02aoo`005goo00<007ooOol00goo0P002Woo00<007ooOol00Woo00<007ooOol0
17oo00<007ooOol00goo00H03gooOol007oo000NOol00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?
Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0/Ool001Moo`03001oogoo00=oo`8000Yoo`03001o
ogoo009oo`03001oogoo00Aoo`03001oogoo00=oo`0500moogooOol0000OOol00`0?Oomoo`0ROol0
0`0?Oomoo`0QOol00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0/Ool001Moo`03001oogoo
00=oo`03001oo`0000Qoo`03001oogoo00=oo`03001oogoo00Aoo`03001oogoo00=oo`0300moogoo
025oo`0300moogoo029oo`0300moogoo025oo`0300moogoo029oo`0300moogoo025oo`0300moogoo
02aoo`005goo00<007ooOol00goo00<007oo000027oo00<007ooOol00goo00<007ooOol01Goo00<0
07ooOol00Woo00<03gooOol08Goo00<03gooOol08Woo00<03gooOol08Goo00<03gooOol08Woo00<0
3gooOol08Goo00<03gooOol0;7oo000GOol00`00Oomoo`03Ool00`00Ool00008Ool00`00Oomoo`03
Ool00`00Oomoo`05Ool00`00Oomoo`02Ool00`0?Oomoo`0QOol00`0?Oomoo`0ROol00`0?Oomoo`0Q
Ool00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0/Ool001Moo`03001oogoo00=oo`03001o
o`0000Qoo`03001oogoo00=oo`03001oogoo00Eoo`03001oogoo009oo`0300moogoo025oo`0300mo
ogoo029oo`0300moogoo025oo`0300moogoo029oo`0300moogoo025oo`0300moogoo02aoo`005goo
00<007ooOol00goo00<007oo000027oo00<007ooOol00goo00<007ooOol01Goo00<007ooOol00Woo
00<03gooOol03goo0P0047oo00<03gooOol08Woo00<03gooOol08Goo00<03gooOol08Woo00<03goo
Ool08Goo00<03gooOol0;7oo000GOol00`00Oomoo`03Ool00`00Ool00008Ool00`00Oomoo`03Ool0
0`00Oomoo`05Ool00`00Oomoo`02Ool00`0?Oomoo`0?Ool3000?Ool00`0?Oomoo`0ROol00`0?Oomo
o`0QOol00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0/Ool001Moo`03001oogoo00=oo`03
001oo`0000Moo`03001oogoo00Aoo`03001oogoo00Eoo`03001oogoo009oo`0300moogoo00ioo`04
001oogoo000?Ool00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0ROol00`0?Oomoo`0QOol0
0`0?Oomoo`0/Ool001Moo`03001oogoo00=oo`04001oogoo0006Ool00`00Oomoo`03Ool00`00Oomo
o`07Ool01@00Oomoogoo00l047oo00D007ooOomoo`0000ioo`0300moogoo029oo`0300moogoo025o
o`0300moogoo029oo`0300moogoo025oo`0300moogoo02aoo`005goo00<007ooOol017oo00<007oo
00001Woo00<007ooOol00goo00<007ooOol01goo00D007ooOomoo`0?011oo`05001oogooOol0000>
Ool00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0/
Ool001Moo`03001oogoo00Aoo`03001oo`0000Ioo`03001oogoo00=oo`03001oogoo00Moo`05001o
ogooOol03`0?Ool00`00Oomoo`02Ool00`00Oomoo`0<Ool00`0?Oomoo`0ROol00`0?Oomoo`0QOol0
0`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0/Ool000Uoo`<000Aoo`8000Eoo`03001oogoo
00Aoo`03001oo`0000Ioo`03001oogoo00=oo`03001oogoo00Moo`05001oogooOol03`0?Ool00`00
Oomoo`02Ool00`00Oomoo`0<Ool00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0ROol00`0?
Oomoo`0QOol00`0?Oomoo`0/Ool000Qoo`05001oogooOol00002Ool01000Oomoo`0017oo00<007oo
Ool017oo00<007oo00001Woo00<007ooOol00goo00<007ooOol01goo00D007ooOomoo`0?00moo`03
001oogoo009oo`03001oogoo00aoo`0300moogoo029oo`0300moogoo025oo`0300moogoo029oo`03
00moogoo025oo`0300moogoo02aoo`0037oo00@007ooOol0009oo`03001oogoo009oo`8000D03`03
00003`0000D03`0300003`0?00@03`0300003`0?00P03`0300003`0?00l03`0300003`0?00@03`03
00003`0?09h03bioo`002Woo0P000goo00@007ooOol000Aoo`03001oogoo00Aoo`03001oo`0000Eo
o`03001oogoo00Aoo`03001oogoo00Qoo`04001oogoo00l>Ool00`00Oomoo`04Ool00`00Oomoo`0;
Ool00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0/
Ool000aoo`04001oogoo0002Ool00`00Oomoo`02Ool00`00Oomoo`04Ool01000Oomoo`0017oo00<0
07ooOol017oo00<007ooOol027oo00@007ooOol03`ioo`03001oogoo00Aoo`03001oogoo00]oo`03
00moogoo029oo`0300moogoo025oo`0300moogoo029oo`0300moogoo025oo`0300moogoo02aoo`00
27oo00D007ooOomoo`00009oo`04001oogoo0004Ool00`00Oomoo`04Ool01000Oomoo`0017oo00<0
07ooOol017oo00<007ooOol027oo00@007ooOol03`ioo`03001oogoo00Aoo`03001oogoo00]oo`03
00moogoo029oo`0300moogoo025oo`0300moogoo029oo`0300moogoo025oo`0300moogoo02aoo`00
2Goo0`0017oo0P001Goo00<007ooOol017oo00@007ooOol000Aoo`03001oogoo00Aoo`03001oogoo
00Qoo`04001oogoo00l>Ool00`00Oomoo`04Ool00`00Oomoo`0;Ool00`0?Oomoo`0ROol00`0?Oomo
o`0QOol00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0/Ool001Moo`03001oogoo00Aoo`04
001oogoo0003Ool00`00Oomoo`05Ool00`00Oomoo`08Ool01000Oomoo`0?3Woo00<007ooOol017oo
00<007ooOol02goo00<03gooOol01Woo0`006Goo00<03gooOol08Goo00<03gooOol08Woo00<03goo
Ool08Goo00<03gooOol0;7oo000GOol00`00Oomoo`04Ool01@00Oomoogoo00000Woo00<007ooOol0
17oo00<007ooOol02Goo00@007ooOol03`ioo`03001oogoo00Aoo`03001oogoo00]oo`0300moogoo
00Ioo`04001oogoo000HOol00`0?Oomoo`0QOol00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomo
o`0/Ool001Moo`03001oogoo00Aoo`06001oogooOol007oo0P001Woo00<007ooOol02Goo00@007oo
Ool03`eoo`03001oogoo00Ioo`03001oogoo00Yoo`0300moogoo00Eoo`05001oogooOol0000HOol0
0`0?Oomoo`0QOol00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0/Ool001Moo`03001oogoo
00Aoo`03001oogoo009oo`8000Moo`03001oogoo00Uoo`04001oogoo00l=Ool00`00Oomoo`06Ool0
0`00Oomoo`0:Ool00`0?Oomoo`05Ool01@00Oomoogoo000067oo00<03gooOol08Goo00<03gooOol0
8Woo00<03gooOol08Goo00<03gooOol0;7oo000GOol00`00Oomoo`04Ool00`00Oomoo`0;Ool00`00
Oomoo`0:Ool00`00Ool03`0=Ool00`00Oomoo`06Ool00`00Oomoo`0:Ool00`0?Oomoo`05Ool00`00
Oomoo`02Ool00`00Oomoo`0EOol00`0?Oomoo`0QOol00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?
Oomoo`0/Ool001Moo`03001oogoo00Eoo`03001oogoo00Yoo`03001oogoo00Yoo`03001oo`0?00eo
o`03001oogoo00Ioo`03001oogoo00Yoo`0300moogoo00Eoo`03001oogoo009oo`03001oogoo01Eo
o`0300moogoo025oo`0300moogoo029oo`0300moogoo025oo`0300moogoo02aoo`005goo00<007oo
Ool01Goo00<007ooOol02Woo00<007ooOol02Woo00<007oo00l03Goo00<007ooOol01Woo00<007oo
Ool02Woo00<03gooOol017oo00<007ooOol00goo00<007ooOol05Goo00<03gooOol08Goo00<03goo
Ool08Woo00<03gooOol08Goo00<03gooOol0;7oo000GOol00`00Oomoo`05Ool00`00Oomoo`0:Ool0
0`00Oomoo`0:Ool00`00Ool03`0=Ool00`00Oomoo`06Ool00`00Oomoo`0:Ool00`0?Oomoo`04Ool0
0`00Oomoo`03Ool00`00Oomoo`0EOol00`0?Oomoo`0QOol00`0?Oomoo`0ROol00`0?Oomoo`0QOol0
0`0?Oomoo`0/Ool001Moo`03001oogoo00Eoo`03001oogoo00Yoo`03001oogoo00Yoo`03001oo`0?
00eoo`03001oogoo00Ioo`03001oogoo00Yoo`0300moogoo00Aoo`03001oogoo00=oo`03001oogoo
01Eoo`<0025oo`0300moogoo029oo`0300moogoo025oo`0300moogoo02aoo`005goo00<007ooOol0
1Goo00<007ooOol02Woo00<007ooOol02Woo00<007oo00l037oo00<007ooOol027oo00<007ooOol0
2Goo00<03gooOol017oo00<007ooOol017oo00<007ooOol04goo00@0000?Ool0025oo`0300moogoo
029oo`0300moogoo025oo`0300moogoo02aoo`005goo00<007ooOol01Goo00<007ooOol02Woo00<0
07ooOol02Woo00<007oo00l037oo00<007ooOol027oo00<007ooOol02Goo00<03gooOol00goo00<0
07ooOol01Goo00<007ooOol04goo00@0000?Ool0025oo`0300moogoo029oo`0300moogoo025oo`03
00moogoo02aoo`002Woo0`000goo0P001Goo00<007ooOol01Goo00<007ooOol02Goo00<007ooOol0
2goo00<007oo00l037oo00<007ooOol027oo00<007ooOol02Goo00<03gooOol00goo00<007ooOol0
1Goo00<007ooOol04Woo00<007oo00l00Woo00<007ooOol07Woo00<03gooOol08Woo00<03gooOol0
8Goo00<03gooOol0;7oo000;Ool01@00Oomoogoo00000Woo00<007ooOol00Woo00<007ooOol01Goo
00<007ooOol02Goo00<007ooOol02goo00<007oo00l037oo00<007ooOol027oo00<007ooOol02Goo
00<03gooOol00goo00<007ooOol01Goo00<007ooOol04Woo00<007oo00l00Woo00<007ooOol07Woo
00<03gooOol08Woo00<03gooOol08Goo00<03gooOol0;7oo0008Ool50002Ool01000Oomoo`0017oo
00<007ooOol01Goo00<007ooOol02Goo00<007ooOol02goo00<007oo00l037oo00<007ooOol027oo
00<007ooOol02Goo00<03gooOol00goo00<007ooOol01Goo00<007ooOol04Woo00<007oo00l00goo
00<007ooOol05Goo0P001Woo00<03gooOol08Woo00<03gooOol08Goo00<03gooOol0;7oo0008Ool0
1000Oomoo`000goo00@007ooOol000Aoo`8000H03`0300003`0?00T03`0300003`0?00/03`030000
3`0?00`03`0300003`0?00P03`0300003`0?00l03`0300003`0?00H03`0300003`0?01003`030000
3`0?00@03`0300003`0?01@03`0400003`00001?00l^Ool000Uoo`03001oo`0000=oo`04001oogoo
0004Ool00`00Oomoo`05Ool00`00Oomoo`09Ool00`00Oomoo`0<Ool00`0000moo`0;Ool00`00Oomo
o`08Ool00`00Oomoo`09Ool00`0?Oomoo`02Ool00`00Oomoo`07Ool00`00Oomoo`0@Ool01000Oomo
o`0?17oo00<007ooOol04Woo00D007ooOomoo`0000Eoo`0300moogoo029oo`0300moogoo025oo`03
00moogoo02aoo`002Woo0P000goo00@007ooOol000Aoo`03001oogoo00Eoo`03001oogoo00Uoo`03
001oogoo00aoo`0300003goo00]oo`03001oogoo00Uoo`03001oogoo00Qoo`0300moogoo009oo`03
001oogoo00Moo`03001oogoo011oo`04001oogoo00l4Ool00`00Oomoo`0BOol00`00Oomoo`02Ool0
0`00Oomoo`02Ool00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0/Ool000]oo`03001oogoo
009oo`8000Eoo`03001oogoo00Eoo`03001oogoo00Uoo`03001oogoo00aoo`0300003goo00Yoo`03
001oogoo00Yoo`03001oogoo00Qoo`0300moogoo009oo`03001oogoo00Moo`03001oogoo00moo`05
001oogooOol03`04Ool00`00Oomoo`0AOol00`00Oomoo`03Ool00`00Oomoo`02Ool00`0?Oomoo`0R
Ool00`0?Oomoo`0QOol00`0?Oomoo`0/Ool001Moo`03001oogoo00Ioo`03001oogoo00Qoo`03001o
ogoo00aoo`0300003goo00Yoo`03001oogoo00Yoo`03001oogoo00Qoo`0300moogoo009oo`03001o
ogoo00Qoo`03001oogoo00ioo`05001oogooOol03`05Ool00`00Oomoo`0@Ool00`00Oomoo`04Ool0
1@00Oomoogoo00l04Goo10003goo00<03gooOol08Goo00<03gooOol0;7oo000GOol00`00Oomoo`06
Ool00`00Oomoo`08Ool00`00Oomoo`0<Ool00`0000moo`0:Ool00`00Oomoo`0:Ool00`00Oomoo`08
Ool00`0?Oomoo`02Ool00`00Oomoo`08Ool00`00Oomoo`0>Ool01@00Oomoogoo00l01Goo00<007oo
Ool03goo00<007ooOol01Goo00D007ooOomoo`0?011oo`8000=oo`03001oogoo00aoo`0300moogoo
025oo`0300moogoo02aoo`005goo00<007ooOol01Woo00<007ooOol027oo00<007ooOol037oo00<0
000?Ool02Woo00<007ooOol02Woo00<007ooOol027oo00<03gooOol00Woo00<007ooOol027oo00<0
07ooOol03Woo00D007ooOomoo`0?00Eoo`03001oogoo00moo`03001oogoo00Eoo`05001oogooOol0
3`0@Ool00`00Oomoo`02Ool00`00Oomoo`0<Ool00`0?Oomoo`0QOol00`0?Oomoo`0/Ool001Moo`03
001oogoo00Ioo`03001oogoo00Moo`03001oogoo00eoo`0300003goo00Yoo`03001oogoo00]oo`03
001oogoo00Moo`0300moogoo009oo`03001oogoo00Qoo`03001oogoo00ioo`05001oogooOol03`05
Ool00`00Oomoo`0?Ool00`00Oomoo`05Ool01@00Oomoogoo00l03goo00<007ooOol017oo00<007oo
Ool02goo00<03gooOol01Goo1@005goo00<03gooOol0;7oo000GOol00`00Oomoo`06Ool00`00Oomo
o`07Ool00`00Oomoo`0=Ool00`0000moo`0:Ool00`00Oomoo`0;Ool00`00Oomoo`07Ool01@0?Oomo
ogoo00002goo00<007ooOol03Goo00<007ooOol00Woo00<03gooOol00goo00<007ooOol03Woo00<0
07ooOol01goo00@007ooOol03`moo`03001oogoo00Aoo`03001oogoo00]oo`0300moogoo00Eoo`03
001oogoo009oo`03001oogoo01Aoo`0300moogoo02aoo`005goo00<007ooOol01Woo00<007ooOol0
1goo00<007ooOol03Goo00<0000?Ool02Woo00<007ooOol02goo00<007ooOol01goo00D03gooOomo
o`0000aoo`03001oogoo00aoo`03001oogoo009oo`0300moogoo00Aoo`03001oogoo00eoo`03001o
ogoo00Moo`04001oogoo00l>Ool00`00Oomoo`06Ool00`00Oomoo`0:Ool00`0?Oomoo`04Ool00`00
Oomoo`03Ool00`00Oomoo`0DOol00`00Oomoo`0/Ool001Moo`03001oogoo00Ioo`03001oogoo00Mo
o`03001oogoo00eoo`0300003goo00Yoo`03001oogoo00]oo`03001oogoo00Moo`0500moogooOol0
000<Ool00`00Oomoo`0<Ool00`00Oomoo`02Ool00`0?Oomoo`04Ool00`00Oomoo`0=Ool00`00Oomo
o`07Ool01000Oomoo`0?3Woo00<007ooOol01Woo00<007ooOol02Woo00<03gooOol017oo00<007oo
Ool017oo00<007ooOol04goo00<007ooOol0;7oo000GOol00`00Oomoo`06Ool00`00Oomoo`07Ool0
0`00Oomoo`0=Ool00`0000moo`0:Ool00`00Oomoo`0;Ool00`00Oomoo`07Ool01@0?Oomoogoo0000
37oo00<007ooOol037oo00<007ooOol00Woo00<03gooOol017oo00<007ooOol03Goo00<007ooOol0
1goo00@007ooOol03`ioo`03001oogoo00Ioo`03001oogoo00Yoo`0300moogoo00=oo`03001oogoo
00Eoo`03001oogoo019oo`0300003goo02eoo`005goo00<007ooOol01Woo00<007ooOol01goo00<0
07ooOol03Woo00<007ooOol027oo00<007ooOol03Goo00<007ooOol01Woo00D03gooOomoo`0000ao
o`03001oogoo00aoo`03001oogoo009oo`0300moogoo00Aoo`03001oogoo00aoo`03001oogoo00Uo
o`03001oo`0?00eoo`03001oogoo00Qoo`03001oogoo00Uoo`0300moogoo00=oo`03001oogoo00Io
o`03001oogoo011oo`03001oo`0?02ioo`005goo00<007ooOol01Woo00<007ooOol01goo00<007oo
Ool03Woo00<007ooOol027oo00<007ooOol03Goo00<007ooOol01Woo00@03gooOol000eoo`03001o
ogoo00]oo`03001oogoo00=oo`0300moogoo00Aoo`03001oogoo00aoo`03001oogoo00Uoo`03001o
o`0?00eoo`03001oogoo00Qoo`03001oogoo00Uoo`0300moogoo009oo`03001oogoo00Moo`03001o
ogoo011oo`03001oo`0?02ioo`005goo00<007ooOol01Woo00<007ooOol01goo00<007ooOol03Woo
00<007ooOol027oo00<007ooOol03Goo00<007ooOol01Woo00@03gooOol000ioo`03001oogoo00Yo
o`03001oogoo00=oo`0300moogoo00Eoo`03001oogoo00]oo`03001oogoo00Uoo`03001oo`0?00eo
o`03001oogoo00Uoo`03001oogoo00Qoo`0300moogoo009oo`03001oogoo00Qoo`03001oogoo00io
o`04001oogoo00l^Ool001Moo`03001oogoo00Ioo`03001oogoo00Ioo`03001oogoo00moo`03001o
ogoo00Qoo`03001oogoo00eoo`03001oogoo00Ioo`0400moogoo000>Ool00`00Oomoo`0:Ool00`00
Oomoo`03Ool00`0?Oomoo`05Ool00`00Oomoo`0;Ool00`00Oomoo`0:Ool00`0000moo`0;Ool00`00
Oomoo`0:Ool00`00Oomoo`08Ool01@0?Oomoogoo00002goo00<007ooOol03Goo00D007ooOomoo`0?
02ioo`002Goo0`0017oo0P001Goo00<007ooOol01goo00<007ooOol01Goo00<007ooOol03goo00<0
07ooOol027oo00<007ooOol03Goo00<007ooOol01Woo00@03gooOol000ioo`03001oogoo00Yoo`03
001oogoo00=oo`0300moogoo00Eoo`03001oogoo00]oo`03001oogoo00Yoo`0300003goo00]oo`03
001oogoo00]oo`03001oogoo00Moo`0500moogooOol0000<Ool00`00Oomoo`0<Ool01@00Oomoogoo
00l0;Woo0008Ool01@00Oomoogoo00000Woo00@007ooOol000Aoo`03001oogoo00Moo`03001oogoo
00Eoo`03001oogoo00moo`03001oogoo00Qoo`03001oogoo00eoo`03001oogoo00Ioo`0400moogoo
000>Ool00`00Oomoo`0:Ool00`00Oomoo`03Ool00`0?Oomoo`05Ool00`00Oomoo`0:Ool00`00Oomo
o`0<Ool00`00Oomoo`0:Ool00`00Oomoo`0;Ool00`00Oomoo`07Ool0100?Oomoo`003Goo00<007oo
Ool02goo00<007ooOol00Woo00<03gooOol0;7oo000<Ool01000Oomoo`000Woo00<007ooOol00Woo
00<007ooOol01goo00<007ooOol01Goo00<007ooOol03goo00<007ooOol027oo00<007ooOol03Woo
00<007ooOol01Goo00<03goo00003goo00<007ooOol02Woo00<007ooOol00goo00<03gooOol01Goo
00<007ooOol02Woo00<007ooOol037oo00<007ooOol02Goo00<007ooOol037oo00<007ooOol01goo
00@03gooOol000ioo`03001oogoo00Yoo`03001oogoo009oo`0300moogoo02aoo`0037oo00@007oo
Ool0009oo`03001oogoo009oo`8000P03`0300003`0?00D03`0300003`0?00l03`0300003`0?00L0
3`0300003`0?00l03`0300003`0?00L03`0300003`0?00d03`0300003`0?00T03`0300003`0?00d0
3`0300003`0?00T03`0300003`0?00`03`0300003`0?00T03`0300003`0?00d03`0300003`0?00P0
3`0300003`0?00d03`0300003`0?00T03`0300003`0?00@03bioo`0027oo10000goo00@007ooOol0
00Aoo`03001oogoo00Moo`03001oogoo00Aoo`03001oogoo011oo`03001oogoo00Moo`03001oogoo
00moo`03001oogoo00Eoo`0300moo`0000moo`03001oogoo00Uoo`03001oogoo00Aoo`0300moogoo
00Ioo`03001oogoo00Uoo`03001oogoo00aoo`0300l007oo00Uoo`03001oogoo00eoo`03001oogoo
00Ioo`0300moo`00011oo`03001oogoo00Moo`03001oogoo00Aoo`0300moogoo02aoo`0027oo00<0
07ooOol017oo00@007ooOol000Aoo`03001oogoo00Moo`03001oogoo00Aoo`03001oogoo011oo`03
00l007oo00Moo`03001oogoo00moo`03001oogoo00Eoo`0300moo`00011oo`03001oogoo00Qoo`03
001oogoo00Aoo`0300moogoo00Ioo`03001oogoo00Qoo`03001oogoo00eoo`0300l007oo00Qoo`03
001oogoo00moo`03001oogoo00Eoo`0300l007oo011oo`03001oogoo00Moo`03001oogoo00Aoo`03
00moogoo02aoo`0027oo1@000goo0P001Goo00<007ooOol01goo00<007ooOol017oo00<007ooOol0
47oo00<03`00Ool01goo00<007ooOol03goo00<007ooOol01Goo00<03goo000047oo00<007ooOol0
27oo00<007ooOol017oo00<03gooOol01Woo00<007ooOol027oo00<007ooOol03Goo00<03goo0000
27oo00<007ooOol03goo00<007ooOol01Goo00<03`00Ool04Goo00<007ooOol01Goo00<007ooOol0
1Goo00<03gooOol0;7oo000GOol00`00Oomoo`07Ool00`00Oomoo`04Ool00`00Oomoo`0@Ool00`0?
001oo`07Ool00`00Oomoo`0?Ool00`00Oomoo`05Ool00`0?001oo`0@Ool00`00Oomoo`08Ool00`00
Oomoo`04Ool00`0?Oomoo`06Ool00`00Oomoo`08Ool00`00Oomoo`0=Ool00`0?Ool00008Ool00`00
Oomoo`0?Ool00`00Oomoo`05Ool00`0?001oo`0AOol20005Ool00`00Oomoo`06Ool00`0?Oomoo`0/
Ool001Moo`03001oogoo00Qoo`03001oogoo00=oo`03001oogoo011oo`0300l007oo00Ioo`03001o
ogoo011oo`03001oogoo00Eoo`0300l007oo011oo`03001oogoo00Moo`03001oogoo00Eoo`0300mo
ogoo00Moo`03001oogoo00Moo`03001oogoo00eoo`0300moo`0000Moo`03001oogoo015oo`03001o
ogoo00Aoo`03001oogoo019oo`03001oogoo009oo`03001oogoo00Moo`0300moogoo02aoo`005goo
00<007ooOol027oo00<007ooOol00goo00<007ooOol047oo00<03`00Ool01Woo00<007ooOol04Goo
00<007ooOol017oo00<03`00Ool047oo00<007ooOol01goo00<007ooOol01Goo00<03gooOol01goo
00<007ooOol01Woo00<007ooOol03Woo00@03gooOol000Ioo`03001oogoo019oo`03001oogoo00=o
o`03001oogoo01=oo`D000Uoo`0300moogoo02aoo`005goo00<007ooOol027oo00<007ooOol00Woo
00<007ooOol04Goo00<03`00Ool01Woo00<007ooOol04Goo00<007ooOol017oo00<03`00Ool04Goo
00<007ooOol01Woo00<007ooOol01Goo00<03gooOol01goo00<007ooOol01Woo00<007ooOol03Woo
00@03gooOol000Ioo`03001oogoo019oo`03001oogoo009oo`0300003goo029oo`0300moogoo02ao
o`005goo00<007ooOol027oo00<007ooOol00Woo00<007ooOol04Goo00<03`00Ool01Woo00<007oo
Ool04Goo00<007ooOol017oo00<03`00Ool04Goo00<007ooOol01Woo00<007ooOol01Goo00<03goo
Ool027oo00<007ooOol01Goo00<007ooOol03Woo00@03gooOol000Eoo`03001oogoo01Aoo`@00003
Ool03goo029oo`0300moogoo02aoo`005goo00<007ooOol027oo00<007ooOol00Woo00<007ooOol0
4Goo00<03`00Ool01Woo00<007ooOol04Goo00<007ooOol017oo00<007ooOol04Goo00<007ooOol0
1Goo00<007ooOol01Woo00<03gooOol027oo00<007ooOol017oo00<007ooOol03goo00D03gooOomo
o`0000Aoo`03001oogoo01Eoo`80009oo`0300moogoo025oo`0300moogoo02aoo`005goo00<007oo
Ool027oo00<007ooOol00Woo00<007ooOol04Goo00<03goo00001Goo00<007ooOol04Woo00<007oo
Ool017oo00<007ooOol04Goo00<007ooOol01Goo00<007ooOol01Woo00<03gooOol02Goo00<007oo
Ool00goo00<007ooOol03goo00@03gooOomoo`800003Ool0000001aoo`0300moogoo025oo`0300mo
ogoo02aoo`005goo00<007ooOol027oo00<007ooOol00Woo00<007ooOol04Goo00<03goo00001Goo
00<007ooOol04goo00<007ooOol00goo00<007ooOol04Woo00<007ooOol00goo00<007ooOol01goo
00<03gooOol02Goo00<007ooOol00Woo00<007ooOol047oo00<03gooOol00Woo0`007Goo00<03goo
Ool08Goo00<03gooOol0;7oo000GOol00`00Oomoo`09Ool01@00Oomoogoo00004goo00<03goo0000
1Goo00<007ooOol04goo00<007ooOol00goo00<007ooOol04Woo00<007ooOol00goo00<007ooOol0
1goo00<03gooOol02Woo00D007ooOomoo`00019oo`0300moogoo029oo`0300moogoo025oo`0300mo
ogoo02aoo`005goo00<007ooOol02Goo00D007ooOomoo`0001=oo`0300moo`0000Eoo`03001oogoo
01=oo`03001oogoo00=oo`03001oogoo01=oo`03001oogoo009oo`03001oogoo00Moo`0300moogoo
00Yoo`04001oogoo000COol00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0/Ool001Moo`03
001oogoo00Uoo`05001oogooOol0000COol00`0?Ool00005Ool00`00Oomoo`0COol00`00Oomoo`02
Ool00`0000moo`0DOol00`00Oomoo`02Ool00`00Oomoo`07Ool00`0?Oomoo`0;Ool3000COol00`0?
Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0/Ool001Moo`03001oogoo00Yoo`04001oogoo000C
Ool0100?Oomoo`0017oo00<007ooOol04goo00<007ooOol00Woo00<0000?Ool057oo00D007ooOomo
o`0000Yoo`0300moogoo025oo`0300moogoo029oo`0300moogoo025oo`0300moogoo02aoo`002Goo
0`0017oo0P001Goo00<007ooOol02Woo00<007oo000057oo00@03gooOol000=oo`03001oogoo01Ao
o`03001oogoo009oo`0300003goo01Eoo`03001oo`0000]oo`0300moogoo025oo`0300moogoo029o
o`0300moogoo025oo`0300moogoo02aoo`0027oo00D007ooOomoo`00009oo`04001oogoo0004Ool0
0`00Oomoo`0:Ool3000DOol0100?Oomoo`000goo00<007ooOol05Goo00H007ooOol007oo00lFOol3
000;Ool00`0?Oomoo`0QOol00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0/Ool000Qoo`05
001oogooOol00002Ool01000Oomoo`0017oo0P009P0?00@0000?00l001L03`0400003`0?002D00l^
Ool000Qoo`@000=oo`04001oogoo0004Ool00`00Oomoo`0QOol01P0?Oomoogoo001oo`8001Qoo`<0
0003Ool03goo02=oo`0300moogoo025oo`0300moogoo029oo`0300moogoo025oo`0300moogoo02ao
o`0027oo00<007ooOol017oo00@007ooOol000Aoo`03001oogoo025oo`0400moogooOol3000IOol2
0002Ool00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomo
o`0/Ool000Uoo`03001oogoo00=oo`04001oogoo0004Ool00`00Oomoo`0QOol00`0?Oomoo`02Ool2
000MOol00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomo
o`0/Ool000Yoo`8000Aoo`8000Eoo`03001oogoo025oo`0300moogoo025oo`0300moogoo029oo`03
00moogoo025oo`0300moogoo029oo`0300moogoo025oo`0300moogoo02aoo`005goo00<007ooOol0
8Goo00<03gooOol08Goo00<03gooOol08Woo00<03gooOol08Goo00<03gooOol08Woo00<03gooOol0
8Goo00<03gooOol0;7oo000GOol00`00Oomoo`0QOol00`0?Oomoo`0QOol00`0?Oomoo`0ROol00`0?
Oomoo`0QOol00`0?Oomoo`0ROol00`0?Oomoo`0QOol00`0?Oomoo`0/Ool00?moob5oo`00ogoo8Goo
003oOolQOol00?moob5oo`00Igoo0`003goo0`00Y7oo001ZOol00`00Oomoo`0?Ool00`00Oomoo`2Q
Ool004ioo`@000=oo`<000=oo`03001oo`0000=oo`<000=oo`@000=oo`800003Ool0000000800004
Ool00000Ool40008Ool40002Ool30002Ool30009Ool200001Goo00000000Ool0100000=oo`000000
0P000Woo10000goo0`00J7oo001?Ool01P00Oomoo`00Ool000Ioo`03001oo`00009oo`03001oogoo
00=oo`05001oogooOol00002Ool01000Oomoo`000Woo00H007ooOol007oo0003Ool00`00Oomoo`05
Ool01000Oomoo`000Woo00<007ooOol017oo00<007ooOol027oo00L007ooOomoo`00Ool00002Ool0
0`00Oomoo`04Ool00`00Oomoo`03Ool00`00Ool0001[Ool0009oo`<000Aoo`<000]oo`03001oogoo
00Ioo`<000=oo`D002Aoo`05001oogoo001oo`0500001goo001oo`00Ool007oo00D00003Ool007oo
009oo`04001oogoo0002Ool01000Oomoo`000Woo00<007oo00000goo00<007ooOol01Goo00@007oo
Ool0009oo`D0009oo`03001oogoo00Qoo`05001oogooOol00002Ool30003Ool30003Ool30002Ool5
001WOol000=oo`03001oogoo00Aoo`03001oogoo00Yoo`03001oogoo00Moo`03001oogoo00=oo`04
001oogoo000TOol30002Ool03@00Oomoogoo001oo`00Ool007oo001oo`0000=oo`03001oo`0000=o
o`04001oogoo0002Ool01000Oomoo`000Woo00<007oo00000goo00<007ooOol01Goo00@007ooOol0
009oo`05001oogooOol00002Ool20009Ool01`00Oomoogoo001oo`00009oo`04001oogoo0005Ool0
0`00Oomoo`03Ool01@00Oomoogoo0000Igoo0003Ool00`00Oomoo`04Ool00`00Oomoo`08Ool50007
Ool00`00Oomoo`04Ool00`00Oomoo`0TOol01000Oomoo`000Woo0`000Woo1P0000Aoo`00000000=o
o`L00004Ool00000Ool40003Ool50007Ool30003Ool30002Ool200000goo00000007Ool01@00Ool0
07oo00000Woo0P0017oo10000Woo10000Woo0`00J7oo0003Ool30004Ool00`00Oomoo`0:Ool00`00
Oomoo`07Ool30005Ool00`00Oomoo`0SOol01000Oomoo`00=7oo00<007ooOol04Woo0P0000=oo`00
0000Ogoo0003Ool00`00Oomoo`04Ool00`00Oomoo`0:Ool00`00Oomoo`07Ool00`00Oomoo`02Ool0
1@00Oomoogoo00008goo1000=7oo0P0057oo00@007ooOomoo`8007ioo`000goo00@007ooOol0009o
o`8001Ioo`06001oogoo001oo`000goo00<007ooOol0lgoo0002Ool50003Ool00`00Oomoo`0COol5
0002Ool3003fOol00?moob5oo`00ogoo8Goo003oOolQOol00?moob5oo`00ogoo8Goo003oOolQOol0
0?moob5oo`00ogoo8Goo003oOolQOol00?moob5oo`00ogoo8Goo003oOolQOol00?moob5oo`00ogoo
8Goo0000\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-0.315755, -15.5709, \
0.0137278, 0.532471}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(F1erg /. t \[Rule] 1\)], "Input"],

Cell[BoxData[
    \(55.50397774183252`\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(F2erg /. t \[Rule] 1\)], "Input"],

Cell[BoxData[
    \(9.688648246993413`\)], "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.2 for Macintosh",
ScreenRectangle->{{0, 1152}, {0, 850}},
WindowSize->{760, 742},
WindowMargins->{{127, Automatic}, {36, Automatic}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrintingOptions->{"PrintingMargins"->{{54, 43.1875}, {43.1875, 43.1875}},
"PrintCellBrackets"->False,
"PrintRegistrationMarks"->True,
"PrintMultipleHorizontalPages"->False},
ShowCellLabel->False,
MacintoshSystemPageSetup->"\<\
00<0004/0B`000003n@:l_mTofT@Q@^40fL5N`?P0080004/0B`000000]P2:001
0000D00000400`<30?l00Gd000400@fLi10000000000060801T1T00000000000
00000000004000000000000000000000\>"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 116, 3, 80, "Section"],
Cell[1895, 58, 81, 1, 27, "Input"],

Cell[CellGroupData[{
Cell[2001, 63, 46, 0, 42, "Subsubsection"],
Cell[2050, 65, 247, 10, 158, "Text"],
Cell[2300, 77, 53, 0, 30, "Text"],

Cell[CellGroupData[{
Cell[2378, 81, 75, 1, 27, "Input"],
Cell[2456, 84, 266, 7, 26, "Output"]
}, Open  ]],
Cell[2737, 94, 24, 0, 30, "Text"],

Cell[CellGroupData[{
Cell[2786, 98, 46, 1, 27, "Input"],
Cell[2835, 101, 43, 1, 26, "Output"]
}, Open  ]],
Cell[2893, 105, 24, 0, 30, "Text"],

Cell[CellGroupData[{
Cell[2942, 109, 78, 1, 27, "Input"],
Cell[3023, 112, 230, 6, 42, "Output"]
}, Open  ]],
Cell[3268, 121, 25, 0, 30, "Text"],

Cell[CellGroupData[{
Cell[3318, 125, 63, 1, 27, "Input"],
Cell[3384, 128, 171, 5, 26, "Output"]
}, Open  ]],
Cell[3570, 136, 49, 0, 30, "Text"],
Cell[3622, 138, 82, 1, 27, "Input"],
Cell[3707, 141, 42, 0, 30, "Text"],

Cell[CellGroupData[{
Cell[3774, 145, 52, 1, 27, "Input"],
Cell[3829, 148, 278, 7, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4144, 160, 36, 1, 27, "Input"],
Cell[4183, 163, 219, 6, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4439, 174, 36, 1, 27, "Input"],
Cell[4478, 177, 171, 5, 26, "Output"]
}, Open  ]],
Cell[4664, 185, 142, 4, 27, "Input"],

Cell[CellGroupData[{
Cell[4831, 193, 111, 4, 42, "Input"],
Cell[4945, 199, 155, 4, 26, "Output"],
Cell[5103, 205, 155, 4, 26, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[5307, 215, 37, 0, 42, "Subsubsection"],

Cell[CellGroupData[{
Cell[5369, 219, 52, 1, 27, "Input"],
Cell[5424, 222, 54, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5515, 228, 53, 1, 27, "Input"],
Cell[5571, 231, 59, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5667, 237, 258, 7, 87, "Input"],
Cell[5928, 246, 76847, 1862, 296, 18809, 1141, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[82812, 2113, 449, 7, 123, "Input"],
Cell[83264, 2122, 54162, 1604, 186, 18920, 1164, "GraphicsData", \
"PostScript", "Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[137463, 3731, 53, 1, 27, "Input"],
Cell[137519, 3734, 52, 1, 26, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[137608, 3740, 53, 1, 27, "Input"],
Cell[137664, 3743, 52, 1, 26, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

